{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<style>\n",
       "\n",
       ".rendered_html {\n",
       "    font-family: \"proxima-nova\", helvetica;\n",
       "    font-size: 130%;\n",
       "    line-height: 1.5;\n",
       "}\n",
       "\n",
       ".rendered_html h1 {\n",
       "    margin: 0.25em 0em 0.5em;\n",
       "    color: #015C9C;\n",
       "    text-align: center;\n",
       "    line-height: 1.2; \n",
       "    page-break-before: always;\n",
       "}\n",
       "\n",
       ".rendered_html h2 {\n",
       "    margin: 1.1em 0em 0.5em;\n",
       "    color: #26465D;\n",
       "    line-height: 1.2;\n",
       "}\n",
       "\n",
       ".rendered_html h3 {\n",
       "    margin: 1.1em 0em 0.5em;\n",
       "    color: #002845;\n",
       "    line-height: 1.2;\n",
       "}\n",
       "\n",
       ".rendered_html li {\n",
       "    line-height: 1.5; \n",
       "}\n",
       "\n",
       "/*.prompt {\n",
       "    font-size: 120%; \n",
       "}*/\n",
       "\n",
       ".CodeMirror-lines {\n",
       "    font-size: 110%; \n",
       "}\n",
       "\n",
       "/*.output_area {\n",
       "    font-size: 120%; \n",
       "}*/\n",
       "\n",
       "/*#notebook {\n",
       "    background-image: url('files/images/witewall_3.png');\n",
       "}*/\n",
       "\n",
       "h1.bigtitle {\n",
       "    margin: 4cm 1cm 4cm 1cm;\n",
       "    font-size: 300%;\n",
       "}\n",
       "\n",
       "h3.point {\n",
       "    font-size: 200%;\n",
       "    text-align: center;\n",
       "    margin: 2em 0em 2em 0em;\n",
       "    #26465D\n",
       "}\n",
       "\n",
       ".logo {\n",
       "    margin: 20px 0 20px 0;\n",
       "}\n",
       "\n",
       "a.anchor-link {\n",
       "    display: none;\n",
       "}\n",
       "\n",
       "h1.title { \n",
       "    font-size: 250%;\n",
       "}\n",
       "\n",
       "</style>"
      ],
      "text/plain": [
       "<IPython.core.display.HTML object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "%load_ext load_style\n",
    "%load_style talk.css"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "# Pandas"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div id='toc-container'><script type='text/javascript'>\n",
       "$(function() {\n",
       "    function regenTOC(){\n",
       "        element = $(\"#toc-container\");\n",
       "\n",
       "\tvar toc = document.createElement(\"div\");\n",
       "\t$(toc).attr(\"class\", \"table-of-contents\");\n",
       "\n",
       "\tvar curLevel = 0;\n",
       "\tvar containerStack = [toc];\n",
       "\tvar levelOfTag = {\"h2\": 1, \"h3\": 2, \"h4\": 3, \"h5\": 4};\n",
       "\n",
       "\tfunction pushLevel() {\n",
       "            var list = document.createElement(\"ul\");\n",
       "            containerStack.push(list);\n",
       "            curLevel++;\n",
       "\t}\n",
       "\t\n",
       "\tfunction popLevel() {\n",
       "            var lastContainer = containerStack.pop();\n",
       "            $(lastContainer).appendTo(containerStack[containerStack.length - 1]);\n",
       "            curLevel--;\n",
       "\t}\n",
       "\t\n",
       "\t$(\".text_cell_render :header\").each(function (i, elem) {\n",
       "            var level = levelOfTag[ elem.tagName.toLowerCase() ];\n",
       "\n",
       "            if (level === undefined)\n",
       "\t\treturn;\n",
       "\n",
       "            while (curLevel < level)\n",
       "\t\tpushLevel();\n",
       "            while (curLevel > level)\n",
       "\t\tpopLevel();\n",
       "            \n",
       "            var listItem = document.createElement(\"li\");\n",
       "            var link = document.createElement(\"a\");\n",
       "            $(link)\n",
       "\t\t.text($(elem).contents().first().text()) // Remove the pilcrow sign\n",
       "\t\t.attr(\"href\", \"#\" + $(elem).attr(\"id\"))\n",
       "\t\t.appendTo(listItem);\n",
       "            $(listItem).appendTo(containerStack[containerStack.length - 1]);\n",
       "\t});\n",
       "\t\n",
       "\twhile (curLevel > 0)\n",
       "            popLevel();\n",
       "\n",
       "        $(\"<a class='btn-update' href='#'>Update</a>\")\n",
       "          .click(regenTOC).prependTo(toc);\n",
       "\n",
       "\t$(toc).prepend(\"<div class='title'>Contents</div>\")\n",
       "          .wrap(\"<div class='toc-headings'/>\");\n",
       "\n",
       "        $(element).empty();\n",
       "        $(element).append(toc);\n",
       "    }\n",
       "\n",
       "    if (typeof(IPython) !== 'undefined')\n",
       "        $([IPython.events]).on('notebook_loaded.Notebook', regenTOC);\n",
       "    regenTOC();\n",
       "});\n",
       "\n",
       "</script></div>"
      ],
      "text/plain": [
       "<IPython.core.display.HTML object>"
      ]
     },
     "execution_count": 2,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "import addutils.toc ; addutils.toc.js(ipy_notebook=True)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "from IPython.display import Image, HTML"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "**pandas** is a Python package providing fast, flexible, and expressive data structures designed to work with *relational* or *labeled* data. It is a fundamental high-level building block for doing practical, real world data analysis in Python. \n",
    "\n",
    "pandas is well suited for:\n",
    "\n",
    "- Tabular data with heterogeneously-typed columns, as in an SQL table or Excel spreadsheet\n",
    "- Ordered and unordered (not necessarily fixed-frequency) time series data.\n",
    "- Arbitrary matrix data (homogeneously typed or heterogeneous) with row and column labels\n",
    "- Any other form of observational / statistical data sets. The data actually need not be labeled at all to be placed into a pandas data structure\n",
    "\n",
    "\n",
    "Key features:  \n",
    "    \n",
    "- Easy handling of **missing data**\n",
    "- **Size mutability**: columns can be inserted and deleted from DataFrame and higher dimensional objects\n",
    "- Automatic and explicit **data alignment**: objects can be explicitly aligned to a set of labels, or the data can be aligned automatically\n",
    "- Powerful, flexible **group by functionality** to perform split-apply-combine operations on data sets\n",
    "- Intelligent label-based **slicing, fancy indexing, and subsetting** of large data sets\n",
    "- Intuitive **merging and joining** data sets\n",
    "- Flexible **reshaping and pivoting** of data sets\n",
    "- **Hierarchical labeling** of axes\n",
    "- Robust **IO tools** for loading data from flat files, Excel files, databases, and HDF5\n",
    "- **Time series functionality**: date range generation and frequency conversion, moving window statistics, moving window linear regressions, date shifting and lagging, etc."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<iframe src=http://pandas.pydata.org/index.html width=900 height=350></iframe>"
      ],
      "text/plain": [
       "<IPython.core.display.HTML object>"
      ]
     },
     "execution_count": 4,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "HTML('<iframe src=http://pandas.pydata.org/index.html width=900 height=350></iframe>')"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "The conventional way to import pandas is: \n",
    "\n",
    "```python\n",
    "import pandas as pd\n",
    "```"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "import pandas as pd"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "0.18.0\n"
     ]
    }
   ],
   "source": [
    "print(pd.__version__)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 7,
   "metadata": {
    "collapsed": true
   },
   "outputs": [],
   "source": [
    "import numpy as np\n",
    "import matplotlib.pyplot as plt\n",
    "%matplotlib inline"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "some options setting "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 8,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "pd.set_option(\"display.width\", 80)\n",
    "# toggle the line below that if one doesnt want DataFrames displayed as HTML tables\n",
    "#pd.set_option(\"notebook_repr_html\", False) \n",
    "pd.set_option(\"notebook_repr_html\", True) "
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Pandas's data structures and functionalities will be familiar to R users, there's a section on Pandas's website where \n",
    "Wes McKinney gives some translation of common idioms / operations between R and Pandas "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 9,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<iframe src=http://pandas.pydata.org/pandas-docs/stable/comparison_with_r.html#compare-with-r width=900 height=350></iframe>"
      ],
      "text/plain": [
       "<IPython.core.display.HTML object>"
      ]
     },
     "execution_count": 9,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "HTML('<iframe src=http://pandas.pydata.org/pandas-docs/stable/comparison_with_r.html#compare-with-r width=900 height=350></iframe>')"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "## Pandas data structures"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "### Series"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "\n",
    "A **Series** is a single vector of data values (think a NumPy array with shape N or (N,1)) with an **index** that labels each element in the vector."
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "#### Series constructions"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 10,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "a = pd.Series(np.random.normal(0,1,(10,)))"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 11,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "0    0.486454\n",
       "1   -0.730349\n",
       "2    2.142218\n",
       "3    0.858479\n",
       "4    0.613529\n",
       "5    0.410073\n",
       "6    0.244305\n",
       "7    1.010814\n",
       "8    0.372422\n",
       "9   -1.348384\n",
       "dtype: float64"
      ]
     },
     "execution_count": 11,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 12,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "RangeIndex(start=0, stop=10, step=1)"
      ]
     },
     "execution_count": 12,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a.index"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 13,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "array([ 0.4864535 , -0.73034884,  2.14221846,  0.85847929,  0.61352902,\n",
       "        0.41007344,  0.24430496,  1.01081354,  0.37242184, -1.34838402])"
      ]
     },
     "execution_count": 13,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a.values"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "#### You can define your own **index**"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 14,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "a = pd.Series(np.random.normal(0,1,(10,)), index=np.arange(1,11))"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 15,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "1    -0.547611\n",
       "2     0.237740\n",
       "3     1.174041\n",
       "4    -0.277616\n",
       "5    -0.891984\n",
       "6     2.068516\n",
       "7    -0.886925\n",
       "8    -1.424593\n",
       "9    -0.704715\n",
       "10   -0.469257\n",
       "dtype: float64"
      ]
     },
     "execution_count": 15,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 16,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "a = pd.Series(np.random.normal(0,1,5), \\\n",
    "              index=['a','b','c','d','e'], name='my series')"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 17,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "a   -0.774220\n",
       "b    0.124874\n",
       "c    1.103268\n",
       "d    0.458087\n",
       "e    0.918273\n",
       "Name: my series, dtype: float64"
      ]
     },
     "execution_count": 17,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Pandas objects expose some powerful, **high level plotting functions** (built on top of Matplotlib)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 18,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAAXkAAAEKCAYAAAD3tSVSAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x1171b8358>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "plot = a.plot(kind='bar', rot=0, color='r', title=a.name, width=0.9)"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "same plot in matplotlib"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 19,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAAXkAAAEKCAYAAAD3tSVSAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\nizHkAaDFGPIA0GL/D+jJ/NvmxNMFAAAAAElFTkSuQmCC\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x11c667b70>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "f, ax = plt.subplots()\n",
    "bars = ax.bar(np.arange(len(a)), a.values, color='r', align='center', width=0.9)\n",
    "ax.set_xticks(np.arange(len(a)))\n",
    "ax.set_xlim(-0.5, len(a)-0.5)\n",
    "ax.set_xticklabels(a.index)\n",
    "ax.set_title(a.name)\n",
    "ax.grid()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "#### Series indexing"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Selecting from a Series is easy, using the corresponding index key (like a dict)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 20,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "a   -0.774220\n",
       "b    0.124874\n",
       "c    1.103268\n",
       "d    0.458087\n",
       "e    0.918273\n",
       "Name: my series, dtype: float64"
      ]
     },
     "execution_count": 20,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 21,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "1.103267746110159"
      ]
     },
     "execution_count": 21,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a['c']"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "slices are permitted "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 22,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "a   -0.774220\n",
       "b    0.124874\n",
       "c    1.103268\n",
       "Name: my series, dtype: float64"
      ]
     },
     "execution_count": 22,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a['a':'c'] ### Note the difference with standard Python / Numpy positional, integer indexing"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 23,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "c    1.103268\n",
       "d    0.458087\n",
       "e    0.918273\n",
       "Name: my series, dtype: float64"
      ]
     },
     "execution_count": 23,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a['c':]"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "deleting an element "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 24,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "a   -0.774220\n",
       "b    0.124874\n",
       "c    1.103268\n",
       "e    0.918273\n",
       "Name: my series, dtype: float64"
      ]
     },
     "execution_count": 24,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a.drop('d')"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Adding an element is (to my knowledge) not straightforward"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 25,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "a.drop('a', inplace=True)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 26,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "b    0.124874\n",
       "c    1.103268\n",
       "d    0.458087\n",
       "e    0.918273\n",
       "Name: my series, dtype: float64"
      ]
     },
     "execution_count": 26,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 27,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "b    0.124874\n",
       "c    1.103268\n",
       "d    0.458087\n",
       "e    0.918273\n",
       "a    5.000000\n",
       "dtype: float64"
      ]
     },
     "execution_count": 27,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a.append(pd.Series({'a':5}))"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 28,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "b    0.124874\n",
       "c    1.103268\n",
       "d    0.458087\n",
       "e    0.918273\n",
       "Name: my series, dtype: float64"
      ]
     },
     "execution_count": 28,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Mathematical operations involving two series will perform operations by *aligning indices*.\n",
    "\n",
    "1. The union of all indices is created\n",
    "2. The mathematical operation is performed on matching indices. \n",
    "\n",
    "Indices that do not match are given the value NaN (not a number), and values are computed for all unique pairs of repeated indices."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 29,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "s1 = pd.Series(np.arange(1.0,4.0),index=['a','b','c'])\n",
    "s2 = pd.Series(np.arange(1.0,4.0),index=['b','c','d'])"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 30,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "s3 = s1 + s2"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 31,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "a    NaN\n",
       "b    3.0\n",
       "c    5.0\n",
       "d    NaN\n",
       "dtype: float64"
      ]
     },
     "execution_count": 31,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "s3"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "NaNs are ignored in all operations "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 32,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "4.0"
      ]
     },
     "execution_count": 32,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "s3.mean()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "You can drop them from the Series"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 33,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "s4 = s3.dropna()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 34,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "b    3.0\n",
       "c    5.0\n",
       "dtype: float64"
      ]
     },
     "execution_count": 34,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "s4"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Or use the `fillna` method to replace them by a value"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 35,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "a   -999.0\n",
       "b      3.0\n",
       "c      5.0\n",
       "d   -999.0\n",
       "dtype: float64"
      ]
     },
     "execution_count": 35,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "s3.fillna(-999)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 36,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "a    4.0\n",
       "b    3.0\n",
       "c    5.0\n",
       "d    4.0\n",
       "dtype: float64"
      ]
     },
     "execution_count": 36,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "s3.fillna(s3.mean())"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "#### Series with a date / datetime index (timeseries)"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Series can have indexes representing dates / times "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 37,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "b    0.124874\n",
       "c    1.103268\n",
       "d    0.458087\n",
       "e    0.918273\n",
       "Name: my series, dtype: float64"
      ]
     },
     "execution_count": 37,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 38,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "a.index = pd.date_range(start='2014-1-1', periods=len(a)) # default 'period' is daily"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 39,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "2014-01-01    0.124874\n",
       "2014-01-02    1.103268\n",
       "2014-01-03    0.458087\n",
       "2014-01-04    0.918273\n",
       "Freq: D, Name: my series, dtype: float64"
      ]
     },
     "execution_count": 39,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a.head()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 40,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "DatetimeIndex(['2014-01-01', '2014-01-02', '2014-01-03', '2014-01-04'], dtype='datetime64[ns]', freq='D')"
      ]
     },
     "execution_count": 40,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a.index"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 41,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "### but you can convert it to an numpy array of python datetime objects if you want\n",
    "py_datetimes = a.index.to_pydatetime()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 42,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "array([datetime.datetime(2014, 1, 1, 0, 0),\n",
       "       datetime.datetime(2014, 1, 2, 0, 0),\n",
       "       datetime.datetime(2014, 1, 3, 0, 0),\n",
       "       datetime.datetime(2014, 1, 4, 0, 0)], dtype=object)"
      ]
     },
     "execution_count": 42,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "py_datetimes"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "And a number of useful methods for manipulation of time series is exposed"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 48,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "2014-01-01 00:00:00    0.124874\n",
       "2014-01-01 01:00:00    0.124874\n",
       "2014-01-01 02:00:00    0.124874\n",
       "2014-01-01 03:00:00    0.124874\n",
       "2014-01-01 04:00:00    0.124874\n",
       "Freq: H, Name: my series, dtype: float64"
      ]
     },
     "execution_count": 48,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "### resample daily time-series to 1 hour 'period', using forward filling method\n",
    "a.resample('1h').ffill().head()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 49,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "2014-01-01    0.124874\n",
       "2014-01-02    1.103268\n",
       "2014-01-03    0.458087\n",
       "2014-01-04    0.918273\n",
       "Freq: D, Name: my series, dtype: float64"
      ]
     },
     "execution_count": 49,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 50,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "2014-01-01    1.103268\n",
       "2014-01-02    0.458087\n",
       "2014-01-03    0.918273\n",
       "2014-01-04         NaN\n",
       "Freq: D, Name: my series, dtype: float64"
      ]
     },
     "execution_count": 50,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "### the ```shift``` method makes it easy e.g. to compare series with lead / lags \n",
    "a.shift(periods=-1)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 51,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "2014-01-01    0.124874\n",
       "2014-01-02    1.103268\n",
       "2014-01-03    0.458087\n",
       "2014-01-04    0.918273\n",
       "Freq: D, Name: my series, dtype: float64"
      ]
     },
     "execution_count": 51,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "a"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 52,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "2014-01-01    0.124874\n",
       "2014-01-02    1.103268\n",
       "Freq: D, Name: my series, dtype: float64"
      ]
     },
     "execution_count": 52,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "### and the ```truncate`` method allows easy selection of time-slices\n",
    "a.truncate(after='2014-1-2')"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "### DataFrames"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "**DataFrames** are IMHO one of the most powerful data structures in the Python / data analysis world. \n",
    "\n",
    "They can be viewed as a *collection* of named Series. They feature two **indexes**, respectively for the rows and the columns, and can contain heteregoneous data types (although it must be consistent *within* each column). \n",
    "Note that a DataFrame index, either along the rows or the columns (or both !) can contain more than one level, they are called **hierarchical indexes** and allows the representation of complex data organisation. \n",
    "\n",
    "If the index along the rows of a DataFrame is of **datetime** type, all the methods exposed for the Series (re-sampling, shifting, truncating, etc) are available for the DataFrame."
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "#### DataFrame constructions"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 54,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j']\n"
     ]
    }
   ],
   "source": [
    "import string # part of the standard library\n",
    "idx = list(string.ascii_lowercase[0:10])\n",
    "print(idx)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 55,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "df = pd.DataFrame(np.arange(100).reshape(10,10),\\\n",
    "                  columns=idx,index=np.arange(1,11))"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 56,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "      <th>d</th>\n",
       "      <th>e</th>\n",
       "      <th>f</th>\n",
       "      <th>g</th>\n",
       "      <th>h</th>\n",
       "      <th>i</th>\n",
       "      <th>j</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0</td>\n",
       "      <td>1</td>\n",
       "      <td>2</td>\n",
       "      <td>3</td>\n",
       "      <td>4</td>\n",
       "      <td>5</td>\n",
       "      <td>6</td>\n",
       "      <td>7</td>\n",
       "      <td>8</td>\n",
       "      <td>9</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>10</td>\n",
       "      <td>11</td>\n",
       "      <td>12</td>\n",
       "      <td>13</td>\n",
       "      <td>14</td>\n",
       "      <td>15</td>\n",
       "      <td>16</td>\n",
       "      <td>17</td>\n",
       "      <td>18</td>\n",
       "      <td>19</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>20</td>\n",
       "      <td>21</td>\n",
       "      <td>22</td>\n",
       "      <td>23</td>\n",
       "      <td>24</td>\n",
       "      <td>25</td>\n",
       "      <td>26</td>\n",
       "      <td>27</td>\n",
       "      <td>28</td>\n",
       "      <td>29</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>30</td>\n",
       "      <td>31</td>\n",
       "      <td>32</td>\n",
       "      <td>33</td>\n",
       "      <td>34</td>\n",
       "      <td>35</td>\n",
       "      <td>36</td>\n",
       "      <td>37</td>\n",
       "      <td>38</td>\n",
       "      <td>39</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>40</td>\n",
       "      <td>41</td>\n",
       "      <td>42</td>\n",
       "      <td>43</td>\n",
       "      <td>44</td>\n",
       "      <td>45</td>\n",
       "      <td>46</td>\n",
       "      <td>47</td>\n",
       "      <td>48</td>\n",
       "      <td>49</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>6</th>\n",
       "      <td>50</td>\n",
       "      <td>51</td>\n",
       "      <td>52</td>\n",
       "      <td>53</td>\n",
       "      <td>54</td>\n",
       "      <td>55</td>\n",
       "      <td>56</td>\n",
       "      <td>57</td>\n",
       "      <td>58</td>\n",
       "      <td>59</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>7</th>\n",
       "      <td>60</td>\n",
       "      <td>61</td>\n",
       "      <td>62</td>\n",
       "      <td>63</td>\n",
       "      <td>64</td>\n",
       "      <td>65</td>\n",
       "      <td>66</td>\n",
       "      <td>67</td>\n",
       "      <td>68</td>\n",
       "      <td>69</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>8</th>\n",
       "      <td>70</td>\n",
       "      <td>71</td>\n",
       "      <td>72</td>\n",
       "      <td>73</td>\n",
       "      <td>74</td>\n",
       "      <td>75</td>\n",
       "      <td>76</td>\n",
       "      <td>77</td>\n",
       "      <td>78</td>\n",
       "      <td>79</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>9</th>\n",
       "      <td>80</td>\n",
       "      <td>81</td>\n",
       "      <td>82</td>\n",
       "      <td>83</td>\n",
       "      <td>84</td>\n",
       "      <td>85</td>\n",
       "      <td>86</td>\n",
       "      <td>87</td>\n",
       "      <td>88</td>\n",
       "      <td>89</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>10</th>\n",
       "      <td>90</td>\n",
       "      <td>91</td>\n",
       "      <td>92</td>\n",
       "      <td>93</td>\n",
       "      <td>94</td>\n",
       "      <td>95</td>\n",
       "      <td>96</td>\n",
       "      <td>97</td>\n",
       "      <td>98</td>\n",
       "      <td>99</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "     a   b   c   d   e   f   g   h   i   j\n",
       "1    0   1   2   3   4   5   6   7   8   9\n",
       "2   10  11  12  13  14  15  16  17  18  19\n",
       "3   20  21  22  23  24  25  26  27  28  29\n",
       "4   30  31  32  33  34  35  36  37  38  39\n",
       "5   40  41  42  43  44  45  46  47  48  49\n",
       "6   50  51  52  53  54  55  56  57  58  59\n",
       "7   60  61  62  63  64  65  66  67  68  69\n",
       "8   70  71  72  73  74  75  76  77  78  79\n",
       "9   80  81  82  83  84  85  86  87  88  89\n",
       "10  90  91  92  93  94  95  96  97  98  99"
      ]
     },
     "execution_count": 56,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 61,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "### here I am creating a DataFrame from a dictionnary\n",
    "\n",
    "df = pd.DataFrame({'a' : np.random.random(5),\\\n",
    "                   'b' : np.random.random(5),\\\n",
    "                   'c': np.random.random(5)}, index=np.arange(1,6))"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 62,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.152349</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.230913</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.333779</td>\n",
       "      <td>0.613020</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "      <td>0.512849</td>\n",
       "      <td>0.163867</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.813810</td>\n",
       "      <td>0.520264</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c\n",
       "1  0.653164  0.412884  0.152349\n",
       "2  0.962469  0.849935  0.230913\n",
       "3  0.028905  0.333779  0.613020\n",
       "4  0.038971  0.512849  0.163867\n",
       "5  0.111465  0.813810  0.520264"
      ]
     },
     "execution_count": 62,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "#### Indexing a DataFrame"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "different ways, return either a Series or a DataFrame"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 63,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a\n",
       "1  0.653164\n",
       "2  0.962469\n",
       "3  0.028905\n",
       "4  0.038971\n",
       "5  0.111465"
      ]
     },
     "execution_count": 63,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df[['a']]"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 64,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "pandas.core.series.Series"
      ]
     },
     "execution_count": 64,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "type(df['a']) "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 65,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a\n",
       "1  0.653164\n",
       "2  0.962469\n",
       "3  0.028905\n",
       "4  0.038971\n",
       "5  0.111465"
      ]
     },
     "execution_count": 65,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df[['a']]"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 66,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "pandas.core.series.Series"
      ]
     },
     "execution_count": 66,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "type(df['a'])"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "To access a particular *row* instead of a column, you use the *ix* method"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 67,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.152349</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.230913</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.333779</td>\n",
       "      <td>0.613020</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "      <td>0.512849</td>\n",
       "      <td>0.163867</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.813810</td>\n",
       "      <td>0.520264</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c\n",
       "1  0.653164  0.412884  0.152349\n",
       "2  0.962469  0.849935  0.230913\n",
       "3  0.028905  0.333779  0.613020\n",
       "4  0.038971  0.512849  0.163867\n",
       "5  0.111465  0.813810  0.520264"
      ]
     },
     "execution_count": 67,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 68,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "a    0.028905\n",
       "b    0.333779\n",
       "c    0.613020\n",
       "Name: 3, dtype: float64"
      ]
     },
     "execution_count": 68,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df.ix[3]"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 69,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.152349</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.230913</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.333779</td>\n",
       "      <td>0.613020</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "      <td>0.512849</td>\n",
       "      <td>0.163867</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.813810</td>\n",
       "      <td>0.520264</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c\n",
       "1  0.653164  0.412884  0.152349\n",
       "2  0.962469  0.849935  0.230913\n",
       "3  0.028905  0.333779  0.613020\n",
       "4  0.038971  0.512849  0.163867\n",
       "5  0.111465  0.813810  0.520264"
      ]
     },
     "execution_count": 69,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "access values per **positional indices** only"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 70,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "a    0.028905\n",
       "b    0.333779\n",
       "Name: 3, dtype: float64"
      ]
     },
     "execution_count": 70,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df.iloc[2,0:2]"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 71,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "pandas.core.series.Series"
      ]
     },
     "execution_count": 71,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "type(_)"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "And you can combine of course row (with ix) and column indexing, using the same convention for slices as we saw for the Series "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 72,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "a    0.028905\n",
       "b    0.333779\n",
       "Name: 3, dtype: float64"
      ]
     },
     "execution_count": 72,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df.ix[3]['a':'b']"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 73,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>c</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.613020</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "      <td>0.163867</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.520264</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         c\n",
       "3  0.028905  0.613020\n",
       "4  0.038971  0.163867\n",
       "5  0.111465  0.520264"
      ]
     },
     "execution_count": 73,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df.ix[3:5][['a','c']]"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "you can also use the `loc` method, giving it both row **AND** columns indexes \n",
    "(the indexing is based on the *label*, **NOT** on the *position*)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 74,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.152349</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.230913</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.333779</td>\n",
       "      <td>0.613020</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "      <td>0.512849</td>\n",
       "      <td>0.163867</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.813810</td>\n",
       "      <td>0.520264</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c\n",
       "1  0.653164  0.412884  0.152349\n",
       "2  0.962469  0.849935  0.230913\n",
       "3  0.028905  0.333779  0.613020\n",
       "4  0.038971  0.512849  0.163867\n",
       "5  0.111465  0.813810  0.520264"
      ]
     },
     "execution_count": 74,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 75,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.333779</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.813810</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b\n",
       "3  0.028905  0.333779\n",
       "5  0.111465  0.813810"
      ]
     },
     "execution_count": 75,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df.loc[[3,5],['a','b']]"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "conditional indexing or subsetting of a DataFrame "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 76,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.152349</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.230913</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.333779</td>\n",
       "      <td>0.613020</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "      <td>0.512849</td>\n",
       "      <td>0.163867</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.813810</td>\n",
       "      <td>0.520264</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c\n",
       "1  0.653164  0.412884  0.152349\n",
       "2  0.962469  0.849935  0.230913\n",
       "3  0.028905  0.333779  0.613020\n",
       "4  0.038971  0.512849  0.163867\n",
       "5  0.111465  0.813810  0.520264"
      ]
     },
     "execution_count": 76,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 77,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.152349</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.230913</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.333779</td>\n",
       "      <td>0.613020</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "      <td>0.512849</td>\n",
       "      <td>0.163867</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.813810</td>\n",
       "      <td>0.520264</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c\n",
       "1  0.653164  0.412884  0.152349\n",
       "2  0.962469  0.849935  0.230913\n",
       "3  0.028905  0.333779  0.613020\n",
       "4  0.038971  0.512849  0.163867\n",
       "5  0.111465  0.813810  0.520264"
      ]
     },
     "execution_count": 77,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 78,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "subset = df[df['a'] <= 0.4]"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 79,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.333779</td>\n",
       "      <td>0.613020</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "      <td>0.512849</td>\n",
       "      <td>0.163867</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.813810</td>\n",
       "      <td>0.520264</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c\n",
       "3  0.028905  0.333779  0.613020\n",
       "4  0.038971  0.512849  0.163867\n",
       "5  0.111465  0.813810  0.520264"
      ]
     },
     "execution_count": 79,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "subset"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "#### queries"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "as from Pandas version 0.14, you can build complex *database-like* queries on DataFrames"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 80,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.152349</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.230913</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.333779</td>\n",
       "      <td>0.613020</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "      <td>0.512849</td>\n",
       "      <td>0.163867</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.813810</td>\n",
       "      <td>0.520264</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c\n",
       "1  0.653164  0.412884  0.152349\n",
       "2  0.962469  0.849935  0.230913\n",
       "3  0.028905  0.333779  0.613020\n",
       "4  0.038971  0.512849  0.163867\n",
       "5  0.111465  0.813810  0.520264"
      ]
     },
     "execution_count": 80,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 81,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.152349</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.230913</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c\n",
       "1  0.653164  0.412884  0.152349\n",
       "2  0.962469  0.849935  0.230913"
      ]
     },
     "execution_count": 81,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df.query('a > b')"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 82,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.152349</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.230913</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c\n",
       "1  0.653164  0.412884  0.152349\n",
       "2  0.962469  0.849935  0.230913"
      ]
     },
     "execution_count": 82,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df.query('(a > b) & (b > c)')"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "#### Extending a DataFrame"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Adding a column is easy "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 83,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.152349</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.230913</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.333779</td>\n",
       "      <td>0.613020</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "      <td>0.512849</td>\n",
       "      <td>0.163867</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.813810</td>\n",
       "      <td>0.520264</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c\n",
       "1  0.653164  0.412884  0.152349\n",
       "2  0.962469  0.849935  0.230913\n",
       "3  0.028905  0.333779  0.613020\n",
       "4  0.038971  0.512849  0.163867\n",
       "5  0.111465  0.813810  0.520264"
      ]
     },
     "execution_count": 83,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 84,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "df['d'] = np.random.random(5)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 85,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "      <th>d</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.152349</td>\n",
       "      <td>0.426597</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.230913</td>\n",
       "      <td>0.246311</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.333779</td>\n",
       "      <td>0.613020</td>\n",
       "      <td>0.581089</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "      <td>0.512849</td>\n",
       "      <td>0.163867</td>\n",
       "      <td>0.508902</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.813810</td>\n",
       "      <td>0.520264</td>\n",
       "      <td>0.908871</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c         d\n",
       "1  0.653164  0.412884  0.152349  0.426597\n",
       "2  0.962469  0.849935  0.230913  0.246311\n",
       "3  0.028905  0.333779  0.613020  0.581089\n",
       "4  0.038971  0.512849  0.163867  0.508902\n",
       "5  0.111465  0.813810  0.520264  0.908871"
      ]
     },
     "execution_count": 85,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "The following works because Pandas understands that a single value must be repeated over the row length"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 86,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "df['e'] = 5"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 87,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "      <th>d</th>\n",
       "      <th>e</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.152349</td>\n",
       "      <td>0.426597</td>\n",
       "      <td>5</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.230913</td>\n",
       "      <td>0.246311</td>\n",
       "      <td>5</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.333779</td>\n",
       "      <td>0.613020</td>\n",
       "      <td>0.581089</td>\n",
       "      <td>5</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "      <td>0.512849</td>\n",
       "      <td>0.163867</td>\n",
       "      <td>0.508902</td>\n",
       "      <td>5</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.813810</td>\n",
       "      <td>0.520264</td>\n",
       "      <td>0.908871</td>\n",
       "      <td>5</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c         d  e\n",
       "1  0.653164  0.412884  0.152349  0.426597  5\n",
       "2  0.962469  0.849935  0.230913  0.246311  5\n",
       "3  0.028905  0.333779  0.613020  0.581089  5\n",
       "4  0.038971  0.512849  0.163867  0.508902  5\n",
       "5  0.111465  0.813810  0.520264  0.908871  5"
      ]
     },
     "execution_count": 87,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "The following doesn't work because there's no way to tell **where** to insert the missing value (align to 1st or last index ?)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 88,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "ename": "ValueError",
     "evalue": "Length of values does not match length of index",
     "output_type": "error",
     "traceback": [
      "\u001b[0;31m---------------------------------------------------------------------------\u001b[0m",
      "\u001b[0;31mValueError\u001b[0m                                Traceback (most recent call last)",
      "\u001b[0;32m<ipython-input-88-840e6680bd18>\u001b[0m in \u001b[0;36m<module>\u001b[0;34m()\u001b[0m\n\u001b[0;32m----> 1\u001b[0;31m \u001b[0mdf\u001b[0m\u001b[0;34m[\u001b[0m\u001b[0;34m'f'\u001b[0m\u001b[0;34m]\u001b[0m \u001b[0;34m=\u001b[0m \u001b[0mnp\u001b[0m\u001b[0;34m.\u001b[0m\u001b[0mrandom\u001b[0m\u001b[0;34m.\u001b[0m\u001b[0mrandom\u001b[0m\u001b[0;34m(\u001b[0m\u001b[0;36m4\u001b[0m\u001b[0;34m)\u001b[0m\u001b[0;34m\u001b[0m\u001b[0m\n\u001b[0m",
      "\u001b[0;32m/Users/nicolasf/anaconda/anaconda/lib/python3.5/site-packages/pandas/core/frame.py\u001b[0m in \u001b[0;36m__setitem__\u001b[0;34m(self, key, value)\u001b[0m\n\u001b[1;32m   2346\u001b[0m         \u001b[0;32melse\u001b[0m\u001b[0;34m:\u001b[0m\u001b[0;34m\u001b[0m\u001b[0m\n\u001b[1;32m   2347\u001b[0m             \u001b[0;31m# set column\u001b[0m\u001b[0;34m\u001b[0m\u001b[0;34m\u001b[0m\u001b[0m\n\u001b[0;32m-> 2348\u001b[0;31m             \u001b[0mself\u001b[0m\u001b[0;34m.\u001b[0m\u001b[0m_set_item\u001b[0m\u001b[0;34m(\u001b[0m\u001b[0mkey\u001b[0m\u001b[0;34m,\u001b[0m \u001b[0mvalue\u001b[0m\u001b[0;34m)\u001b[0m\u001b[0;34m\u001b[0m\u001b[0m\n\u001b[0m\u001b[1;32m   2349\u001b[0m \u001b[0;34m\u001b[0m\u001b[0m\n\u001b[1;32m   2350\u001b[0m     \u001b[0;32mdef\u001b[0m \u001b[0m_setitem_slice\u001b[0m\u001b[0;34m(\u001b[0m\u001b[0mself\u001b[0m\u001b[0;34m,\u001b[0m \u001b[0mkey\u001b[0m\u001b[0;34m,\u001b[0m \u001b[0mvalue\u001b[0m\u001b[0;34m)\u001b[0m\u001b[0;34m:\u001b[0m\u001b[0;34m\u001b[0m\u001b[0m\n",
      "\u001b[0;32m/Users/nicolasf/anaconda/anaconda/lib/python3.5/site-packages/pandas/core/frame.py\u001b[0m in \u001b[0;36m_set_item\u001b[0;34m(self, key, value)\u001b[0m\n\u001b[1;32m   2412\u001b[0m \u001b[0;34m\u001b[0m\u001b[0m\n\u001b[1;32m   2413\u001b[0m         \u001b[0mself\u001b[0m\u001b[0;34m.\u001b[0m\u001b[0m_ensure_valid_index\u001b[0m\u001b[0;34m(\u001b[0m\u001b[0mvalue\u001b[0m\u001b[0;34m)\u001b[0m\u001b[0;34m\u001b[0m\u001b[0m\n\u001b[0;32m-> 2414\u001b[0;31m         \u001b[0mvalue\u001b[0m \u001b[0;34m=\u001b[0m \u001b[0mself\u001b[0m\u001b[0;34m.\u001b[0m\u001b[0m_sanitize_column\u001b[0m\u001b[0;34m(\u001b[0m\u001b[0mkey\u001b[0m\u001b[0;34m,\u001b[0m \u001b[0mvalue\u001b[0m\u001b[0;34m)\u001b[0m\u001b[0;34m\u001b[0m\u001b[0m\n\u001b[0m\u001b[1;32m   2415\u001b[0m         \u001b[0mNDFrame\u001b[0m\u001b[0;34m.\u001b[0m\u001b[0m_set_item\u001b[0m\u001b[0;34m(\u001b[0m\u001b[0mself\u001b[0m\u001b[0;34m,\u001b[0m \u001b[0mkey\u001b[0m\u001b[0;34m,\u001b[0m \u001b[0mvalue\u001b[0m\u001b[0;34m)\u001b[0m\u001b[0;34m\u001b[0m\u001b[0m\n\u001b[1;32m   2416\u001b[0m \u001b[0;34m\u001b[0m\u001b[0m\n",
      "\u001b[0;32m/Users/nicolasf/anaconda/anaconda/lib/python3.5/site-packages/pandas/core/frame.py\u001b[0m in \u001b[0;36m_sanitize_column\u001b[0;34m(self, key, value)\u001b[0m\n\u001b[1;32m   2570\u001b[0m \u001b[0;34m\u001b[0m\u001b[0m\n\u001b[1;32m   2571\u001b[0m             \u001b[0;31m# turn me into an ndarray\u001b[0m\u001b[0;34m\u001b[0m\u001b[0;34m\u001b[0m\u001b[0m\n\u001b[0;32m-> 2572\u001b[0;31m             \u001b[0mvalue\u001b[0m \u001b[0;34m=\u001b[0m \u001b[0m_sanitize_index\u001b[0m\u001b[0;34m(\u001b[0m\u001b[0mvalue\u001b[0m\u001b[0;34m,\u001b[0m \u001b[0mself\u001b[0m\u001b[0;34m.\u001b[0m\u001b[0mindex\u001b[0m\u001b[0;34m,\u001b[0m \u001b[0mcopy\u001b[0m\u001b[0;34m=\u001b[0m\u001b[0;32mFalse\u001b[0m\u001b[0;34m)\u001b[0m\u001b[0;34m\u001b[0m\u001b[0m\n\u001b[0m\u001b[1;32m   2573\u001b[0m             \u001b[0;32mif\u001b[0m \u001b[0;32mnot\u001b[0m \u001b[0misinstance\u001b[0m\u001b[0;34m(\u001b[0m\u001b[0mvalue\u001b[0m\u001b[0;34m,\u001b[0m \u001b[0;34m(\u001b[0m\u001b[0mnp\u001b[0m\u001b[0;34m.\u001b[0m\u001b[0mndarray\u001b[0m\u001b[0;34m,\u001b[0m \u001b[0mIndex\u001b[0m\u001b[0;34m)\u001b[0m\u001b[0;34m)\u001b[0m\u001b[0;34m:\u001b[0m\u001b[0;34m\u001b[0m\u001b[0m\n\u001b[1;32m   2574\u001b[0m                 \u001b[0;32mif\u001b[0m \u001b[0misinstance\u001b[0m\u001b[0;34m(\u001b[0m\u001b[0mvalue\u001b[0m\u001b[0;34m,\u001b[0m \u001b[0mlist\u001b[0m\u001b[0;34m)\u001b[0m \u001b[0;32mand\u001b[0m \u001b[0mlen\u001b[0m\u001b[0;34m(\u001b[0m\u001b[0mvalue\u001b[0m\u001b[0;34m)\u001b[0m \u001b[0;34m>\u001b[0m \u001b[0;36m0\u001b[0m\u001b[0;34m:\u001b[0m\u001b[0;34m\u001b[0m\u001b[0m\n",
      "\u001b[0;32m/Users/nicolasf/anaconda/anaconda/lib/python3.5/site-packages/pandas/core/series.py\u001b[0m in \u001b[0;36m_sanitize_index\u001b[0;34m(data, index, copy)\u001b[0m\n\u001b[1;32m   2819\u001b[0m \u001b[0;34m\u001b[0m\u001b[0m\n\u001b[1;32m   2820\u001b[0m     \u001b[0;32mif\u001b[0m \u001b[0mlen\u001b[0m\u001b[0;34m(\u001b[0m\u001b[0mdata\u001b[0m\u001b[0;34m)\u001b[0m \u001b[0;34m!=\u001b[0m \u001b[0mlen\u001b[0m\u001b[0;34m(\u001b[0m\u001b[0mindex\u001b[0m\u001b[0;34m)\u001b[0m\u001b[0;34m:\u001b[0m\u001b[0;34m\u001b[0m\u001b[0m\n\u001b[0;32m-> 2821\u001b[0;31m         \u001b[0;32mraise\u001b[0m \u001b[0mValueError\u001b[0m\u001b[0;34m(\u001b[0m\u001b[0;34m'Length of values does not match length of '\u001b[0m \u001b[0;34m'index'\u001b[0m\u001b[0;34m)\u001b[0m\u001b[0;34m\u001b[0m\u001b[0m\n\u001b[0m\u001b[1;32m   2822\u001b[0m \u001b[0;34m\u001b[0m\u001b[0m\n\u001b[1;32m   2823\u001b[0m     \u001b[0;32mif\u001b[0m \u001b[0misinstance\u001b[0m\u001b[0;34m(\u001b[0m\u001b[0mdata\u001b[0m\u001b[0;34m,\u001b[0m \u001b[0mPeriodIndex\u001b[0m\u001b[0;34m)\u001b[0m\u001b[0;34m:\u001b[0m\u001b[0;34m\u001b[0m\u001b[0m\n",
      "\u001b[0;31mValueError\u001b[0m: Length of values does not match length of index"
     ]
    }
   ],
   "source": [
    "df['f'] = np.random.random(4)"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Unless we make a series out of it, with a index matching at least partly the DataFrame (row) index"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 89,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "df['f'] = pd.Series(np.random.random(4), index=np.arange(1,5)) #"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 90,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "      <th>d</th>\n",
       "      <th>e</th>\n",
       "      <th>f</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.152349</td>\n",
       "      <td>0.426597</td>\n",
       "      <td>5</td>\n",
       "      <td>0.688023</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.230913</td>\n",
       "      <td>0.246311</td>\n",
       "      <td>5</td>\n",
       "      <td>0.015322</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.333779</td>\n",
       "      <td>0.613020</td>\n",
       "      <td>0.581089</td>\n",
       "      <td>5</td>\n",
       "      <td>0.012792</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "      <td>0.512849</td>\n",
       "      <td>0.163867</td>\n",
       "      <td>0.508902</td>\n",
       "      <td>5</td>\n",
       "      <td>0.049240</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.813810</td>\n",
       "      <td>0.520264</td>\n",
       "      <td>0.908871</td>\n",
       "      <td>5</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c         d  e         f\n",
       "1  0.653164  0.412884  0.152349  0.426597  5  0.688023\n",
       "2  0.962469  0.849935  0.230913  0.246311  5  0.015322\n",
       "3  0.028905  0.333779  0.613020  0.581089  5  0.012792\n",
       "4  0.038971  0.512849  0.163867  0.508902  5  0.049240\n",
       "5  0.111465  0.813810  0.520264  0.908871  5       NaN"
      ]
     },
     "execution_count": 90,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "#### Useful DataFrames methods"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "##### applying a numpy function"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 91,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "      <th>d</th>\n",
       "      <th>e</th>\n",
       "      <th>f</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.808185</td>\n",
       "      <td>0.642560</td>\n",
       "      <td>0.390319</td>\n",
       "      <td>0.653144</td>\n",
       "      <td>2.236068</td>\n",
       "      <td>0.829472</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.981055</td>\n",
       "      <td>0.921919</td>\n",
       "      <td>0.480534</td>\n",
       "      <td>0.496297</td>\n",
       "      <td>2.236068</td>\n",
       "      <td>0.123783</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.170014</td>\n",
       "      <td>0.577736</td>\n",
       "      <td>0.782956</td>\n",
       "      <td>0.762292</td>\n",
       "      <td>2.236068</td>\n",
       "      <td>0.113101</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.197410</td>\n",
       "      <td>0.716135</td>\n",
       "      <td>0.404804</td>\n",
       "      <td>0.713374</td>\n",
       "      <td>2.236068</td>\n",
       "      <td>0.221900</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.333863</td>\n",
       "      <td>0.902114</td>\n",
       "      <td>0.721293</td>\n",
       "      <td>0.953347</td>\n",
       "      <td>2.236068</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c         d         e         f\n",
       "1  0.808185  0.642560  0.390319  0.653144  2.236068  0.829472\n",
       "2  0.981055  0.921919  0.480534  0.496297  2.236068  0.123783\n",
       "3  0.170014  0.577736  0.782956  0.762292  2.236068  0.113101\n",
       "4  0.197410  0.716135  0.404804  0.713374  2.236068  0.221900\n",
       "5  0.333863  0.902114  0.721293  0.953347  2.236068       NaN"
      ]
     },
     "execution_count": 91,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df.apply(np.sqrt) # or np.sqrt(df)"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "##### summarizing data"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 92,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "      <th>d</th>\n",
       "      <th>e</th>\n",
       "      <th>f</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>count</th>\n",
       "      <td>5.000000</td>\n",
       "      <td>5.000000</td>\n",
       "      <td>5.000000</td>\n",
       "      <td>5.000000</td>\n",
       "      <td>5.0</td>\n",
       "      <td>4.000000</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>mean</th>\n",
       "      <td>0.358994</td>\n",
       "      <td>0.584651</td>\n",
       "      <td>0.336082</td>\n",
       "      <td>0.534354</td>\n",
       "      <td>5.0</td>\n",
       "      <td>0.191344</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>std</th>\n",
       "      <td>0.425253</td>\n",
       "      <td>0.234780</td>\n",
       "      <td>0.215113</td>\n",
       "      <td>0.243760</td>\n",
       "      <td>0.0</td>\n",
       "      <td>0.331536</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>min</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.333779</td>\n",
       "      <td>0.152349</td>\n",
       "      <td>0.246311</td>\n",
       "      <td>5.0</td>\n",
       "      <td>0.012792</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>25%</th>\n",
       "      <td>0.038971</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.163867</td>\n",
       "      <td>0.426597</td>\n",
       "      <td>5.0</td>\n",
       "      <td>0.014690</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>50%</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.512849</td>\n",
       "      <td>0.230913</td>\n",
       "      <td>0.508902</td>\n",
       "      <td>5.0</td>\n",
       "      <td>0.032281</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>75%</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.813810</td>\n",
       "      <td>0.520264</td>\n",
       "      <td>0.581089</td>\n",
       "      <td>5.0</td>\n",
       "      <td>0.208936</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>max</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.613020</td>\n",
       "      <td>0.908871</td>\n",
       "      <td>5.0</td>\n",
       "      <td>0.688023</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "              a         b         c         d    e         f\n",
       "count  5.000000  5.000000  5.000000  5.000000  5.0  4.000000\n",
       "mean   0.358994  0.584651  0.336082  0.534354  5.0  0.191344\n",
       "std    0.425253  0.234780  0.215113  0.243760  0.0  0.331536\n",
       "min    0.028905  0.333779  0.152349  0.246311  5.0  0.012792\n",
       "25%    0.038971  0.412884  0.163867  0.426597  5.0  0.014690\n",
       "50%    0.111465  0.512849  0.230913  0.508902  5.0  0.032281\n",
       "75%    0.653164  0.813810  0.520264  0.581089  5.0  0.208936\n",
       "max    0.962469  0.849935  0.613020  0.908871  5.0  0.688023"
      ]
     },
     "execution_count": 92,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df.describe()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "##### replacing values"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 93,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "      <th>d</th>\n",
       "      <th>e</th>\n",
       "      <th>f</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.152349</td>\n",
       "      <td>0.426597</td>\n",
       "      <td>5</td>\n",
       "      <td>0.688023</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.230913</td>\n",
       "      <td>0.246311</td>\n",
       "      <td>5</td>\n",
       "      <td>0.015322</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.333779</td>\n",
       "      <td>0.613020</td>\n",
       "      <td>0.581089</td>\n",
       "      <td>5</td>\n",
       "      <td>0.012792</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "      <td>0.512849</td>\n",
       "      <td>0.163867</td>\n",
       "      <td>0.508902</td>\n",
       "      <td>5</td>\n",
       "      <td>0.049240</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.813810</td>\n",
       "      <td>0.520264</td>\n",
       "      <td>0.908871</td>\n",
       "      <td>5</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c         d  e         f\n",
       "1  0.653164  0.412884  0.152349  0.426597  5  0.688023\n",
       "2  0.962469  0.849935  0.230913  0.246311  5  0.015322\n",
       "3  0.028905  0.333779  0.613020  0.581089  5  0.012792\n",
       "4  0.038971  0.512849  0.163867  0.508902  5  0.049240\n",
       "5  0.111465  0.813810  0.520264  0.908871  5       NaN"
      ]
     },
     "execution_count": 93,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df.head()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 94,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "df['e'].replace(5, 0.0, inplace=True) \n",
    "# you can use dictionnary to multiple replacements"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "##### assign "
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "**Note**: `assign` is a `DataFrame` method available in version 0.16 of Pandas, to update: \n",
    "        \n",
    "```\n",
    "ᐅ conda update pandas \n",
    "```"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 95,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "      <th>d</th>\n",
       "      <th>e</th>\n",
       "      <th>f</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.152349</td>\n",
       "      <td>0.426597</td>\n",
       "      <td>0</td>\n",
       "      <td>0.653164</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.230913</td>\n",
       "      <td>0.246311</td>\n",
       "      <td>0</td>\n",
       "      <td>0.962469</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>0.028905</td>\n",
       "      <td>0.333779</td>\n",
       "      <td>0.613020</td>\n",
       "      <td>0.581089</td>\n",
       "      <td>0</td>\n",
       "      <td>0.028905</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>0.038971</td>\n",
       "      <td>0.512849</td>\n",
       "      <td>0.163867</td>\n",
       "      <td>0.508902</td>\n",
       "      <td>0</td>\n",
       "      <td>0.038971</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>0.111465</td>\n",
       "      <td>0.813810</td>\n",
       "      <td>0.520264</td>\n",
       "      <td>0.908871</td>\n",
       "      <td>0</td>\n",
       "      <td>0.111465</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c         d  e         f\n",
       "1  0.653164  0.412884  0.152349  0.426597  0  0.653164\n",
       "2  0.962469  0.849935  0.230913  0.246311  0  0.962469\n",
       "3  0.028905  0.333779  0.613020  0.581089  0  0.028905\n",
       "4  0.038971  0.512849  0.163867  0.508902  0  0.038971\n",
       "5  0.111465  0.813810  0.520264  0.908871  0  0.111465"
      ]
     },
     "execution_count": 95,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df.assign(f = df['a'] + df['e'])"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "that allows you to write very succint code"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 96,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>a</th>\n",
       "      <th>b</th>\n",
       "      <th>c</th>\n",
       "      <th>d</th>\n",
       "      <th>e</th>\n",
       "      <th>f</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>0.653164</td>\n",
       "      <td>0.412884</td>\n",
       "      <td>0.152349</td>\n",
       "      <td>0.426597</td>\n",
       "      <td>0</td>\n",
       "      <td>0.653164</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>0.962469</td>\n",
       "      <td>0.849935</td>\n",
       "      <td>0.230913</td>\n",
       "      <td>0.246311</td>\n",
       "      <td>0</td>\n",
       "      <td>0.962469</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "          a         b         c         d  e         f\n",
       "1  0.653164  0.412884  0.152349  0.426597  0  0.653164\n",
       "2  0.962469  0.849935  0.230913  0.246311  0  0.962469"
      ]
     },
     "execution_count": 96,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df.query('a > 0.6').assign(f = df['a'] + df['e'])"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "#### DataFrame high-level plotting functions"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 97,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAAl8AAAIgCAYAAAC7ywwJAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\nS0RERCSDlHyJiIiIZJCSLxEREZEM+v+51pWqH4Yj8QAAAABJRU5ErkJggg==\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x11d330c50>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "df.plot(subplots=True, figsize=(10,10));"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 98,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAAeAAAALJCAYAAABsn/D2AAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\ngCMiIgr8AY/D9NxHHoCaAAAAAElFTkSuQmCC\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x11d3e6e10>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "df.drop('e', axis=1).plot(figsize=(8,12), \\\n",
    "                          subplots=True, \\\n",
    "                          sharex=True, \\\n",
    "                          kind='bar', rot=0); "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 99,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "import pandas as pd\n",
    "from sklearn.datasets import load_iris\n",
    " \n",
    "    \n",
    "iris = load_iris()\n",
    " \n",
    "iris = pd.DataFrame(iris.data, columns=iris.feature_names)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 100,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>sepal length (cm)</th>\n",
       "      <th>sepal width (cm)</th>\n",
       "      <th>petal length (cm)</th>\n",
       "      <th>petal width (cm)</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>0</th>\n",
       "      <td>5.1</td>\n",
       "      <td>3.5</td>\n",
       "      <td>1.4</td>\n",
       "      <td>0.2</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>4.9</td>\n",
       "      <td>3.0</td>\n",
       "      <td>1.4</td>\n",
       "      <td>0.2</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>4.7</td>\n",
       "      <td>3.2</td>\n",
       "      <td>1.3</td>\n",
       "      <td>0.2</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>4.6</td>\n",
       "      <td>3.1</td>\n",
       "      <td>1.5</td>\n",
       "      <td>0.2</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>5.0</td>\n",
       "      <td>3.6</td>\n",
       "      <td>1.4</td>\n",
       "      <td>0.2</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "   sepal length (cm)  sepal width (cm)  petal length (cm)  petal width (cm)\n",
       "0                5.1               3.5                1.4               0.2\n",
       "1                4.9               3.0                1.4               0.2\n",
       "2                4.7               3.2                1.3               0.2\n",
       "3                4.6               3.1                1.5               0.2\n",
       "4                5.0               3.6                1.4               0.2"
      ]
     },
     "execution_count": 100,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "iris.head()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 101,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAAXUAAAEKCAYAAADticXcAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz\nAAALEgAACxIB0t1+/AAAIABJREFUeJztnXm8JVV177+/ZmhppgaNfUGgW41CULHhKWqQ0CgiogGT\nGKMYAfGh8UmYjJHh+WlpUYEoojgFJQhERCQO4AQY+kLABzI13WKLIjST9EVmEQSl1/tj70NXnz7n\nnqo6+5yqOmd9P5/63Jr2Wquq1t1n16q915aZ4TiO44wGM6o2wHEcx0mHV+qO4zgjhFfqjuM4I4RX\n6o7jOCOEV+qO4zgjhFfqjuM4I4RX6jmQdIakRV2OHSDpf4ZtU9Td1a5pylwh6aWJ7XiJpCtTynTq\nQRkf6yDjaEmnTXP8Nkmvmeb4YkkHFdC3vqSbJM0pamsPuW+SdG5KmYNgLCv1Xk5UgoF39k/x4yHp\nTcAjZnZjIrMAMLNlwIOS3phSrpOeAfh+T8zsE2b2njznSloo6aw+Vb4HuMzMpvqUswZm9j1ge0kv\nTik3NWNZqTcU0f+Pxz8BZyewpRPnRPmOUzWD9PNzgfcOSHYSGlupxxbHUfE1635Jp0taP3P8TZJu\nkPRgDDm8JO4/C9gGuFDSI5L+Je4/T9I98fxJSduXtGs7SRdHm5ZL+vvMsTMkfU7S96Lu/yfpuZnj\ne0r6RbTh89GOgyRtB3wReJWk30l6IKNy827y2uxaD3gNcFlm3wxJx0i6RdLDkq6R9Jx4bJWk90n6\nZTy2SNLzJF0p6SFJ50paN6NiEnht1OMMkLr4vqQVknaM6++IPvMXcfsgSd+K6wslnZ0p985Y9reS\njiE2ViS9HjgG+Ifo5zdk1M2L1/KIpB9J2ryLTVsDzwWuzux7hqRPRZ0PSrpc0kxJc6PNB0q6I97L\n90p6maQbJT0g6dQ2FZNAvd9IzayRC3AbsBTYEpgNXAEsisd2BKaAlxFauO+M56+XKbt7m7wDgVnA\nesDJwA2ZY2e0ZHew4wDg8rg+C7gD2D/qfSnwW2C7jJzfAv+L8IP6n8A58dgzgYeBfeOxQ4EngIPa\n9bTZ1VFeBzu3B37Xtu+DwI3An8ftlwCbxfVVwLeBDYG/AP4AXALMBTYGbgLe2SbvYeDFVfvGqC81\n8v2vAkfE9X8HfgW8N26fCRwW1xcCZ2X9ENgl6vsU8CTwmvZzM3oWR9nPB2bG7Y93sWlvYFnbvs8D\nlwIT8Z68MuqeG/38C8D6wB7A48C34v/jlvFe7pqRtRnwFLBR1X7QbWlsSz1yqpn9xsweAj4GvD3u\nPxj4kplda4GzCRXkKzNllRVkZl81s8fM7I/AIuClkjYuaM+bgNvM7Kyo90bgv4C/z5zzbTO7zsxW\nAV8D5sf9ewM/M7PvmtkqM/sswaF60U1eO7MJ/0xZ3g0ca2a3QIiNm9mDmeMnmtnvzWw58DPgYjO7\n3cx+B/yQUIFk+V3U4wyeOvj+5cBucX1X4BOZ7d3IvBVm+DvgQjO7Mur7MPnCimeY2a/N7AngPHL6\nuSQB7wIONbOV8Z5cFXUTdS8ysyfN7MfA74Gvm9n9ZvYb4H9Y089/R7h/tfXzplfqd2XWbyf8skL4\nBf5AfH16QNKDwFaZ42sQwxAnxDDEQ4TWjAHPKmjPXOCVbXr3A7Jf4Vdm1h8DNorrWwJ3TnN93egm\nr50HCS3sLFsDt04j+97M+uOs+SPzeAddGwMPTSPPSUcdfP8yYFdJE4S65Dzg1ZLmApuY2ZIOZdbw\nczN7DLg/h66yfv4sQus+lZ9vTLg/tfXzplfqW2fW5wK/iet3Ah8zs83jspmZbWRm34jH21sG+wF/\nTXgFnA3MI/wai2LcCUy26d3EzA7JUfaetuuB8M/Yot+PpLcQGi5bZPbdQXil7RtJWxJeaW9OIc/p\nSeW+b2a/JlR6/0wIDT5KqHzfQwgJdWINP5c0ixDqeFpsL709WAo8V1KrbruPEDpM4ueEUOSKeK21\npOmV+vslPSd+NDmG8GUa4MvAP0naGUDShpL2lrRhPD4FPC8jZ2PCK+qD8ZxPUM65vge8UNI/SlpX\n0nrxo8u2Ocp+H3ixpH0krSPpENZs4U8BW5X9EBlfN3/M6tdjgNOBj0r6c3i6v/lmZeRHuZdmXmud\nwVIX378MOITVoZbJtu12zgfeJOkvoy8vYs0fkCnCR9GiDSoAzOxuQgNm57htwH8AJ0vaIr6ZvDLz\nf1RUz26E0GNtaXqlfg5wMeEh/ooQW8TMriPEFj+n0FPkl4QPjS0+AXw4vp4eSfiocwdwNyF2/JMy\nxsRf7z2BtxFaTr8BTiC8/vUqez8h9v5vhNbFdsC1hH84CB96bgJWSrq3o5DenEb4iNviZMIr88WS\nHga+AmzQMqndxB6y3wF8qaRdTnHq4vuXEcITl3fZXgMz+znwfuDrhP+P+1kzlPRNQkV7v6RrW8UK\n2vTvrOnn/wIsA66J+k5gdd3Xy8/bt98e5dcWhR+yHCeG15lrgbvMbJ/YovsG4dVvBfBWM3t4UIZ2\nsOc24N1mdumwdA6T2FK5C9jPzLq1esrI/R/gEEs4ACl2mfuSme2SSmYdiD5/HXBn9PmFhAqz9aN6\njJn9qAK7Rtr3+0Whe+f1wGst4QAkhcF7/2hmb0slcxAUaakfBvw8s30U8GMz25bQijw6pWHjiEI/\n9U0lzQSOjbuvSqnDzHZNWaFHmctGrUKPHEZ4O8pyspntFJehV+hOb2JPlhenrNCj3O/VvUKHnJW6\npK0IXe6+ktm9L+HVjfj3zWlN68kozsP3KuDXhJbgG4F9YxcuZ8h08XkoHoMdBKPo+04i1u19CgCf\nJgxU2TSzb07rl9DMVkp6dmrjpsPMntf7rGZhZscBx1VthwN09nmAQyS9kxCK/MAwQ44tRtH3nXT0\nbKkrJGmain1Op2uleOvBGQmm8fkvAM8zs/mErnsnV2Gf40xHnpb6LsA+kvYm9IzYOOZxWClpjplN\nxcEHHXtkSPLK3kmCmQ0r9NHJ588ys2yPii8DF3Yq7D7vpKKMz/dsqZvZMWa2TXzlexuhL/I7CQ59\nYDztAOC708hIuhxwwAG1l9kEG5skc5hYZ5/fPzZeWvwtoQtgNxlDXQZxz+uoc5yutSx5Y+qdOAE4\nTyF5/e3AW/uQVYh58+bVXmYTbGySzJpwkqT5hCRQK6hRCtYq7nlVz3mcrrUMhSp1C/2lL4vrDxCy\nmjnOyNLm8/v3ON1xKqeRI0pnz06fIC21zCbY2CSZzvRUcc+res7jdK1laGSlPn9+t6yb9ZHZBBub\nJNOZnirueVXPeZyutQy50wSUViBZSh1nn30uF1xwUaEyRx/9z+y0007JbHCGjyRseL1fWjpLpcZI\n7fPOeFLW53vG1OOQ9csJM4OsC5xvZsdVlQfjk5/8IkuXvpKQ7yoPF/CCF3zLK3WnDK3UGJvE7VZq\njJMkfYiQGuOoPIIee+wxrriiWzba6dl1113ZYIMNep/oOOSo1M3sCUm7m9ljktYBrpTUSj15splV\nMABjC8JkJnm4m5BOeXomJydZsGBBHzYNVt64yxw2mTQBHwOOjLv3ZXXq4jMJaWZzVeqf/exn+chH\nTuMZz/jzQnb84Q+/4qMf/T988IMfnPa8Ku55Vc95nK61DLl6v1iYnQRCCtl1WT16tA55MBxnECRN\njfHkk0/yxBP/yBNPLCpkhHQsTz75ZKEyzniTq1LPpCB9PvB5M7smjrarKA9G+9SY/ZP6V3gQv+rj\nLHOYZNMESFowzaldA+cHHnjg032bZ8+ezW233cbqCX8m498FubZvvfXWNVqKk5PhePt2i27HR2W7\ntW/Y+rO6ByV/cnKSFStW0BcFRzhtAvw3YUbwP2P1h9bjgdO7lLGU7LDDXxlMGljO5aN29NHHJrXB\nGT7Rj4Y1ku/jhIkjbiVMv/YocDawnNBahzAz/fIu5dey/7jjjjP4cAG/DYt0jB1//PHpb6hTe8r6\nfNHBR49ImgT2sjVj6V3zYMDarZb58+eX/lV79NGHCJOjtEKbk/Hvgi7bt3H77atfX6f7lVywYEHS\nX92U8rKyUskDOOWUU/p6Hp22lyxZwuGHH96XvNZ6362WEpjZMYQp4pC0G+Et9J2STiKkxjiRHqkx\nhs04xZnH6VpL0avWJ8zGvWlc34DQE2ZvYCJzzhHAOV3KJ/31Ci31TydvqS9evDipnanljbtMhthS\nzy6E1sMFcX1zwjyvNxOmkpvdpcxa9g+6pT6Ie15HnVXprUJnWZ/P01LfAjgzxtVnAN8wsx9IOqu6\nPBgeUx83mVVhDUmNUcU9r+o5j9O1liFPl8ZlwFqdvM3zYDiO49SORqYJgBuSS2z/wl03eeMu05me\nKu55Vc95nK61DA2t1B1ncEiaKelqSTdIWhZHTyNpoaS7JF0fl72qttVx2uknn3qFeEx93GQOE6vl\nKOrpGac48zhdaxnyzFHardWymaSLJd0s6SJJ7RP0Ok5jMR9F7TSUPNPZPQHsbmY7AvOBN0jamdXJ\njbYFLiUkNxoSHlMfN5nDRtIMSTcQJpi+xMyuiYcOkbRE0lfq1JAZpzjzOF1rGfrJ/VI6uZHj1B0z\nWwXsKGkT4NuStge+ACwyM5N0PHAy8O5O5YedJmDJkiUDHybfaYDYMPW1tpcsWTJUfcO6v631fgfc\n5cqn3iH3y9GSHjSzzTLnPGBmm3coa3l05OWlL92NpUsXsfr3pBfHc/TRf+DjHz8+mQ3O8Kkin3pG\n94eB32dj6ZLmAhea2Q4dzl/L5xctWsTChX8CFhXUfSwf/egsjj322FK2O82lrM/n6v1iZqti+GUr\nYGdJL2LtZEY+K4AzEkh6Viu0ImkD4HXALyRNZE77W+BnVdjnONNROvcLMCVpjplNRWe/t1s5z/3i\nuV+qehUtSQ1HUU9PNjwzyjqr0lvVtZaiVx4Buud+ORH4UNz/IeCELuUTZEFYjed+GU+ZVJT7pczS\nyec990t35syZa4Q3/ULLnDlzk+jPw7jkfrkKOE/SQcDtwFv7+XEphvdT78XExDympm4vJH/OnLms\nXLmimFEdaEyLZoSo4p6n0hn8tHj0dmpqeJ9YmuTT/eR+qW1yI6fcP8ow/0kcxxkMDU0T4P3UE0pN\nL7FBfXo70cQBd1Xc8+qe8/D1NsmnG1qpO87gsFoOuHOcfDS0UveYekKp6SU2KP7YDes+4O7MuP9M\n4M0VmNaRJsfUS2gevsYG+XRDK3XHGSxd0gTMMbMpADNbCTy7ShsdpxM9P5RK2go4C5hD6J97mpmd\nGuOMB7O6f/oxZvajgVm6BjeQf0RpPlL3Qx1Ev9bB9JWdJHXLp1F9ertga6cJKDTgroo0Af2ODahq\nLMbqa+58/Wtvn0KIijHQ6xv2/W2t9z02o1efR8Ks6fPj+kaE+Rm3AxYCR+Yon7TvpvdTzweQ8/4s\nzqyneVaj1k8d+DDwAWA5obXe+r9Y3uX8tez3furdye+r7T6btm6Zjib1U+8ZfjGzlWa2JK4/Gh37\nOfFwRX3gxi+mPjExj9133x1JuZYClia1E5oVf+xElzQBy4ELgAPjaQcA363EwA54TH3AGhvk04Vi\n6pLmEd57ro67apmGdBRZ3e887+L0wRbAYklLCL5+kZn9gDCK+nWSbgZeC5xQoY2O05HcuV8kbQSc\nDxxmZo9KKp2G1HO/lJO3Zv/cBW372rfby3Q7vxWf7M++1PHH1noVuV+sgQPuqviOUd23k0mG3Vpv\n1HeiPDEaQuX/I0KF3un4XGBpl2NJ40zjGlMH2uLfvRaPqVe1dLqPHlPvTn5fbffZtHXLdIxUTD3y\nH8DPzewzrR3VpiEdv5h6lNoImY1p0XRB0laSLpV0UxxR+s9xf20nnvaY+oA1Nsin83Rp3AV4B7As\n9ts14Bhgv7qmIXWcPvkToWfXkhh2vE7SJfFYLSeedpwWeXq/XGlm65jZfDPb0cx2MrMfmdn+ZrZD\n3P9mi4MyhsN45n4ZTM6L9DKblCejE1bLHl/TU8U9r+45D19vk3zaR5Q6zjR4jy+naTS0UveYep1l\nNin+OB3tPb4IE08/z8zmE9IH1CYM4zH1AWtskE8Xms7OccYFSesSKvSzzey7AGb228wpXwYu7FZ+\n2GkCmry9+poXZNbJsU0t7G9imoCtCGlGbwKWAYfG/ZsBFxPSBlxEnPKuQ/mk3Xy8S2Pe6/Yujf0s\nhHxHJ7ftm8isHwGc06XsWvZ7l8bu5PdV79KYZ8kTfmn1BHgR8Crg/ZK2w3NLOyNKpsfXa+JEGa3u\niydJWhpHmu5GqNgdp1bkmc5uJSF+iIWRpMsJrfd9WT2s80zCO9FRgzGzHY+p11lmk+KPnTCzK4F1\nOhwaUhbS4nhMfcAaG+TTZXO/XIXnlnYcp4FMTMzLnRgvu0xMzKva9Fz0k/vF2k5p334az/3iuV8q\n+2g0Jnjul/yUmZQdJpma2r20zqGSJ/BOh9wv9JFbuh/8Q6l/KB30wgA6B/iH0u7k99U0H0qL62vp\nTFuX5bHTSvhv6dwvVJpb2mPqdZbZpPhjFxrXOcBj6qOosxw9K/VpegJ4bmlnJLHOaQJanQNqOfG0\n47ToJ/fLA2a2h5lta2Z7mtlDwzA44Llf6iyzSXkyetGUzgGe+2UUdZajoWkCnMEwcyR7A5SlQ5qA\n3J0DHKcqGpomwGPqg5H5BEXqqampzgkLRyCm3jFNADAlaY6ZTcX5BO7tVr6KNAEt6jLsfXBpArL7\nRictQWu93x5fCh9ZB4ckS6njpS/djaVLF7G6S2Mvjufoo//Axz9+fDIbqiBMJl3kPhY9v0wZMWj/\neVqThJkNLe2tpLOA+8zsyMy+E4EHzOxESR8CNjOztQbcdfL5RYsWsXDhn4BFBe04lo9+dBbHHnts\nmctoBMV9++mSpfxv2PrKUtbn83woPV3SlKSlmX0VzwDjMfU6y2x6TL2JnQM8pj6KOsuRJ/xyBnAq\nIcFRFp8BxhlJrHuaAKjpxNOO0yJP75crgAc7HKpwBhiPqddZ5ijE1JuG91MfRZ3l6Kf3i88A4ziO\nUzPK9n75ArDIzEzS8YQZYN7d7WTP/dKc3C9Fe2aMau4XSacDbwKmzGyHuG8hcDCre70cY2a1yNzo\nuV+GobMh5MklAMwFlhY9Zl3yYPSD537Je93lcr8Uy4fR+dk2PfdLUMerCb92SzP7FhLSB/Qqu5b9\nnvulO8X9ruWz5eqW4vpaOtPWZXnstBK+mzf8IjIx9NhHt8XfAj8r/GvSFx5Tr7PMUYipWy2/JXXH\nY+qjqLMcPcMvks4hXNEzJd1BaK3sLmk+sApYAbx3gDY6Tp04RNI7gWuBD5jZw1Ub5DhZ8sx8tF+H\n3WcMwJYC3ED+wUf5SB0fHEy8cZL0LYb0MquLtQ6c3N+Shj2iNMV3jKq+G62+5s7X3/07EEPSNwks\nKa1v6N+RysRsiizUIKa+4YbPjHG0fMucOXP7ttNj6mlhyDH1oLLct6RO98Vj6t0p7nctny1XtxTX\n19KZti7LY6eV8Nt+ujRWSLGY+u9/fz8F6vQ4M0p/eEx9JKjZt6TueEy9vjrLTp9XloYm9HKcweLf\nkpxUlJs+D8p+ky+b+2UzSRdLulnSRcMffJQ+90vqfqie+6XZmNl+Zralmc00s23M7Awz29/MdrAw\nt8CbLeZWrwOe+2UUdZYjT/jlDOD1bftqO62X4zjOOJOn98sVkua27d6X1d1PziT8jK2VgnRwpO+n\nnjpONx4x9ZmFYn9z5sxl5coVfehzuuEx9VHUWY6yH0qfbTWd1ssZJq1JNYb3AXpY1DPs6Di9SfWh\ndNqvAFXnflmTbue39mW3q+/DW/fcL9379B7e8XhTcr/QOeV0K+x4Upwk42iG+obaHc/9MgydDSFP\nv0fa+uQSZlefE9cngOXTlE3ad7NMP3Vy9UtdnFnv3+Zx6afeW+aa5/dz/Vaiz24/Swe//0Wb3/+i\nS7m17Pd+6t0p7nct/yrnT8X1tXQOU195ny+V+wW4ADgwrh8AfLe9wGDxmPr4yawFtQ07ekx9FHWW\no2zulxOAb0o6CLgdeOsgjXScmmLdDlQx8XRTt1df84LMOjm2GTF9rfUV9EWZ5n2RhQShjCwefsn/\n6lbsVbbMa+LYhV9yhR07XaeHX7pT3O9a/lXOn4rra+kcpr7yPt/QNAHNp+jQYacSahZ2dKpl5lCH\n+5eloWkCmh9TLz50WDQn/j0ImcOlaWFHj6kPQ2erC29Rhluxe0vdcTpgndMEPGhme5jZtma2p5k9\nNAxbTjjhlFItxImJecMw72mGnbjK6UxflbqkFZJulHSDpJ+mMqo3nvtl/GSOL48+eh/0HNy1eK19\ngx7s1e7jq98+iy6FNZe0uB+q0FmOfsMvq4AFZtZp2i/HGUkkrQAeJvj/H81s52otcpzV9Fupi0pC\nOM2PqZeUOsYya0UNGzMLkkmamJhX85QOC8ZEZzn6rZANuETSNZIOTmGQ4zSAihozw2F4YRRnEPTr\nmLuY2U7A3sD7Jb06gU058Jj6+MmsFTVszEyOic6s3mF2MZzseUZd6Cv8Ymb3xL+/lfRtYGfgivbz\n0if0uiUjfTL+XdBl+7Y2a7qd336cUva1V+a9jhcdzZb+/CU9jpfZXtLleLFUvRtuuClvecubc58/\nRHYxs3sk/Rmhcl9uZmv5vTNomtHFcNgoDHgqUVCaBcwws0clbQhcDBxnZhe3nWdldXTipS/djaVL\nF7E6S2Mvjgc+TNE+4Slt7qhBong/9UGePwwdxc9vPQdJmFnt/hslLQR+Z2YnZ/bZAQccsEZD5sYb\nb+SrX90aWESRH0rpWMw+Tujd0vv8Nbd3x8wKN0yCb5bTF55v3vNb265vNZOsThNwZjmfLzMMNf6j\nPZfQJLsBWAYc1eW8UkNruxHSBEwWGGqbN03AWsNzB0oZmwZ7fh1tYo37ZSV9NeUCzAI2iusbAlcC\ne7ads9bz7idNQLlnueb9G6xv9uNzXq7H85vWHzstpWPqZnabhbkadzSzl5jZCWVlFcdj6uMnszbM\nAa6QdANwFXChtb2dVsPkmOisSm8VOsvR0DQB9aP+3cCcFJjZbYRZRRynljS0Uq9fP/VyuVyKsqBE\nmVGR6UzPgjHRWZXeKnSWY2T72jqO44wj/eZ+2UvSLyT9Ms7ZOCTqH1NvTqy6KTLrQXU+34vJMdFZ\nld4qdJajdKUuaQbwOeD1wIuAt0vaLpVh03NL71MKs6T3KZXKG3eZ1VOtz/eiinte1XMep2stTj8t\n9Z2BX5nZ7Wb2R+BcYN80ZvXi0QHITJ1FdRBZWcdZZi2o0Od70emeD3rEZVXPuQq9zfHpfir15wB3\nZrbvivscZ1RpmM+3RlwWXZwm07jeL8985mxmzDiPWbOuzHX+k08+wJNP5jlzRT9mDUHeuMtsNrNn\nz2b99T/C+ut/vVC5J5+8ryL/ravOqvRWobMc/aQJeCXwETPbK24fRRgBdWLbef7T7yTBKk4T4D7v\nDJsyPt9Ppb4OcDPwWuAe4KfA281seSmBjlNz3OedJlA6/GJmT0k6hJDIawZwuju3M8q4zztNoHRL\n3XEcx6kfAxtROohBGpJOlzQlaWkieVtJulTSTZKWSTo0gcyZkq6Ok3Evi6lZU9g6Q9L1ki5IIS/K\nTDpxuKRNJX1T0vJ4T1/Rp7wXRtuuj38fTvGMUpHHxyV9VtKvJC2R1HfOmF46Je0m6aF4z66X9H8T\n6Oz5fzeA65xWZ+rrzFsXDOA6e+otfK39pCHtthB+LG4B5gLrEXrub5dA7qsJyZSWJrJzApgf1zci\nxEtT2Dkr/l2HkMlv5wQyjwD+E7gg4XO6FdgsobyvAu+K6+sCmyT2qd8AW6eSmcCeaX0ceAPw/bj+\nCuCqIejcLaWPRJnT/t+lvs6cOpNeZ566YEDXmUdvoWsdVEt9IIM0LMwuk2yyXzNbaWZL4vqjwHIS\n9Ds2s8fi6kxC5dZXjEvSVoQpA7/Sp2lriSbR25qkTYBdzewMADP7k5k9kkJ2ZA/g12Z2Z88zh0Me\nH98XOAvAzK4GNpU0Z8A6IfHUPjn+71JfZ97/9WTXmbMuGMR15q2Dcl/roCr1hg3SAEnzCC2DqxPI\nmqGQb3slcImZXdOnyE8DHyT9yBAj3VybzwXuk3RGfEU8TdIGCWxs8Q9AsU7egyWPj7efc3eHc1Lr\nBHhVDA98X9L2fegra1e/15mXgVznNHXBQK+zRx2U+1o9SyMgaSPgfOCw+GvZF2a2ysx2BLYCXtGP\nw0l6IzAVf81F2lZYyonD1wV2Aj4fZT4GHJXARiStB+wDfDOFvBHnOmAbM5tPyFPznYrtGRQDuc7U\ndUEivYWudVCV+t3ANpntreK+2iFpXcLNPNvMvptSdgw/LAb26kPMLsA+km4ltFR3l3RWIvuenjgc\naE0cXpa7gDvN7Nq4fT6hkk/BG4Drop11IY+P3w1s3eOcpDrN7NFW+M/MfgisJ2nzPnTmtSvldfZk\nENeZoy4YyHX20lv0WgdVqV8D/LmkuZLWB94GpOq1kbq1+h/Az83sMymESXqWpE3j+gbA64BflJVn\nZseY2TZm9jzCfbzUzPZPYOes2DpAYeLwPYGf9WHnFHCnpBfGXa8Fft6vnZG3U6/QC+Tz8QuA/eHp\n0agPxfs0MJ3ZGK+knQndlh/oQ+fT4uj+f5f6OnvqHNB19qoLBnWd0+oteq0Dyf1iAxqkIekcwhQk\nz5R0B7Cw9WGupLxdgHcAy2IM3IBjzOxHfZi5BXCmQprWGcA3zOwHfcgbFHOAbysMaV8X+Jr1P9fm\nocDXYrjkVuBdfcpD0izCR9L39CsrJd18XNJ7w2E7zcx+IGlvSbcAv6fP+5FHJ/AWSe8D/gg8TvgW\n0Red/u+A9RnQdebRSeLr7FYXEHoaDfI6e+ql4LX64CPHcZwRwj+UOo7jjBBeqedE0ipJz+tybLGk\ng4ZtU9Td1a4u528vqd8ulp3kflLSP6WW69SDon7WRcbPJP1Vl2O7Seo6BiF+R1gVw5p59b1e0rfK\n2NpD7vmSXp9abiq8Us9P5XGqLj8eRe1aBJyUyKQsnwSOiV/yndGjb/83sxeb2eV5dEi6TdJr+rTh\neOATBcvc5d1HAAAcE0lEQVTk4UTgYwOQmwSv1PNTaS7vachtl6QJwsenpF03IYyMI4yG2ye1bKcW\n1NX/OyLpZYQ0FcnfSqPMjSWl6rKblEZW6pI+JOkuSY8oJI/aPe6XpKMk3SLpt5LOlTQ7Hmu9vh0s\n6e64fCAj8+WSfiLpwXjs1LKtTkkHSfq5pPsl/VDSNpljqyS9VyEh0wOSPpc5NkPSp6Ltv5b0/tYr\np6TjgV2Bz8Xr/mxG5es6yevA64DrzezpuXQUEgr9l6R7o97Pxv0HSLpC0snxntwi6VVx/x2SVkpq\n71p5GfDGMvfMyU+d/F/SAmWSbkm6RJnkcJIul7RPXH+69S3pGZK+Gn32Z8DLM2XOIvTHvzBe47+0\nDgH/KOn26K/HTGPaGwj+mLX1RZIujv+X9yhMcoKkhZLOk3R21HejpBfEezkV9e3RJr++vl40AU3V\nC/BC4A5gTtzeBnhuXD8M+AmhW+F6wBeBc+KxucAq4GvAM4AXA/cCr4nHdyIMvlGUeRNwaEbvKuB5\nXWxaDBwU1/cFfhntnEHonnRlm5wLgI0JAxnuBfaMx/6J0Fd8C2BT4BLgKWBGu5488jrYeRJwamZ7\nBiEp1CfjPVkf+Mt47ADgSUK/XAEfBW4HTo339nXAI8TkZbHM3wDXVu0jo7zUzf+jrMeAzQldY1cS\nhtJvmDk2O557W0bfCYSKcVPCUPtlwB0ZubcBu2e2W/b/e/TTHYA/ANt2uU/nAR/IbG9ESAh3eCy/\nIfDyeGxhtHOP+D9xJqFL7tGEpHz/G7i1Tf4RwPlV+0PHa6/agBJO/fzoOK8F1m079vM2R9giVkwz\nMk7xgszxE4Evd9FzGPBfvZw6HstW6j8gZiqM2zMIfVq3zsh5Veb4N4B/jev/DRycOfZa8lXqHeV1\nsPM04OOZ7VcCUy35beceANyc2X5xtOVZmX33ATtktvcAbqnaR0Z5qan/Xwa8mZC58CJCorE9CaG+\nJZnzspX6r4HXZY4dzNqV+msy23Oj/22R2Xc18NYuNl0MvCez/TbCqORO5y4ELspsv4nQYGl1+d4o\n6t4kc87/Bn5ctT90Whr3UcvMfi3pcOAjwPaSLgKOtBDTnUsYULMqni5Ch/3WiCwjDGdvcTuhskLS\nC4CTgZcBGxBaHdeVMHEu8BlJn8rYYKyZDCg7Cu0xgtMAbMmaCYPyZiTsJq+dBwkt+hZbA7eb2aou\n52flPg5gZve17cvq2hh4KI/BTjlq6v+XA7tH2ZMEP1sAPEFbCCTDlh1syUM/vv7rnHIfB+6zWHvH\nbUVdrcyjtfX1RsbUzexcM9uV4MQQWhwQXkvfYGabx2UzM9vQYo4TwoPJ5m7YhvBKBuFVdTnwfDOb\nDRxLuY9DdwLvbbNhIzO7KkfZewj5JLL2Zem3B8JSwut71tZtVKCbWA/+ArgxkSynCzX0/8sIlfiu\ncf1yQg7wv6J7pX5Pmy1z244Pwtef36fMLLX19cZV6gqz4eyukPviScKvaKtl8u/Ax1sfJiX9Wesj\nTYYPS9pA0osIw3zPjfs3Bh4xs8ckbQe8r6SJXyJ07ds+2rCppLfkLHsecJikLeMHrn9tOz4F9NNX\n+BJgp3jvIEycfA9wgkIumJmS/nKa8r3+yXcDftiHfU4Paur/PwG2JcTkf2pmPydU0q8gVPCdOA84\nWtJshfkCDmk7vpK1fb1II+sHhB+aFt8DJiQdKml9SRsp5FEpS219vXGVOmHiiROA3xJaGX9G+KAB\n8BlCd72LJT1McLb2B3cZYfaYS4CTzOy/4/5/Ad4h6RHCP8e5beWmazk8fczMvhPtO1fSQ4QWw16d\nzu2w/WVCLHAp4dX3+8CfMuGRzwB/H7/en5JD3poHzO4FLiXEP4ly/xp4AaGVdyfw1jzX2b4taQtC\n62VUU73Whdr5v4UMgtcBPzOzP8Xd/w9Y0Rauy8o4juBztwE/Ik4+keEEwg/QA5KO7GLDdDbdADwk\n6eVx+1HCx/19CD8Yv2TNSr8XWV9/OfA7W52RtFb0zP0iaSbh13Z9QpztfDM7TtJmhI9yc4EVhA8W\nDw/W3PJImkv4or3eNDHkWiFpL+CLZvbchDL/AviqmfU1f2gHuZ8kfCT9Ukq5VRLDUtcCd5nZPk3z\n+SxN9P9+kfQ64H1m9reJ5Z4PfMX6S/w3MHIl9JI0K76WrQNcScjG93fA/WZ2ksIEuJuZWZJJEQZB\ndOrbCD0GaunUkp5B+OB0MWHuwvOBn5jZB6Yt6AwESUcA/4vQ62EfSSfSIJ/P0gT/d9KQK/xinefc\n3JfQn5P4983JrUtPvx9fBo0Ir6UPEF5nbyJ0t3KGjDrPC9tEn89Sd/93EpCrS2N8Db2O8PX482Z2\njaQ5FhPEm9lKSc8eoJ19Y2a3EwYS1BYze5z+Zh9y0tGaF3bTzL5G+XyWJvi/k4a8LfXsnJs7xy/n\nuT9aOE6T0NrzwnbDfd6pHYUGH5nZI5ImCb05plqtdYVEUfd2KqMws47j9I2ZDSupVGte2L0JA3E2\nlnQ2sNJ93hkmZXy+Z0tdnefcXE7IN3JgPO0Apsn8l2Lo6wEHHFArOXW0aVTlmA23jrTO88K+E7iQ\nIfp8Vfe6zjrH6VrLkqel3nHOTUlXAecp5Pe+nen7N/fNvHnzaiUnpSyX0xhOYIg+X4Qq7nVVz3ec\nrrUMPSt1M1tGyODWvv8BQgInxxlZzOwy4lB393mnCTRmROns2bNrJSelLJfj9EsV97qq5ztO11qG\nxlTq8+fPr5WclLJcjtMvw7zXExPzkMQRRxyBpNzLxMS8JPqr8Ksm+XKuEaV9KZBs0Dqc0UcSNrze\nL30x6j4vtbJJFy7Z1wfAcaOszzempe44wyJmq7xa0g2SlklaGPcvVJhG7vq47NVLluMMm8ZU6pOT\nk7WSk1KWy6kXZvYEYQahHYH5wBsyaVpPNrOd4lKbhE7V3OsqdFZzrU3y5cbNfFQVExPzmJrKOzlL\nYM6cuaxcuWIwBjkDxTrnO4JyE6c4ztDwmHpOysURPYaYimHH1DvkOzo6hmEOBB4mpOT9gHVIvTsq\nPt8Nj6kPB4+pO05CbO18R9sDXyBMvjyfMNHCyVXa6Did6Bl+iSlIzyJMXrsKOM3MTo2tloNZnf/i\nmEHGGCcnJ1mwYEFt5ERpFJs8pYuUml1b3eRUiWXyHZlZthL/MiFtQEcOPPDAp0chzp49m/nz5z99\nL1rx2ZTbS5Ys4fDDDx+Y/Ox2YDL+XdC23n4su00S/aeccsrA72f79jDub2t9xYoV9EWO/AMTwPy4\nvhFwM7AdIc/3kTnKWwoWL15cqRzAwNqWxR32ZZd81171tdVdjtnT93JYOTeeBWwa1zcgzPy1NzCR\nOecI4Jwu5ZNdd15S3uterP5f6OX/5f4fejHMa61SZ1mfLxxTl/Qd4FTg1cCjZvapHudbUR11xGPq\n1TLMmLqklxAmwcjmO/qYpLMIvWFWEaaze6/F/Opt5UfC57vhMfXhUNbnC1XqkuYR3qVeDHyAMfpo\n5JV6tfjgo/rglfpwKOvzubs0StqIMGfmYWb2qKQvAIvMzCQdT/ho9O5OZVPEF1v7qorHraa1vYA1\nY4ULOhwfbryu/V6VlVcHe1rrfccXx4Rqvl9MkuKbUmGtFVxro74P5YnRECr/HxEq9E7H5wJLuxxL\nEl+qOs6Lx9Qrk2M23Jh6v0sqny+Cx9QHy8jF1GMs8T4zOzKzb8LMVsb1I4CXm9l+HcpaHh11x8Mv\n1eLhl/rg4ZfhMLCYuqRdCF//lxGepAHHAPsxRh+NvFKvFq/U64NX6sNhYIOPzOxKM1vHzOab2Y4W\nc16Y2f5mtkPc/+ZOFXpK1o5tVysnSksjpWbXVjc5w2aahF6bSbpY0s2SLmpN81gHqrnXVej03C+9\n8BGljtOGdU/odRTwYzPbFrgUOLpCMx2nI43P/TKsRFsefqmWqsIvkmYRwo/vA84GdjOzKUkTwKSZ\nbdehjIdfOvIM4InCpcY1Md5Q+qmXYdAOPqzK1iv1aqlJQq8HzWyzzDkPmNnmHcp6pd65ZOlyo3w/\nuzHwfupVk66f6GQCGVlZC/qXUrNcK3WTUwVmtgrYUdImwLclvYi1a6SuNY3nfum03alsnu01fclz\nv/SgTD/IIgsD7ptKx/7j0y2LS/WX7aynVz/dfHrq1i+8bnLMyvfZTbEAHyaMoF4OzIn7JoDlXc5P\ndt15aUo/9WLnd/4/8n7qCfqp98N4h1+KxxDHNX7YiyHnfnkW8Ecze1jSBsBFwAnAbsADZnaipA8B\nm5nZUR3KD9Tnq8bDL8PBY+rFSg2pUvc4fCpqktBrc+A8YGvgduCtZvZQh/JeqXcuWbrcKN/Pbgys\nn7qkrSRdKumm2Gf30Lh/qH120/UTTSUnpaw0curWv7xJfXuzmNkyC+Mx5lsYi/GxuP8BM9vDzLY1\nsz07VehV4f3UR09nWfL0U/8TIW/6i4BXAe+XtB3eZ9dxHKd2lM2n/rm47GYV99n18Mt44GkC6oOH\nX4bDUOYojfnU5wNXEXoBTAFYSOz17KLKHcdxnLT0k099qH12W/u695ldkFlnmu1T1rCtiP615WWP\n5dXfaXsJcHjcXi+2hPKz2WZzeOCBlX3lL/d86qupy7y8RahmTMAknk+9huTp90iHfOoMuc9uU/up\n57epn768THuPilI3OWbl++yWWajJvLxF8H7qg2Xk+ql3yad+IjXoszuKMXWPw69NlTH1cZ2Xtxse\nUx8OVeRT/yk16LPrlXooM+pOX2FCr3mEOMPYzcvbDa/Uh8PAcr+Y2ZXAOl0O71FUYVlGOfeL55Cp\nJ1XPy1u33CSe+8VzvySNL3pMvXfMsW6x8KbG1IO66uflLYLH1AfLyMXU+8HDLx5+SUEFqXfHfl7e\nbnj4ZTiMfOpdZzpmFu4GCZ48rBvxO9I7gGWSbmD1d6T9JK0xL29lRiagzAQzTv1pzHR2nvtlOp4g\n1DuLWf0tu/fS7R/ac7/UY17eIpS51+H55/eX1cvTWvuwuDye+2V6GlOpO47jOL3xmPqA9dS3TCjX\nlFil535JTxWx8VH305QMJfeL4zj1Y2JiHpIKL85okief+umSpiQtzexbKOkuSdfHZa/Bmukx9WHK\nGfeYel3mEMhLiI0X+55SrsXczmQCGSW0ekx9WvK01M8AXt9h/8nxA9JOVpOkRo6TCJ9DwGkseXO/\nzAUuNLMd4vZCcuTAiOd6TL2WZUK5psQqa5D7pTZzCHTQR1Ni46PupympIqZ+iKQlkr5Sl9dQx0mN\nzyHgNI2yg49y58AAz6feezubT721r6i89vV85T2feneqnkOgWC6WU1jtQ5Px74Ie2/Q43m27fd/g\n9XnulwLkySXA9Hkuuh6zhHkwPPdLHj3Fc3EUuddFGbXcLwx5DoG8hOdf9NmX9bX+/K2sviye+yVB\n7pf4Cnqhmb0kbufKgRGPWx4dZfGYetkyodwgn01KapL7pRZzCHTQR9nn35RyTfHTlAwyn/o5hPeg\nZwJThNlfdifEGZ/OgWFdhkx7pV7XMqFcU/5Zhlmp130OgQ76aErlPOp+mpLSPl+meV9kIdGraNrw\ny8zWP2rBpZOsFK+bi0uUSfM6XORep3pmZaDkq2gVSyqfz0t4/kWffVlf68/fyurL4uGX6ZcxzdLY\nSoBVBB+B5zhO/Rnb3C9eJpQb9PNPhed+mVYfZZ9/U8o1xU9T4rlfHMdxnOZU6p77ZXhyxj33C9Qn\n51F+JsdEp+d+6UVjKnXHGTJn4DmPnAbiMfWxLRPKNSVWWUVMvWzOI4+ppy/XFD9NicfUHWc4eM4j\np9b07NIo6XTgTcBUpsWyGfANQoqAFYRBGA8P0M41cj/0KSmBjKysBSMnJ9W9TvfMakPunEee+yWt\nPs/9UoBeHdmBVxNGjy7N7DsR+Ne4/iHghGnKJ+mInzr3S5qBGr0GX/jgo1RQciBGPwslcx6l8vm8\nhOdf9NmX9bX+/K2sviw++Gj6pWw+9V+QI690PNfy6CiLx9TLlgnlBvlsUlJRTH0eJXIeeUw9fbmm\n+GlKyvp82RGlz7ZMXmlJnlfaGSmyOY8k3UHMeSRpjZxHlRnoOF1IlSZg2p/ROudT7y8emD2WV3+n\nbc+nXrd86p1a4IRujjVlkjTfZequs5pvNY36PpQnRkNb/JCceaUtYXzRY+qDiXEWudepnlkZKBlf\nrGJJ5fN5Cc+/6LMv62v9+VtZfVk8pp4mpj6PNWOLufJKx3Mtj46yeEy9bJlQbpDPJiWe+2VafZR9\n/k0p1xQ/TcnAYupdYosnAN+UdBAxr3RRxe184Qtf4d/+7XOFyqgR/+KO4zjDo2elbl1mNAL2SGnI\nJZdczooVfwf8dZczrgVetsaeGTM+A9xYUNNkYduml7Vg5OR4P/X6jM/IzyQeUx8tnWWpWT71uYQu\n8Z14aK1j0pxBG+SML2cApwJnZfYdBfzYzE6KYcej4z7HqQ21yf3yN3+zP9/5zh7A/rllr7POUTz1\n1InUN25d5zKhXFNilTXJ/ZJrfIbH1NOXK3M/JybmMTV1e+Fyc+bMZeXKFYXLpWbY/dQdZxzx8RkN\nIlToxX8Mpqaa/bGuQQm9JmsmJ6WsesnxfOq5qdFrzuSY6PR86r3wlrrj5GdK0pxM+OXebicOP6HX\nEsoNWCtyflbfZIf1wenLfqhcsmRJOJpjAFsKfa0BeYNOINZa73fAncfUx7ZMKOcx9Wl1zqPE+AyP\nqacvV+Z+9nNf6vB/4TF1x0nIsMZnOHmYGStoJw99xdQlrZB0o6QbJP00lVGdmayZnJSy6iXHY+ph\nfIaZbWlmM81sGzM7w8weNLM9zGxbM9vTzB6q2s7VTI6wzicILe7Wsrhtu9uSjib5cr8t9VXAAjN7\nMIUxzrAp3gIq092rTNeyunQrc5ym0VdMXdJtwMvM7P5pzvGYei3LlNdV1GfK5ufJ6vHcL9Pqoymx\n8aaUa3JMvd8ujQZcIukaSQf3KctxHMfpk34r9V3MbCdgb+D9kl6dwKYuTNZMTkpZoymnSXHIIgzq\nW9LExDwkFV4Ck6nMKEAVOqvR2yRf7iumbmb3xL+/lfRtYGfgivbz8vTZXU1re0HbdrfjrX3t53fb\nXpJTX179KbazfYxb+4rKS2nfdH2e1+uzJ0Jee+AjH/lIZZNk9GAg35LKjoAMYQbHCZSOqUuaBcww\ns0clbQhcDBxnZhe3necx9VqWGaau0Yqp9/qWVDam7rHx+pRrcky9n5b6HODbkizK+Vp7he44I0rr\nW9JTwGlm9uWqDXKcFqVj6mZ2m5nNN7MdzewlZnZCSsPWZrJmclLKcjkNY4jfkvIyOSY6q9E7NjF1\nxxlH8nxLKpP7ZTWt7QU5t2HUc7+s+Z1pSdvx9Po898t0CjymXtMyw9Q1OjH1PN+SJNkXv/jFwrLf\n97730ZSY86iXG9eYuuOMI7m+JR15ZHsvq+l56qlb0ljnjD0NqtQnSTePZyomqdPcoqMrpz6Y2W10\nn3PxaR5//EsFJX8D+O9SNgUmGZc5SqvQ26Q5Shs0SYbjOI7TiwZV6gtqJielLJfj9MuCMdFZjd6m\ntNKhUZW64ziO04t+86nvJekXkn4ZZ4IZIJM1k5NSlstpCsP1+SJMjonOYeidWSoHzzrrbFiq3MTE\nvKTWl67UJc0APge8HngR8HZJ26UybG2K9SYYvJyUslxOExi+zxehintd1fMdtN72STkM+HSHfWsu\nq1Y91vOcTkvRuQZ60U9LfWfgV2Z2u5n9ETgX2DeNWZ1INclMyslq6mbTqMqpDUP2+SJUca+rer7j\ndK3F6adSfw5wZ2b7rrjPcUYV93mn9tSmn/rMmeuxwQYns9563+x4/LHHbmDWrOvW2PfEE8t56qmi\nmlaUsm+wslzOqLHJJn9d6Pw//vFuHn+8H40r+incIJ1V6a1CZzn6Sb37SuAjZrZX3D4KMDM7se28\n6sfbOiNB1WkC3OedYVPG5/up1NcBbgZeC9wD/BR4u5ktLyXQcWqO+7zTBEqHX8zsKUmHEBIazQBO\nd+d2Rhn3eacJDDxLo+M4jjM8ko0olTRD0vWSLuhy/LOSfiVpiaRpEyJNJ0vSbpIeisevl/R/u8jo\nOTlwHpt6ySlgz6aSvilpuaSbJL2ijD15ZOWxSdIL4zVdH/8+LOnQojblkVPgHh0h6WeSlkr6mqT1\ny96jQSNpK0mXxvu/rNO9i+clszePzrz3uoDOmZKujs92maSFXc5LeZ09daa+zozcZPVYCp2lrtPM\nkizAEcB/Ahd0OPYG4Ptx/RXAVX3I2q3T/g7n3QpsNs3xXDblkJPXnq8C74rr6wKblL1HOWTlsilz\n/gzgN8DWfT63bnJ62gNsGe/1+nH7G8D+/dgzyAWYAObH9Y0IsfbtBmlvTp2Fnn1OvbPi33WAq4Cd\nB/1ccuhMfp1RbrJ6LJHOwteZpKUuaSvC1F5f6XLKvsBZAGZ2NbCppDklZUG+6dPF9G8ieW3qJaen\nPZI2AXY1szOivj+Z2SNl7Mkpq6dNbewB/NrM7mzbn/u59ZCT1551gA0lrQvMIvxA9GPPwDCzlWa2\nJK4/Cixn7T7rSe3NqROKPfs8eh+LqzMJjYj2mG3y55JDJyS+zpT1WEKdUPA6U4VfPg18kO7TjLQP\n2rib7oM2eskCeFV8/fm+pO27nNOaHPgaSQf3YVMvOXnseS5wn6Qz4ivUaZI2KGlPHll5bMryD8DX\nO+wv8tymk9PTHjP7DfAp4I6o5yEz+3Gf9gwFSfMIOdavbjs0MHun0QnFnn0eXTMk3QCsBC4xs2va\nTkl+nTl0QuLrJG09lkonFLzOvit1SW8EpmILQvTx65lT1nXANmY2n5CH4ztdxKWaHLiXnDz2rAvs\nBHw+ynoMOKqkPXlk5b1HSFoP2AfoPOorJz3k9LRH0mxCS2guIRSzkaT9+rFpGEjaCDgfOCy2nqvW\nmfvZ58XMVpnZjsBWwCsSVaD96kx6nSnrscQ6C19nipb6LsA+km4ltNJ2l3RW2zl3A1tntreK+wrL\nMrNHW69mZvZDYD1Jm7cLsszkwEBrcuDCNvWSk9Oeu4A7zezauH0+oWIubE8eWXnvUeQNwHXx+trJ\na9O0cnLaswdwq5k9YGZPAd8C/rIPewZODBOdD5xtZt/tcEpye3vpLPjsCxHDfIuBvdoODey5dNM5\ngOtMWY8l01nqOlME+nsF9Qmt3NYHhleS4wPDNLLmZNZ3BlZ0OGcWsFFc3xC4EtizqE055fS0Jx67\nDHhhXF8InFj2HuWQlcumePzrwAFdjhWxaTo5eZ7ZzsAy4BmEFstXgff360eDXAjx1ZOnOZ7c3hw6\ncz/7nPqeBWwa1zcALgf2HuR15tSZ9DrbZCerxxLoLHydA8v9Ium9hCHUp5nZDyTtLekW4PfAu8rK\nAt4i6X3AH4HHCXHcdjpODlzCpp5yctoDcCjwtRimuBV4Vx/3aFpZeW2SNIvQQn5PZl9hm3rJyWOP\nmf1U0vnADfG864HTUvpRSiTtArwDWBZjvwYcQwgfDcTePDrJ74952QI4UyHt8AzgG/G6Bvlceuok\n/XV2pAr/6/c6ffCR4zjOCOHT2TmO44wQXqk7juOMEF6pO47jjBBeqTuO44wQXqk7juOMEF6pO47j\njBBeqTuO44wQXqk7juOMEP8fZYQfHEv+1UoAAAAASUVORK5CYII=\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x11e0d66d8>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "iris.hist(); "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 102,
   "metadata": {
    "collapsed": true
   },
   "outputs": [],
   "source": [
    "from pandas.tools.plotting import scatter_matrix"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 103,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAAl0AAAJcCAYAAADD3hGOAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x11de7a198>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "scatter_matrix(iris, alpha=0.4, figsize=(10, 10), diagonal='kde'); "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 104,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<iframe src=http://pandas.pydata.org/pandas-docs/stable/visualization.html width=800 height=350></iframe>"
      ],
      "text/plain": [
       "<IPython.core.display.HTML object>"
      ]
     },
     "execution_count": 104,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "HTML('<iframe src=http://pandas.pydata.org/pandas-docs/stable/visualization.html width=800 height=350></iframe>')"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "### Input and Output in pandas"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Pandas has **very powerful IO methods**, allowing to load csv, excel, tab-delimited files very easily. Pandas DataFrames can also be \n",
    "saved also in csv, excel files. \n",
    "\n",
    "Other supported file types are: \n",
    "\n",
    "* JSON (JavaScript Object Notation)\n",
    "* HDF5 \n",
    "* HTML (to e.g. read tables contained in HTML documents)\n",
    "* SQL (Pandas can **query directly from SQL databases** thanks to [SQLAlchemy](http://www.sqlalchemy.org/))\n",
    "* ..."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 105,
   "metadata": {
    "collapsed": true
   },
   "outputs": [],
   "source": [
    "pd.read_sql_table?"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 106,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "SOI = pd.read_csv('../data/NIWA_SOI.csv')"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 107,
   "metadata": {
    "collapsed": true
   },
   "outputs": [],
   "source": [
    "!open ../data/NIWA_SOI.csv"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 108,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>Year</th>\n",
       "      <th>Jan</th>\n",
       "      <th>Feb</th>\n",
       "      <th>Mar</th>\n",
       "      <th>Apr</th>\n",
       "      <th>May</th>\n",
       "      <th>Jun</th>\n",
       "      <th>Jul</th>\n",
       "      <th>Aug</th>\n",
       "      <th>Sep</th>\n",
       "      <th>Oct</th>\n",
       "      <th>Nov</th>\n",
       "      <th>Dec</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>0</th>\n",
       "      <td>1876</td>\n",
       "      <td>1.1</td>\n",
       "      <td>1.0</td>\n",
       "      <td>0.1</td>\n",
       "      <td>1.0</td>\n",
       "      <td>0.8</td>\n",
       "      <td>1.8</td>\n",
       "      <td>-0.5</td>\n",
       "      <td>1.3</td>\n",
       "      <td>1.0</td>\n",
       "      <td>-0.8</td>\n",
       "      <td>-0.3</td>\n",
       "      <td>-0.4</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>1877</td>\n",
       "      <td>-0.9</td>\n",
       "      <td>-0.6</td>\n",
       "      <td>-0.4</td>\n",
       "      <td>-0.7</td>\n",
       "      <td>0.5</td>\n",
       "      <td>-1.6</td>\n",
       "      <td>-1.0</td>\n",
       "      <td>-0.8</td>\n",
       "      <td>-1.8</td>\n",
       "      <td>-1.5</td>\n",
       "      <td>-1.3</td>\n",
       "      <td>-1.4</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>1878</td>\n",
       "      <td>-0.8</td>\n",
       "      <td>-1.9</td>\n",
       "      <td>-1.5</td>\n",
       "      <td>-0.7</td>\n",
       "      <td>0.3</td>\n",
       "      <td>-0.2</td>\n",
       "      <td>1.7</td>\n",
       "      <td>1.3</td>\n",
       "      <td>1.7</td>\n",
       "      <td>1.1</td>\n",
       "      <td>1.4</td>\n",
       "      <td>1.7</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>1879</td>\n",
       "      <td>1.3</td>\n",
       "      <td>1.3</td>\n",
       "      <td>1.3</td>\n",
       "      <td>1.2</td>\n",
       "      <td>0.3</td>\n",
       "      <td>1.7</td>\n",
       "      <td>2.3</td>\n",
       "      <td>2.3</td>\n",
       "      <td>1.8</td>\n",
       "      <td>1.5</td>\n",
       "      <td>0.9</td>\n",
       "      <td>-0.6</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>1880</td>\n",
       "      <td>1.1</td>\n",
       "      <td>0.7</td>\n",
       "      <td>1.4</td>\n",
       "      <td>0.6</td>\n",
       "      <td>1.3</td>\n",
       "      <td>1.0</td>\n",
       "      <td>0.2</td>\n",
       "      <td>1.5</td>\n",
       "      <td>0.7</td>\n",
       "      <td>0.5</td>\n",
       "      <td>0.6</td>\n",
       "      <td>-0.3</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "   Year  Jan  Feb  Mar  Apr  May  Jun  Jul  Aug  Sep  Oct  Nov  Dec\n",
       "0  1876  1.1  1.0  0.1  1.0  0.8  1.8 -0.5  1.3  1.0 -0.8 -0.3 -0.4\n",
       "1  1877 -0.9 -0.6 -0.4 -0.7  0.5 -1.6 -1.0 -0.8 -1.8 -1.5 -1.3 -1.4\n",
       "2  1878 -0.8 -1.9 -1.5 -0.7  0.3 -0.2  1.7  1.3  1.7  1.1  1.4  1.7\n",
       "3  1879  1.3  1.3  1.3  1.2  0.3  1.7  2.3  2.3  1.8  1.5  0.9 -0.6\n",
       "4  1880  1.1  0.7  1.4  0.6  1.3  1.0  0.2  1.5  0.7  0.5  0.6 -0.3"
      ]
     },
     "execution_count": 108,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "SOI.head()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 109,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "SOI = pd.read_csv('../data/NIWA_SOI.csv', index_col=0)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 110,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>Jan</th>\n",
       "      <th>Feb</th>\n",
       "      <th>Mar</th>\n",
       "      <th>Apr</th>\n",
       "      <th>May</th>\n",
       "      <th>Jun</th>\n",
       "      <th>Jul</th>\n",
       "      <th>Aug</th>\n",
       "      <th>Sep</th>\n",
       "      <th>Oct</th>\n",
       "      <th>Nov</th>\n",
       "      <th>Dec</th>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Year</th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1876</th>\n",
       "      <td>1.1</td>\n",
       "      <td>1.0</td>\n",
       "      <td>0.1</td>\n",
       "      <td>1.0</td>\n",
       "      <td>0.8</td>\n",
       "      <td>1.8</td>\n",
       "      <td>-0.5</td>\n",
       "      <td>1.3</td>\n",
       "      <td>1.0</td>\n",
       "      <td>-0.8</td>\n",
       "      <td>-0.3</td>\n",
       "      <td>-0.4</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1877</th>\n",
       "      <td>-0.9</td>\n",
       "      <td>-0.6</td>\n",
       "      <td>-0.4</td>\n",
       "      <td>-0.7</td>\n",
       "      <td>0.5</td>\n",
       "      <td>-1.6</td>\n",
       "      <td>-1.0</td>\n",
       "      <td>-0.8</td>\n",
       "      <td>-1.8</td>\n",
       "      <td>-1.5</td>\n",
       "      <td>-1.3</td>\n",
       "      <td>-1.4</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1878</th>\n",
       "      <td>-0.8</td>\n",
       "      <td>-1.9</td>\n",
       "      <td>-1.5</td>\n",
       "      <td>-0.7</td>\n",
       "      <td>0.3</td>\n",
       "      <td>-0.2</td>\n",
       "      <td>1.7</td>\n",
       "      <td>1.3</td>\n",
       "      <td>1.7</td>\n",
       "      <td>1.1</td>\n",
       "      <td>1.4</td>\n",
       "      <td>1.7</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1879</th>\n",
       "      <td>1.3</td>\n",
       "      <td>1.3</td>\n",
       "      <td>1.3</td>\n",
       "      <td>1.2</td>\n",
       "      <td>0.3</td>\n",
       "      <td>1.7</td>\n",
       "      <td>2.3</td>\n",
       "      <td>2.3</td>\n",
       "      <td>1.8</td>\n",
       "      <td>1.5</td>\n",
       "      <td>0.9</td>\n",
       "      <td>-0.6</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1880</th>\n",
       "      <td>1.1</td>\n",
       "      <td>0.7</td>\n",
       "      <td>1.4</td>\n",
       "      <td>0.6</td>\n",
       "      <td>1.3</td>\n",
       "      <td>1.0</td>\n",
       "      <td>0.2</td>\n",
       "      <td>1.5</td>\n",
       "      <td>0.7</td>\n",
       "      <td>0.5</td>\n",
       "      <td>0.6</td>\n",
       "      <td>-0.3</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "      Jan  Feb  Mar  Apr  May  Jun  Jul  Aug  Sep  Oct  Nov  Dec\n",
       "Year                                                            \n",
       "1876  1.1  1.0  0.1  1.0  0.8  1.8 -0.5  1.3  1.0 -0.8 -0.3 -0.4\n",
       "1877 -0.9 -0.6 -0.4 -0.7  0.5 -1.6 -1.0 -0.8 -1.8 -1.5 -1.3 -1.4\n",
       "1878 -0.8 -1.9 -1.5 -0.7  0.3 -0.2  1.7  1.3  1.7  1.1  1.4  1.7\n",
       "1879  1.3  1.3  1.3  1.2  0.3  1.7  2.3  2.3  1.8  1.5  0.9 -0.6\n",
       "1880  1.1  0.7  1.4  0.6  1.3  1.0  0.2  1.5  0.7  0.5  0.6 -0.3"
      ]
     },
     "execution_count": 110,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "SOI.head()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 111,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "Int64Index([1876, 1877, 1878, 1879, 1880, 1881, 1882, 1883, 1884, 1885,\n",
       "            ...\n",
       "            2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015],\n",
       "           dtype='int64', name='Year', length=140)"
      ]
     },
     "execution_count": 111,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "SOI.index"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 112,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>Jan</th>\n",
       "      <th>Feb</th>\n",
       "      <th>Mar</th>\n",
       "      <th>Apr</th>\n",
       "      <th>May</th>\n",
       "      <th>Jun</th>\n",
       "      <th>Jul</th>\n",
       "      <th>Aug</th>\n",
       "      <th>Sep</th>\n",
       "      <th>Oct</th>\n",
       "      <th>Nov</th>\n",
       "      <th>Dec</th>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Year</th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>1950</th>\n",
       "      <td>0.5</td>\n",
       "      <td>1.6</td>\n",
       "      <td>1.8</td>\n",
       "      <td>1.6</td>\n",
       "      <td>0.9</td>\n",
       "      <td>2.8</td>\n",
       "      <td>2.2</td>\n",
       "      <td>1.3</td>\n",
       "      <td>0.6</td>\n",
       "      <td>1.7</td>\n",
       "      <td>1.1</td>\n",
       "      <td>2.2</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1951</th>\n",
       "      <td>1.7</td>\n",
       "      <td>0.8</td>\n",
       "      <td>-0.1</td>\n",
       "      <td>0.0</td>\n",
       "      <td>-0.5</td>\n",
       "      <td>0.6</td>\n",
       "      <td>-0.8</td>\n",
       "      <td>-0.0</td>\n",
       "      <td>-0.7</td>\n",
       "      <td>-0.8</td>\n",
       "      <td>-0.4</td>\n",
       "      <td>-0.4</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1952</th>\n",
       "      <td>-0.9</td>\n",
       "      <td>-0.7</td>\n",
       "      <td>0.1</td>\n",
       "      <td>-0.7</td>\n",
       "      <td>0.7</td>\n",
       "      <td>0.8</td>\n",
       "      <td>0.4</td>\n",
       "      <td>-0.3</td>\n",
       "      <td>-0.4</td>\n",
       "      <td>0.2</td>\n",
       "      <td>-0.1</td>\n",
       "      <td>-1.4</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1953</th>\n",
       "      <td>0.2</td>\n",
       "      <td>-0.6</td>\n",
       "      <td>-0.5</td>\n",
       "      <td>0.1</td>\n",
       "      <td>-3.0</td>\n",
       "      <td>-0.1</td>\n",
       "      <td>-0.1</td>\n",
       "      <td>-1.7</td>\n",
       "      <td>-1.3</td>\n",
       "      <td>-0.0</td>\n",
       "      <td>-0.3</td>\n",
       "      <td>-0.5</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1954</th>\n",
       "      <td>0.6</td>\n",
       "      <td>-0.3</td>\n",
       "      <td>-0.0</td>\n",
       "      <td>0.7</td>\n",
       "      <td>0.6</td>\n",
       "      <td>-0.1</td>\n",
       "      <td>0.5</td>\n",
       "      <td>1.1</td>\n",
       "      <td>0.4</td>\n",
       "      <td>0.2</td>\n",
       "      <td>0.3</td>\n",
       "      <td>1.2</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "      Jan  Feb  Mar  Apr  May  Jun  Jul  Aug  Sep  Oct  Nov  Dec\n",
       "Year                                                            \n",
       "1950  0.5  1.6  1.8  1.6  0.9  2.8  2.2  1.3  0.6  1.7  1.1  2.2\n",
       "1951  1.7  0.8 -0.1  0.0 -0.5  0.6 -0.8 -0.0 -0.7 -0.8 -0.4 -0.4\n",
       "1952 -0.9 -0.7  0.1 -0.7  0.7  0.8  0.4 -0.3 -0.4  0.2 -0.1 -1.4\n",
       "1953  0.2 -0.6 -0.5  0.1 -3.0 -0.1 -0.1 -1.7 -1.3 -0.0 -0.3 -0.5\n",
       "1954  0.6 -0.3 -0.0  0.7  0.6 -0.1  0.5  1.1  0.4  0.2  0.3  1.2"
      ]
     },
     "execution_count": 112,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "SOI.ix[1950:2000].head()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "#### Stacking "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 113,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "SOIs = SOI.stack()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 114,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "MultiIndex(levels=[[1876, 1877, 1878, 1879, 1880, 1881, 1882, 1883, 1884, 1885, 1886, 1887, 1888, 1889, 1890, 1891, 1892, 1893, 1894, 1895, 1896, 1897, 1898, 1899, 1900, 1901, 1902, 1903, 1904, 1905, 1906, 1907, 1908, 1909, 1910, 1911, 1912, 1913, 1914, 1915, 1916, 1917, 1918, 1919, 1920, 1921, 1922, 1923, 1924, 1925, 1926, 1927, 1928, 1929, 1930, 1931, 1932, 1933, 1934, 1935, 1936, 1937, 1938, 1939, 1940, 1941, 1942, 1943, 1944, 1945, 1946, 1947, 1948, 1949, 1950, 1951, 1952, 1953, 1954, 1955, 1956, 1957, 1958, 1959, 1960, 1961, 1962, 1963, 1964, 1965, 1966, 1967, 1968, 1969, 1970, 1971, 1972, 1973, 1974, 1975, 1976, 1977, 1978, 1979, 1980, 1981, 1982, 1983, 1984, 1985, 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015], ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']],\n",
       "           labels=[[0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 40, 40, 40, 40, 40, 40, 40, 40, 40, 40, 40, 40, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 47, 47, 47, 47, 47, 47, 47, 47, 47, 47, 47, 47, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 49, 49, 49, 49, 49, 49, 49, 49, 49, 49, 49, 49, 50, 50, 50, 50, 50, 50, 50, 50, 50, 50, 50, 50, 51, 51, 51, 51, 51, 51, 51, 51, 51, 51, 51, 51, 52, 52, 52, 52, 52, 52, 52, 52, 52, 52, 52, 52, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 54, 54, 54, 54, 54, 54, 54, 54, 54, 54, 54, 54, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 58, 58, 58, 58, 58, 58, 58, 58, 58, 58, 58, 58, 59, 59, 59, 59, 59, 59, 59, 59, 59, 59, 59, 59, 60, 60, 60, 60, 60, 60, 60, 60, 60, 60, 60, 60, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 65, 65, 65, 65, 65, 65, 65, 65, 65, 65, 65, 65, 66, 66, 66, 66, 66, 66, 66, 66, 66, 66, 66, 66, 67, 67, 67, 67, 67, 67, 67, 67, 67, 67, 67, 67, 68, 68, 68, 68, 68, 68, 68, 68, 68, 68, 68, 68, 69, 69, 69, 69, 69, 69, 69, 69, 69, 69, 69, 69, 70, 70, 70, 70, 70, 70, 70, 70, 70, 70, 70, 70, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 72, 72, 72, 72, 72, 72, 72, 72, 72, 72, 72, 72, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 78, 78, 78, 78, 78, 78, 78, 78, 78, 78, 78, 78, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 80, 80, 80, 80, 80, 80, 80, 80, 80, 80, 80, 80, 81, 81, 81, 81, 81, 81, 81, 81, 81, 81, 81, 81, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 84, 84, 84, 84, 84, 84, 84, 84, 84, 84, 84, 84, 85, 85, 85, 85, 85, 85, 85, 85, 85, 85, 85, 85, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 87, 87, 87, 87, 87, 87, 87, 87, 87, 87, 87, 87, 88, 88, 88, 88, 88, 88, 88, 88, 88, 88, 88, 88, 89, 89, 89, 89, 89, 89, 89, 89, 89, 89, 89, 89, 90, 90, 90, 90, 90, 90, 90, 90, 90, 90, 90, 90, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 94, 94, 94, 94, 94, 94, 94, 94, 94, 94, 94, 94, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 96, 96, 96, 96, 96, 96, 96, 96, 96, 96, 96, 96, 97, 97, 97, 97, 97, 97, 97, 97, 97, 97, 97, 97, 98, 98, 98, 98, 98, 98, 98, 98, 98, 98, 98, 98, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 103, 103, 103, 103, 103, 103, 103, 103, 103, 103, 103, 103, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 109, 109, 109, 109, 109, 109, 109, 109, 109, 109, 109, 109, 110, 110, 110, 110, 110, 110, 110, 110, 110, 110, 110, 110, 111, 111, 111, 111, 111, 111, 111, 111, 111, 111, 111, 111, 112, 112, 112, 112, 112, 112, 112, 112, 112, 112, 112, 112, 113, 113, 113, 113, 113, 113, 113, 113, 113, 113, 113, 113, 114, 114, 114, 114, 114, 114, 114, 114, 114, 114, 114, 114, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 117, 117, 117, 117, 117, 117, 117, 117, 117, 117, 117, 117, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 119, 119, 119, 119, 119, 119, 119, 119, 119, 119, 119, 119, 120, 120, 120, 120, 120, 120, 120, 120, 120, 120, 120, 120, 121, 121, 121, 121, 121, 121, 121, 121, 121, 121, 121, 121, 122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 123, 123, 123, 123, 123, 123, 123, 123, 123, 123, 123, 123, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 128, 128, 128, 128, 128, 128, 128, 128, 128, 128, 128, 128, 129, 129, 129, 129, 129, 129, 129, 129, 129, 129, 129, 129, 130, 130, 130, 130, 130, 130, 130, 130, 130, 130, 130, 130, 131, 131, 131, 131, 131, 131, 131, 131, 131, 131, 131, 131, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 134, 134, 134, 134, 134, 134, 134, 134, 134, 134, 134, 134, 135, 135, 135, 135, 135, 135, 135, 135, 135, 135, 135, 135, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 138, 138, 138, 138, 138, 138, 138, 138, 138, 138, 138, 138, 139, 139, 139], [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2]],\n",
       "           names=['Year', None])"
      ]
     },
     "execution_count": 114,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "SOIs.index"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 115,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "MultiIndex(levels=[[1876, 1877, 1878, 1879, 1880, 1881, 1882, 1883, 1884, 1885, 1886, 1887, 1888, 1889, 1890, 1891, 1892, 1893, 1894, 1895, 1896, 1897, 1898, 1899, 1900, 1901, 1902, 1903, 1904, 1905, 1906, 1907, 1908, 1909, 1910, 1911, 1912, 1913, 1914, 1915, 1916, 1917, 1918, 1919, 1920, 1921, 1922, 1923, 1924, 1925, 1926, 1927, 1928, 1929, 1930, 1931, 1932, 1933, 1934, 1935, 1936, 1937, 1938, 1939, 1940, 1941, 1942, 1943, 1944, 1945, 1946, 1947, 1948, 1949, 1950, 1951, 1952, 1953, 1954, 1955, 1956, 1957, 1958, 1959, 1960, 1961, 1962, 1963, 1964, 1965, 1966, 1967, 1968, 1969, 1970, 1971, 1972, 1973, 1974, 1975, 1976, 1977, 1978, 1979, 1980, 1981, 1982, 1983, 1984, 1985, 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015], ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']],\n",
       "           labels=[[0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 28, 29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 29, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 36, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 40, 40, 40, 40, 40, 40, 40, 40, 40, 40, 40, 40, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 42, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 47, 47, 47, 47, 47, 47, 47, 47, 47, 47, 47, 47, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 49, 49, 49, 49, 49, 49, 49, 49, 49, 49, 49, 49, 50, 50, 50, 50, 50, 50, 50, 50, 50, 50, 50, 50, 51, 51, 51, 51, 51, 51, 51, 51, 51, 51, 51, 51, 52, 52, 52, 52, 52, 52, 52, 52, 52, 52, 52, 52, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 53, 54, 54, 54, 54, 54, 54, 54, 54, 54, 54, 54, 54, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 55, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 58, 58, 58, 58, 58, 58, 58, 58, 58, 58, 58, 58, 59, 59, 59, 59, 59, 59, 59, 59, 59, 59, 59, 59, 60, 60, 60, 60, 60, 60, 60, 60, 60, 60, 60, 60, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 61, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 64, 65, 65, 65, 65, 65, 65, 65, 65, 65, 65, 65, 65, 66, 66, 66, 66, 66, 66, 66, 66, 66, 66, 66, 66, 67, 67, 67, 67, 67, 67, 67, 67, 67, 67, 67, 67, 68, 68, 68, 68, 68, 68, 68, 68, 68, 68, 68, 68, 69, 69, 69, 69, 69, 69, 69, 69, 69, 69, 69, 69, 70, 70, 70, 70, 70, 70, 70, 70, 70, 70, 70, 70, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 72, 72, 72, 72, 72, 72, 72, 72, 72, 72, 72, 72, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 74, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 76, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 78, 78, 78, 78, 78, 78, 78, 78, 78, 78, 78, 78, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 80, 80, 80, 80, 80, 80, 80, 80, 80, 80, 80, 80, 81, 81, 81, 81, 81, 81, 81, 81, 81, 81, 81, 81, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 82, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 84, 84, 84, 84, 84, 84, 84, 84, 84, 84, 84, 84, 85, 85, 85, 85, 85, 85, 85, 85, 85, 85, 85, 85, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 87, 87, 87, 87, 87, 87, 87, 87, 87, 87, 87, 87, 88, 88, 88, 88, 88, 88, 88, 88, 88, 88, 88, 88, 89, 89, 89, 89, 89, 89, 89, 89, 89, 89, 89, 89, 90, 90, 90, 90, 90, 90, 90, 90, 90, 90, 90, 90, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 94, 94, 94, 94, 94, 94, 94, 94, 94, 94, 94, 94, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 96, 96, 96, 96, 96, 96, 96, 96, 96, 96, 96, 96, 97, 97, 97, 97, 97, 97, 97, 97, 97, 97, 97, 97, 98, 98, 98, 98, 98, 98, 98, 98, 98, 98, 98, 98, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 100, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 103, 103, 103, 103, 103, 103, 103, 103, 103, 103, 103, 103, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 106, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 107, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 108, 109, 109, 109, 109, 109, 109, 109, 109, 109, 109, 109, 109, 110, 110, 110, 110, 110, 110, 110, 110, 110, 110, 110, 110, 111, 111, 111, 111, 111, 111, 111, 111, 111, 111, 111, 111, 112, 112, 112, 112, 112, 112, 112, 112, 112, 112, 112, 112, 113, 113, 113, 113, 113, 113, 113, 113, 113, 113, 113, 113, 114, 114, 114, 114, 114, 114, 114, 114, 114, 114, 114, 114, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 115, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116, 117, 117, 117, 117, 117, 117, 117, 117, 117, 117, 117, 117, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 118, 119, 119, 119, 119, 119, 119, 119, 119, 119, 119, 119, 119, 120, 120, 120, 120, 120, 120, 120, 120, 120, 120, 120, 120, 121, 121, 121, 121, 121, 121, 121, 121, 121, 121, 121, 121, 122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 122, 123, 123, 123, 123, 123, 123, 123, 123, 123, 123, 123, 123, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 124, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 125, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 127, 128, 128, 128, 128, 128, 128, 128, 128, 128, 128, 128, 128, 129, 129, 129, 129, 129, 129, 129, 129, 129, 129, 129, 129, 130, 130, 130, 130, 130, 130, 130, 130, 130, 130, 130, 130, 131, 131, 131, 131, 131, 131, 131, 131, 131, 131, 131, 131, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 132, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 133, 134, 134, 134, 134, 134, 134, 134, 134, 134, 134, 134, 134, 135, 135, 135, 135, 135, 135, 135, 135, 135, 135, 135, 135, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 138, 138, 138, 138, 138, 138, 138, 138, 138, 138, 138, 138, 139, 139, 139], [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 0, 1, 2]],\n",
       "           names=['Year', None])"
      ]
     },
     "execution_count": 115,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "SOIs.index"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 116,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "from dateutil import parser"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 117,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "dateindex = [parser.parse(\"-\".join(map(str, [x[0], x[1], 1]))) for x in SOIs.index]"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 118,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "[datetime.datetime(1876, 1, 1, 0, 0),\n",
       " datetime.datetime(1876, 2, 1, 0, 0),\n",
       " datetime.datetime(1876, 3, 1, 0, 0),\n",
       " datetime.datetime(1876, 4, 1, 0, 0),\n",
       " datetime.datetime(1876, 5, 1, 0, 0),\n",
       " datetime.datetime(1876, 6, 1, 0, 0),\n",
       " datetime.datetime(1876, 7, 1, 0, 0),\n",
       " datetime.datetime(1876, 8, 1, 0, 0),\n",
       " datetime.datetime(1876, 9, 1, 0, 0),\n",
       " datetime.datetime(1876, 10, 1, 0, 0),\n",
       " datetime.datetime(1876, 11, 1, 0, 0),\n",
       " datetime.datetime(1876, 12, 1, 0, 0),\n",
       " datetime.datetime(1877, 1, 1, 0, 0),\n",
       " datetime.datetime(1877, 2, 1, 0, 0),\n",
       " datetime.datetime(1877, 3, 1, 0, 0),\n",
       " datetime.datetime(1877, 4, 1, 0, 0),\n",
       " datetime.datetime(1877, 5, 1, 0, 0),\n",
       " datetime.datetime(1877, 6, 1, 0, 0),\n",
       " datetime.datetime(1877, 7, 1, 0, 0),\n",
       " datetime.datetime(1877, 8, 1, 0, 0),\n",
       " datetime.datetime(1877, 9, 1, 0, 0),\n",
       " datetime.datetime(1877, 10, 1, 0, 0),\n",
       " datetime.datetime(1877, 11, 1, 0, 0),\n",
       " datetime.datetime(1877, 12, 1, 0, 0),\n",
       " datetime.datetime(1878, 1, 1, 0, 0),\n",
       " datetime.datetime(1878, 2, 1, 0, 0),\n",
       " datetime.datetime(1878, 3, 1, 0, 0),\n",
       " datetime.datetime(1878, 4, 1, 0, 0),\n",
       " datetime.datetime(1878, 5, 1, 0, 0),\n",
       " datetime.datetime(1878, 6, 1, 0, 0),\n",
       " datetime.datetime(1878, 7, 1, 0, 0),\n",
       " datetime.datetime(1878, 8, 1, 0, 0),\n",
       " datetime.datetime(1878, 9, 1, 0, 0),\n",
       " datetime.datetime(1878, 10, 1, 0, 0),\n",
       " datetime.datetime(1878, 11, 1, 0, 0),\n",
       " datetime.datetime(1878, 12, 1, 0, 0),\n",
       " datetime.datetime(1879, 1, 1, 0, 0),\n",
       " datetime.datetime(1879, 2, 1, 0, 0),\n",
       " datetime.datetime(1879, 3, 1, 0, 0),\n",
       " datetime.datetime(1879, 4, 1, 0, 0),\n",
       " datetime.datetime(1879, 5, 1, 0, 0),\n",
       " datetime.datetime(1879, 6, 1, 0, 0),\n",
       " datetime.datetime(1879, 7, 1, 0, 0),\n",
       " datetime.datetime(1879, 8, 1, 0, 0),\n",
       " datetime.datetime(1879, 9, 1, 0, 0),\n",
       " datetime.datetime(1879, 10, 1, 0, 0),\n",
       " datetime.datetime(1879, 11, 1, 0, 0),\n",
       " datetime.datetime(1879, 12, 1, 0, 0),\n",
       " datetime.datetime(1880, 1, 1, 0, 0),\n",
       " datetime.datetime(1880, 2, 1, 0, 0),\n",
       " datetime.datetime(1880, 3, 1, 0, 0),\n",
       " datetime.datetime(1880, 4, 1, 0, 0),\n",
       " datetime.datetime(1880, 5, 1, 0, 0),\n",
       " datetime.datetime(1880, 6, 1, 0, 0),\n",
       " datetime.datetime(1880, 7, 1, 0, 0),\n",
       " datetime.datetime(1880, 8, 1, 0, 0),\n",
       " datetime.datetime(1880, 9, 1, 0, 0),\n",
       " datetime.datetime(1880, 10, 1, 0, 0),\n",
       " datetime.datetime(1880, 11, 1, 0, 0),\n",
       " datetime.datetime(1880, 12, 1, 0, 0),\n",
       " datetime.datetime(1881, 1, 1, 0, 0),\n",
       " datetime.datetime(1881, 2, 1, 0, 0),\n",
       " datetime.datetime(1881, 3, 1, 0, 0),\n",
       " datetime.datetime(1881, 4, 1, 0, 0),\n",
       " datetime.datetime(1881, 5, 1, 0, 0),\n",
       " datetime.datetime(1881, 6, 1, 0, 0),\n",
       " datetime.datetime(1881, 7, 1, 0, 0),\n",
       " datetime.datetime(1881, 8, 1, 0, 0),\n",
       " datetime.datetime(1881, 9, 1, 0, 0),\n",
       " datetime.datetime(1881, 10, 1, 0, 0),\n",
       " datetime.datetime(1881, 11, 1, 0, 0),\n",
       " datetime.datetime(1881, 12, 1, 0, 0),\n",
       " datetime.datetime(1882, 1, 1, 0, 0),\n",
       " datetime.datetime(1882, 2, 1, 0, 0),\n",
       " datetime.datetime(1882, 3, 1, 0, 0),\n",
       " datetime.datetime(1882, 4, 1, 0, 0),\n",
       " datetime.datetime(1882, 5, 1, 0, 0),\n",
       " datetime.datetime(1882, 6, 1, 0, 0),\n",
       " datetime.datetime(1882, 7, 1, 0, 0),\n",
       " datetime.datetime(1882, 8, 1, 0, 0),\n",
       " datetime.datetime(1882, 9, 1, 0, 0),\n",
       " datetime.datetime(1882, 10, 1, 0, 0),\n",
       " datetime.datetime(1882, 11, 1, 0, 0),\n",
       " datetime.datetime(1882, 12, 1, 0, 0),\n",
       " datetime.datetime(1883, 1, 1, 0, 0),\n",
       " datetime.datetime(1883, 2, 1, 0, 0),\n",
       " datetime.datetime(1883, 3, 1, 0, 0),\n",
       " datetime.datetime(1883, 4, 1, 0, 0),\n",
       " datetime.datetime(1883, 5, 1, 0, 0),\n",
       " datetime.datetime(1883, 6, 1, 0, 0),\n",
       " datetime.datetime(1883, 7, 1, 0, 0),\n",
       " datetime.datetime(1883, 8, 1, 0, 0),\n",
       " datetime.datetime(1883, 9, 1, 0, 0),\n",
       " datetime.datetime(1883, 10, 1, 0, 0),\n",
       " datetime.datetime(1883, 11, 1, 0, 0),\n",
       " datetime.datetime(1883, 12, 1, 0, 0),\n",
       " datetime.datetime(1884, 1, 1, 0, 0),\n",
       " datetime.datetime(1884, 2, 1, 0, 0),\n",
       " datetime.datetime(1884, 3, 1, 0, 0),\n",
       " datetime.datetime(1884, 4, 1, 0, 0),\n",
       " datetime.datetime(1884, 5, 1, 0, 0),\n",
       " datetime.datetime(1884, 6, 1, 0, 0),\n",
       " datetime.datetime(1884, 7, 1, 0, 0),\n",
       " datetime.datetime(1884, 8, 1, 0, 0),\n",
       " datetime.datetime(1884, 9, 1, 0, 0),\n",
       " datetime.datetime(1884, 10, 1, 0, 0),\n",
       " datetime.datetime(1884, 11, 1, 0, 0),\n",
       " datetime.datetime(1884, 12, 1, 0, 0),\n",
       " datetime.datetime(1885, 1, 1, 0, 0),\n",
       " datetime.datetime(1885, 2, 1, 0, 0),\n",
       " datetime.datetime(1885, 3, 1, 0, 0),\n",
       " datetime.datetime(1885, 4, 1, 0, 0),\n",
       " datetime.datetime(1885, 5, 1, 0, 0),\n",
       " datetime.datetime(1885, 6, 1, 0, 0),\n",
       " datetime.datetime(1885, 7, 1, 0, 0),\n",
       " datetime.datetime(1885, 8, 1, 0, 0),\n",
       " datetime.datetime(1885, 9, 1, 0, 0),\n",
       " datetime.datetime(1885, 10, 1, 0, 0),\n",
       " datetime.datetime(1885, 11, 1, 0, 0),\n",
       " datetime.datetime(1885, 12, 1, 0, 0),\n",
       " datetime.datetime(1886, 1, 1, 0, 0),\n",
       " datetime.datetime(1886, 2, 1, 0, 0),\n",
       " datetime.datetime(1886, 3, 1, 0, 0),\n",
       " datetime.datetime(1886, 4, 1, 0, 0),\n",
       " datetime.datetime(1886, 5, 1, 0, 0),\n",
       " datetime.datetime(1886, 6, 1, 0, 0),\n",
       " datetime.datetime(1886, 7, 1, 0, 0),\n",
       " datetime.datetime(1886, 8, 1, 0, 0),\n",
       " datetime.datetime(1886, 9, 1, 0, 0),\n",
       " datetime.datetime(1886, 10, 1, 0, 0),\n",
       " datetime.datetime(1886, 11, 1, 0, 0),\n",
       " datetime.datetime(1886, 12, 1, 0, 0),\n",
       " datetime.datetime(1887, 1, 1, 0, 0),\n",
       " datetime.datetime(1887, 2, 1, 0, 0),\n",
       " datetime.datetime(1887, 3, 1, 0, 0),\n",
       " datetime.datetime(1887, 4, 1, 0, 0),\n",
       " datetime.datetime(1887, 5, 1, 0, 0),\n",
       " datetime.datetime(1887, 6, 1, 0, 0),\n",
       " datetime.datetime(1887, 7, 1, 0, 0),\n",
       " datetime.datetime(1887, 8, 1, 0, 0),\n",
       " datetime.datetime(1887, 9, 1, 0, 0),\n",
       " datetime.datetime(1887, 10, 1, 0, 0),\n",
       " datetime.datetime(1887, 11, 1, 0, 0),\n",
       " datetime.datetime(1887, 12, 1, 0, 0),\n",
       " datetime.datetime(1888, 1, 1, 0, 0),\n",
       " datetime.datetime(1888, 2, 1, 0, 0),\n",
       " datetime.datetime(1888, 3, 1, 0, 0),\n",
       " datetime.datetime(1888, 4, 1, 0, 0),\n",
       " datetime.datetime(1888, 5, 1, 0, 0),\n",
       " datetime.datetime(1888, 6, 1, 0, 0),\n",
       " datetime.datetime(1888, 7, 1, 0, 0),\n",
       " datetime.datetime(1888, 8, 1, 0, 0),\n",
       " datetime.datetime(1888, 9, 1, 0, 0),\n",
       " datetime.datetime(1888, 10, 1, 0, 0),\n",
       " datetime.datetime(1888, 11, 1, 0, 0),\n",
       " datetime.datetime(1888, 12, 1, 0, 0),\n",
       " datetime.datetime(1889, 1, 1, 0, 0),\n",
       " datetime.datetime(1889, 2, 1, 0, 0),\n",
       " datetime.datetime(1889, 3, 1, 0, 0),\n",
       " datetime.datetime(1889, 4, 1, 0, 0),\n",
       " datetime.datetime(1889, 5, 1, 0, 0),\n",
       " datetime.datetime(1889, 6, 1, 0, 0),\n",
       " datetime.datetime(1889, 7, 1, 0, 0),\n",
       " datetime.datetime(1889, 8, 1, 0, 0),\n",
       " datetime.datetime(1889, 9, 1, 0, 0),\n",
       " datetime.datetime(1889, 10, 1, 0, 0),\n",
       " datetime.datetime(1889, 11, 1, 0, 0),\n",
       " datetime.datetime(1889, 12, 1, 0, 0),\n",
       " datetime.datetime(1890, 1, 1, 0, 0),\n",
       " datetime.datetime(1890, 2, 1, 0, 0),\n",
       " datetime.datetime(1890, 3, 1, 0, 0),\n",
       " datetime.datetime(1890, 4, 1, 0, 0),\n",
       " datetime.datetime(1890, 5, 1, 0, 0),\n",
       " datetime.datetime(1890, 6, 1, 0, 0),\n",
       " datetime.datetime(1890, 7, 1, 0, 0),\n",
       " datetime.datetime(1890, 8, 1, 0, 0),\n",
       " datetime.datetime(1890, 9, 1, 0, 0),\n",
       " datetime.datetime(1890, 10, 1, 0, 0),\n",
       " datetime.datetime(1890, 11, 1, 0, 0),\n",
       " datetime.datetime(1890, 12, 1, 0, 0),\n",
       " datetime.datetime(1891, 1, 1, 0, 0),\n",
       " datetime.datetime(1891, 2, 1, 0, 0),\n",
       " datetime.datetime(1891, 3, 1, 0, 0),\n",
       " datetime.datetime(1891, 4, 1, 0, 0),\n",
       " datetime.datetime(1891, 5, 1, 0, 0),\n",
       " datetime.datetime(1891, 6, 1, 0, 0),\n",
       " datetime.datetime(1891, 7, 1, 0, 0),\n",
       " datetime.datetime(1891, 8, 1, 0, 0),\n",
       " datetime.datetime(1891, 9, 1, 0, 0),\n",
       " datetime.datetime(1891, 10, 1, 0, 0),\n",
       " datetime.datetime(1891, 11, 1, 0, 0),\n",
       " datetime.datetime(1891, 12, 1, 0, 0),\n",
       " datetime.datetime(1892, 1, 1, 0, 0),\n",
       " datetime.datetime(1892, 2, 1, 0, 0),\n",
       " datetime.datetime(1892, 3, 1, 0, 0),\n",
       " datetime.datetime(1892, 4, 1, 0, 0),\n",
       " datetime.datetime(1892, 5, 1, 0, 0),\n",
       " datetime.datetime(1892, 6, 1, 0, 0),\n",
       " datetime.datetime(1892, 7, 1, 0, 0),\n",
       " datetime.datetime(1892, 8, 1, 0, 0),\n",
       " datetime.datetime(1892, 9, 1, 0, 0),\n",
       " datetime.datetime(1892, 10, 1, 0, 0),\n",
       " datetime.datetime(1892, 11, 1, 0, 0),\n",
       " datetime.datetime(1892, 12, 1, 0, 0),\n",
       " datetime.datetime(1893, 1, 1, 0, 0),\n",
       " datetime.datetime(1893, 2, 1, 0, 0),\n",
       " datetime.datetime(1893, 3, 1, 0, 0),\n",
       " datetime.datetime(1893, 4, 1, 0, 0),\n",
       " datetime.datetime(1893, 5, 1, 0, 0),\n",
       " datetime.datetime(1893, 6, 1, 0, 0),\n",
       " datetime.datetime(1893, 7, 1, 0, 0),\n",
       " datetime.datetime(1893, 8, 1, 0, 0),\n",
       " datetime.datetime(1893, 9, 1, 0, 0),\n",
       " datetime.datetime(1893, 10, 1, 0, 0),\n",
       " datetime.datetime(1893, 11, 1, 0, 0),\n",
       " datetime.datetime(1893, 12, 1, 0, 0),\n",
       " datetime.datetime(1894, 1, 1, 0, 0),\n",
       " datetime.datetime(1894, 2, 1, 0, 0),\n",
       " datetime.datetime(1894, 3, 1, 0, 0),\n",
       " datetime.datetime(1894, 4, 1, 0, 0),\n",
       " datetime.datetime(1894, 5, 1, 0, 0),\n",
       " datetime.datetime(1894, 6, 1, 0, 0),\n",
       " datetime.datetime(1894, 7, 1, 0, 0),\n",
       " datetime.datetime(1894, 8, 1, 0, 0),\n",
       " datetime.datetime(1894, 9, 1, 0, 0),\n",
       " datetime.datetime(1894, 10, 1, 0, 0),\n",
       " datetime.datetime(1894, 11, 1, 0, 0),\n",
       " datetime.datetime(1894, 12, 1, 0, 0),\n",
       " datetime.datetime(1895, 1, 1, 0, 0),\n",
       " datetime.datetime(1895, 2, 1, 0, 0),\n",
       " datetime.datetime(1895, 3, 1, 0, 0),\n",
       " datetime.datetime(1895, 4, 1, 0, 0),\n",
       " datetime.datetime(1895, 5, 1, 0, 0),\n",
       " datetime.datetime(1895, 6, 1, 0, 0),\n",
       " datetime.datetime(1895, 7, 1, 0, 0),\n",
       " datetime.datetime(1895, 8, 1, 0, 0),\n",
       " datetime.datetime(1895, 9, 1, 0, 0),\n",
       " datetime.datetime(1895, 10, 1, 0, 0),\n",
       " datetime.datetime(1895, 11, 1, 0, 0),\n",
       " datetime.datetime(1895, 12, 1, 0, 0),\n",
       " datetime.datetime(1896, 1, 1, 0, 0),\n",
       " datetime.datetime(1896, 2, 1, 0, 0),\n",
       " datetime.datetime(1896, 3, 1, 0, 0),\n",
       " datetime.datetime(1896, 4, 1, 0, 0),\n",
       " datetime.datetime(1896, 5, 1, 0, 0),\n",
       " datetime.datetime(1896, 6, 1, 0, 0),\n",
       " datetime.datetime(1896, 7, 1, 0, 0),\n",
       " datetime.datetime(1896, 8, 1, 0, 0),\n",
       " datetime.datetime(1896, 9, 1, 0, 0),\n",
       " datetime.datetime(1896, 10, 1, 0, 0),\n",
       " datetime.datetime(1896, 11, 1, 0, 0),\n",
       " datetime.datetime(1896, 12, 1, 0, 0),\n",
       " datetime.datetime(1897, 1, 1, 0, 0),\n",
       " datetime.datetime(1897, 2, 1, 0, 0),\n",
       " datetime.datetime(1897, 3, 1, 0, 0),\n",
       " datetime.datetime(1897, 4, 1, 0, 0),\n",
       " datetime.datetime(1897, 5, 1, 0, 0),\n",
       " datetime.datetime(1897, 6, 1, 0, 0),\n",
       " datetime.datetime(1897, 7, 1, 0, 0),\n",
       " datetime.datetime(1897, 8, 1, 0, 0),\n",
       " datetime.datetime(1897, 9, 1, 0, 0),\n",
       " datetime.datetime(1897, 10, 1, 0, 0),\n",
       " datetime.datetime(1897, 11, 1, 0, 0),\n",
       " datetime.datetime(1897, 12, 1, 0, 0),\n",
       " datetime.datetime(1898, 1, 1, 0, 0),\n",
       " datetime.datetime(1898, 2, 1, 0, 0),\n",
       " datetime.datetime(1898, 3, 1, 0, 0),\n",
       " datetime.datetime(1898, 4, 1, 0, 0),\n",
       " datetime.datetime(1898, 5, 1, 0, 0),\n",
       " datetime.datetime(1898, 6, 1, 0, 0),\n",
       " datetime.datetime(1898, 7, 1, 0, 0),\n",
       " datetime.datetime(1898, 8, 1, 0, 0),\n",
       " datetime.datetime(1898, 9, 1, 0, 0),\n",
       " datetime.datetime(1898, 10, 1, 0, 0),\n",
       " datetime.datetime(1898, 11, 1, 0, 0),\n",
       " datetime.datetime(1898, 12, 1, 0, 0),\n",
       " datetime.datetime(1899, 1, 1, 0, 0),\n",
       " datetime.datetime(1899, 2, 1, 0, 0),\n",
       " datetime.datetime(1899, 3, 1, 0, 0),\n",
       " datetime.datetime(1899, 4, 1, 0, 0),\n",
       " datetime.datetime(1899, 5, 1, 0, 0),\n",
       " datetime.datetime(1899, 6, 1, 0, 0),\n",
       " datetime.datetime(1899, 7, 1, 0, 0),\n",
       " datetime.datetime(1899, 8, 1, 0, 0),\n",
       " datetime.datetime(1899, 9, 1, 0, 0),\n",
       " datetime.datetime(1899, 10, 1, 0, 0),\n",
       " datetime.datetime(1899, 11, 1, 0, 0),\n",
       " datetime.datetime(1899, 12, 1, 0, 0),\n",
       " datetime.datetime(1900, 1, 1, 0, 0),\n",
       " datetime.datetime(1900, 2, 1, 0, 0),\n",
       " datetime.datetime(1900, 3, 1, 0, 0),\n",
       " datetime.datetime(1900, 4, 1, 0, 0),\n",
       " datetime.datetime(1900, 5, 1, 0, 0),\n",
       " datetime.datetime(1900, 6, 1, 0, 0),\n",
       " datetime.datetime(1900, 7, 1, 0, 0),\n",
       " datetime.datetime(1900, 8, 1, 0, 0),\n",
       " datetime.datetime(1900, 9, 1, 0, 0),\n",
       " datetime.datetime(1900, 10, 1, 0, 0),\n",
       " datetime.datetime(1900, 11, 1, 0, 0),\n",
       " datetime.datetime(1900, 12, 1, 0, 0),\n",
       " datetime.datetime(1901, 1, 1, 0, 0),\n",
       " datetime.datetime(1901, 2, 1, 0, 0),\n",
       " datetime.datetime(1901, 3, 1, 0, 0),\n",
       " datetime.datetime(1901, 4, 1, 0, 0),\n",
       " datetime.datetime(1901, 5, 1, 0, 0),\n",
       " datetime.datetime(1901, 6, 1, 0, 0),\n",
       " datetime.datetime(1901, 7, 1, 0, 0),\n",
       " datetime.datetime(1901, 8, 1, 0, 0),\n",
       " datetime.datetime(1901, 9, 1, 0, 0),\n",
       " datetime.datetime(1901, 10, 1, 0, 0),\n",
       " datetime.datetime(1901, 11, 1, 0, 0),\n",
       " datetime.datetime(1901, 12, 1, 0, 0),\n",
       " datetime.datetime(1902, 1, 1, 0, 0),\n",
       " datetime.datetime(1902, 2, 1, 0, 0),\n",
       " datetime.datetime(1902, 3, 1, 0, 0),\n",
       " datetime.datetime(1902, 4, 1, 0, 0),\n",
       " datetime.datetime(1902, 5, 1, 0, 0),\n",
       " datetime.datetime(1902, 6, 1, 0, 0),\n",
       " datetime.datetime(1902, 7, 1, 0, 0),\n",
       " datetime.datetime(1902, 8, 1, 0, 0),\n",
       " datetime.datetime(1902, 9, 1, 0, 0),\n",
       " datetime.datetime(1902, 10, 1, 0, 0),\n",
       " datetime.datetime(1902, 11, 1, 0, 0),\n",
       " datetime.datetime(1902, 12, 1, 0, 0),\n",
       " datetime.datetime(1903, 1, 1, 0, 0),\n",
       " datetime.datetime(1903, 2, 1, 0, 0),\n",
       " datetime.datetime(1903, 3, 1, 0, 0),\n",
       " datetime.datetime(1903, 4, 1, 0, 0),\n",
       " datetime.datetime(1903, 5, 1, 0, 0),\n",
       " datetime.datetime(1903, 6, 1, 0, 0),\n",
       " datetime.datetime(1903, 7, 1, 0, 0),\n",
       " datetime.datetime(1903, 8, 1, 0, 0),\n",
       " datetime.datetime(1903, 9, 1, 0, 0),\n",
       " datetime.datetime(1903, 10, 1, 0, 0),\n",
       " datetime.datetime(1903, 11, 1, 0, 0),\n",
       " datetime.datetime(1903, 12, 1, 0, 0),\n",
       " datetime.datetime(1904, 1, 1, 0, 0),\n",
       " datetime.datetime(1904, 2, 1, 0, 0),\n",
       " datetime.datetime(1904, 3, 1, 0, 0),\n",
       " datetime.datetime(1904, 4, 1, 0, 0),\n",
       " datetime.datetime(1904, 5, 1, 0, 0),\n",
       " datetime.datetime(1904, 6, 1, 0, 0),\n",
       " datetime.datetime(1904, 7, 1, 0, 0),\n",
       " datetime.datetime(1904, 8, 1, 0, 0),\n",
       " datetime.datetime(1904, 9, 1, 0, 0),\n",
       " datetime.datetime(1904, 10, 1, 0, 0),\n",
       " datetime.datetime(1904, 11, 1, 0, 0),\n",
       " datetime.datetime(1904, 12, 1, 0, 0),\n",
       " datetime.datetime(1905, 1, 1, 0, 0),\n",
       " datetime.datetime(1905, 2, 1, 0, 0),\n",
       " datetime.datetime(1905, 3, 1, 0, 0),\n",
       " datetime.datetime(1905, 4, 1, 0, 0),\n",
       " datetime.datetime(1905, 5, 1, 0, 0),\n",
       " datetime.datetime(1905, 6, 1, 0, 0),\n",
       " datetime.datetime(1905, 7, 1, 0, 0),\n",
       " datetime.datetime(1905, 8, 1, 0, 0),\n",
       " datetime.datetime(1905, 9, 1, 0, 0),\n",
       " datetime.datetime(1905, 10, 1, 0, 0),\n",
       " datetime.datetime(1905, 11, 1, 0, 0),\n",
       " datetime.datetime(1905, 12, 1, 0, 0),\n",
       " datetime.datetime(1906, 1, 1, 0, 0),\n",
       " datetime.datetime(1906, 2, 1, 0, 0),\n",
       " datetime.datetime(1906, 3, 1, 0, 0),\n",
       " datetime.datetime(1906, 4, 1, 0, 0),\n",
       " datetime.datetime(1906, 5, 1, 0, 0),\n",
       " datetime.datetime(1906, 6, 1, 0, 0),\n",
       " datetime.datetime(1906, 7, 1, 0, 0),\n",
       " datetime.datetime(1906, 8, 1, 0, 0),\n",
       " datetime.datetime(1906, 9, 1, 0, 0),\n",
       " datetime.datetime(1906, 10, 1, 0, 0),\n",
       " datetime.datetime(1906, 11, 1, 0, 0),\n",
       " datetime.datetime(1906, 12, 1, 0, 0),\n",
       " datetime.datetime(1907, 1, 1, 0, 0),\n",
       " datetime.datetime(1907, 2, 1, 0, 0),\n",
       " datetime.datetime(1907, 3, 1, 0, 0),\n",
       " datetime.datetime(1907, 4, 1, 0, 0),\n",
       " datetime.datetime(1907, 5, 1, 0, 0),\n",
       " datetime.datetime(1907, 6, 1, 0, 0),\n",
       " datetime.datetime(1907, 7, 1, 0, 0),\n",
       " datetime.datetime(1907, 8, 1, 0, 0),\n",
       " datetime.datetime(1907, 9, 1, 0, 0),\n",
       " datetime.datetime(1907, 10, 1, 0, 0),\n",
       " datetime.datetime(1907, 11, 1, 0, 0),\n",
       " datetime.datetime(1907, 12, 1, 0, 0),\n",
       " datetime.datetime(1908, 1, 1, 0, 0),\n",
       " datetime.datetime(1908, 2, 1, 0, 0),\n",
       " datetime.datetime(1908, 3, 1, 0, 0),\n",
       " datetime.datetime(1908, 4, 1, 0, 0),\n",
       " datetime.datetime(1908, 5, 1, 0, 0),\n",
       " datetime.datetime(1908, 6, 1, 0, 0),\n",
       " datetime.datetime(1908, 7, 1, 0, 0),\n",
       " datetime.datetime(1908, 8, 1, 0, 0),\n",
       " datetime.datetime(1908, 9, 1, 0, 0),\n",
       " datetime.datetime(1908, 10, 1, 0, 0),\n",
       " datetime.datetime(1908, 11, 1, 0, 0),\n",
       " datetime.datetime(1908, 12, 1, 0, 0),\n",
       " datetime.datetime(1909, 1, 1, 0, 0),\n",
       " datetime.datetime(1909, 2, 1, 0, 0),\n",
       " datetime.datetime(1909, 3, 1, 0, 0),\n",
       " datetime.datetime(1909, 4, 1, 0, 0),\n",
       " datetime.datetime(1909, 5, 1, 0, 0),\n",
       " datetime.datetime(1909, 6, 1, 0, 0),\n",
       " datetime.datetime(1909, 7, 1, 0, 0),\n",
       " datetime.datetime(1909, 8, 1, 0, 0),\n",
       " datetime.datetime(1909, 9, 1, 0, 0),\n",
       " datetime.datetime(1909, 10, 1, 0, 0),\n",
       " datetime.datetime(1909, 11, 1, 0, 0),\n",
       " datetime.datetime(1909, 12, 1, 0, 0),\n",
       " datetime.datetime(1910, 1, 1, 0, 0),\n",
       " datetime.datetime(1910, 2, 1, 0, 0),\n",
       " datetime.datetime(1910, 3, 1, 0, 0),\n",
       " datetime.datetime(1910, 4, 1, 0, 0),\n",
       " datetime.datetime(1910, 5, 1, 0, 0),\n",
       " datetime.datetime(1910, 6, 1, 0, 0),\n",
       " datetime.datetime(1910, 7, 1, 0, 0),\n",
       " datetime.datetime(1910, 8, 1, 0, 0),\n",
       " datetime.datetime(1910, 9, 1, 0, 0),\n",
       " datetime.datetime(1910, 10, 1, 0, 0),\n",
       " datetime.datetime(1910, 11, 1, 0, 0),\n",
       " datetime.datetime(1910, 12, 1, 0, 0),\n",
       " datetime.datetime(1911, 1, 1, 0, 0),\n",
       " datetime.datetime(1911, 2, 1, 0, 0),\n",
       " datetime.datetime(1911, 3, 1, 0, 0),\n",
       " datetime.datetime(1911, 4, 1, 0, 0),\n",
       " datetime.datetime(1911, 5, 1, 0, 0),\n",
       " datetime.datetime(1911, 6, 1, 0, 0),\n",
       " datetime.datetime(1911, 7, 1, 0, 0),\n",
       " datetime.datetime(1911, 8, 1, 0, 0),\n",
       " datetime.datetime(1911, 9, 1, 0, 0),\n",
       " datetime.datetime(1911, 10, 1, 0, 0),\n",
       " datetime.datetime(1911, 11, 1, 0, 0),\n",
       " datetime.datetime(1911, 12, 1, 0, 0),\n",
       " datetime.datetime(1912, 1, 1, 0, 0),\n",
       " datetime.datetime(1912, 2, 1, 0, 0),\n",
       " datetime.datetime(1912, 3, 1, 0, 0),\n",
       " datetime.datetime(1912, 4, 1, 0, 0),\n",
       " datetime.datetime(1912, 5, 1, 0, 0),\n",
       " datetime.datetime(1912, 6, 1, 0, 0),\n",
       " datetime.datetime(1912, 7, 1, 0, 0),\n",
       " datetime.datetime(1912, 8, 1, 0, 0),\n",
       " datetime.datetime(1912, 9, 1, 0, 0),\n",
       " datetime.datetime(1912, 10, 1, 0, 0),\n",
       " datetime.datetime(1912, 11, 1, 0, 0),\n",
       " datetime.datetime(1912, 12, 1, 0, 0),\n",
       " datetime.datetime(1913, 1, 1, 0, 0),\n",
       " datetime.datetime(1913, 2, 1, 0, 0),\n",
       " datetime.datetime(1913, 3, 1, 0, 0),\n",
       " datetime.datetime(1913, 4, 1, 0, 0),\n",
       " datetime.datetime(1913, 5, 1, 0, 0),\n",
       " datetime.datetime(1913, 6, 1, 0, 0),\n",
       " datetime.datetime(1913, 7, 1, 0, 0),\n",
       " datetime.datetime(1913, 8, 1, 0, 0),\n",
       " datetime.datetime(1913, 9, 1, 0, 0),\n",
       " datetime.datetime(1913, 10, 1, 0, 0),\n",
       " datetime.datetime(1913, 11, 1, 0, 0),\n",
       " datetime.datetime(1913, 12, 1, 0, 0),\n",
       " datetime.datetime(1914, 1, 1, 0, 0),\n",
       " datetime.datetime(1914, 2, 1, 0, 0),\n",
       " datetime.datetime(1914, 3, 1, 0, 0),\n",
       " datetime.datetime(1914, 4, 1, 0, 0),\n",
       " datetime.datetime(1914, 5, 1, 0, 0),\n",
       " datetime.datetime(1914, 6, 1, 0, 0),\n",
       " datetime.datetime(1914, 7, 1, 0, 0),\n",
       " datetime.datetime(1914, 8, 1, 0, 0),\n",
       " datetime.datetime(1914, 9, 1, 0, 0),\n",
       " datetime.datetime(1914, 10, 1, 0, 0),\n",
       " datetime.datetime(1914, 11, 1, 0, 0),\n",
       " datetime.datetime(1914, 12, 1, 0, 0),\n",
       " datetime.datetime(1915, 1, 1, 0, 0),\n",
       " datetime.datetime(1915, 2, 1, 0, 0),\n",
       " datetime.datetime(1915, 3, 1, 0, 0),\n",
       " datetime.datetime(1915, 4, 1, 0, 0),\n",
       " datetime.datetime(1915, 5, 1, 0, 0),\n",
       " datetime.datetime(1915, 6, 1, 0, 0),\n",
       " datetime.datetime(1915, 7, 1, 0, 0),\n",
       " datetime.datetime(1915, 8, 1, 0, 0),\n",
       " datetime.datetime(1915, 9, 1, 0, 0),\n",
       " datetime.datetime(1915, 10, 1, 0, 0),\n",
       " datetime.datetime(1915, 11, 1, 0, 0),\n",
       " datetime.datetime(1915, 12, 1, 0, 0),\n",
       " datetime.datetime(1916, 1, 1, 0, 0),\n",
       " datetime.datetime(1916, 2, 1, 0, 0),\n",
       " datetime.datetime(1916, 3, 1, 0, 0),\n",
       " datetime.datetime(1916, 4, 1, 0, 0),\n",
       " datetime.datetime(1916, 5, 1, 0, 0),\n",
       " datetime.datetime(1916, 6, 1, 0, 0),\n",
       " datetime.datetime(1916, 7, 1, 0, 0),\n",
       " datetime.datetime(1916, 8, 1, 0, 0),\n",
       " datetime.datetime(1916, 9, 1, 0, 0),\n",
       " datetime.datetime(1916, 10, 1, 0, 0),\n",
       " datetime.datetime(1916, 11, 1, 0, 0),\n",
       " datetime.datetime(1916, 12, 1, 0, 0),\n",
       " datetime.datetime(1917, 1, 1, 0, 0),\n",
       " datetime.datetime(1917, 2, 1, 0, 0),\n",
       " datetime.datetime(1917, 3, 1, 0, 0),\n",
       " datetime.datetime(1917, 4, 1, 0, 0),\n",
       " datetime.datetime(1917, 5, 1, 0, 0),\n",
       " datetime.datetime(1917, 6, 1, 0, 0),\n",
       " datetime.datetime(1917, 7, 1, 0, 0),\n",
       " datetime.datetime(1917, 8, 1, 0, 0),\n",
       " datetime.datetime(1917, 9, 1, 0, 0),\n",
       " datetime.datetime(1917, 10, 1, 0, 0),\n",
       " datetime.datetime(1917, 11, 1, 0, 0),\n",
       " datetime.datetime(1917, 12, 1, 0, 0),\n",
       " datetime.datetime(1918, 1, 1, 0, 0),\n",
       " datetime.datetime(1918, 2, 1, 0, 0),\n",
       " datetime.datetime(1918, 3, 1, 0, 0),\n",
       " datetime.datetime(1918, 4, 1, 0, 0),\n",
       " datetime.datetime(1918, 5, 1, 0, 0),\n",
       " datetime.datetime(1918, 6, 1, 0, 0),\n",
       " datetime.datetime(1918, 7, 1, 0, 0),\n",
       " datetime.datetime(1918, 8, 1, 0, 0),\n",
       " datetime.datetime(1918, 9, 1, 0, 0),\n",
       " datetime.datetime(1918, 10, 1, 0, 0),\n",
       " datetime.datetime(1918, 11, 1, 0, 0),\n",
       " datetime.datetime(1918, 12, 1, 0, 0),\n",
       " datetime.datetime(1919, 1, 1, 0, 0),\n",
       " datetime.datetime(1919, 2, 1, 0, 0),\n",
       " datetime.datetime(1919, 3, 1, 0, 0),\n",
       " datetime.datetime(1919, 4, 1, 0, 0),\n",
       " datetime.datetime(1919, 5, 1, 0, 0),\n",
       " datetime.datetime(1919, 6, 1, 0, 0),\n",
       " datetime.datetime(1919, 7, 1, 0, 0),\n",
       " datetime.datetime(1919, 8, 1, 0, 0),\n",
       " datetime.datetime(1919, 9, 1, 0, 0),\n",
       " datetime.datetime(1919, 10, 1, 0, 0),\n",
       " datetime.datetime(1919, 11, 1, 0, 0),\n",
       " datetime.datetime(1919, 12, 1, 0, 0),\n",
       " datetime.datetime(1920, 1, 1, 0, 0),\n",
       " datetime.datetime(1920, 2, 1, 0, 0),\n",
       " datetime.datetime(1920, 3, 1, 0, 0),\n",
       " datetime.datetime(1920, 4, 1, 0, 0),\n",
       " datetime.datetime(1920, 5, 1, 0, 0),\n",
       " datetime.datetime(1920, 6, 1, 0, 0),\n",
       " datetime.datetime(1920, 7, 1, 0, 0),\n",
       " datetime.datetime(1920, 8, 1, 0, 0),\n",
       " datetime.datetime(1920, 9, 1, 0, 0),\n",
       " datetime.datetime(1920, 10, 1, 0, 0),\n",
       " datetime.datetime(1920, 11, 1, 0, 0),\n",
       " datetime.datetime(1920, 12, 1, 0, 0),\n",
       " datetime.datetime(1921, 1, 1, 0, 0),\n",
       " datetime.datetime(1921, 2, 1, 0, 0),\n",
       " datetime.datetime(1921, 3, 1, 0, 0),\n",
       " datetime.datetime(1921, 4, 1, 0, 0),\n",
       " datetime.datetime(1921, 5, 1, 0, 0),\n",
       " datetime.datetime(1921, 6, 1, 0, 0),\n",
       " datetime.datetime(1921, 7, 1, 0, 0),\n",
       " datetime.datetime(1921, 8, 1, 0, 0),\n",
       " datetime.datetime(1921, 9, 1, 0, 0),\n",
       " datetime.datetime(1921, 10, 1, 0, 0),\n",
       " datetime.datetime(1921, 11, 1, 0, 0),\n",
       " datetime.datetime(1921, 12, 1, 0, 0),\n",
       " datetime.datetime(1922, 1, 1, 0, 0),\n",
       " datetime.datetime(1922, 2, 1, 0, 0),\n",
       " datetime.datetime(1922, 3, 1, 0, 0),\n",
       " datetime.datetime(1922, 4, 1, 0, 0),\n",
       " datetime.datetime(1922, 5, 1, 0, 0),\n",
       " datetime.datetime(1922, 6, 1, 0, 0),\n",
       " datetime.datetime(1922, 7, 1, 0, 0),\n",
       " datetime.datetime(1922, 8, 1, 0, 0),\n",
       " datetime.datetime(1922, 9, 1, 0, 0),\n",
       " datetime.datetime(1922, 10, 1, 0, 0),\n",
       " datetime.datetime(1922, 11, 1, 0, 0),\n",
       " datetime.datetime(1922, 12, 1, 0, 0),\n",
       " datetime.datetime(1923, 1, 1, 0, 0),\n",
       " datetime.datetime(1923, 2, 1, 0, 0),\n",
       " datetime.datetime(1923, 3, 1, 0, 0),\n",
       " datetime.datetime(1923, 4, 1, 0, 0),\n",
       " datetime.datetime(1923, 5, 1, 0, 0),\n",
       " datetime.datetime(1923, 6, 1, 0, 0),\n",
       " datetime.datetime(1923, 7, 1, 0, 0),\n",
       " datetime.datetime(1923, 8, 1, 0, 0),\n",
       " datetime.datetime(1923, 9, 1, 0, 0),\n",
       " datetime.datetime(1923, 10, 1, 0, 0),\n",
       " datetime.datetime(1923, 11, 1, 0, 0),\n",
       " datetime.datetime(1923, 12, 1, 0, 0),\n",
       " datetime.datetime(1924, 1, 1, 0, 0),\n",
       " datetime.datetime(1924, 2, 1, 0, 0),\n",
       " datetime.datetime(1924, 3, 1, 0, 0),\n",
       " datetime.datetime(1924, 4, 1, 0, 0),\n",
       " datetime.datetime(1924, 5, 1, 0, 0),\n",
       " datetime.datetime(1924, 6, 1, 0, 0),\n",
       " datetime.datetime(1924, 7, 1, 0, 0),\n",
       " datetime.datetime(1924, 8, 1, 0, 0),\n",
       " datetime.datetime(1924, 9, 1, 0, 0),\n",
       " datetime.datetime(1924, 10, 1, 0, 0),\n",
       " datetime.datetime(1924, 11, 1, 0, 0),\n",
       " datetime.datetime(1924, 12, 1, 0, 0),\n",
       " datetime.datetime(1925, 1, 1, 0, 0),\n",
       " datetime.datetime(1925, 2, 1, 0, 0),\n",
       " datetime.datetime(1925, 3, 1, 0, 0),\n",
       " datetime.datetime(1925, 4, 1, 0, 0),\n",
       " datetime.datetime(1925, 5, 1, 0, 0),\n",
       " datetime.datetime(1925, 6, 1, 0, 0),\n",
       " datetime.datetime(1925, 7, 1, 0, 0),\n",
       " datetime.datetime(1925, 8, 1, 0, 0),\n",
       " datetime.datetime(1925, 9, 1, 0, 0),\n",
       " datetime.datetime(1925, 10, 1, 0, 0),\n",
       " datetime.datetime(1925, 11, 1, 0, 0),\n",
       " datetime.datetime(1925, 12, 1, 0, 0),\n",
       " datetime.datetime(1926, 1, 1, 0, 0),\n",
       " datetime.datetime(1926, 2, 1, 0, 0),\n",
       " datetime.datetime(1926, 3, 1, 0, 0),\n",
       " datetime.datetime(1926, 4, 1, 0, 0),\n",
       " datetime.datetime(1926, 5, 1, 0, 0),\n",
       " datetime.datetime(1926, 6, 1, 0, 0),\n",
       " datetime.datetime(1926, 7, 1, 0, 0),\n",
       " datetime.datetime(1926, 8, 1, 0, 0),\n",
       " datetime.datetime(1926, 9, 1, 0, 0),\n",
       " datetime.datetime(1926, 10, 1, 0, 0),\n",
       " datetime.datetime(1926, 11, 1, 0, 0),\n",
       " datetime.datetime(1926, 12, 1, 0, 0),\n",
       " datetime.datetime(1927, 1, 1, 0, 0),\n",
       " datetime.datetime(1927, 2, 1, 0, 0),\n",
       " datetime.datetime(1927, 3, 1, 0, 0),\n",
       " datetime.datetime(1927, 4, 1, 0, 0),\n",
       " datetime.datetime(1927, 5, 1, 0, 0),\n",
       " datetime.datetime(1927, 6, 1, 0, 0),\n",
       " datetime.datetime(1927, 7, 1, 0, 0),\n",
       " datetime.datetime(1927, 8, 1, 0, 0),\n",
       " datetime.datetime(1927, 9, 1, 0, 0),\n",
       " datetime.datetime(1927, 10, 1, 0, 0),\n",
       " datetime.datetime(1927, 11, 1, 0, 0),\n",
       " datetime.datetime(1927, 12, 1, 0, 0),\n",
       " datetime.datetime(1928, 1, 1, 0, 0),\n",
       " datetime.datetime(1928, 2, 1, 0, 0),\n",
       " datetime.datetime(1928, 3, 1, 0, 0),\n",
       " datetime.datetime(1928, 4, 1, 0, 0),\n",
       " datetime.datetime(1928, 5, 1, 0, 0),\n",
       " datetime.datetime(1928, 6, 1, 0, 0),\n",
       " datetime.datetime(1928, 7, 1, 0, 0),\n",
       " datetime.datetime(1928, 8, 1, 0, 0),\n",
       " datetime.datetime(1928, 9, 1, 0, 0),\n",
       " datetime.datetime(1928, 10, 1, 0, 0),\n",
       " datetime.datetime(1928, 11, 1, 0, 0),\n",
       " datetime.datetime(1928, 12, 1, 0, 0),\n",
       " datetime.datetime(1929, 1, 1, 0, 0),\n",
       " datetime.datetime(1929, 2, 1, 0, 0),\n",
       " datetime.datetime(1929, 3, 1, 0, 0),\n",
       " datetime.datetime(1929, 4, 1, 0, 0),\n",
       " datetime.datetime(1929, 5, 1, 0, 0),\n",
       " datetime.datetime(1929, 6, 1, 0, 0),\n",
       " datetime.datetime(1929, 7, 1, 0, 0),\n",
       " datetime.datetime(1929, 8, 1, 0, 0),\n",
       " datetime.datetime(1929, 9, 1, 0, 0),\n",
       " datetime.datetime(1929, 10, 1, 0, 0),\n",
       " datetime.datetime(1929, 11, 1, 0, 0),\n",
       " datetime.datetime(1929, 12, 1, 0, 0),\n",
       " datetime.datetime(1930, 1, 1, 0, 0),\n",
       " datetime.datetime(1930, 2, 1, 0, 0),\n",
       " datetime.datetime(1930, 3, 1, 0, 0),\n",
       " datetime.datetime(1930, 4, 1, 0, 0),\n",
       " datetime.datetime(1930, 5, 1, 0, 0),\n",
       " datetime.datetime(1930, 6, 1, 0, 0),\n",
       " datetime.datetime(1930, 7, 1, 0, 0),\n",
       " datetime.datetime(1930, 8, 1, 0, 0),\n",
       " datetime.datetime(1930, 9, 1, 0, 0),\n",
       " datetime.datetime(1930, 10, 1, 0, 0),\n",
       " datetime.datetime(1930, 11, 1, 0, 0),\n",
       " datetime.datetime(1930, 12, 1, 0, 0),\n",
       " datetime.datetime(1931, 1, 1, 0, 0),\n",
       " datetime.datetime(1931, 2, 1, 0, 0),\n",
       " datetime.datetime(1931, 3, 1, 0, 0),\n",
       " datetime.datetime(1931, 4, 1, 0, 0),\n",
       " datetime.datetime(1931, 5, 1, 0, 0),\n",
       " datetime.datetime(1931, 6, 1, 0, 0),\n",
       " datetime.datetime(1931, 7, 1, 0, 0),\n",
       " datetime.datetime(1931, 8, 1, 0, 0),\n",
       " datetime.datetime(1931, 9, 1, 0, 0),\n",
       " datetime.datetime(1931, 10, 1, 0, 0),\n",
       " datetime.datetime(1931, 11, 1, 0, 0),\n",
       " datetime.datetime(1931, 12, 1, 0, 0),\n",
       " datetime.datetime(1932, 1, 1, 0, 0),\n",
       " datetime.datetime(1932, 2, 1, 0, 0),\n",
       " datetime.datetime(1932, 3, 1, 0, 0),\n",
       " datetime.datetime(1932, 4, 1, 0, 0),\n",
       " datetime.datetime(1932, 5, 1, 0, 0),\n",
       " datetime.datetime(1932, 6, 1, 0, 0),\n",
       " datetime.datetime(1932, 7, 1, 0, 0),\n",
       " datetime.datetime(1932, 8, 1, 0, 0),\n",
       " datetime.datetime(1932, 9, 1, 0, 0),\n",
       " datetime.datetime(1932, 10, 1, 0, 0),\n",
       " datetime.datetime(1932, 11, 1, 0, 0),\n",
       " datetime.datetime(1932, 12, 1, 0, 0),\n",
       " datetime.datetime(1933, 1, 1, 0, 0),\n",
       " datetime.datetime(1933, 2, 1, 0, 0),\n",
       " datetime.datetime(1933, 3, 1, 0, 0),\n",
       " datetime.datetime(1933, 4, 1, 0, 0),\n",
       " datetime.datetime(1933, 5, 1, 0, 0),\n",
       " datetime.datetime(1933, 6, 1, 0, 0),\n",
       " datetime.datetime(1933, 7, 1, 0, 0),\n",
       " datetime.datetime(1933, 8, 1, 0, 0),\n",
       " datetime.datetime(1933, 9, 1, 0, 0),\n",
       " datetime.datetime(1933, 10, 1, 0, 0),\n",
       " datetime.datetime(1933, 11, 1, 0, 0),\n",
       " datetime.datetime(1933, 12, 1, 0, 0),\n",
       " datetime.datetime(1934, 1, 1, 0, 0),\n",
       " datetime.datetime(1934, 2, 1, 0, 0),\n",
       " datetime.datetime(1934, 3, 1, 0, 0),\n",
       " datetime.datetime(1934, 4, 1, 0, 0),\n",
       " datetime.datetime(1934, 5, 1, 0, 0),\n",
       " datetime.datetime(1934, 6, 1, 0, 0),\n",
       " datetime.datetime(1934, 7, 1, 0, 0),\n",
       " datetime.datetime(1934, 8, 1, 0, 0),\n",
       " datetime.datetime(1934, 9, 1, 0, 0),\n",
       " datetime.datetime(1934, 10, 1, 0, 0),\n",
       " datetime.datetime(1934, 11, 1, 0, 0),\n",
       " datetime.datetime(1934, 12, 1, 0, 0),\n",
       " datetime.datetime(1935, 1, 1, 0, 0),\n",
       " datetime.datetime(1935, 2, 1, 0, 0),\n",
       " datetime.datetime(1935, 3, 1, 0, 0),\n",
       " datetime.datetime(1935, 4, 1, 0, 0),\n",
       " datetime.datetime(1935, 5, 1, 0, 0),\n",
       " datetime.datetime(1935, 6, 1, 0, 0),\n",
       " datetime.datetime(1935, 7, 1, 0, 0),\n",
       " datetime.datetime(1935, 8, 1, 0, 0),\n",
       " datetime.datetime(1935, 9, 1, 0, 0),\n",
       " datetime.datetime(1935, 10, 1, 0, 0),\n",
       " datetime.datetime(1935, 11, 1, 0, 0),\n",
       " datetime.datetime(1935, 12, 1, 0, 0),\n",
       " datetime.datetime(1936, 1, 1, 0, 0),\n",
       " datetime.datetime(1936, 2, 1, 0, 0),\n",
       " datetime.datetime(1936, 3, 1, 0, 0),\n",
       " datetime.datetime(1936, 4, 1, 0, 0),\n",
       " datetime.datetime(1936, 5, 1, 0, 0),\n",
       " datetime.datetime(1936, 6, 1, 0, 0),\n",
       " datetime.datetime(1936, 7, 1, 0, 0),\n",
       " datetime.datetime(1936, 8, 1, 0, 0),\n",
       " datetime.datetime(1936, 9, 1, 0, 0),\n",
       " datetime.datetime(1936, 10, 1, 0, 0),\n",
       " datetime.datetime(1936, 11, 1, 0, 0),\n",
       " datetime.datetime(1936, 12, 1, 0, 0),\n",
       " datetime.datetime(1937, 1, 1, 0, 0),\n",
       " datetime.datetime(1937, 2, 1, 0, 0),\n",
       " datetime.datetime(1937, 3, 1, 0, 0),\n",
       " datetime.datetime(1937, 4, 1, 0, 0),\n",
       " datetime.datetime(1937, 5, 1, 0, 0),\n",
       " datetime.datetime(1937, 6, 1, 0, 0),\n",
       " datetime.datetime(1937, 7, 1, 0, 0),\n",
       " datetime.datetime(1937, 8, 1, 0, 0),\n",
       " datetime.datetime(1937, 9, 1, 0, 0),\n",
       " datetime.datetime(1937, 10, 1, 0, 0),\n",
       " datetime.datetime(1937, 11, 1, 0, 0),\n",
       " datetime.datetime(1937, 12, 1, 0, 0),\n",
       " datetime.datetime(1938, 1, 1, 0, 0),\n",
       " datetime.datetime(1938, 2, 1, 0, 0),\n",
       " datetime.datetime(1938, 3, 1, 0, 0),\n",
       " datetime.datetime(1938, 4, 1, 0, 0),\n",
       " datetime.datetime(1938, 5, 1, 0, 0),\n",
       " datetime.datetime(1938, 6, 1, 0, 0),\n",
       " datetime.datetime(1938, 7, 1, 0, 0),\n",
       " datetime.datetime(1938, 8, 1, 0, 0),\n",
       " datetime.datetime(1938, 9, 1, 0, 0),\n",
       " datetime.datetime(1938, 10, 1, 0, 0),\n",
       " datetime.datetime(1938, 11, 1, 0, 0),\n",
       " datetime.datetime(1938, 12, 1, 0, 0),\n",
       " datetime.datetime(1939, 1, 1, 0, 0),\n",
       " datetime.datetime(1939, 2, 1, 0, 0),\n",
       " datetime.datetime(1939, 3, 1, 0, 0),\n",
       " datetime.datetime(1939, 4, 1, 0, 0),\n",
       " datetime.datetime(1939, 5, 1, 0, 0),\n",
       " datetime.datetime(1939, 6, 1, 0, 0),\n",
       " datetime.datetime(1939, 7, 1, 0, 0),\n",
       " datetime.datetime(1939, 8, 1, 0, 0),\n",
       " datetime.datetime(1939, 9, 1, 0, 0),\n",
       " datetime.datetime(1939, 10, 1, 0, 0),\n",
       " datetime.datetime(1939, 11, 1, 0, 0),\n",
       " datetime.datetime(1939, 12, 1, 0, 0),\n",
       " datetime.datetime(1940, 1, 1, 0, 0),\n",
       " datetime.datetime(1940, 2, 1, 0, 0),\n",
       " datetime.datetime(1940, 3, 1, 0, 0),\n",
       " datetime.datetime(1940, 4, 1, 0, 0),\n",
       " datetime.datetime(1940, 5, 1, 0, 0),\n",
       " datetime.datetime(1940, 6, 1, 0, 0),\n",
       " datetime.datetime(1940, 7, 1, 0, 0),\n",
       " datetime.datetime(1940, 8, 1, 0, 0),\n",
       " datetime.datetime(1940, 9, 1, 0, 0),\n",
       " datetime.datetime(1940, 10, 1, 0, 0),\n",
       " datetime.datetime(1940, 11, 1, 0, 0),\n",
       " datetime.datetime(1940, 12, 1, 0, 0),\n",
       " datetime.datetime(1941, 1, 1, 0, 0),\n",
       " datetime.datetime(1941, 2, 1, 0, 0),\n",
       " datetime.datetime(1941, 3, 1, 0, 0),\n",
       " datetime.datetime(1941, 4, 1, 0, 0),\n",
       " datetime.datetime(1941, 5, 1, 0, 0),\n",
       " datetime.datetime(1941, 6, 1, 0, 0),\n",
       " datetime.datetime(1941, 7, 1, 0, 0),\n",
       " datetime.datetime(1941, 8, 1, 0, 0),\n",
       " datetime.datetime(1941, 9, 1, 0, 0),\n",
       " datetime.datetime(1941, 10, 1, 0, 0),\n",
       " datetime.datetime(1941, 11, 1, 0, 0),\n",
       " datetime.datetime(1941, 12, 1, 0, 0),\n",
       " datetime.datetime(1942, 1, 1, 0, 0),\n",
       " datetime.datetime(1942, 2, 1, 0, 0),\n",
       " datetime.datetime(1942, 3, 1, 0, 0),\n",
       " datetime.datetime(1942, 4, 1, 0, 0),\n",
       " datetime.datetime(1942, 5, 1, 0, 0),\n",
       " datetime.datetime(1942, 6, 1, 0, 0),\n",
       " datetime.datetime(1942, 7, 1, 0, 0),\n",
       " datetime.datetime(1942, 8, 1, 0, 0),\n",
       " datetime.datetime(1942, 9, 1, 0, 0),\n",
       " datetime.datetime(1942, 10, 1, 0, 0),\n",
       " datetime.datetime(1942, 11, 1, 0, 0),\n",
       " datetime.datetime(1942, 12, 1, 0, 0),\n",
       " datetime.datetime(1943, 1, 1, 0, 0),\n",
       " datetime.datetime(1943, 2, 1, 0, 0),\n",
       " datetime.datetime(1943, 3, 1, 0, 0),\n",
       " datetime.datetime(1943, 4, 1, 0, 0),\n",
       " datetime.datetime(1943, 5, 1, 0, 0),\n",
       " datetime.datetime(1943, 6, 1, 0, 0),\n",
       " datetime.datetime(1943, 7, 1, 0, 0),\n",
       " datetime.datetime(1943, 8, 1, 0, 0),\n",
       " datetime.datetime(1943, 9, 1, 0, 0),\n",
       " datetime.datetime(1943, 10, 1, 0, 0),\n",
       " datetime.datetime(1943, 11, 1, 0, 0),\n",
       " datetime.datetime(1943, 12, 1, 0, 0),\n",
       " datetime.datetime(1944, 1, 1, 0, 0),\n",
       " datetime.datetime(1944, 2, 1, 0, 0),\n",
       " datetime.datetime(1944, 3, 1, 0, 0),\n",
       " datetime.datetime(1944, 4, 1, 0, 0),\n",
       " datetime.datetime(1944, 5, 1, 0, 0),\n",
       " datetime.datetime(1944, 6, 1, 0, 0),\n",
       " datetime.datetime(1944, 7, 1, 0, 0),\n",
       " datetime.datetime(1944, 8, 1, 0, 0),\n",
       " datetime.datetime(1944, 9, 1, 0, 0),\n",
       " datetime.datetime(1944, 10, 1, 0, 0),\n",
       " datetime.datetime(1944, 11, 1, 0, 0),\n",
       " datetime.datetime(1944, 12, 1, 0, 0),\n",
       " datetime.datetime(1945, 1, 1, 0, 0),\n",
       " datetime.datetime(1945, 2, 1, 0, 0),\n",
       " datetime.datetime(1945, 3, 1, 0, 0),\n",
       " datetime.datetime(1945, 4, 1, 0, 0),\n",
       " datetime.datetime(1945, 5, 1, 0, 0),\n",
       " datetime.datetime(1945, 6, 1, 0, 0),\n",
       " datetime.datetime(1945, 7, 1, 0, 0),\n",
       " datetime.datetime(1945, 8, 1, 0, 0),\n",
       " datetime.datetime(1945, 9, 1, 0, 0),\n",
       " datetime.datetime(1945, 10, 1, 0, 0),\n",
       " datetime.datetime(1945, 11, 1, 0, 0),\n",
       " datetime.datetime(1945, 12, 1, 0, 0),\n",
       " datetime.datetime(1946, 1, 1, 0, 0),\n",
       " datetime.datetime(1946, 2, 1, 0, 0),\n",
       " datetime.datetime(1946, 3, 1, 0, 0),\n",
       " datetime.datetime(1946, 4, 1, 0, 0),\n",
       " datetime.datetime(1946, 5, 1, 0, 0),\n",
       " datetime.datetime(1946, 6, 1, 0, 0),\n",
       " datetime.datetime(1946, 7, 1, 0, 0),\n",
       " datetime.datetime(1946, 8, 1, 0, 0),\n",
       " datetime.datetime(1946, 9, 1, 0, 0),\n",
       " datetime.datetime(1946, 10, 1, 0, 0),\n",
       " datetime.datetime(1946, 11, 1, 0, 0),\n",
       " datetime.datetime(1946, 12, 1, 0, 0),\n",
       " datetime.datetime(1947, 1, 1, 0, 0),\n",
       " datetime.datetime(1947, 2, 1, 0, 0),\n",
       " datetime.datetime(1947, 3, 1, 0, 0),\n",
       " datetime.datetime(1947, 4, 1, 0, 0),\n",
       " datetime.datetime(1947, 5, 1, 0, 0),\n",
       " datetime.datetime(1947, 6, 1, 0, 0),\n",
       " datetime.datetime(1947, 7, 1, 0, 0),\n",
       " datetime.datetime(1947, 8, 1, 0, 0),\n",
       " datetime.datetime(1947, 9, 1, 0, 0),\n",
       " datetime.datetime(1947, 10, 1, 0, 0),\n",
       " datetime.datetime(1947, 11, 1, 0, 0),\n",
       " datetime.datetime(1947, 12, 1, 0, 0),\n",
       " datetime.datetime(1948, 1, 1, 0, 0),\n",
       " datetime.datetime(1948, 2, 1, 0, 0),\n",
       " datetime.datetime(1948, 3, 1, 0, 0),\n",
       " datetime.datetime(1948, 4, 1, 0, 0),\n",
       " datetime.datetime(1948, 5, 1, 0, 0),\n",
       " datetime.datetime(1948, 6, 1, 0, 0),\n",
       " datetime.datetime(1948, 7, 1, 0, 0),\n",
       " datetime.datetime(1948, 8, 1, 0, 0),\n",
       " datetime.datetime(1948, 9, 1, 0, 0),\n",
       " datetime.datetime(1948, 10, 1, 0, 0),\n",
       " datetime.datetime(1948, 11, 1, 0, 0),\n",
       " datetime.datetime(1948, 12, 1, 0, 0),\n",
       " datetime.datetime(1949, 1, 1, 0, 0),\n",
       " datetime.datetime(1949, 2, 1, 0, 0),\n",
       " datetime.datetime(1949, 3, 1, 0, 0),\n",
       " datetime.datetime(1949, 4, 1, 0, 0),\n",
       " datetime.datetime(1949, 5, 1, 0, 0),\n",
       " datetime.datetime(1949, 6, 1, 0, 0),\n",
       " datetime.datetime(1949, 7, 1, 0, 0),\n",
       " datetime.datetime(1949, 8, 1, 0, 0),\n",
       " datetime.datetime(1949, 9, 1, 0, 0),\n",
       " datetime.datetime(1949, 10, 1, 0, 0),\n",
       " datetime.datetime(1949, 11, 1, 0, 0),\n",
       " datetime.datetime(1949, 12, 1, 0, 0),\n",
       " datetime.datetime(1950, 1, 1, 0, 0),\n",
       " datetime.datetime(1950, 2, 1, 0, 0),\n",
       " datetime.datetime(1950, 3, 1, 0, 0),\n",
       " datetime.datetime(1950, 4, 1, 0, 0),\n",
       " datetime.datetime(1950, 5, 1, 0, 0),\n",
       " datetime.datetime(1950, 6, 1, 0, 0),\n",
       " datetime.datetime(1950, 7, 1, 0, 0),\n",
       " datetime.datetime(1950, 8, 1, 0, 0),\n",
       " datetime.datetime(1950, 9, 1, 0, 0),\n",
       " datetime.datetime(1950, 10, 1, 0, 0),\n",
       " datetime.datetime(1950, 11, 1, 0, 0),\n",
       " datetime.datetime(1950, 12, 1, 0, 0),\n",
       " datetime.datetime(1951, 1, 1, 0, 0),\n",
       " datetime.datetime(1951, 2, 1, 0, 0),\n",
       " datetime.datetime(1951, 3, 1, 0, 0),\n",
       " datetime.datetime(1951, 4, 1, 0, 0),\n",
       " datetime.datetime(1951, 5, 1, 0, 0),\n",
       " datetime.datetime(1951, 6, 1, 0, 0),\n",
       " datetime.datetime(1951, 7, 1, 0, 0),\n",
       " datetime.datetime(1951, 8, 1, 0, 0),\n",
       " datetime.datetime(1951, 9, 1, 0, 0),\n",
       " datetime.datetime(1951, 10, 1, 0, 0),\n",
       " datetime.datetime(1951, 11, 1, 0, 0),\n",
       " datetime.datetime(1951, 12, 1, 0, 0),\n",
       " datetime.datetime(1952, 1, 1, 0, 0),\n",
       " datetime.datetime(1952, 2, 1, 0, 0),\n",
       " datetime.datetime(1952, 3, 1, 0, 0),\n",
       " datetime.datetime(1952, 4, 1, 0, 0),\n",
       " datetime.datetime(1952, 5, 1, 0, 0),\n",
       " datetime.datetime(1952, 6, 1, 0, 0),\n",
       " datetime.datetime(1952, 7, 1, 0, 0),\n",
       " datetime.datetime(1952, 8, 1, 0, 0),\n",
       " datetime.datetime(1952, 9, 1, 0, 0),\n",
       " datetime.datetime(1952, 10, 1, 0, 0),\n",
       " datetime.datetime(1952, 11, 1, 0, 0),\n",
       " datetime.datetime(1952, 12, 1, 0, 0),\n",
       " datetime.datetime(1953, 1, 1, 0, 0),\n",
       " datetime.datetime(1953, 2, 1, 0, 0),\n",
       " datetime.datetime(1953, 3, 1, 0, 0),\n",
       " datetime.datetime(1953, 4, 1, 0, 0),\n",
       " datetime.datetime(1953, 5, 1, 0, 0),\n",
       " datetime.datetime(1953, 6, 1, 0, 0),\n",
       " datetime.datetime(1953, 7, 1, 0, 0),\n",
       " datetime.datetime(1953, 8, 1, 0, 0),\n",
       " datetime.datetime(1953, 9, 1, 0, 0),\n",
       " datetime.datetime(1953, 10, 1, 0, 0),\n",
       " datetime.datetime(1953, 11, 1, 0, 0),\n",
       " datetime.datetime(1953, 12, 1, 0, 0),\n",
       " datetime.datetime(1954, 1, 1, 0, 0),\n",
       " datetime.datetime(1954, 2, 1, 0, 0),\n",
       " datetime.datetime(1954, 3, 1, 0, 0),\n",
       " datetime.datetime(1954, 4, 1, 0, 0),\n",
       " datetime.datetime(1954, 5, 1, 0, 0),\n",
       " datetime.datetime(1954, 6, 1, 0, 0),\n",
       " datetime.datetime(1954, 7, 1, 0, 0),\n",
       " datetime.datetime(1954, 8, 1, 0, 0),\n",
       " datetime.datetime(1954, 9, 1, 0, 0),\n",
       " datetime.datetime(1954, 10, 1, 0, 0),\n",
       " datetime.datetime(1954, 11, 1, 0, 0),\n",
       " datetime.datetime(1954, 12, 1, 0, 0),\n",
       " datetime.datetime(1955, 1, 1, 0, 0),\n",
       " datetime.datetime(1955, 2, 1, 0, 0),\n",
       " datetime.datetime(1955, 3, 1, 0, 0),\n",
       " datetime.datetime(1955, 4, 1, 0, 0),\n",
       " datetime.datetime(1955, 5, 1, 0, 0),\n",
       " datetime.datetime(1955, 6, 1, 0, 0),\n",
       " datetime.datetime(1955, 7, 1, 0, 0),\n",
       " datetime.datetime(1955, 8, 1, 0, 0),\n",
       " datetime.datetime(1955, 9, 1, 0, 0),\n",
       " datetime.datetime(1955, 10, 1, 0, 0),\n",
       " datetime.datetime(1955, 11, 1, 0, 0),\n",
       " datetime.datetime(1955, 12, 1, 0, 0),\n",
       " datetime.datetime(1956, 1, 1, 0, 0),\n",
       " datetime.datetime(1956, 2, 1, 0, 0),\n",
       " datetime.datetime(1956, 3, 1, 0, 0),\n",
       " datetime.datetime(1956, 4, 1, 0, 0),\n",
       " datetime.datetime(1956, 5, 1, 0, 0),\n",
       " datetime.datetime(1956, 6, 1, 0, 0),\n",
       " datetime.datetime(1956, 7, 1, 0, 0),\n",
       " datetime.datetime(1956, 8, 1, 0, 0),\n",
       " datetime.datetime(1956, 9, 1, 0, 0),\n",
       " datetime.datetime(1956, 10, 1, 0, 0),\n",
       " datetime.datetime(1956, 11, 1, 0, 0),\n",
       " datetime.datetime(1956, 12, 1, 0, 0),\n",
       " datetime.datetime(1957, 1, 1, 0, 0),\n",
       " datetime.datetime(1957, 2, 1, 0, 0),\n",
       " datetime.datetime(1957, 3, 1, 0, 0),\n",
       " datetime.datetime(1957, 4, 1, 0, 0),\n",
       " datetime.datetime(1957, 5, 1, 0, 0),\n",
       " datetime.datetime(1957, 6, 1, 0, 0),\n",
       " datetime.datetime(1957, 7, 1, 0, 0),\n",
       " datetime.datetime(1957, 8, 1, 0, 0),\n",
       " datetime.datetime(1957, 9, 1, 0, 0),\n",
       " datetime.datetime(1957, 10, 1, 0, 0),\n",
       " datetime.datetime(1957, 11, 1, 0, 0),\n",
       " datetime.datetime(1957, 12, 1, 0, 0),\n",
       " datetime.datetime(1958, 1, 1, 0, 0),\n",
       " datetime.datetime(1958, 2, 1, 0, 0),\n",
       " datetime.datetime(1958, 3, 1, 0, 0),\n",
       " datetime.datetime(1958, 4, 1, 0, 0),\n",
       " datetime.datetime(1958, 5, 1, 0, 0),\n",
       " datetime.datetime(1958, 6, 1, 0, 0),\n",
       " datetime.datetime(1958, 7, 1, 0, 0),\n",
       " datetime.datetime(1958, 8, 1, 0, 0),\n",
       " datetime.datetime(1958, 9, 1, 0, 0),\n",
       " datetime.datetime(1958, 10, 1, 0, 0),\n",
       " datetime.datetime(1958, 11, 1, 0, 0),\n",
       " datetime.datetime(1958, 12, 1, 0, 0),\n",
       " datetime.datetime(1959, 1, 1, 0, 0),\n",
       " datetime.datetime(1959, 2, 1, 0, 0),\n",
       " datetime.datetime(1959, 3, 1, 0, 0),\n",
       " datetime.datetime(1959, 4, 1, 0, 0),\n",
       " ...]"
      ]
     },
     "execution_count": 118,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "dateindex"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 119,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "SOIs.index=dateindex"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 120,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "1876-01-01    1.1\n",
       "1876-02-01    1.0\n",
       "1876-03-01    0.1\n",
       "1876-04-01    1.0\n",
       "1876-05-01    0.8\n",
       "dtype: float64"
      ]
     },
     "execution_count": 120,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "SOIs.head()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 121,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "<matplotlib.axes._subplots.AxesSubplot at 0x11d40b550>"
      ]
     },
     "execution_count": 121,
     "metadata": {},
     "output_type": "execute_result"
    },
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAAr4AAAE4CAYAAAC9hvAtAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\nzmmS2SWMgQAAAABJRU5ErkJggg==\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x11ddab7b8>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "SOIs.plot(figsize=(12,5))"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 122,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "/Users/nicolasf/anaconda/anaconda/lib/python3.5/site-packages/ipykernel/__main__.py:1: FutureWarning: pd.rolling_mean is deprecated for Series and will be removed in a future version, replace with \n",
      "\tSeries.rolling(center=False,window=12).mean()\n",
      "  if __name__ == '__main__':\n"
     ]
    },
    {
     "data": {
      "text/plain": [
       "<matplotlib.axes._subplots.AxesSubplot at 0x11de76cc0>"
      ]
     },
     "execution_count": 122,
     "metadata": {},
     "output_type": "execute_result"
    },
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAAW8AAAEACAYAAAB8nvebAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\nRK5CYII=\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x11e005ba8>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "pd.rolling_mean(SOIs,12).plot()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "##### Saving in csv, excel etc"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 123,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "pandas.core.series.Series"
      ]
     },
     "execution_count": 123,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "type(SOIs)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 124,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "SOIs = pd.DataFrame(SOIs)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 125,
   "metadata": {
    "collapsed": true
   },
   "outputs": [],
   "source": [
    "SOIs.to_csv('../data/SOI_time_series.csv')"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 126,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "SOIs.to_excel('../data/SOI_time_series.xlsx', header=False, sheet_name='Sheet1')"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "first example: an Excel file, containing one sheet, with an Excel `dates` column"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 127,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "!open ../data/ISO_datetime.xls"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 128,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "data = pd.read_excel('../data/ISO_datetime.xls', sheetname='Sheet1')"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 129,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>date</th>\n",
       "      <th>value</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>0</th>\n",
       "      <td>2014-01-02</td>\n",
       "      <td>0.786299</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>2014-01-03</td>\n",
       "      <td>0.354398</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>2014-01-04</td>\n",
       "      <td>0.747329</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>2014-01-05</td>\n",
       "      <td>0.461564</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>2014-01-06</td>\n",
       "      <td>0.626105</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "        date     value\n",
       "0 2014-01-02  0.786299\n",
       "1 2014-01-03  0.354398\n",
       "2 2014-01-04  0.747329\n",
       "3 2014-01-05  0.461564\n",
       "4 2014-01-06  0.626105"
      ]
     },
     "execution_count": 129,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "data.head()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 130,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "0   2014-01-02\n",
       "1   2014-01-03\n",
       "2   2014-01-04\n",
       "3   2014-01-05\n",
       "4   2014-01-06\n",
       "5   2014-01-07\n",
       "6   2014-01-08\n",
       "7   2014-01-09\n",
       "8   2014-01-10\n",
       "9   2014-01-11\n",
       "Name: date, dtype: datetime64[ns]"
      ]
     },
     "execution_count": 130,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "data['date']"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 131,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "data = pd.read_excel('../data/ISO_datetime.xls', \\\n",
    "                     sheetname='Sheet1', index_col=0)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 132,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>value</th>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>date</th>\n",
       "      <th></th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>2014-01-02</th>\n",
       "      <td>0.786299</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2014-01-03</th>\n",
       "      <td>0.354398</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2014-01-04</th>\n",
       "      <td>0.747329</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2014-01-05</th>\n",
       "      <td>0.461564</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2014-01-06</th>\n",
       "      <td>0.626105</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "               value\n",
       "date                \n",
       "2014-01-02  0.786299\n",
       "2014-01-03  0.354398\n",
       "2014-01-04  0.747329\n",
       "2014-01-05  0.461564\n",
       "2014-01-06  0.626105"
      ]
     },
     "execution_count": 132,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "data.head()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "#### correctly parsing date(times) when date and time information are contained in different columns"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 145,
   "metadata": {
    "collapsed": true
   },
   "outputs": [],
   "source": [
    "from datetime import datetime"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 146,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "# !open ../data/year_month_day.xlsx"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 147,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>year</th>\n",
       "      <th>month</th>\n",
       "      <th>day</th>\n",
       "      <th>value</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>0</th>\n",
       "      <td>2014</td>\n",
       "      <td>1</td>\n",
       "      <td>2</td>\n",
       "      <td>0.786299</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>2014</td>\n",
       "      <td>1</td>\n",
       "      <td>3</td>\n",
       "      <td>0.354398</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>2014</td>\n",
       "      <td>1</td>\n",
       "      <td>4</td>\n",
       "      <td>0.747329</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>2014</td>\n",
       "      <td>1</td>\n",
       "      <td>5</td>\n",
       "      <td>0.461564</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>2014</td>\n",
       "      <td>1</td>\n",
       "      <td>6</td>\n",
       "      <td>0.626105</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "   year  month  day     value\n",
       "0  2014      1    2  0.786299\n",
       "1  2014      1    3  0.354398\n",
       "2  2014      1    4  0.747329\n",
       "3  2014      1    5  0.461564\n",
       "4  2014      1    6  0.626105"
      ]
     },
     "execution_count": 147,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "ymd = pd.read_excel('../data/year_month_day.xlsx', sheetname='Sheet1')\n",
    "ymd.head()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 148,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "ymd.index = ymd[['year', 'month', 'day']].apply(lambda d: datetime(*d), axis = 1)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 149,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>year</th>\n",
       "      <th>month</th>\n",
       "      <th>day</th>\n",
       "      <th>value</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>2014-01-02</th>\n",
       "      <td>2014</td>\n",
       "      <td>1</td>\n",
       "      <td>2</td>\n",
       "      <td>0.786299</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2014-01-03</th>\n",
       "      <td>2014</td>\n",
       "      <td>1</td>\n",
       "      <td>3</td>\n",
       "      <td>0.354398</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2014-01-04</th>\n",
       "      <td>2014</td>\n",
       "      <td>1</td>\n",
       "      <td>4</td>\n",
       "      <td>0.747329</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2014-01-05</th>\n",
       "      <td>2014</td>\n",
       "      <td>1</td>\n",
       "      <td>5</td>\n",
       "      <td>0.461564</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2014-01-06</th>\n",
       "      <td>2014</td>\n",
       "      <td>1</td>\n",
       "      <td>6</td>\n",
       "      <td>0.626105</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "            year  month  day     value\n",
       "2014-01-02  2014      1    2  0.786299\n",
       "2014-01-03  2014      1    3  0.354398\n",
       "2014-01-04  2014      1    4  0.747329\n",
       "2014-01-05  2014      1    5  0.461564\n",
       "2014-01-06  2014      1    6  0.626105"
      ]
     },
     "execution_count": 149,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "ymd.head()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 150,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>month</th>\n",
       "      <th>year</th>\n",
       "      <th>day</th>\n",
       "      <th>value</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>0</th>\n",
       "      <td>1</td>\n",
       "      <td>2014</td>\n",
       "      <td>2</td>\n",
       "      <td>0.478467</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>1</td>\n",
       "      <td>2014</td>\n",
       "      <td>3</td>\n",
       "      <td>0.833801</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>1</td>\n",
       "      <td>2014</td>\n",
       "      <td>4</td>\n",
       "      <td>0.837646</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>1</td>\n",
       "      <td>2014</td>\n",
       "      <td>5</td>\n",
       "      <td>0.453646</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>1</td>\n",
       "      <td>2014</td>\n",
       "      <td>6</td>\n",
       "      <td>0.260355</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "   month  year  day     value\n",
       "0      1  2014    2  0.478467\n",
       "1      1  2014    3  0.833801\n",
       "2      1  2014    4  0.837646\n",
       "3      1  2014    5  0.453646\n",
       "4      1  2014    6  0.260355"
      ]
     },
     "execution_count": 150,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "myd = pd.read_excel('../data/year_month_day.xlsx', sheetname='Sheet2'); myd.head()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 151,
   "metadata": {
    "collapsed": true
   },
   "outputs": [],
   "source": [
    "myd.index = myd[['year', 'month', 'day']].apply(lambda d: datetime(*d), axis = 1)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 152,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>month</th>\n",
       "      <th>year</th>\n",
       "      <th>day</th>\n",
       "      <th>value</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>2014-01-02</th>\n",
       "      <td>1</td>\n",
       "      <td>2014</td>\n",
       "      <td>2</td>\n",
       "      <td>0.478467</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2014-01-03</th>\n",
       "      <td>1</td>\n",
       "      <td>2014</td>\n",
       "      <td>3</td>\n",
       "      <td>0.833801</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2014-01-04</th>\n",
       "      <td>1</td>\n",
       "      <td>2014</td>\n",
       "      <td>4</td>\n",
       "      <td>0.837646</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2014-01-05</th>\n",
       "      <td>1</td>\n",
       "      <td>2014</td>\n",
       "      <td>5</td>\n",
       "      <td>0.453646</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2014-01-06</th>\n",
       "      <td>1</td>\n",
       "      <td>2014</td>\n",
       "      <td>6</td>\n",
       "      <td>0.260355</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "            month  year  day     value\n",
       "2014-01-02      1  2014    2  0.478467\n",
       "2014-01-03      1  2014    3  0.833801\n",
       "2014-01-04      1  2014    4  0.837646\n",
       "2014-01-05      1  2014    5  0.453646\n",
       "2014-01-06      1  2014    6  0.260355"
      ]
     },
     "execution_count": 152,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "myd.head()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "#### dealing with separators in text files"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 153,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<iframe src=http://www.jamstec.go.jp/frcgc/research/d1/iod/DATA/emi.weekly.txt width=900 height=200></iframe>"
      ],
      "text/plain": [
       "<IPython.core.display.HTML object>"
      ]
     },
     "execution_count": 153,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "HTML('<iframe src=http://www.jamstec.go.jp/frcgc/research/d1/iod/DATA/emi.weekly.txt width=900 height=200></iframe>')"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "You can use [regular expressions](http://en.wikipedia.org/wiki/Regular_expression) to specify what delimiters to use. \n",
    "\n",
    "To know more about regular expressions and their use from Python via the [re](https://docs.python.org/2/library/re.html) package, read: [http://www.ucs.cam.ac.uk/docs/course-notes/unix-courses/PythonRE/files/PythonRE.pdf](http://www.ucs.cam.ac.uk/docs/course-notes/unix-courses/PythonRE/files/PythonRE.pdf)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 154,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "data_weekly = pd.read_table('http://www.jamstec.go.jp/frcgc/research/d1/iod/DATA/emi.weekly.txt', \\\n",
    "                            header=None, sep=r'[:, \\s*]', parse_dates={'date':[0,1,2]}, engine='python',\\\n",
    "                            index_col='date', usecols=[0,1,2,4])"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 155,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "data_weekly.columns = ['EMI']"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 156,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAAXkAAAEFCAYAAAAG45eHAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x11eb8cef0>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "data_weekly.plot();"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "### groupby operations in Pandas "
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "The **groupby** method is a very powerful method of pandas DataFrames, in a nutschell it allows you to\n",
    "\n",
    "1. **split** your data according to unique values of a variable (or unique *combinations* of *N* variables)\n",
    "\n",
    "2. **apply** some operation to the groups thus defined, either an *aggregation* or *transformation* method \n",
    "\n",
    "3. **combine** the results into a DataFrame\n",
    "\n",
    "This process is illustrated below, where the operation is here calculating the mean of the groups's values\n",
    "\n",
    "A very nice explanation of the **groupby** method, with examples, is available from Pandas's documentation at:  \n",
    "\n",
    "[http://pandas.pydata.org/pandas-docs/stable/groupby.html](http://pandas.pydata.org/pandas-docs/stable/groupby.html)\n",
    "\n",
    "and a short tutorial on Wes McKinney's blog [here](http://wesmckinney.com/blog/?p=125)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 157,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAB1EAAAXDCAIAAAAOQFANAAABKWlDQ1BJQ0MgUHJvZmlsZQAAGJVj\nYGAycHRxcmUSYGDIzSspCnJ3UoiIjFJgv8DAwcDNIMxgzGCdmFxc4BgQ4MMABHn5eakMGODbNQZG\nEH1ZF2QWpjxewJVcUFQCpP8AsVFKanEyAwOjAZCdXV5SABRnnANkiyRlg9kbQOyikCBnIPsIkM2X\nDmFfAbGTIOwnIHYR0BNA9heQ+nQwm4kDbA6ELQNil6RWgOxlcM4vqCzKTM8oUTAyMDBQcEzJT0pV\nCK4sLknNLVbwzEvOLyrIL0osSU0BqoW4DwwEIQpBIaZhaGlpoUmivwkCUDxAWJ8DweHLKHYGIYYA\nyaVFZVAmI5MxYT7CjDkSDAz+SxkYWP4gxEx6GRgW6DAw8E9FiKkZMjAI6DMw7JsDAMOvUG/s7Vwn\nAAAACXBIWXMAABcSAAAXEgFnn9JSAAAgAElEQVR4nOzdeVwVZf//8Tkc2QVBQEXcMRVcUsvCcCv1\ndl9JMdNccLs17S4tzTQLu63bu9TKLHdx30U0l1TUcl8yF3BH8VZ2XFB2OOf3B7+br7fMDIezn+H1\n/MMHzDVzzRuQmeFzrnNdKq1WKwAAAAAAAAAAFMHO0gEAAAAAAAAAAEZDzRcAAAAAAAAAlIOaLwAA\nAAAAAAAoBzVfAAAAAAAAAFAOar4AAAAAAAAAoBzUfAEAAAAAAABAOaj5AgAAAAAAAIByUPMFAAAA\nAAAAAOWg5gsAAAAAAAAAykHNFwAAAAAAAACUg5ovAAAAAAAAACgHNV8AAAAAAAAAUA5qvgAAAAAA\nAACgHNR8AQAAAAAAAEA5qPkCAAAAAAAAgHJQ8wUAAAAAAAAA5aDmCwAAAAAAAADKQc0XAAAAAAAA\nAJSDmi8AAAAAAAAAKAc1XwAAAAAAAABQDmq+AAAAAAAAAKAc1HwBAAAAAAAAQDmo+QIAAAAAAACA\nclDzBQAAAAAAAADloOYLAAAAAAAAAMpBzRcAAAAAAAAAlIOaLwAAAAAAAAAoBzVfAAAAAAAAAFAO\nar4AAAAAAAAAoBzUfAEAAAAAAABAOaj5AgAAAAAAAIByUPMFAAAAAAAAAOWg5gsAAAAAAAAAykHN\nFwAAAAAAAACUg5ovAAAAAAAAACgHNV8AAAAAAAAAUA5qvgAAAAAAAACgHNR8AQAAAAAAAEA5qPkC\nAAAAAAAAgHJQ8wUAAAAAAAAA5aDmCwAAAAAAAADKQc0XAAAAAAAAAJSDmi8AAAAAAAAAKAc1XwAA\nAAAAAABQDmq+AAAAAAAAAKAc1HwBAAAAAAAAQDmo+QIAAAAAAACAclDzBQAAAAAAAADloOYLAAAA\nAAAAAMpBzRcAAAAAAAAAlIOaLwAAAAAAAAAoBzVfAAAAAAAAAFAOar4AAAAAAAAAoBzUfAEAAAAA\nAABAOaj5AgAAAAAAAIByUPMFAAAAAAAAAOWg5gsAAAAAAAAAykHNFwAAAAAAAACUg5ovAAAAAAAA\nACgHNV8AAAAAAAAAUA5qvgAAAAAAAACgHNR8AQAAAAAAAEA5qPkCAAAAAAAAgHJQ8wUAAAAAAAAA\n5aDmCwAAAAAAAADKQc0XAAAAAAAAAJSDmi8AAAAAAAAAKAc1XwAAAAAAAABQjgqWDgAApTtw4MCF\nCxdKbvf29h45cqT58wAALIU7AgCYDZdcALBdKq1Wa+kMAFCKCRMmLFq0qOT2wMDAmJgY8+cBAFgK\ndwQAMBsuuQBgu5jbAQAAAAAAAACUg7kdACuSmZl54sSJEydOJCYmpqenp6enP3v2zNPT08fHx9vb\n2+e/vL29AwMDvby8LJ0XAAAAylFQUHD+/Pl79+6lpaWlpaWlp6cXffDw4UMXFxcvLy9vb2+v/yr+\nuE6dOg4ODpbODgAA/gc1X8DyMjMzly9fvmnTprNnz+bn5+tyiEqlatiwYZs2bYKDg4ODg1966SVT\nh1SMuLi4xMTEkttdXFxatGhh/jwAzCMjI+Py5cuiTZUqVWrSpImZ8wCA9YiJiTl06NDBgwePHj2a\nkZFR1sPt7e2bNGnSsmXLFi1atGzZ8uWXX3ZxcTFFTkAUj/cAIIqaL2BJDx8+/P777xcuXPjw4cMy\nHajVaq9du3bt2rVly5YJguDj4xMcHNy9e/fRo0ebJqlyfPfdd8xKBpRD33///eeffy7aVKlSpYSE\nBCoUAMqbGzduzJ07d8+ePaL1Mt3l5+dfuHCheKUvtVrdsGHDlv/VokULd3d3Y+QFxPF4DwCiqPkC\nFhMdHT1kyBADH7KLpKamRkZGXr9+nZovAJSk0WiWL18u1frkyZMtW7YMGzbMnJEAwILi4uLCw8PX\nrl1bWFho9M4LCwtjY2NjY2PXrl0rCML48eN/+ukno58FAADIYw03wAIKCws/++yzzp07G6XgCwCQ\n99tvv8XHx8vsUPSeCQBQvPj4+NGjRzds2DAiIsIUBV8AAGAlGOcLmJtWqw0LC4uIiLB0EAAoL5Yu\nXSq/w7Fjx65du9aoUSPz5AEAi1i1atXYsWPz8vIsHQQAAJgc43wBc5syZYruBV9XV1dmQAMAQyQl\nJUVFRZW6m8zkDwBg67Ra7aeffjpixAg9Cr4VKlTw8fFxdnY2RTAAAGAijPMFzGrRokXz5s2T2UGt\nVr/77rtt27Z96aWXXnrpperVqwuCkJOTk5SU9Ndff53+r6ysLHNFBgDbtmrVqoKCglJ3W7NmzZw5\nc+zt7c0QCQDMKSsra+jQodu3b9dlZ2dn586dO/fo0eOll16qWrVq1apVK1eurFKpBEHIyclJT09P\nTk6OiYm5ePHipUuXLl26lJycbOL4AABAH9R8AfNJSUmZPn26zA59+vT5+uuvAwICXtju5ORUp06d\nOnXq9O3bVxCE7OzsQ4cORUVF7d69mxmBAUCGVqvVca7e5OTkqKiokJAQU0cCAHNKTEzs1avX+fPn\n5XdTq9WDBw8eMGBAp06dpIb0Ojk5+fn5+fn5tWzZcujQoUUb7969Gx0dfejQoejo6KSkJCOnBwAA\n+qLmC5jP9OnTnzx5Itrk6uq6e/fuDh066NKPs7Nzz549e/bsqdVqT5w4sXr16s2bNz9+/NiYWaEz\nrVabnp6emJiYlJSUmJhY9MGUKVP8/PwsHQ2AEB0dffv2bR13XrZsGTVfAEqSl5fXu3fvUgu+bdu2\n/fHHH19++WU9TlGnTp2RI0eOHDlSEITY2NgDBw7s2LHj2LFjLBAHAIBlUfMFzOTOnTsrV64UbVKp\nVKtXr9ax4PvCgcHBwcHBwT/88ENUVNSJEycMTVkOTJ8+fcyYMSW3Ozk5lbWr8+fP9+3bNzk5OT8/\n/4WmsLAwar6ANViyZInuO//222//+c9/atasabo8AGBOn3zyyblz52R2qFq16rx58wYPHmyU0wUG\nBgYGBn7wwQepqak7d+7cvn37oUOHjNIzIMOIj/cAoCTUfAEz2bFjh0ajEW2aOXNm//79Denc0dFx\nwIABAwYMMKSTcqLoPYlG6SorK+v+/ftG6QqAKaSmpkZGRuq+v0ajWbFixaxZs0wXCQDMJjIy8vvv\nv5fZoVatWtHR0f7+/kY/tY+Pz6hRo0aNGpWRkcHDEkzNiI/3AKAkdpYOAJQXUnWHGjVqfPHFF+bN\nAgDlQkRERFlXqF+1apXU63MAYEPi4+OL5luQUrdu3aNHj5qi4Ps8d3f3wMBAk54CAACIouYLmMOz\nZ8+OHz8u2tS6deuipZABAMa1dOlS0e3e3t5Sh9y9e/fAgQMmSwQA5qDRaAYNGvTo0SOpHerVq3f0\n6NE6deqYMRQAADArar6AOTx48EBq4FhQUJCZwwBAeXD06NEbN26U3G5vb7927VqZA5cvX26yUABg\nDlFRUadOnZJqVavVGzduZO5yAACUjZovYA5JSUlSTS1atDBnEgAoJ6QG+fbt27dLly6vvvqq1IE7\nd+5MTU01WS4AMLnvvvtOpnXSpEmtWrUyWxgAAGAR1HwBc0hMTJRq+s9//mPOJABQHjx8+HDbtm2i\nTaNHjy7+V1ReXt6aNWtMlQwATOzMmTPHjh2Taq1bt+7s2bPNmQcAAFhEBUsHAMoFmRl7L168aM4k\nxvXo0aO7d+/evXs3LS3Nx8fH97/s7e0tHQ1AubZmzZqcnJyS2+vVq9epUydBEN55553Jkyc/e/ZM\n9PDly5d/9NFHpo1YRjZxvbWJkIDiyQ/yXbRokaurq9nCmEJGRkZqampKSkrRv/b29lWqVPHx8alS\npUqVKlWcnJwsHVBcfn5+fHz8nTt37t27V6VKlfr169erV8/R0dGQPvPy8uLj42/fvn3nzh2NRuPt\n7e3j49OyZUsPDw9jxTZQObwvpKen37lzJy4uLiMjw8fHx8fHJzAw0Mw/kcLCwoSEhMTExKJ/CwsL\nq/1X3bp11Wq1OcMAsCBqvoA5yKwXdOLECXMmecHx48djYmJKbvf09BwwYIDoITk5ORs2bFiyZEls\nbGxGRkbJHdzc3Hr06BESEtK9e3cXFxcjJzaYHl9ykfz8/JUrVz6/5ebNm1I7b9mypdSfbJcuXWrX\nri2/DwD9SE3sEBYWVvQinJubW2hoqNTUvbGxsSdOnHjjjTeMGMkmrrc2EVIPSUlJUVFRok2VKlUK\nDQ017um2bt368OHDktsHDx5csWJF454LeMHdu3el3uUgCELjxo27du1qzjzGkpmZefjw4X379u3d\nuzcuLk5qN5VK9corr3Tr1q1r166vv/66cWtb+j1D3rhx44cffti9e/f9+/cLCwufb7Kzs6tZs+a7\n7747ZcoUT09P3ZOkpaX9/PPPERERRaXeF1rVavUrr7zSv3//8ePHu7m56d6tsdjEzcu4XRV9yUuX\nLo2JiSn5JavV6qCgoN69e//973836U8kLy/v4MGDW7du3blzp+htSBAEb2/v3r17h4SEdOzY0cCX\nHADYAC0A0xN9dCi2adMmSwUbP368aKTAwMCSOyckJMyYMcPHx0fHy4urq+s///nPvLw8M+c0UVei\nz6yGiIyM1Pf7AUDO8ePHRX/pKlSokJCQULybzAJHgiCMGDHCuKls4nqrvJBFsrOzpcZYqVSquLg4\nAyM97+7du3Z2IpOnBQQEGPEsgJTp06fL/Bp+9913lg5YZtevXx8wYIAexSlPT89PPvnk4cOHxkpS\n1ovPgQMHevToIfNuv2KVKlUKDw/PyMgoNcO1a9fGjh3r7Oysy3fA29v7hx9+MOdXbUP3BWN1de/e\nvU8//VRmfM8LP5H58+cXFhYa+PWWlJ2d/fnnn1eqVEnH77wgCNWqVVu/fr3RkwCwKsznC5hDo0aN\nZF69nzRp0qNHj8yZRw+RkZH169f/6quvdF/aKDMz87PPPmvevPkff/xh0mwA8LwlS5aIbu/Zs6ev\nr2/xp6+//nqzZs2kOtm8efPTp0+NH04HNnG9tYmQxZycnN59913RJq1Wu2rVKiOea+nSpSWH3Qmy\nU0gDRnTkyBGpJnt7+6FDh5oxi6ESExPHjRvXuHHjLVu25ObmlvXwR48ezZ0719/f/9///rfobD+m\n8+zZs759+3bu3PnXX3/VarWl7v/kyZPPP//8tddeS0tLk9ntxx9/bNy48eLFi7Ozs3WJkZaWNmnS\npOHDh+fl5eka3QC2dV8wisWLF9evX//rr7+W/8EVS0tL+/DDD99+++2srCwjxti3b1+TJk3Cw8Of\nPHmi+1FJSUmDBw/+29/+dvv2bSOGAWBVqPkC5mBnZ9euXTup1uTk5CFDhpj5YbRMvvvuu5CQEP2e\nTmJjY9u3b79ixQqjpwKAkh4/frx582bRpjFjxrywRaYMl5mZuWHDBmMm041NXG9tIuQLwsLCpJoi\nIiJEq7R6yM/PF50wxMnJadiwYUY5BSAjNzf33LlzUq29e/fWfQCmxa1evbp+/fqLFy8uKCgwpJ9H\njx598sknDRs2vHDhgrGyyYuLiwsKCtq5c2dZD7x27Vr37t1FJ5ovKCgYN27cpEmTXpgdQhcRERFS\nL3oZkS3eFwyRk5MzYsSIcePG6VFP37FjR8eOHY3yp19BQcHw4cO7deumd932wIEDQUFBV65cMTwM\nACtEzRcwk3feeUemdc+ePT169JCad8mCih4xp0yZYsjfw1qtdvTo0atXrzZiMAAQtW7dOtEBULVq\n1erSpcsLG999912Z1X6WLVtm5HCybOJ6axMhRbVo0aJFixaiTfHx8dHR0UY5y86dO5OSkkpuDwkJ\nqVy5slFOAcg4e/asTAVq4MCB5gxjiK+++mrYsGFGHAt57969du3a7du3z1gdSjl06FCrVq3kZ3WT\ncfbs2X79+r3wQ3z48GGXLl0WL16sd6qtW7f+9NNPeh8uz3bvC3q7c+fOG2+8Ych7RE6dOvXBBx8Y\nGCMvL2/AgAEREREG9pOWltapU6fr168b2A8AK0TNFzCTt99+W37Brujo6FdeeUVmdIZFfPzxx4Y8\nYhbTaDQjRozYsmWL4V0BgAyZ1dtKzrIqvyTL2bNnL126ZMxwsmziemsTIaXIDPV9YYlOvUl9c8aO\nHWuU/gF5x44dk2lt1aqV2ZLoraCgYPTo0TNnztRxfw8PD1dXV132fPbsWa9evaSW7jSK48ePd+3a\n1cAxHAcPHpw7d27xp/n5+d27dzf8damPP/44JSXFwE6kerbd+4Ie7t+//8Ybbxg+bHzJkiU7duzQ\n+/CcnJy+fftGRkbK7+bm5la7dm13d3f53ZKTkzt27Cj6miUAm0bNFzATtVr9+eefy+9z9+7dN954\n48svv8zPzzdPKnlHjhz5/vvv5fdxdXXVZW0KQRA0Gs3o0aMTExONEc0CVCqV1/+SeX7y8PDwKo2D\ng4M58wPlwZkzZy5evFhyu1qtHjlypOgh8rOsmm2or01cb20ipIzBgwdLDevesWNHmaZBFHXz5s1D\nhw6V3B4QENC2bVsDOwd0IbWCpSAIlStXrlu3rjnD6Of999+Xv/D6+fmNHz9+//799+7dy83NffTo\n0bNnz549e3b79u2NGzcOGjRI5vGsoKBg1KhRGzduNEFwITk5eeDAgVIzUXh6erZr127YsGHBwcGl\nFuAWLFiQmZlZ9PG0adNOnz4ttWf16tW7dOnSvXv3GjVqyPeZnZ29aNEi+X30YOv3hbLKzs7u06eP\nfG3UwcGhZs2aunzJ4eHheicZNGjQ3r17RZtcXFzGjx+/b9++zMzMjIyMu3fvPnnyJCsra9++fWPG\njJH6A+TBgweTJ0/WOw8AK2XJBeSA8qdbt266/GK2aNHi9OnTZsgjszRtRkZGnTp1SjY5ODgMHjx4\nw4YNZ86cSU9P12q1eXl58fHxO3bsGDhwoMy7pIsMGDDAuDkt2NXvv/8u9WVevny5rL0BMNyoUaNE\nfyV79uwpc1TDhg2lfpcrV66cnZ1tlGw2cb219ZClHjt48GCpJD///HNZk7xgypQpoj3Pnz/fwJ4B\nXWg0GpkVgzt37mzpgKWTmo29iKen5+LFizUajXwnmZmZU6dOtbe3l+rH3d391q1besSTufgUFBR0\n6NChZJOzs/PHH3989+7dF7rav39/1apVZb7Yb7/9VqvVSk0K3Lhx402bNhVdcoulpKSEhobK9Onj\n41NYWGjEr1oZ94UydSU1QUrFihUnT568bdu2a9eu5efna7Xap0+fnjx58rPPPiv5HqPn7du3r6wJ\ntVqt1FuaBEHo27fvvXv3ZI69fv16cHCw1OHR0dF65AFgtaj5Amb14MEDPz8/mRt/MZVKNWrUqNTU\nVJPmkXmsKVk6qVGjxpw5c5KTk2U6jIuLK3U0065du4yY04JdUfMFrEpGRkbFihVFfyV37twpc+C3\n334rc8lat26dUeLZxPXW1kOWeqzoONwir732WplivCAnJ8fLy6tkt05OTi/UZQATkX/n/rRp0ywd\nsBR37typVKmSVP4OHTrIX21ecOXKFZlJ1V599dW8vLyyJpS5+EydOvWFjfb29uPHj09ISJDqLTEx\nsVmzZlIJq1WrdvXq1ZJF/JdeemndunUypdt///vfUn0KgnDx4kUjftXKuC/o3pXosFxnZ+cpU6bI\n/Mn266+/yozsDgsLK2vC27dvSz3t/P3vfy/1RRGtVpuZmSn1IwgICCiqWQNQBmq+gLldvXpV90WT\nPT0958+fr8dTqY6kHmtKvgI/fPjwjIwMXfosLCyUeg91kebNmxsrJzVfAMWk5hP08/MrKCiQOTAl\nJUVmrpU333zTKPFs4npr0yF1uYxrNBqZt7dfuXKlTEmet3btWtE+hwwZonefQJnIL8G0YcMGSweU\no9FogoKCpMK//vrrT58+LWuft27d8vX1lepz6tSpZe1Q9yukl5fXkSNHSu1wz549Mj+ykhXwd955\nR5e3nsiUkn/66SfTfdU2el/QsStnZ+eS0zX06NEjMTGx1D5l5juuX79+meIVFha2adNGtKtevXrp\n3k96errUyqJRUVFligTAmjGfL2BujRo12r9/f5UqVXTZ+dGjRx9++GHjxo2joqJMHex5OTk5xR97\neXlt27Zt5cqVbm5uuhxrZ2f3yy+/vPXWW1I7/PXXX3/++acRUgLAc5YsWSK6fcSIEWq1WuZAHx+f\nvn37SrUeOXLk9u3bhoaTZhPXW5sIqQuVSiVTaDBkJbdffvlFdPuYMWP07hMoE/mlw7y9vc2WRA97\n9+49deqUaFONGjX27t0rNbBRhr+//759+ypUqCDa+sMPP6SlpZW1T1HPXyEFQWjUqNHp06fbt29f\n6oHdunVr0aKFVOvzk4yrVKrZs2evX7++1IkRBEGYNm2aVNPly5dLPVxHirkv6Kio2v78ljFjxuzc\nubNatWqlHvvOO++4uLiINt26dSs5OVn3GFFRUaJLNRbNfKJ7P5UrV5aaTXj16tW69wPAylHzBSyg\nRYsWZ86cadq0qY7737x5s0+fPh07drxy5YpJg5UUEBBw6dKl/v37l+koe3v7iIgIR0dHqR1WrFhh\ncDQA+D9//vnn+fPnS263s7OTmuT3eTIruWm1WpOu817MJq63NhFS3vDhw6VmV1y7dq3U+kvyYmJi\nRP8IDwwMZPU2mM2jR49kWmWmTbAGMnPsfP311zLzFMtr1qzZhAkTRJtMtKZZp06dTp486e/vr+P+\nISEhpe7j7Oy8ZcuWGTNm6Nhn//79pRYQS09P17ET3SngvqCHr776avHixfKvKBdzc3MbMGCAVOuD\nBw90P6/UinkTJ06UGdUuKiwsTLRGv2vXrsePH5epKwBWi5ovYBm1a9c+fvx4nz59dD8kOjq6RYsW\nkydPfvr0qemCPS8wMPDw4cPVq1fX49gaNWqMHTtWqnXdunUvjIkAAENIrWfSuXNnmSkdi3Xs2LFe\nvXpSrREREYWFhfqH04FNXG9tIqQuSbp06SLalJycLP9WaylSg3xlXksAjE5+nK+Hh4fZkpTVhQsX\nDh8+LNr02muvvfvuu4Z0/sUXX4jOtS0IwsKFC4175WndunVUVFSZvtW1atWS38HOzm79+vW6lIaL\nOTo6Sr2hUP6FAT0o475QVsuXL//ss8/KdIjMsmm6F+IvXrx45MiRktvt7e3HjRtXpjyCIDg5OYn+\nKZqbm7t169ay9gbAOlHzBSzGzc0tMjLy559/lnqzT0kFBQXz5s1r1KjRpk2bTJpNEIQmTZocPnxY\nfk1heR9//LHUKIPHjx+fOXNG754B4HmZmZnr168XbdLxnfUqlSosLEyqNSEhQb9SoI5s4nprEyF1\nJPOz1mNkWVZW1po1a0pud3Jyeu+998raG6A32x3nO2/ePKmmiRMnSl03dOTh4TFkyBDRptTUVKmZ\nuPVQv379qKgoZ2fnMh1Vs2ZN+R0WLFggM/tQWbs17sARJd0XdDd58mT5yYhFyUzrp3shXmqQb6dO\nnco6yLeI1Cugf/zxhx69AbBC1HwBCxs3btyFCxdatWql+yEJCQmDBg16++235Qd0GMLHxyc6OlrH\nSYel1KhR45VXXpFqPXfunCGdA0CxTZs2ZWRklNxetWrVXr166djJiBEjpKZ9FARh2bJleoYrjU1c\nb20ipO569eoltZjqnj17UlJSytTbxo0bn592s9jbb78ttUIOYAryj4VWW/PVarW//vqraJOjo2Pv\n3r0NP8XAgQOlmnbt2mV4/4Ig+Pj47N27V49Jk/38/GRaP/roo4kTJ+qRR2rg7Qsz0hpCYfcFHXXo\n0OGbb77R40CZb1R+fr4uPWg0mm3btok2ycyMLK9Jkyai2//66y/9OgRgbaj5ApbXoEGDkydP/vDD\nD2V6HN+2bVvTpk0PHDhgikg+Pj5Sfw+XSc+ePaWarPAxDoCNkprYYcSIEfb29jp24uvr26NHD6nW\nPXv2JCYm6hOuNDZxvbWJkLpzcHAYOnSoaFN+fn5Zx/1JTewg855lwBQyMzOlmtRqtczEqZZ15coV\nqXGOXbp0cXd3N/wUrVu3lhr3evz4ccPLoE5OTlFRUfXr19fjWJmbVEhIiMw0x/p1a+Cg6ecp7L6g\nCz8/v02bNsm8PCzDwOK4IAiXL18WfXlbMKDmGxAQIDrB/dWrV3Nzc/XrE4BVoeYLWAW1Wj1x4sRr\n166Vac6yhISELl26SC26ag3atWsn1WRtj3EAbNSlS5dEV3tXqVS6rN72PJnZVwsKClatWlXWbOZk\nE9db6wkp887clStX6t7Pn3/+efbs2ZLbAwMD27Rpo08yQF+iyzEVKSwszM7ONmcY3Ymuf1ikffv2\nRjmFSqWS+n1MT0+PjY01sP969eoFBQUZ2ElJgwYNMmKJtogRx/kai/XcF+Q5ODhs3bpV79Kt4W/7\nkPpNUalUgYGB+vXp6Ogo+rJKfn5+TEyMfn0CsCrUfAErUq1atbVr1x49erR58+Y6HqLVamfNmjVk\nyBDrfDG2YcOGUk23bt2y2pUZANgQqVkX3nrrLd1XTi/StWvXGjVqSLWuWLHCCv9aLmYT11vrCdm4\ncWOpGs2VK1dEy7iipAb56jiRNGBE8kUloy/eZSwyM4dKvfFcDzJdMXWpZVnPfUFe/fr1Dansiw6n\nLROpmm/16tWdnJz07lbqtaJr167p3ScA66HPGxMAmFS7du3Onz+/bNmyGTNmpKam6nLIunXrHjx4\nsHfvXkNu+aZQvXp1Nzc30fUitFrt48ePq1WrZv5UABQjOztbdPksQXbQrhS1Wh0WFvbll1+Ktt66\ndevIkSNvvvlmWbs1D5u43lpVyLCwMNER4oIgrFy5Upd59jMyMkQXD2T1NliEp6enTOvjx4+l5ni1\nrNOnT0s1NW7c2FhnkenqzJkz48aNM9aJUFZWdV+wZlI3LG9v7z///FPvbtVqtej2x48f690nAOtB\nzRewRnZ2dmPGjBk4cOCXX365cOHCgoKCUg85cuRIaGjotm3b9JtkynTq1q176dIl0SYe4wAYaOvW\nraJ/lnh7e/fr10+PDgKs60IAACAASURBVEeOHDl79myNRiPaumzZMqut+Qo2cr21npChoaH/+Mc/\nRKdA3bBhw7x580p9GXXt2rWihw8YMEC++gaYgvz/Oqsd55ucnCy63c3NTX59szIJCAgoawCYjfXc\nF6yZ1KICFy9elFkHT29ScwcDsC3M7QBYLw8Pj/nz5//1118dOnTQZf+oqKgPP/zQxKHKTGbxDdGF\nzgFAd0uWLBHdPmzYMAcHBz06rFWrVpcuXaRat2/fbrV1E8FGrrfWE9LNzW3gwIGiTY8fP96xY0ep\nPSxevFh0OxM7wCJsseabl5cntfSc4fOfPk/mm/Pw4UMjngh6sJ77gtXKysoy8zx+fOcBZaDmC1i7\nxo0bHz58OCIiolKlSqXu/NNPPx0+fNgMqXTn6uoq1cTDBABDxMbGSk1vp8fEDrocm5OTs3btWr17\nNjWbuN5aVciwsDCpplJXcjt58qTowDRWb4OlyNd879+/b7YkupOpt8osSacHmd6o+VqcVd0XrJP5\n/5cyzhdQBut6DzgAKe+9996bb745bNgw+ZKuVqsdPXr01atX7e3tzZZNXsWKFaWasrKyzJkEgMJI\nrd7WuHHj3NxcqTeKlqpWrVpScwsKgrB8+fKJEyfq17Op2cT11qpCBgcHN2zY8Pr16yWbDh06dO/e\nvVq1akkdy+ptsDbyA2NPnTplhbPWylSyZK4VenBycqpQoYLobGnUfC3Oqu4L1sn8/0ufPXtm5jMC\nMAVqvoDNqFmz5oEDByZPnvz999/L7Hb79u3t27eHhoaaLZg8mfmFZd7JBQDycnNzV69eLdoUExPz\n8ssvm+i8Fy9ePHv2rC4LfJmfTVxvrS1kWFjYJ598UnK7RqOJiIiYOXOm6FEPHz7cvHlzye2s3gYL\n8vb29vHxkVr+9+TJk2bOowuZGSeMW/MVBMHV1VV00ChrVVmctd0XrJD5xzvb2fGOcEAJ+E0GbIla\nrV6wYMHcuXPld/vxxx/Nk0cXMq/Pe3h4mDMJACXZvn17enq6RU4tNb7Y4mziemttId977z2pcsOq\nVau0Wq1oU0RERE5OTsntrN4Gy3rjjTekmm7cuGGpa6YMmYnXdVnBuEzy8vJEt5e6WiNMzdruC1bI\n/LVva1sVHIB++E0GbM/HH3+ckJCwYMECqR2OHz+ekpJSpUoVc6aSIrU0h8BjHAADLF261FKn3rhx\n47x582TmH7QUm7jeWlvIqlWr9uzZMzIysmRTXFzc77//3r59+5JNUqu3jR071sj5gLIIDg7euXOn\nVOupU6d69OhhzjylkpmPwrhvLS8sLMzOzi5rBpiHtd0XrJC3t7dU0z//+c/Bgwcb/YzGnVAbgKVQ\n8wVsUnh4+Pr161NSUqR2OHbsWP/+/c0ZSYrMY5wuq9IBQEk3btyw4HqVGRkZmzdvHjFihKUCSLGJ\n660VhgwLCxOt+QqCsGLFipI138OHD4tOAdy4cePg4GDj5wN0JjPOVxCEgwcP2lDNV2pSdf3IVJCp\n+VqcFd4XrI1MzTc1NbVOnTpmzALAljC3A2CT3NzcZs2aJbPD6dOnzRZGnsyqr7x0D0A/y5cvt2wA\n65zewSaut1YYslu3br6+vqJN27ZtK1l4YvU2WK1XX33V0dFRqjUiIsLaVsTy8PCQmjbUuON8ZSrI\nzMdicVZ4X7A2jo6OUjNcX7lyxcxhANgQar6ArRozZozMQ2piYqI5w0jRarV3794VbfL391er1eaN\nA0AJ8vLyVq1aZdkMJ06cuHr1qmUzvMAmrrfWGVKtVg8fPly0KTMz84W12pKTk3fs2FFyT2dn56FD\nh5oiHqA7R0fHV155Rar10aNH69atM2eeUqlUKqmiXkpKSn5+vrFOdO/ePakmxvlalnXeF6yQj4+P\n6PaYmBgzJwFgQ5jbAbBVFSpUCAgIOHHihGjrw4cPzZxH1L1796RmT7POVe8BWL+oqCjRmW1cXV0/\n/fRTI57o2bNn33zzjVTr8uXLv/32WyOezkA2cb212pAjR478+uuvRZtWrFgRFhZW/OnKlStF61Cs\n3gYr8dZbb0k9HAqCsHDhwtGjR5szT6kaNGhw6tSpktvz8/Nv3rwZGBholLPIjIWsX7++UU4B/Vjt\nfcHatGrV6s6dOyW3JyYm3rp1i//GAERR8wVsWKNGjaQe66UensxMdMbDIjzGAdDPkiVLRLeHhoZ+\n9tlnxj3XoUOHzp49K9q0Zs2aOXPmyCw6b2Y2cb212pD169dv37790aNHSzadOHHi+vXrDRs2FARB\no9FI/fdjYgdYiTFjxnzzzTcFBQWirZcuXTp69KjoyoSW0qZNG9GaryAIMTExZqj5tmnTxiingH6s\n9r5gbTp27PjC+06K7dy5c/LkyWbOA8AmMLcDYMMaNGgg1VSlShVzJpFy8eJFqSYe4wDoIS4u7uDB\ng6JNphi8JtNnSkpKVFSU0c+oN5u43lpzyOcH876geC6R3377TXSYFau3wXrUrFnz7bffltlhwoQJ\nubm5ZstTqrZt20o1Xb582Vhnkbr4qFQq+YXvYGrWfF+wKm+99ZZUk9QypABAzRewYTLTnEktR2Nm\ne/bsEd1eoUKFli1bmjmMOWk0GktHAJRp+fLlWq225PamTZsGBQUZ/XSDBg1ydXWVarWqldxs4npr\nzSFDQkLc3d1Fm1avXl1YWCiwehtsxIcffijTGhMTM336dLOFKVVwcLBKpRJt2r17t1FOkZaWJvXG\nuMDAQObztSxrvi9Ylfr169eqVUu06cSJE1JzIgMo56j5AjYsKSlJqskaar6PHz8+duyYaFO3bt1k\nyigKYCVr6AEKU1BQsHLlStEmExXd3NzcBg0aJNV64MABmXWBzMkmrrdWHtLFxWXw4MGiTQkJCfv3\n779//75oBcrZ2fm9994zcTqgDF577TX5savz588/cuSIueKUwsvLq3HjxqJNFy5ciIuLM/wU27dv\nl5rsQmaUMczAyu8L1qZnz56i2zUazT//+U8zhwFgE6j5Ajbs9OnTUk0BAQHmTCIqKipK6glb5i20\nNkRmHk9ebAdMYffu3aIvqDg7Ow8ZMsREJx01apRUk0ajWbFihYnOWyY2cb21/pAyMVauXLls2bKi\n0b4vGDBggIeHhylzAWX20UcfybRqtdrhw4eLLoZpETKXWakJTMtkw4YNUk28YGNZ1n9fsCqTJ09W\nq9WiTatWrTLKCyQAFIaaL2Cr7t+/f+7cOdGmihUrdurUycx5XqDRaKTWu69WrVqPHj3MnMcUZN4M\nSM0XMIWlS5eKbjdp0S0oKKhJkyZSratWrbL4XC42cb21iZCvvvpqs2bNRJuioqIWL14s2jR27FhT\nhgL00bdvX/k5puPj49u0aRMfH2+2SDLCwsIqVaok2jRv3ryMjAxDOj948KDUoObWrVu3bt3akM5h\nCJu4L1iVevXqSb0fpaCg4IMPPhCd/ApAeUbNFzAHU1QE5syZI9XUo0cPJycnQzqPjY2dOnWq6IAm\nHa1fv/7q1auiTcOHD69QoYLePVsPLy8vqaYbN26YMwlQHty7d2/fvn2iTaaeTVVmDFp8fPxvv/1m\nSOc2cb21iZBGITWyLC8vT3Q+pSZNmrAAFKyQWq1ev369p6enzD43b95s06aN1C+mUeTn569ateqz\nzz6T361ixYpSl/HU1FSZJ95SFRYWysxuPHnyZL17Rvm5L1iV6dOn29mJ13B279791VdfmTkPACtH\nzRcwh0GDBn344Ye3bt0yVoenT59esmSJVOuAAQMMP8XcuXO7du2anp6ux7EJCQlTp04VbapYseKE\nCRMMi2YtPDw83NzcRJuioqJu375t5jyAsq1YsUL09bPAwED54WyGGzp0qKOjo1Sr4Su52cT11iZC\nGu7dd9+V+VmXxOptsFq1atUqdfKZ+/fvt2vX7ujRo0Y/e3Z29sKFC+vXrz9ixAhdXgifNGmSvb29\naNOCBQukVmAr1YwZM65cuSLaVK9evX79+unXLYqUk/uCVWnUqJHUUF9BEL744ostW7aYMw8AK0fN\nFzCHx48fL1iwoEGDBt27d9+7d6+B77u5evVqz549pV5Xb9WqlbEeYQ8ePPjKK69ER0eX6aisrKze\nvXsnJCSItoaHh9eoUcMY6SzPzs6uTZs2ok0FBQVffPGFeeMASlZYWLh8+XLRJjMU3SpXrty/f3+p\n1l27dhk+LaZNXG9tIqSBvLy8+vbtq+POzs7OQ4cONWkewBB9+/Z9//335fdJS0vr0KFDaGiosaal\niouLmz17dt26dSdOnKj7Kpc1atT48ssvRZtyc3N79Ohx6dKlsib55ptvpKYOUKlUP/zwg9R4Seiu\nPNwXrE3RqymiTRqNJjQ0NDw83PBJHrKysgzsAYA14D4HmI9Wq927d2/37t3r1as3depUqdl4ZeTn\n5//4449t2rRJS0sT3UGtVv/yyy9GfISNj4/v2LFjSEjInTt3dNn/zp07nTt3Pn/+vGhry5YtJ02a\nZKxs1qB9+/ZSTevXr//111/NGQZQsH379t2/f7/kdicnJ/MU3UaPHi3VlJeXt3r1asNPYRPXW5sI\naSDdFw4aOHAgq7fByn377bfNmzcvdbfNmzcHBARMnz5dvzGbgiCkpKQsXLiwdevW/v7+n3/+eXJy\ncll7mDp16ltvvSXa9Pjx406dOm3dulXHrp48efL+++9/+umnUjt8+OGHTBdrLOXhvmBVKlWqtG3b\nNmdnZ9FWrVY7a9asHj16XLx4saw95+bm7tu3b8KECbVr17aSJWoBGIiaL2ABd+/enTt3bqtWrfz9\n/adNm3b48OHMzMxSj4qMjGzSpMmkSZMePnwotc/48eNbtmxp1LCCIAjbt28PCAgYN27csWPHpF43\nfvjw4ffff9+sWTOp99+p1erFixdLrTZro0JDQ6WmG9NoND179hw/fjyvkwOGk5rNJiQkRGY1RSPq\n0KGDv7+/VKsR/zSyieutTYTUW8eOHWvXrq3LnkzsAOvn6Oj422+/6TLrdE5Oztdff121atV27drN\nnTtXl3l+k5KSIiMjp02b1r59++rVq0+cOPHUqVN6R7Wzs1u7dq23t7doa2pq6oABA3r16nXy5EmZ\nMYwPHz5cunRpo0aNfvrpJ6l9WrVqJTX+F3pT9n3B2jRr1uyXX36R2WHv3r0tWrTo16/f/v37S/0z\nMykpaeXKlf379/f29u7WrduiRYt0H6EPwMoxMzpgSXFxcf/617/+9a9/qdXqZs2atW7dumnTplWq\nVPHx8fHx8Xn06NHN/7p8+XJsbKx8bz169Pj222+NEszR0TEvL+/5J7bc3NzFixcvXry4du3a3bp1\nq1u3bu3atd3d3RMTExMSEs6cObNv3778/HyZPhcuXPjqq68aJZ71qFOnzqBBg9auXSu1w88//xwV\nFRUUFBQYGBgYGOjo6Hj7vzZs2CCzChyAYg8ePJAaNW+2optKpRo1apTUqLGrV68eO3ZMarIXeTZx\nvbWJkMZiZ2c3YsSIUufnYfU22AofH5/o6Ojhw4dv3Lix1J0LCwv/+OOPP/74Y+rUqTVq1KhZs2bV\nqlWrVKlStWpVDw+PJ0+epKenp6Wlpaen37x5Mz4+3rhRfX19161b16dPn5ycHNEddu/evXv37urV\nq/fs2bN+/frVqlXz8fHJzMxMTk5OSko6duzYH3/8UVBQIHOKatWqbdy4UWruYOjO2dk5JyennNwX\nrNB777137969mTNnSu2g1WojIyMjIyPt7e2DgoKaN2/u7e3t5eXl7u6elJQUHx9/7969+Pj4+Pj4\nJ0+emDM5AHOi5gtYhcLCwgsXLly4cEHvHrp27bpt2zYHBwej5PH39588efLo0aNLrpgUHx8v/8Ky\nqH//+9/jxo0zSjZrM3PmzB07dsi8hP7gwYNt27Zt27bthe3yT70Aiq1cuVJ0BvNGjRq1a9fObDGG\nDx8+c+ZMqWrCsmXL9Kv52sT11iZCGtHw4cPDw8NF1wwsxiBf2BBHR8f169e/9NJLs2fP1v2o+/fv\ni06qY1J/+9vfDhw40Lt370ePHkntk5CQILOUsYzAwMA9e/boOJAf8jp16tS3b9/yc1+wQjNmzKhT\np05YWFheXp7Mbvn5+UUv5JgtGADrwdwOgBL069dvx44dZVpqvFQjR45cv369UcZBfP7551OmTDG8\nH+vUoEGDpUuXWjoFoFgajUZq9bZRo0aZM0m1atV69uwp1bp169aMjAz9eraJ661NhDSW2rVrd+rU\nSWYHVm+DzVGpVOHh4atXr3Z3dzfzqcs6A0+bNm2OHTtWs2ZN48Z48803jx8/TsHXWJo2bVqu7gvW\naciQIQcPHjTPJFcAbBE1X8C2eXp6rl69evv27U5OTkbvPDQ0NDIysmrVqnr34OHhsWLFCqmFmBXj\nnXfeCQ8Pt3QKQJkOHDggupq8o6PjsGHDzBxGpsqcmZm5YcMGvXu2ieutTYQ0FvmV3Fi9DTZq6NCh\nd+7cmTZtmqurq6nPpVKpunfvfuDAgcWLF5f12MDAwJMnT/bt29coSZycnD755JP9+/fza2tEzZo1\nE8rZfcE6tW3b9ty5cyEhIZYOAsAaUfMFzEFqPQpDqFSqkJCQmJgYkw416t69+/Xr1ydMmGBnV+bL\nRe/evWNiYkaMGGGKYNZm5syZmzZtcnFxsXQQQGmkxtH369fPFJdWeV27dq1Ro4ZU67Jlywzp3Cau\ntzYR0ij69OkjM+X62LFjzRkGMKLKlSt//fXXcXFxH330kbOzsylOUbFixbFjx8bGxv7666/yQ+Zl\n+Pn57dix4/fff2/VqpXeSdRq9ahRo27evPmvf/2LOXyNq2nTpkUflJ/7gtWqW7fu1q1bT5061b59\ne8N7c3V17dSpU/PmzQ3vCoDFUfMFzGH9+vXx8fErV6587733ZOoFOqpcufLkyZNv3LixdetWX19f\noySUUalSpYULF549e3bQoEFubm6l7u/k5BQSErJr166dO3dWr17d1PGsx8CBA69duzZ+/HjjTrIB\nlGdJSUlRUVGiTRaZTVWtVsv8aXru3LmLFy8a0r9NXG9tIqThHB0dhwwZItrUtGnT1q1bmzkPYFxV\nqlT57rvvbt269cUXXwQHB1eoYIRVXmrWrDl+/Pi9e/empaX98ssvjRo1MrzPtm3bnj59esuWLSEh\nIWWalSIgIOAf//hHTEzM0qVLDX/2xgscHR0bNGhQ/Gk5uS9Yuddff/3IkSP79+8fOXJkWf9CdHd3\n79at2zfffHPy5MlHjx4dOHBAvyUKAFgb1fNLbQIwj3v37p07d+78+fPnzp3766+/UlJSSj3E3t6+\nefPmQUFBbdq06d27t7FmcpgwYcKiRYtKbg8MDIyJiSm5PScnZ//+/ZGRkbdu3SpahDc7O9vJyal6\n9ep+fn41atTo0qVLv379zD9VnFVJTk7ev39/dHT06dOnU1JSHj9+rNFonJycfHx8/Pz8WrVqFRQU\n1Lp167p161o6KQDzsYnrrU2ENJtx48aJvif9xx9/fP/9982fBzCdp0+fHj169ODBg4cOHbpy5YqO\nR7m6ujZu3LhJkyZNmzbt0KGDqQcGFi1FtWfPntjY2JT/ys3NVavVXl5ePj4+RQ9aHTp06NKli9Gn\nAy63du/effr06Rc2ent7f/DBB6L7F90Xdu7cefPmTeXdF2yFVqv966+/9uzZc/78+aLflOTk5IyM\nDJVK5e3tXa1aNV9fX19f32rVqtWsWTMoKKh58+ZqtdrSqQEYHzVfwPKePXt2+/btuLi4Bw8ePH36\n9OnTp1lZWRUrVvT09PTw8PD09KxevXrz5s1NMWNvWf+8LykrK4sJDeRpNJrs7GwzTJwHwJrZxPXW\nJkKaR3p6es2aNbOzs1/Y7uLi8uDBA2YFhYI9e/YsJSUlPT097TlZWVlubm7u/+Xh4dGgQYO6deuq\nVCrLps3MzHRxcbF4DMhQzH3B1uXm5trZ2THJCVCuGOFdPAAMVLFixZdffvnll1+2dBB98AxXKjs7\nOwq+AAxnE9dbmwipi59//rlkwVdg9TaUAxUrVqxYsWK9evUsHUQnPGJZP8XcF2wds88B5RDz+QIA\nAAD/Jy8v76effhJtsshE0gAAAEBZUfMFAAAA/s/69euTkpJKbmf1NgAAANgKar4AAADA/5k3b57o\ndgb5AgAAwFZQ8wUAAAD+v4MHD16+fLnkdhcXl6FDh5o/DwAAAKAHar4AAADA/yc1yHfgwIGVKlUy\ncxgAAABAP9R8AQAAAEEQhNjY2H379ok2jR071sxhAAAAAL1R8wUAAAAEQRAWLFig1WpLbm/WrFlQ\nUJD58wAAAAD6oeYLAAAACKmpqWvWrBFtYvU2AAAA2BZqvgAAAICwaNGinJyckttdXFyGDBli/jwA\nAACA3qj5AgAAoLzLzc1dtGiRaFNoaCirtwEAAMC2UPMFAABAebd27dqUlBTRJiZ2AAAAgM2h5gsA\nAIDybv78+aLbWb0NAAAAtoiaLwAAAMq1/fv3x8TEiDYxyBcAAAC2qIKlAwCwJC8vr9q1a5fc7ufn\nZ/4wAKBgNnG9tYmQprBlyxbRL9zBwYHV2wAAAGCLVFqt1tIZAAAAAAAAAADGwdwOAAAAAAAAAKAc\n1HwBAAAAAAAAQDmo+QIAAAAAAACAclDzBQAAAAAAAADloOYLAAAAAAAAAMpBzRcAAAAAAAAAlIOa\nLwAAAAAAAAAoBzVfAAAAAAAAAFAOar4AAAAAAAAAoBzUfAEAAAAAAABAOaj5AgAAAAAAAIByUPMF\nAAAAAAAAAOWg5gsAAAAAAAAAykHNFwAAAAAAAACUg5ovAAAAAAAAACgHNV8AAAAAAAAAUA5qvgAA\nAAAAAACgHNR8AQAAAAAAAEA5qPkCAAAAAAAAgHJQ8wUAAAAAAAAA5aDmCwAAAAAAAADKQc0XAAAA\nAAAAAJSDmi8AAAAAAAAAKAc1XwAAAAAAAABQDmq+AAAAAAAAAKAc1HwBAAAAAAAAQDmo+QIAAAAA\nAACAclDzBQAAAAAAAADloOYLAAAAAAAAAMpBzRcAAAAAAAAAlIOaLwAAAAAAAAAoBzVfAAAAAAAA\nAFAOar4AAAAAAAAAoBzUfAEAAAAAAABAOaj5AgAAAAAAAIByUPMFAAAAAAAAAOWg5gsAAAAAAAAA\nykHNFwAAAAAAAACUg5ovAAAAAAAAACgHNV8AAAAAAAAAUA5qvgAAAAAAAACgHNR8AQAAAAAAAEA5\nqPkCAAAAAAAAgHJQ8wUAAAAAAAAA5aDmCwAAAAAAAADKQc0XAAAAAAAAAJSDmi8AAAAAAAAAKAc1\nXwAAAAAAAABQDmq+AAAAAAAAAKAc1HwBAAAAAAAAQDmo+QIAAAAAAACAclDzBQAAAAAAAADloOYL\nAAAAAAAAAMpBzRcAAAAAAAAAlIOaLwAAAAAAAAAoBzVfAAAAAAAAAFAOar4AAAAAAAAAoBzUfAEA\nAAAAAABAOaj5AgAAAAAAAIByUPMFAAAAAAAAAOWg5gsAAAAAAAAAylHB0gEAoLzLzc2NioqydAoA\n/6NLly7u7u6WTgEAAAAA+lBptVpLZwCAci01NbVKlSqWTgHgf8TExAQGBlo6BQAAAADog7kdAAAA\nAAAAAEA5qPkCAAAAAAAAgHIwny8AWJhKpfL39xcEISEhQRAEOztejbNJGo2m+GOVSqVSqSwYBvop\n+iH6+vry4wMAAABg06j5AoCFabXa27dvF3/arl07BwcHC+aBHgoLCw8fPlz8aXBwsLOzswXzQD8H\nDx4UBCEuLs7SQQAAAADAIIwmAwAAAAAAAADloOYLAAAAAAAAAMpBzRcAAAAAAAAAlIOaLwAAAAAA\nAAAoBzVfAAAAAAAAAFAOar4AAAAAAAAAoBzUfAEAAAAAAABAOaj5AgAAAAAAAIByUPMFAAAAAAAA\nAOWg5gsAAAAAAAAAykHNFwAAAAAAAACUg5ovAAAAAAAAACgHNV8AAAAAAAAAUA5qvgAAAAAAAACg\nHNR8AQAAAAAAAEA5qPkCAAAAAAAAgHJQ8wUAAAAAAAAA5aDmCwAAAAAAAADKQc0XAAAAAAAAAJSD\nmi8AAAAAAAAAKAc1XwAAAAAAAABQDmq+AAAAAAAAAKAcFSwdAACgNHZ2dhUq/P/7S15enug+9vb2\nKpVKEASNRlNQUGC+cNBZ8c9R6mfk4OBQ9IHUTxkAAAAAYBHUfAEARubj4/Pjjz96enoKgrBkyZIt\nW7a8sMPrr78eHh5uZ2dXWFg4Y8aMc+fOWSImShEYGDh//nxBENLS0oYOHfpC2dff3/+XX34RBCE9\nPX3o0KH5+fmWSQkAAAAAKIG5HQAARpacnDxr1qyisZ+jR49u27bt8621a9eePn26nZ2dIAg///wz\nBV+rdeXKlQsXLgiC4O3t3blz5xdaBwwYUPTB9u3bKfgCAAAAgFWh5gsAML6rV6/OnTtXq9WqVKpp\n06YFBAQUbXd3d589e7aLi4sgCLt27dq5c6dFY6IUa9euLfogNDS0qExfpEqVKh06dBAEITMzc/fu\n3RbJBgAAAACQQs0XAGASR48eXblypSAIDg4O4eHh1apVU6vVs2bN8vX1FQThzz//XLhwoaUzohSX\nLl26dOmSIAh+fn7t27cv3t6/f3+1Wi0Iwq5du7KysiyWDwAAAAAghpovAMBUNmzYsH//fkEQPDw8\n5syZM3ny5GbNmgmCcP/+/dmzZ2s0GksHROmKh/q+8847RR+4urp2795dEIS8vLxt27ZZLBkAAAAA\nQAI1XwCACc2fP//ixYuCINSsWbNoTtinT5/OmDHj2bNnlo4GnVy4cCEmJkYQhLp167Zu3VoQhF69\nejk7OwuCsH///sePH1s4HwAAAACgBGq+AAATKiws/OKLLxISEoo+1Wq1s2fPfvDggWVToUyeH+pb\noUKFvn37CoJQWFi4efNmi+YCAAAAAIij5gsAMC0vLy8PD4+ij1UqVcOGDS2bB2V17ty5a9euCYIQ\nEBDw0UcfeXl5q8IQwwAAIABJREFUCYLw+++/JyUlWToaAAAAAEAENV8AgAm5ubnNnj3bxcWleMvI\nkSPffPNNC0aCHoqH+hZN0CEIwqZNmywXBwAAAAAgh5ovAMBU1Gr1rFmzfH19BUE4ffr0t99+KwiC\nSqWaMmVKkyZNLJ0OZXD69OmbN28Wf3r27Nnbt29bMA8AAAAAQAY1XwCAqUycOPHll18WBCE+Pn7O\nnDn79++PiIgQBMHBweHLL7+sUaOGpQOiDNasWVP88caNGy2YBAAAAAAgj5ovAMAk+vTp06NHD0EQ\nMjIyZs6cmZWVJQjC2rVr9+3bJwiCu7v7nDlzKlWqZOGUKLvY2NhLly5ZOgUAAAAAQBI1XwCA8bVs\n2fLvf/+7IAiFhYXh4eGJiYnFTfPnzz937pwgCL6+vrNnz3ZwcLBYSpTFoEGDij5gkC8AAAAAWDlq\nvgAAI/Pz85s5c6ZarRYEYeHChRcvXny+VaPRhIeHF80GGxAQ8Omnn6pUKssEhc6aNWsWGBgoCEJ8\nfPzJkyctHQcAAAAAIKeCpQMAAJTmwYMH/fr1k9khOzt73LhxZssDwxUP8t20aZNlkwAAAAAASsU4\nXwAAIMff379Vq1aCIKSkpERHR1s6DgAAAACgFNR8AQCAnNDQ0KIPtm7dWlhYaNkwAAAAAIBSUfMF\nAACSfH1927VrJwhCRkbG3r17LR0HAAAAAFA6ar4AAEDSwIEDi5bji4yMzMnJsXQcAAAAAEDpqPkC\nAABxnp6ef/vb3wRByM7OjoyMtHQcAAAAAIBOqPkCAABx/fv3d3BwEARh7969T58+tXQcAAAAAIBO\nKlg6AAAAsFK7d+/+7bffBEFITU21dBYAAAAAgK6o+QIAAHHJycmWjgAAAAAAKDNqvgBgYfn5+f7+\n/oIgPHjwoOhfOzsm3rExGo3Gycmp+NOEhIQKFbjD2p6iH2L16tVVKhUL1pU3WVlZZ86csXQKAP8j\nODjY3t7e0ikAALBJKq1Wa+kMAFCuXb16NTAw0NIpAPyPnTt39u7d29IpYD6xsbGNGze2dAoA/yMl\nJcXHx8fSKQAAsEkMJQMAAAAAAAAA5aDmCwAAAAAAAADKwWyDAGBharVapVJZOgWA/6FWqy0dAebm\n5eVV/DHzqgMWodVqn597kAckAAD0Rs0XACzM09Pz+T9vmLrOFmVlZbm6uhZ/eufOnTp16lguDvT0\nfHGhbt26FkwCi0hPTy/+mBUvAItITU2tUqVK8af8JgIAoDeGMAAAAAAAAACAclDzBQAAAAAAAADl\noOYLAAAAAAAAAMpBzRcAAAAAAAAAlIOaLwAAAAAAAAAoBzVfAAAAAAAAAFAOar4AAAAAAAAAoBzU\nfAEAAAAAAABAOaj5AgAAAAAAAIByUPMFAAAAAAAAAOWg5gsAAAAAAAAAykHNFwAAAAAAAACUg5ov\nAAAAAAAAACgHNV8AAAAAAAAAUA5qvgAAAAAAAACgHNR8AQAAAAAAgP/H3r3HN1nm+f+/7yRN06aH\nNOmBtpQW5VQRUDyNIq6yKvvQ8cRjGAYQ3UVBZxBG/Coo4ADiVGQYFWVmpLPIyMEpojOAOAI6owMq\nKiBQREWp0wM9kaZNekjTNsn9+6P767JJSe+2yX0n6ev5V3vlk/Cebdem7173dQPRg84XAAAAAAAA\nAKIHnS8AAAAAAAAARA86XwAAAAAAAACIHnS+AAAAAAAAABA96HwBAAAAAAAAIHrQ+QIAAAAAAABA\n9KDzBQAAAAAAAIDoQecLAAAAAAAAANGDzhcAAAAAAAAAogedLwAAAAAAAABEDzpfAAAAAAAAAIge\ndL4AAAAAAAAAED3ofAEAAAAAAAAgetD5AgAAAAAAAED0oPMFAAAAAAAAgOhB5wsAAAAAAAAA0YPO\nFwAAAAAAAACiB50vAAAAAAAAAEQPOl8AAAAAAAAAiB50vgAAAAAAAAAQPeh8AQAAAAAAACB60PkC\nAAAAAAAAQPSg8wUAAAAAAACA6EHnCwAAAAAAAADRg84XAAAAAAAAAKIHnS8AAAAAAAAARA86XwAA\nAAAAAACIHnS+AAAAAAAAABA96HwBAAAAAAAAIHrQ+QIAAAAAAABA9KDzBQAAAAAAAIDooVM7AAAA\nCDvff//93/72t9OnT1dXV9fU1Gi12oyMjPT09NGjR992220XXXSR2gEBAAAAABdE5wsAAP6HzWZ7\n6aWXtm/f/v33319oZv78+SNHjnz44Yd/8Ytf6PV6JeMBAAAAAOTgbAcAACDYbLannnoqLy/v2Wef\nDVD4djp9+vTChQtHjBhRVFSkTDwAAAAAgHx0vgAADHTvvPNOfn7+6tWrm5ub5T+rrKxs+vTpCxcu\n9Hg8ocsGAAAAAOgtOl8AAAYup9P58MMP33nnnVartW+v8NJLL911111tbW3BDQYAAAAA6DM6XwAA\nBq7Nmzdv2LChny/y7rvvzps3Lyh5AAAAAAD9R+cLAMDAJUlSUF5n48aNr776alBeCgAAAADQTzq1\nAwAAgLCj0+nGjBkzYsSIESNGeL3e4uLi4uLisrKyAE9ZuHDhnXfemZWVpVhIAAAAAEC36HwBAMD/\nSkpKmjt37i9/+cvBgwf7PGS1WhcsWFBUVNTtE10u1+rVq19++eXQZwQAAAAABMLZDgAA4H889NBD\nFRUVv/nNb/wLX0EQ0tLS/vznPxcVFZnN5m6fXlhYWF1dHeKMAAAAAIAe0PkCAAAhPj5+8+bNr776\nalJSUuDJadOm7du3T6Pp5i1EW1vbO++8E5qAAAAAAAC56HwBABjoUlNTP/vss1mzZsmcv/LKK+fO\nndvtQ/v37w9eLgAAAABAX9D5AgAwoBkMht27d48ZM6ZXzyooKEhLS/Nf/8c//iFJUpCiAQAAAAD6\ngs4XAICBS6PRbN68+dprr+3tE1NSUmbMmOG/3tDQYLfbgxENAAAAANBHOrUDAAAA1cyYMSMxMbFv\nz83Pz+923Wq1pqSk9CMUAAAAAKBf2OcLAMDA1efCVxCEUaNGdbtutVr7/JoAAAAAgP6j8wUAAH1x\noc4XAAAAAKAuznYAAISE3W6vqamxWq11dXVms3n48OGZmZmiKKqdC0ETGxvb7Xp6errCSQAAAAAA\n56PzBQAE06FDh3bv3v3ee++dOHHC5yGj0Ths2LD8/PzHHnvsqquuUiUegqiysrLbdTpfAAAAAFAX\nZzsAAILj5MmTkydPvu6661avXu1f+AqC0NLScuLEiaKiomuuuebee+8tLy9XPiSCqNvO12KxJCcn\nKx8GAAAAANCFzhcAEAQrV6687LLL9u/fL2dYkqRt27aNHDlyzZo1oQ6G0CkuLvZfvP7665VPAgAA\nAAA4H50vAKBfJEmaP3/+ihUrvF5vr57ocrkWL168ZcuWEAVDqO3atct/ceLEiconAQAAAACcj84X\nANAvb7311vr16/v89Llz5x4+fDiIeaCMurq6Tz/91H/9pptuUj4MAAAAAOB8dL4AgH5pa2sL8KjB\nYEhNTQ0w4HK5nnzyyWCHQsi98cYb/ju7L7300vHjx6uSBwAAAADQhc4XABBkBoNh5syZ+/fvr6ys\ndDqdVqu1sbHx6NGjc+bM0Wi6+bnz0UcfVVRUKJ8Tfdba2rp69Wr/9blz5yofBgAAAADgg84XABA0\nWq120aJFVVVVW7duveWWW7KyskRRFAQhMTFx/PjxhYWFBw8e1Ov1Ps/yer1bt25VIy/6aP369dXV\n1T6LcXFxs2bNUiUPAAAAAOB8dL4AgODIz8//5JNPnn/++ZSUlAvNXHfddY8//rj/+meffRbKaAim\npqam559/3n991qxZJpNJ+TwAAAAAAB90vgCAIJg8efKRI0euueaaHieXLFnif8KD1WoNTS4EX0FB\ngc1m81mMi4tbvny5KnkAAAAAAD7ofAEA/XXPPffs3r07Pj5ezrDRaBwyZIjPosPhCEEuBN/x48fX\nrl3rv/7oo49mZWUpnwcAAAAA4E/XedIigPDx4Ycf3njjjWqnAOSaOHHi9OnTtVqt/KcMHz68tLT0\n/JWOjo4gx0IIeDyeBx54wO12+6xbLJbFixerEgkAAAAA4E+ndgAAQGTLzc3t7VP8D/z1rxERhl54\n4YUvv/zSf/1Xv/pVcnKy8nkAAAAAAN3ibAcAgKLa29sbGhp8Ful8w9+ZM2e6PbH3qquumjdvnvJ5\nAAAAAAAXwj5fAIAS3G733//+9+3bt//1r3+12+0+j3q9XlVSQSZJkubMmdPa2uqzHhMTs3Hjxl6d\n7AEAAAAACDXdxRdfLAjCuXPn3G73yJEjDQaD2pHQa8XFxZIkdX48fPhwmbdRQlg5deqU2+3OzMwU\nRZH2BNHE6/UePHiwqKjo7bfftlqtasdBH61du/ajjz7yX1+xYsWYMWMUjwMAAAAACERXUlLS9YnB\nYEhISFAxDfrG5XJ1bZGLjY3lixiJXC5XR0fHDz/8IAiCx+NROw4QBMXFxZs2bXrzzTerqqrUzoJ+\nOXLkyNKlS/3Xb7zxxieffFL5PAAAAACAwDjbAQAQZB9++OGaNWv27t3r/1BsbOzdd9995syZo0eP\nKh8MfdDU1DR9+vSOjg6fdbPZvHXrVo2GGwMAAAAAQNjhVzUAQNCcPHny6quvnjRpkn/hO27cuHXr\n1lVVVRUVFXUeK4SIMG/evDNnzvgsiqK4ZcuW7OxsVSIBAAAAAAJjny8AIDjefvvt+++/v6Wl5fxF\nURR//OMfL168eMKECWoFQ59t27Zty5Yt/uvLli277bbblM8DAAAAAJCDfb4AgCAoKCiYOnWqT+E7\nadKkkydP7t69m8I3EpWUlPz85z/3X7/11ltXrFiheBwAAAAAgFx0vgCA/jpw4MCyZcskSepaEUVx\n9erV77///ujRo1UMhj5rb2+fMWNGU1OTz/rQoUPfeOMNjvEFAAAAgHDG2Q4AgH5xuVxz5sw5v/AV\nBGHBggWLFy9WKxL679FHH/3iiy98FhMSEnbt2mWxWFSJBAAAAACQiX06AIB+2bhx43fffXf+itFo\nfO6559TKg/57/fXX//CHP/gsiqK4efPmMWPGqBIJAAAAACAfnS8AoF8+//xzn5WxY8fGxcWpEgb9\nd/z48W6P8V25cuU999yjfB4AAAAAQG/R+QIA+uXYsWM+K1z7H7kaGhqmTJnS2trqsz5t2rRly5ap\nEgkAAAAA0Fuc5wsA6JezZ8/6rJw6dUqVJOgnr9c7Y8aMf/3rXz7rY8aMeeGFF+x2e29fUBRFk8kU\npHQAAAAAALnofAEA/ZKfn3/o0KHzV0pLSw8cOHDDDTd0O//DDz8cP35ckWjonZUrV+7du9d//eTJ\nk9nZ2X14QZPJ1NDQ0O9cAAAAAIDe4WwHAEC/jB071mdFkqTZs2dXVlb6DxcWFo4bN87nnm+CINhs\ntvb29s6PDx8+fP/994ciKgLYs2fPqlWr1E4BAAAAAAgC9vkCAPplwoQJGzZs8FksKSkZPXr00qVL\nr7/++sGDB588efKLL7744IMPPvnkk25fxOVyLV++/PLLL9+5c+f27dtHjRoV+uD4XyUlJbNmzZIk\nSe0gAAAAAIAgoPMFAPTLzJkzCwsLP/74Y591h8OxaNEi+a+zevXqoOaCXHa7/Y477ujDcb0AAAAA\ngPDE2Q4AgH7RaDSbNm2Kj4+XOX/rrbfeeeedIY0E+dxu99SpU7/55hu1gwAAAAAAgobOFwDQX8OG\nDdu1a1dOTk7gsYyMjD/+8Y/79u1bvny5Vqu90NioUaNeeeWVYGdE9+bNm/fBBx+onQIAAAAAEEx0\nvgCAILj55pu/+uqrOXPm+Je5Go3m6quv3rBhQ2lp6YMPPigIwvjx47dt25aUlOQzmZOT8/LLLxcX\nF0+aNEmh3APbjh07CgsL1U4BAAAAAAgyzvMFAARHUlJSYWHhunXrvv766xMnTlRXV6elpWVlZU2Y\nMCElJcVneNq0abfffvvOnTtLSkqcTufo0aMvu+yySy65RKfjB5Nypk6dyn3bAAAAACD68Ks1ACCY\n4uLirrjiiiuuuKLHyYSEhHvvvVeBSAAAAAAADCic7QAAAAAAAAAA0YPOFwAAAAAAAACiR7Sd7aDR\naLrOgmxvb+92JiYmRhRFQRC8Xq/b7VYuHGTr+jpe6Guk1+s7P7jQVxkAAAAAAAAYmKKt801LS3vl\nlVc6bxZUWFi4Y8cOn4FrrrnmmWee0Wg0Ho9n2bJlR44cUSMmenDJJZe8+OKLgiDU1dXNmjXLp/a9\n+OKLX331VUEQbDbbrFmzOjo61EkJAAAAAAAAhJ9oO9uhtrZ2+fLlnXs/58yZM3HixPMfzc3NXbJk\niUajEQThD3/4A4Vv2Prqq6+OHTsmCEJqauott9zi8+jUqVM7P/jLX/5C4QsAAAAAAACcL9o6X0EQ\nvvnmmzVr1kiSJIrik08+mZ+f37melJS0atWq+Ph4QRDeeeedXbt2qRoTPdi6dWvnB9OmTeus6Tul\np6ffeOONgiC0tLTs2bNHlWwAAAAAAABA2IrCzlcQhH/+85+bNm0SBEGv1z/zzDODBg3SarXLly/P\nzMwUBOHLL79cv3692hnRg+Li4uLiYkEQsrOz/+3f/q1rfcqUKVqtVhCEd955x+l0qpYPAAAAAAAA\nCEvR2fkKgvDnP/953759giCYTKaCgoL/9//+39ixYwVBOHv27KpVq7xer9oB0bOurb7Tp0/v/MBo\nNN52222CILS3t7/99tuqJQMAAAAAAADCVdR2voIgvPjiiydOnBAEIScnp/NM2KampmXLljU3N6sd\nDbIcO3bs1KlTgiAMHTr02muvFQThjjvuiIuLEwRh3759drtd5XwAAAAAAABA+Inmztfj8axYsaKq\nqqrzU0mSVq1aVVlZqW4q9Mr5W311Ot3dd98tCILH43nzzTdVzQUAAAAAAACEqWjufAVBsFgsJpOp\n82NRFEeOHKluHvTWkSNHvv32W0EQ8vPzH3vsMYvFIgjCgQMHampq1I4GAAAAAAAAhKNo7nwTExNX\nrVoVHx/ftTJ79uybbrpJxUjog66tvp0HdAiCsH37dvXiAAAAAAAAAGEtajtfrVa7fPnyzMxMQRA+\n//zztWvXCoIgiuLjjz9+6aWXqp0OvfD5559///33XZ8ePny4pKRExTwAAAAAAABAOIvaznf+/Pnj\nxo0TBKGsrKygoGDfvn2vv/66IAh6vX7lypWDBw9WOyB6YcuWLV0fFxUVqZgEAAAAAAAACHPR2fne\nddddt99+uyAIjY2NTz/9tNPpFARh69ate/fuFQQhKSmpoKAgOTlZ5ZTova+//rq4uFjtFAAAAAAA\nAED4isLOd/z48T//+c8FQfB4PM8880x1dXXXQy+++OKRI0cEQcjMzFy1apVer1ctJXrjZz/7WecH\nbPIFAAAAAAAAAou2zjc7O/vpp5/WarWCIKxfv/7EiRPnP+r1ep955pnO02Dz8/OfeuopURTVCQrZ\nxo4de8kllwiCUFZWdujQIbXjAAAAAAAAAGFNp3aAIKusrLznnnsCDLS2tj788MOK5UH/dW3y3b59\nu7pJAAAAAAAAgPAXbft8EWUuvvjiq666ShCEc+fO/eMf/1A7DgAAAAAAABDu6HwR1qZNm9b5wVtv\nveXxeNQNAwAAAAAAAIQ/Ol+Er8zMzBtuuEEQhMbGxvfee0/tOAAAAAAAAEAEoPNF+PrpT3/aeTu+\nnTt3ulwuteMAAAAAAAAAEYDOF2EqJSXl1ltvFQShtbV1586dascBAAAAAAAAIgOdL8LUlClT9Hq9\nIAjvvfdeU1OT2nEAAAAAAACAyKBTOwDQvT179uzfv18QBKvVqnYWAAAAAAAAIGLQ+SJM1dbWqh0B\nAAAAAAAAiDx0vgAAAAAiiSRJn3zySXFx8dnzaDQas9mckpIydOjQCRMmTJgwYciQIWonBQAAUIdO\nFEVBELRarSiKR48eVTsP+kKr1Wq12s6Pjx8/rm4Y9FlMTIzb7RYE4euvv77xxhvVjgMAABB2Tp06\ntW3btm3btpWXlwcY+93vficIwuWXX75w4cKf/exnMTExSgUEAAAICzpJkgRB6GyaAISD9vZ2tSMA\nANAvkiRJkqTRcLtgBNMNN9xw8OBB+fPHjh277777lixZsmnTpptvvjl0wQAAAMINb8QBAAAQZKIo\nnj17tr6+3uv1qp0F0eObb77pw7POnj176623Ll68mO9GAAAwcND5AgAAIPhSUlKqq6u///57ml+o\nTpKkNWvWzJ8/X+0gAAAACtFdfPHFXZ/MmDHDbDarmAZ98+qrr3adzjF16tSMjAx186APNm7c2Nra\n2vnxiBEj1A0DAED/JSYmGgwGl8tVXV1ttVrT0tJMJhOnPUBFv//973NzcxctWqR2EAAAgJDTlZSU\ndH3ys5/97JJLLlExDfpm6dKlTqez8+MpU6ZcddVV6uZBHxQUFFit1s6P4+Pj1Q0DAEBQpKend95o\ny+120/widNLT091ud319fY+Ty5YtmzJlyrBhwxRIBQAAoCLecAMAACAkOrf6dn3a2fxy2gP6z2w2\nL1iwYNu2bYcPH7bb7bW1tTabra6u7tNPP33llVeys7Mv9MSOjo6lS5cqGRUAAEAVdL4AAAAIlfT0\ndJ8Vml/0x4QJEzZv3lxZWblu3boZM2ZceeWVycnJnQ9ZLJZrr732kUce+e6771asWHGhC6d27NhR\nVlamYGQAAAAV0PkCAAAgVHy2+nah+UUfHDp06OOPP541a1a331Rd4uPjly9f/pe//EUURf9HJUl6\n7733QpYRAAAgLND5AgAAIIT8t/p2oflFr/TqHN7Jkyc/+eST3T60d+/eICUCAAAIU3S+AAAACKEL\nbfXtQvOLEFm1alW3NfHXX3+tfBgAAAAl0fkCAAAgtAJs9e1C84ug02q1EyZM8F+3Wq3KhwEAAFAS\nnS8AAABCq8etvl1ofhFc48eP91+02+0dHR3KhwEAAFAMnS8AAABCTs5W3y40vwiWkSNH+i/qdDqt\nVqt8GAAAAMXQ+QIAACDk5G/17ULzi/47c+aM/2JWVpZGw+9BAAAgmvFeBwAAAEro1VbfLjS/6I9j\nx475Lw4ePFj5JAAAAEqi8wUAAIAS+rDVtwvNL/rmyy+/9F8cMWKE8kkAAACUpFM7AAAAQHRyuVyS\nJKmdIryYTKaampo+P72z+bVarWlpaSaTicvzEdhrr73W7T7fWbNmKR8GAABASXS+AAAAIVFaWurx\neNROEYVofiHHsWPH5s2b578+fPjwm266Sfk8AAAASuItMgAAACIPpz3gQjo6Ol577bUf//jHLpfL\n/9EnnnhCFEXlUwEAACiJfb4AAACIVOz5RZf6+vry8vKDBw+uXbu2vLy825kHHnhgzpw5CgcDAABQ\nHp0vAKhMFMW4uLiuT1tbW51Op4p50AdOp/P8L2JbWxtfxEh0/heRbYCRheZ3IPvTn/60Zs2a8vLy\nlpaWwJMTJ078/e9/r0wqAAAAddH5AoDKJElqbW3t+jQ3N1fFMAiKUaNGqR0B/cW91yIRze/AdPbs\n2W+++abHsUceeWTNmjV6vV6BSAAAAKqj8wUAAAAQtQYNGrRp06b/+I//UDsIAACActj+AAAAgGig\n0+kyMzOHDx9uNpvZ5Isubrf7+PHjzc3NagcBAABQDu+GAaAvJElqbm6urKzs9p7gAAAl0fYigLq6\nuqeeemro0KG7du1SOwtU4Ha7z507V1JSwqE9AIABhbMdAKB3nE6nw+FwOBwej0en02VlZfXzBUVR\nzM7O7vp0z549JpOpn68Jhblcrptvvrnr0x07dmRmZqqYB31z/fXXqx0BvabT6Ti9F3LU1dVNmTJl\n3bp1jzzyiNpZoJD29nabzdbQ0NDZ9trt9pSUFLVDAQCgEDpfAJDF5XJ1Vr0dHR1di4mJiaIo9vOV\nJUmqrKzs+jQ7OzstLa2frwmFOZ3O87+ImZmZeXl56sVBH53/RUT4o+1FJ/k/iL1e74IFCyZOnDhu\n3LiQRoLqXC5XXV2dw+E4f9Fms9H5AgAGDjpfAAikvb29s+pta2vzfzQpKUn5SAAiRV5eHpcS+3A6\nnTU1Nf18EdpenG/p0qVz5sz59ttvT58+/e233x48ePDo0aNer7fbYUmSli5dumfPHoVDQjEtLS11\ndXXdHt/c1tbW2NjImzcAwABB5wsA3ejo6GhsbHQ4HK2trRea0Wq1RqNRyVQAIovBYFA7Qtipqqrq\nz9Npe9Gt9PT09PT0G264ofPTurq6xx9//PXXX+92+N133/3000+vu+46BQNCITU1NTabLcCAzWaj\n8wUADBC8XQaA/+XxeBoaGkpLS7/77ruampoAha8QpIMdAGDgaGpq6vN9L7lLG+RLTU3905/+tGHD\nhtjY2G4HlixZonAkKCMxMTHwgNPpbGlpUSYMAADqYp8vAAher7epqclut7e0tMi/ELvH3ysAAOc7\nd+5cH57F3l70zdy5c7Va7YMPPuj/0D//+c/a2tqMjAzlUyGkjEajwWAI/Leluro6rtMCAAwEvHUG\nMHB1Vr1nz5799ttvz54929zcLL/wFUUxISEhpPEAIJr0YZMve3vRT//1X/91+eWXd/vQ6dOnFQ4D\nZfR4I9zm5uZub9IAAECU4d0zgAFHkqSWlpbKysrTp0+Xl5c7HI4+3GQpISGBAgIA5OvVJl/aXgSF\nRqN59tlnu33ou+++UzgMlJGYmKjX6wPPWK1WZcIAAKAiznYAMIA4nU6Hw9HY2Oh2u/v5UtwABADk\nk7/Jl5McEFzXXnttt+t0vtFKFMXU1NTAt4t0OBwZGRkxMTGKpQIAQHl0vgCin8vlcjgcDoejo6Mj\nWK/JYb4AIJ+cTb60vQiFlJSUQYMG1dTU+KxztkMUS05Orq2t9Xg8AWbq6uoyMzMViwQAgPLofAFE\nrfb29s6qN+intiUkJGi12uC+JgBEqx43+dL2IqSysrL8O1+Hw6FKGChAo9GkpqbW1tYGmLHb7enp\n6bydAwCOYtsFAAAgAElEQVREMTpfANHG7XZ3Vr2tra0h+ifY5AsA8gXY5EvbCwV8//33/ovp6enK\nJ4FiUlJSrFar1+u90IDX67XZbHwbAACiGJ0vgCjh8XgaGxsdDkdLS0uo/y0O8wUAmS60yZe2F8oo\nLy9vamryX6fsi25ardZsNtfV1QWYqa+vT01N5T9BAIBoRecLILJ5vd6mpiaHw9Hc3CxJkgL/Ynx8\nvE7HfzwBQBb/Tb60vVDSkSNHul0fOnSowkmgMLPZbLPZArw59Hg8DQ0NFotFyVQAACiG2gJApHK7\n3bW1tY2NjQEu3AsFDnYAAJl8NvnS9qLPXC6XXq/v7XeOy+VasmRJtw9Nnjw5GLkQvmJiYkwmU0ND\nQ4AZm81mNptFUVQsFQAAiuENN4BIpdPpBg0alJmZmZiYqOSbdQ52AACZujb56nS6zMzM4cOHm81m\nCl/0walTpy6//PL9+/f36lnLly8/ffq0/3pOTs6ll14apGgIXz3u4e3o6OBufgCAaMV7bgARTKvV\nmkymIUOGjBo1KicnJzk5OdRVgsFg0Ov1If0nACA6dG7ype1FsBQXF0+ePPmWW27Zs2ePx+MJPNzR\n0VFQUPDb3/6220dnzpwZgoAIO7GxsT3+qd5msykTBgAAhXG2A4BooNFokpKSkpKSJElqaWlpbGxs\nampyu91B/4c42AEAZGpoaMjMzOQkBwTXBx988MEHH+Tk5Nx3333//u///qMf/SguLu78Abfb/fHH\nH8+fP/+rr77q9hVMJtOiRYsUCQv1WSyWxsbGAAMul6upqYk3eACA6EPnCyCqiKKYkJCQkJAgSVJr\na2tjY2NjY2NHR0ewXp+DHQBADkmSBg8eTNuLEKmoqPj1r3/961//Wq/Xjx49OiMjIy0tzeVyff31\n1999913gn/uLFy9OSUlRLCrUFR8fbzQaW1paAszU1dXR+QIAog+dL4DoJIpifHx8fHz8oEGDXC5X\nZ/nb1tbWn9fU6/UGgyFYCQEgiomiyG2RoID29vZjx47Jn7/55psff/zx0OVBGEpNTQ3c+TqdztbW\nVp8N4wAARDo2XwCIfgaDIT09/aKLLurnu3k2+QIAELlGjhy5Y8cOnY5dLwNLQkJCbGxs4Bmr1apM\nGAAAFEPnC2BA8Hq9FRUVra2t/XkRrvsDACBCjRkzZu/evSaTSe0gUEFaWlrggaampn5eDQYAQLih\n8wUQ/SRJOnv2bHNzc39eRKfTcdEfAACqiI+P78/xSj/5yU8OHTqUl5cXvESIJElJSTExMYFn6urq\nlAkDAIAy6HwBRDlJkioqKpqamvr5OklJSZxNCQCAKvLz86uqqtavXz9+/PhePXHkyJFvvPHGjh07\njEZjiLIh/ImimJqaGnjG4XC43W5l8gAAoAA6XwDRTJKkysrK/he+Agc7AACgqpSUlHnz5h09evT4\n8eMLFiwYPHhwgL/FGo3G22+/ffPmzadOnZo+fbqSORGeTCaTVqsNMCBJElt9AQDRhDsYAIhanYWv\nw+Ho/0tptVr2BwEAEA7GjRu3bt26devWuVyu8vLysrKy0tLSsrKytra2tLS0tLS0iy666Nprr9Xr\n9WonRRjRaDQWi+XcuXMBZhoaGtLS0gJXwwAARAo6XwDRSZKk6urqoBS+giAkJiZysAMAAGHFYDCM\nGDFixIgRagdBZEhJSbFarZIkXWjA6/XW19f3eMM3AAAiAp0vws7333//t7/97fTp09XV1TU1NVqt\nNiMjIz09ffTo0bfddttFF12kdkBEhpqamoaGBjmTMTExHo/H6/UGmOFgBwAAgIim0+nMZrPNZgsw\nU19fb7FYNBqOQAQARDw6X4QLm8320ksvbd++/fvvv7/QzPz580eOHPnwww//4he/4Ho9BFBTU1Nf\nXy9nMiYmZujQoVarNUBBLIpiQkJC8NIBAABABT12vm632263m81mxSIBABAi/AET6rPZbE899VRe\nXt6zzz4boPDtdPr06YULF44YMaKoqEiZeIg4tbW1gd/Nd4mJicnLy4uJiUlOTg4wlpiYyHYPAACA\nSKfX600mU+AZm80W4PwHAAAiBS0GVPbOO+/k5+evXr26ublZ/rPKysqmT5++cOFCj8cTumyIROfO\nnZN5z2WdTpeXl9e5YTw+Pl6nu+B1DxzsAAAAEB0sFkvggfb29sbGRmXCAAAQOnS+UI3T6Xz44Yfv\nvPNOq9Xat1d46aWX7rrrrra2tuAGQ+SyWq0yv520Wm1X4SsIgiiKF9rqK4oinS8AAEB0MBgMPb61\nk3nFGAAA4YzOF6rZvHnzhg0b+vki77777rx584KSB5Gurq7u3LlzciY7C9/Y2NjzFy/U+RqNRq1W\nG4R8AAAACAM9bvVtbW3t1TWIAACEITpfqCZY52Rt3Ljx1VdfDcpLIXLZbLba2lo5k52Fr8Fg8FmP\ni4vr9saAbPIFAACIJkajMT4+PvCMzLPCAAAIWxc8vxJQi06nGzNmzIgRI0aMGOH1eouLi4uLi8vK\nygI8ZeHChXfeeWdWVpZiIRFW6uvra2pq5ExqNJrc3Fz/wrdTcnKy/9EQSUlJ/c0HAACAcJKamlpe\nXh5goKWlxeVyXehNIwAA4Y/OF2EkKSlp7ty5v/zlLwcPHuzzkNVqXbBgQVFRUbdPdLlcq1evfvnl\nl0OfEWGnoaGhurpazmRn4RsXF3ehAf/ON/C93QAAABCJEhIS9Hp9e3t7gBmr1ZqTk6NYJAAAgouz\nHRAuHnrooYqKit/85jf+ha8gCGlpaX/+85+LiorMZnO3Ty8sLJRZ/CGa2O32qqoqOZOiKA4ZMiTw\ndXyxsbE+uznY5AsAABB9RFFMS0sLPNPY2Bi4FAYAIJzR+UJ98fHxmzdvfvXVV3vs16ZNm7Zv3z6N\nppvv27a2tnfeeSc0ARGmHA5HZWWlnElRFHNzc41GY4+TPndy4zBfAACAqJScnNzj5Vyc6gsAiFx0\nvlBZamrqZ599NmvWLJnzV1555dy5c7t9aP/+/cHLhXDX2Nh49uxZOZOdO3zlFL7C/+18DQZDt3d1\nAwAAQKQTRTE1NTXwjN1ud7vdyuQBACC46HyhJoPBsHv37jFjxvTqWQUFBd1eivWPf/xDkqQgRUNY\na2pqkln4CoKQk5OTkJAgczgmJqbr/AcOdgAAAIhiJpOp2ysIu0iSZLPZFMsDAEAQ0flCNRqNZvPm\nzddee21vn5iSkjJjxgz/9YaGBrvdHoxoCGvNzc0VFRUy+/2cnJzens/QtdWXgx0AAACimFartVgs\ngWcaGhq8Xq8yeQAACCI6X6hmxowZU6dO7dtz8/Pzu123Wq39SIQI0NLSUl5eLrPwHTx4cB/26nY+\nRa/X+9zPDQAAAFHGbDaLohhgwOPx1NfXK5YHAIBgofOFavqziXLUqFHdrtP5Rjen0ym/8M3Ozva5\nIZtMOp0uISGBgx0AAACink6nS0lJCTxTX1/PCXIAgIhD54uIdKHOF1HM6XSWlZXJvLYuKyvLZDL1\n+d9KTk7mYAcAAICBoMfjHTo6OjhBDgAQcXRqBwgJu91eU1NjtVrr6urMZvPw4cMzMzMDX7ODyBIb\nG9vtenp6usJJoIzW1lb5hW9mZmaP+zUCS0pK4r8YAAAAA4Fer09OTnY4HAFmbDabyWTi/SEAIIJE\nVed76NCh3bt3v/feeydOnPB5yGg0Dhs2LD8//7HHHrvqqqtUiYcgqqys7HadzjcquVwu+YXvoEGD\nzGZzP//FwHdwBgAAQDSxWCyBO9+2trampibO/gIARJAo6TVOnjw5efLk6667bvXq1f6FryAILS0t\nJ06cKCoquuaaa+69997y8nLlQyKIuu18LRZL385vRThra2srLS31eDxyhjMyMnq8Og8AAAA4X1xc\nXEJCQuAZm82mTBgAAIIiGjrflStXXnbZZfv375czLEnStm3bRo4cuWbNmlAHQ+gUFxf7L15//fXK\nJ0FI9arwTU9PT01NDXUkAAAARJ8e30Y6nc6WlhZlwgAA0H+R3flKkjR//vwVK1bIvOi7i8vlWrx4\n8ZYtW0IUDKG2a9cu/8WJEycqnwSh097eXlpa6na75QynpaWlpaWFOhIAAACiktFoNBgMgWfq6uqU\nCQMAQP9Fduf71ltvrV+/vs9Pnzt37uHDh4OYB8qoq6v79NNP/ddvuukm5cMgRHpV+FosFo5yBlT0\nyCOPjBs3bty4cU8//bTaWQAA6KMeNxA0Nze3tbUpEwYAgH6K7M438E9cg8EQ+Aodl8v15JNPBjsU\nQu6NN97w39l96aWXjh8/XpU8CLqOjo7S0tKOjg45w2azedCgQaGOBOBCXnjhhd/97nfFxcXFxcUV\nFRVqxwEAoI8SExP1en3gGavVqkwYAAD6KbI7X38Gg2HmzJn79++vrKx0Op1Wq7WxsfHo0aNz5szR\naLr5H/vRRx/xC2pkaW1tXb16tf/63LlzlQ+DUOhV4ZuSkpKZmRnqSAAu5P3331+0aJHaKQAACAJR\nFHs81dfhcMh8mwoAgLqip/PVarWLFi2qqqraunXrLbfckpWVJYqiIAiJiYnjx48vLCw8ePCg/59t\nvV7v1q1b1ciLPlq/fn11dbXPYlxc3KxZs1TJg+Byu91lZWXt7e1yhk0mE4UvoKKSkpJp06bJvMsi\nAADhLzk5WavVBp7hVF8AQESIks43Pz//k08+ef7551NSUi40c9111z3++OP+65999lkooyGYmpqa\nnn/+ef/1WbNmmUwm5fMguNxud2lpqcxT0pKTk7v+tANAec3NzXfddVdDQ4PaQQAACBqNRtPjVl+7\n3c7fOwEA4S8aOt/JkycfOXLkmmuu6XFyyZIl/ic8cCRTBCkoKLDZbD6LcXFxy5cvVyUPgsjj8ZSV\nlcksfJOSkrKzsyl8AbVIkjRr1qxTp06pHQQAgCBLSUnp9lTALl6v1/9XEgAAwk3Ed7733HPP7t27\n4+Pj5QwbjcYhQ4b4LDocjhDkQvAdP3587dq1/uuPPvpoVlaW8nkQRJ2Fr8vlkjOcmJg4ePBgCl9A\nRStXrty5c6faKQAACD6tVms2mwPP1NfX+99TGgCAsBLZne/EiRN37NjR481Vzzd8+HCfFc7gjwge\nj+eBBx5wu90+6xaLZfHixapEQrB4vd7y8vLW1lY5wwkJCRS+gLr++te/PvPMM2qnAAAgVMxmc+B3\nmx6Ph9ONAABhLrI739zc3B6P2Pfhf+Cvf42IMPTCCy98+eWX/uu/+tWvkpOTlc+DYPF6vWVlZU6n\nU86w0WjMyckJfLUdgJD66quv7rvvPkmS1A4CAECoxMTE9HizEJvNxk9DAEA4G1jVSXt7u//fY+l8\nw9+ZM2e6PbH3qquumjdvnvJ5ECydO3xlFr7x8fFDhgyh8AVUVF9ff9dddzU3N6sdBACA0LJYLIEH\nOjo6OCQQABDOBkR74na79+3bN3v27IyMjPfff9/nUU5iCnOSJM2ZM8f/wv+YmJiNGzf2dqM3wock\nSRUVFS0tLXKG4+Pjc3NzKXwBFXk8nmnTpv3www9qBwEAIORiY2OTkpICz3AnNwBAONOpHSCEvF7v\nwYMHi4qK3n77bavVqnYc9NHatWs/+ugj//UVK1aMGTNG8TgIjs7CV+Zuwbi4OHb4Aqp74oknPvjg\nA7VTAACgEIvF0tjYGGDA5XI1NTUlJiYqFgkAAPmis/MtLi7etGnTm2++WVVVpXYW9MuRI0eWLl3q\nv37jjTc++eSTyudBUEiSdPbs2aamJjnDBoOhDyd3AwiuzZs3v/jii2qnAABAOfHx8UajMfBFaXV1\ndXS+AIDwFG2d74cffrhmzZq9e/f6PxQbG3v33XefOXPm6NGjygdDHzQ1NU2fPr2jo8Nn3Ww2b926\nlV2fEUqSpMrKysCbJrrExsZS+AKqO3z48EMPPaR2CgAAlJaamhq483U6na2trXFxcYpFAgBApuhp\nzU6ePHn11VdPmjTJv/AdN27cunXrqqqqioqKLr74YlXioQ/mzZt35swZn0VRFLds2ZKdna1KJPST\nJElVVVUy73cRGxubl5en00Xbn6aAyFJTU3PPPfe4XK7zF41G41133aVWJAAAlJGQkBAbGxt4hlME\nAQDhKUo637fffvvaa689fPjw+YuiKN5xxx0ff/zx8ePHFyxYYDab1YqHPti2bduWLVv815ctW3bb\nbbcpnwdBUV1dbbfb5Uzq9frc3FwKX0Bd7e3tU6ZMqays9Fl/7bXXOFEdADAQpKWlBR5oampqa2tT\nJgwAAPJFQ+dbUFAwdepUn4tuJk2adPLkyd27d0+YMEGtYOizkpKSn//85/7rt95664oVKxSPg+Co\nrq5uaGiQMxkTE5OXlxcTExPqSAAC+8UvfnHo0CGfxUWLFv30pz9VJQ8AAApLSkrq8U1pXV2dMmEA\nAJAv4vfQHThwYNmyZZIkda2Iovjcc8898cQTnPcaodrb22fMmOF/g6+hQ4e+8cYbfFkjVE1NTX19\nvZxJCt+oYbfba2pqrFZrXV2d2WwePnx4ZmamKIpq54Jc69ev37hxo8/iLbfcUlBQoEoeAACUJ4pi\nampqdXV1gBmHw5Gens7bVwBAWInsztflcs2ZM+f8wlcQhAULFixevFitSOi/Rx999IsvvvBZTEhI\n2LVrl8ViUSUS+qm2ttZms8mZ1Ol0eXl5er0+1JEQOocOHdq9e/d777134sQJn4eMRuOwYcPy8/Mf\ne+yxq666SpV4kOmjjz5auHChz+LQoUOLioq4rSIAYEAxmUznzp3zeDwXGpAkyWazDRo0SMlUAAAE\nFtlbJjdu3Pjdd9+dv2I0Gp977jm18qD/Xn/99T/84Q8+i6Iobt68mbMjI9S5c+dkXu9G4RvpTp48\nOXny5Ouuu2716tX+ha8gCC0tLSdOnCgqKrrmmmvuvffe8vJy5UNCjtLS0qlTp7rd7vMX4+Pj//rX\nv3I4PgBgoNFoND1uPWloaAhQCgMAoLzI7nw///xzn5WxY8fGxcWpEgb9d/z48W6P8V25cuU999yj\nfB70X11dncx7GWu12ry8vB7vjIywtXLlyssuu2z//v1yhiVJ2rZt28iRI9esWRPqYOgtp9N59913\n+/+p5r//+7/HjRunSiQAANSVkpIS+Hwqr9cr8xwzAACUEdmd77Fjx3xWuPY/cjU0NEyZMqW1tdVn\nfdq0acuWLVMlEvrJZrPV1tbKmaTwjWiSJM2fP3/FihVer7dXT3S5XIsXL96yZUuIgqFv/vM//9N/\nm/Zjjz02ffp0VfIAAKA6nU7X45Uu9fX1vX0vBABA6ET2eb5nz571WTl16pQqSdBPXq93xowZ//rX\nv3zWx4wZ88ILL9jt9t6+oCiKJpMpSOnQF/X19TU1NXImNRpNbm6uwWAIdSSEyFtvvbV+/fo+P33u\n3LmjRo3ieN8wUVBQsGPHDp/FSZMmsSMbADDAmc3mwDeocLvddrudQ5AAAGEisjvf/Pz8Q4cOnb9S\nWlp64MCBG264odv5H3744fjx44pEQ++sXLly7969/usnT57Mzs7uwwuaTKaGhoZ+50IfNTQ0BL67\ncZfOwpcjWSJaW1tbgEcNBkNCQkKAM51dLteTTz7597//PQTR0Dt79ux5+umnfRZzc3O3b9/OfdsA\nAAOcXq83mUyBN6PYbLYeT4EAAEAZkX22w9ixY31WJEmaPXt2ZWWl/3BhYeG4ceN87vkmCILNZmtv\nb+/8+PDhw/fff38ooiKAPXv2rFq1Su0UCBq73V5VVSVnsrPwjY+PD3UkKMxgMMycOXP//v2VlZVO\np9NqtTY2Nh49enTOnDkaTTc/dz766KOKigrlc+J833777cyZM30uSo2Li/vLX/6SmpqqVioAAMJH\njwcJtre3NzY2KhMGAIDAIrvznTBhgv9iSUnJ6NGjf/Ob3xw6dKiiouJvf/vbihUrrr/++oceeqi5\nudl/3uVyLV++/M0335wxY8aPfvSjI0eOhD44/ldJScmsWbMkSVI7CILD4XB0+0cXf6IoDhkyhMI3\nymi12kWLFlVVVW3duvWWW27Jysrq3OqSmJg4fvz4wsLCgwcP6vV6n2d5vd6tW7eqkRf/w+Fw3HXX\nXf6/pm7YsGH8+PGqRAIAINwYDIbExMTAM4HPfwAAQDGRfbbDzJkzCwsLP/74Y591h8OxaNEi+a+z\nevXqoOaCXHa7/Y477ujDcb0IT42Njf6nbHers/A1Go2hjgQl5efnb9q06Zprrgkwc9111z3++OMF\nBQU+65999lkooyEQr9c7ffp0/+tgfvnLX86aNUuVSAAAhCeLxdLU1BRgoLW1tbm5OSEhQbFIAAB0\nK7L3+Wo0mk2bNsnfJ3jrrbfeeeedIY0E+dxu99SpU7/55hu1gyA4mpqa5Be+OTk5vBWOMpMnTz5y\n5EjgwrfTkiVL/E94sFqtocmFni1ZsuS9997zWbzxxhvXrl2rSh4AAMKW0Wjs8dfPALcxAABAMZG9\nz1cQhGHDhu3atWv27NmBz4LMyMh49tlnH3zwwS+//PLdd9/1eDzdjo0aNeqVV14JTVL4mjdv3gcf\nfKB2CgRHc3NzRUWFzDM6Bg8e3ONlcYgs99xzT1FRkf+hDd0yGo1DhgwpLS09f9HhcIQkGXpSVFT0\n/PPP+yyazeYXXnihtrY2wBO7Pa/Q6XT6nO5iNpu5SSMAIJqkpqaWl5cHGGhpaXG5XAaDQbFIAAD4\ni/jOVxCEm2+++auvvnr88cdfe+01nzJXo9FceeWVDzzwwH333df5Q3f8+PHbtm2bO3euzy+rOTk5\nTzzxxMMPPxwTE6No+oFqx44dhYWFaqdAcLS0tJSXl8svfJOSkkIdCUqaOHHi9OnTtVqt/KcMHz7c\np/Pt6OgIcizIcOzYsdmzZ/uv19fX9+0Y3x07duzYseP8le3bt//0pz/tYz4AAMJPQkKCXq/vug14\nt6xWa05OjmKRAADwFw2dryAISUlJhYWF69at+/rrr0+cOFFdXZ2WlpaVlTVhwoSUlBSf4WnTpt1+\n++07d+4sKSlxOp2jR4++7LLLLrnkEp0uSv6vERGmTp3KfduiQ0tLS1lZmcyvZnZ2dnJycqgjQWG5\nubm9fYr/f5ndbneQ4kAuq9V69913t7a2qh0EAIBIIopiWlpa4LsWNzY2tre3y7wECgCAUIiqljMu\nLu6KK6644oorepxMSEi49957FYgERDen0yl/h29WVpbJZAp1JIS/9vb2hoYGn0U6X4V1dHT85Cc/\nCXxpKgAA6FZycnJtbW3gdy91dXVZWVmKRQIAwEdk38MNgIpaW1vLysq8Xq+c4czMTP+tnRhQ3G73\nvn37Zs+enZGR8f777/s8KvMbCcFSUlJy4MABtVMAABCRRFFMTU0NPGO32/mTNgBARVG1zxeAYlwu\nl/zCd9CgQWazOdSREJ68Xu/BgweLiorefvttq9WqdhwAAIAgMJlM586dC/BmWJIkm82WkZGhZCoA\nALrQ+QLoNZfLVVpa6nPLxAvJyMiwWCyhjoQwVFxcvGnTpjfffLOqqkrtLAAAAMGk1WotFkvgv2c3\nNDSkpaVpNFxcCwBQAZ0vgN5pa2srKyuTWfimp6f3eOEbos+HH364Zs2avXv3+j8UGxt79913nzlz\n5ujRo8oHQ5dhw4aVlZX15xXWrl37yiuv+Cz+5Cc/+e1vf3v+Cv8FAABEK7PZXFdXF+DOFh6Pp76+\nnh+FAABV0PkC6IX29vbS0lKZZ5OlpaWlpaWFOhLCysmTJx944IHDhw/7PzRu3LjZs2ffe++9ZrN5\n2rRpdL7q0ul0Q4YM6c8rJCcn+y8ajcZ+viwAAJFCp9OlpKTU19cHmKmvr7dYLKIoKpYKAIBOdL4A\n5OpV4Zuampqenh7qSAgrb7/99v3339/S0nL+oiiKP/7xjxcvXjxhwgS1ggEAAISCxWIJ3Pl2dHTY\n7XZuZQwAUB5HCwGQpaOjo7S0tKOjQ86wxWLhhhUDTUFBwdSpU30K30mTJp08eXL37t0UvgAAIPro\n9fpuL3w5n81mC3D+AwAAIULnC6BnvSp8zWbzoEGDQh0JYeXAgQPLli07//cZURRXr179/vvvjx49\nWsVgAAAAIdXjzYrb2tqampqUCQMAQBc6XwA9cLvdpaWl7e3tcoZNJhOF70DjcrnmzJnjs4FlwYIF\nixcv5kbVAAAgusXFxSUkJASesdlsyoQBAKALv40DCKRXhW9ycnJWVhY3qRhoNm7c+N13352/YjQa\nn3vuObXyAAAAKCk1NTXwgNPp9Dn/CgCAUKPzBXBBHo+nrKysra1NznBSUlJ2djaF7wD0+eef+6yM\nHTs2Li5OlTAAAAAKMxqNBoMh8ExdXZ0yYQAA6ETnC6B7nYWvy+WSM5yYmDh48GAK34Hp2LFjPis9\nHmwHAAAQTdLS0gIPNDc3y9xIAQBAUND5AuhGZ+Hb2toqZzghISEnJ4fCd8A6e/asz8qpU6dUSQIA\nAKCKxMREvV4feMZqtSoTBgAAgc4XgD+v11teXk7hC5ny8/N9VkpLSw8cOHCh+R9++OH48eMhDgUA\nAKAcURR7PNXX4XB0dHQokwcAADpfAP9HZ+HrdDrlDBuNxpycHI2G/5IMaGPHjvVZkSRp9uzZlZWV\n/sOFhYXjxo3zueebIAg2m63rVoGHDx++//77QxEVAAAgRJKTk3U6XeAZTvUFACimh59JAAYUr9db\nUVEh87bC8fHxQ4YMofDFhAkTNmzY4LNYUlIyevTopUuXXn/99YMHDz558uQXX3zxwQcffPLJJ92+\niMvlWr58+eWXX75z587t27ePGjUq9MEBAACCRqPRWCyW2traADN2uz09PV2r1SqWCgAwYNH5Avgf\nkiSdPXu2ublZznBcXByFLzrNnDmzsLDw448/9ll3OByLFi2S/zqrV68Oai4AAABFpaSkWK1Wr9d7\noQGv12uz2dLT05VMBQAYmOhrAAjC/1/4NjU1yRk2GAy5ubnsUEAnjUazadOm+Ph4mfO33nrrnXfe\nGYjQgNIAACAASURBVNJIAAAAytNqtWazOfBMfX19gFIYAIBgofMFIEiSVFlZ2djYKGfYYDDk5eVR\n+OJ8w4YN27VrV05OTuCxjIyMP/7xj/v27Vu+fHmAb6FRo0a98sorwc4IAAAQcmazOfDNjT0eT0ND\ng2J5AAADFp0vMNBJklRVVeVwOOQMx8bGssMX3br55pu/+uqrOXPm+H97aDSaq6++esOGDaWlpQ8+\n+KAgCOPHj9+2bVtSUpLPZE5Ozssvv1xcXDxp0iSFcgMAAARPTEyMyWQKPGOz2SRJUiYPAGDA4jxf\nYECTJKm6utput8sZ1uv1eXl5Pd6PGANWUlJSYWHhunXrvv766xMnTlRXV6elpWVlZU2YMCElJcVn\neNq0abfffvvOnTtLSkqcTufo0aMvu+yySy65hG+wSLFq1apVq1apnQIAgLBjsVgC7+Tt6OhwOBw9\nVsMAAPQHv1oDA1pNTY3Mi8sofCFTXFzcFVdcccUVV/Q4mZCQcO+99yoQCQAAQDGxsbFJSUmBj02z\n2Wx0vgCAkOJsB2Dgqqmpqa+vlzMZExOTl5cXExMT6kgAAABApLNYLIEHXC6XzJsnAwDQN3S+wABV\nW1trs9nkTOp0OgpfAAAAQKb4+Hij0Rh4pq6uTpkwAICBic4XGIjOnTsn811mZ+Gr1+tDHQkAAACI\nGqmpqYEHnE5na2urMmEAAAMQnS8w4FitVqvVKmdSq9Xm5eXFxsaGOhIAAAAQTRISEnp8Fy3zPTkA\nAH1A5wsMLHV1defOnZMzSeELAAAA9FlaWlrggaampra2NmXCAAAGGjpfYACx2Wy1tbVyJjUaTW5u\nrsFgCHUkAAAAIColJSX1eEsMTvUFAIQInS8wUNTX19fU1MiZ1Gg0eXl5cXFxoY4EAAAARCtRFHs8\n1dfhcHR0dCiTBwAwoND5AgNCQ0NDdXW1nMnOHb4UvgAAAEA/mUwmrVYbYECSJJvNplgeAMDAQecL\nRD+73V5VVSVnUhTFIUOGxMfHhzoSAAAAEPU0Go3FYgk809DQ4PF4lMkDABg46HyBKNfY2FhZWSln\nsrPwNRqNoY4EAAAADBApKSmiKAYY8Hq99fX1iuUBAAwQdL5ANGtqaqqoqJAz2Vn4JiQkhDoSAAAA\nMHDodDqz2Rx4pr6+3uv1KpMHADBA0PkCUUt+4SsIQk5ODoUvAAAAEHQ9Hu/gdrvtdrsyYQAAAwSd\nLxCdmpubKyoqJEmSM5yTk5OYmBjqSAAAAMAAFBMTYzKZAs/YbDaZb90BAJCDzheIQi0tLeXl5TLf\nNQ4ePDgpKSnUkQAAAIABq8etvu3t7Y2NjcqEAQAMBHS+QLRxOp3yC9/s7Ozk5ORQRwIAAAAGMoPB\n0ON1dTabTZkwAICBgM4XiCqtra1lZWUybwGRlZXV41VmAAAAAPqvx62+ra2tzc3NyoQBAEQ9Ol8g\nerS2tpaWlsosfDMzM1NSUkIdCQAAAIAgCEajMT4+PvBMXV2dMmEAAFGPzheIEi6XS/4O30GDBpnN\n5lBHAgAAANAlNTU18EBLS4vL5VImDAAgutH5AtGgra2ttLTU4/HIGU5PT+/xyjIAAAAAwZWQkBAb\nGxt4xmq1KhMGABDd6HyBiNerwjctLS0tLS3UkQAAAAD4EEWxx62+jY2N7e3tyuQBAEQxOl8gsrW3\nt5eWlrrdbjnDqamp6enpoY4EAAAAoFvJyck6nS7wDKf6AgD6j84XiGAdHR3yC1+LxZKRkRHqSAAA\nAAAuRM5WX7vdLvMdPgAAF0LnC0SqzsK3o6NDzrDZbB40aFCoIwEAAAAIzGQyaTSBfhOXJMlmsymW\nBwAQleh8gUhVUVEh86ivlJSUzMzMUOcBAAAA0COtVtvjHZUbGhq8Xq8yeQAAUYnOF4hUmZmZWq22\nxzGTyUThCwAAAIQPs9ksimKAAY/HU19fr1geAED0ofMFIlVcXFxeXl7g2jc5OTkrKyvwG0oAAAAA\nStLpdCkpKYFnbDabJEnK5AEARB/dlVde2fXJwoULe7yFKMLQ6NGju94NLF26NCYmRt086IOhQ4fm\n5uZ2fiz//w0NBsPQoUMvdBu3pKSk7OxsCl8AAAAg3FgslsA7ed1ut91u77EaBgCgW7ojR46onQHA\n/9Gru/TGxsbm5eX5176JiYmDBw+m8AUAAADCkF6vT05OdjgcAWZsNpvJZOItPQCgDzjbAYh4sbGx\nQ4cOPX9/9//H3p0GRlkdbB8/s2Sd7JMECIQlATSgICgViIJa0VatIBUiILWCoEXBB0VAlpdNKaJ1\nAbRARapCZVUWLWtVQEQMGAiLAoJsSQjJZE/INjPvh3nMk86EyTZzb/P/fZo5c+bmakcO5OLMuUNC\nQih8AQAAACWr905uFRUVxcXF0oQBAGgMnS+gBf7+/u3bt3fUviaTKT4+Xq/ndzcAAACgXEFBQSEh\nIe7nWCwWacIAADTG2L9//5on/fr1Cw0NlTENmmb79u1Wq9XxODk5OSIiQt48aIJdu3ZVVlY6Hjft\nWG1/f/8OHTpcvXq1VatWFL4AAACA8kVHR5eUlLiZUFZWVlpaajKZJIsEANAG4549e2qevPfee126\ndJExDZpm9uzZZWVljsevv/56r1695M2DJnj99ddzcnIcjxt1nm9tfn5+rVu39lwoAAAAAF5kMpkC\nAwPLy8vdzMnNzaXzBQA0FpsBAQAAAACQR0xMjPsJJSUl7kthAABc0fkCAAAAACCP0NBQf39/93Ny\nc3OlCQMA0Aw6XwAAAAAA5KHT6aKjo93PKSwsrKqqkiYPAEAb6HwBAAAAAJBNeHh4vbdxZqsvAKBR\n6HwBAAAAAJCNXq83m83u5xQUFFitVmnyAAA0gM4XAAAAAAA5RUZG6vXufjy32WwWi0WyPAAAtaPz\nBQAAAABATgaDISoqyv2cvLw8m80mTR4AgNrR+QIAAAAAILOoqCidTudmgtVqzc/PlywPAEDV6HwB\nAAAAAJCZn59fRESE+zkWi8Vut0uTBwCgavXcGxQAAAAAAEjAbDa738lbVVVVWFhYbzWsUlVVVQUF\nBXKnAAAtiImJofMFAAAAAEB+AQEBYWFhRUVFbuZYLBatdr779++/++675U4BAFpgt9s52wEAAAAA\nAEUwm83uJ5SXlxcXF0sTBgCgXnS+AAAAAAAoQnBwsMlkcj8nNzdXmjAAAPWi8wUAAAAAQCmio6Pd\nTygrK7t27Zo0YQAAKsV5vgAAAAAAKEVISEhAQEBFRYWbOTk5OW3btpUskjT0er3ZbLbb7UVFRX5+\nfr169ZI7ERqnsLDwxIkTjsd8goD0HL8H/fz8goODBZ0vAAAAAACKEhMTc/nyZTcTiouLKyoqAgIC\nJIskAZvNZrFYHI91Op2/v7+8edBYBoOhurra8ZhPEJCe4/dgdXW147sgdL4AIDOdTpeYmFjztH//\n/jqdTsY8aAK73V77Q3zggQf4ENWo9ocIH1T7P4CuXbvKmATwWU5/nvryH6ZhYWF+fn5VVVVu5uTm\n5rZu3VqySAAAdaHzBQCZ2e32s2fPyp0CAHwdSzGgNHa7Xe4IstHpdNHR0VlZWW7mFBYWxsbG+vn5\nSZYKAKAi3MMNAAAAAABliYiIMBgMbibY7faakxAAAHBC5wsAAAAAgLI4bmjmfk5+fr7VapUmDwBA\nXTjbAQBkFhYWtm7dOrlTAPgvbdq0kTsCJNWmTRuWYkBpwsLC5I4gs8jIyJycHDdnXNhstry8vJiY\nGClTAQBUgc4XAGQWEBAwZMgQuVMAgE8LCwtjKQagNEajMSoqyv0BDnl5eWazWa/nK7wAgP/CHwwA\nAAAAAChRvcc7VFdXFxQUSBMGAKAidL4AAAAAACiRn59fRESE+zkWi8XN+Q8AAN9E5wsAAAAAgELV\nu9W3srKyqKhImjAAALWg8wUAAAAAQKECAwNDQ0Pdz3F/5i8AwAfR+QIAAAAAoFzR0dHuJ1y7dq2k\npESaMAAAVaDzBQAAAABAuYKDg4ODg93Pyc3NlSYMAEAV6HwBAAAAAFC0erf6lpaWlpeXSxMGAKB8\ndL4AAAAAAChaSEhIQECA+zk5OTnShAEAKB+dLwAAAAAAiqbT6erd6ltUVFRZWSlNHgCAwtH5AgAA\nAACgdOHh4Uaj0f0cTvUFADjQ+QIAAAAAoHQN2epbUFBQXV0tTR4AgJLR+QIAAAAAoAIRERF6vbuf\n4u12u8VikSwPAECx6HwBAAAAAFABg8FgNpvdz8nPz7fZbNLkAQAoFp0vAAAAAADqEBUVpdPp3Eyw\nWq15eXmS5QEAKBOdLwAAAAAA6mA0GiMjI93PsVgsdrtdmjwAAGWi8wUAAAAAQDXqPd6hurq6oKBA\nmjBww/9X1zuFWa/X18yROBsgav0XaDQa65zAf5+qVveHCgAAAAAAFMjf3z88PLywsNDNHIvFEhER\n4f4UCHjbE088MXToUCFEVlbWhAkTnIp4o9H4+uuv33TTTUKII0eOTJ061Wq1yhMUvqpLly5vvfWW\nECI3N3fkyJHV1dW1X01MTFy6dKkQwmKxjBw5sqqqSp6UaCr2+QIAAAAAoCb1bvWtqKgoLi6WJgyu\n5x//+Me+ffuEEK1atZo3b57TZsnnn3/eUfhevnx57ty5FL6Q3vHjx9PS0oQQ0dHRAwYMcHp1yJAh\njgeffvopha8a0fkCAAAAAKAmQUFBISEh7ufk5uZKEwZuvPbaa6dOnRJC3HjjjVOnTq3Zef3HP/7x\nd7/7nRCipKRk5syZFPSQy6pVqxwPUlJSah9CEhsbe9dddwkhSktLP//8c1myoZnofAEAAAAAUJno\n6Gj3E65du1ZaWipNGFxPRUXFzJkzr169KoS48847x4wZI4To1avX2LFjhRBWq3Xu3LmXL1+WOSV8\nWHp6enp6uhCidevW/fv3rxkfPHiwwWAQQmzdurWsrEy2fGgGOl8AAAAAAFTGZDIFBga6n8NWXyXI\nz8+fMWOGozUbMmTIU089NX36dMeGynfffdfxzXpARjVbfYcNG+Z4YDKZHnjgASFEZWXlxo0bZUuG\n5qHzBQAAAABAfWJiYtxPKCkpKS8vlyYM3Pjll1/mzZvnOLE3JSXFZDIJITZv3rx161a5owEiLS3t\nxIkTQogOHTr06dNHCPGHP/whKChICLFjxw6new9CReh8AQAAAABQn9DQUKfbgrliq69CHDp06O9/\n/3vN07S0tPfee0/GPEBttbf6Go3GQYMGCSGsVuu6detkzYVmofMFAAAAAEB9dDpdvaf6FhYWVlVV\nSZMH7nXs2LHmcVxcXHh4uIxhgNoOHTr0008/CSGSkpJeeOEFs9kshNi7d++VK1fkjoamo/MFAAAA\nAECVwsPDjUaj+zls9VWCwYMH/+53v6t52qJFi1deeaXeE5kBydRs9R0wYIDjwdq1a+WLAw+g84W6\nPffcc927d+/evfvMmTPlzgIAAAAAktLr9Y4deW4UFBQ4TpKFXG677baxY8cKIaqqqmbMmHHu3Dkh\nROfOnWtu5gbI7uDBg2fOnKl5mpqaevbsWRnzoPlYXKBib7755rvvvpuenp6enn7p0iW54wAAAACA\n1CIjI933hjabzWKxSJYHTuLj42fMmGEwGIQQixYtOnjw4LRp03JycoQQvXv3HjdunNwBgf/18ccf\n1zxes2aNjEngEXS+UKtdu3ZNnjxZ7hQAAAAAICeDwRAVFeV+Tl5ens1mkyYPagsNDZ03b57JZBJC\nfPrpp9u3bxdCWCyW6dOnl5aWCiEGDhz46KOPypwS+G8nT55MT0+XOwWai84XqnT27NmUlBS+oAQA\nAAAAUVFROp3OzQSr1Zqfny9ZHjjo9fqZM2e2bt1aCJGamrps2bKal3755Zc5c+ZUV1cLIcaOHXvn\nnXfKlhL41WOPPeZ4wCZfbaDzhfqUlJQMHDiQv7IAAAAAgBDCz88vIiLC/RyLxWK326XJA4dnn322\nR48eQohLly69+uqrTlut09LS3nzzTSGETqebOnVqUlKSPCkBIYQQ3bp169KlixDiwoULBw4ckDsO\nPKCe+3sCSmO320eOHHnixAm5gwAAAACAUpjNZvfbYqqqqgoLC+uthuFBixcvXrx4sZsJu3bt2rVr\nl2R5ADdqNvmuXbtW3iTwFPb5QmXmzJmzadMmuVMAAAAAgIIEBASEhYW5n8Od3ADUKTExsVevXkKI\nq1evfvnll3LHgWfQ+UJNPvvss7lz58qdAgAAAAAUJzo62v2E8vLy4uJiacIAUJGUlBTHgw0bNnDn\nJM2g84VqHD9+/E9/+hNHUAEAAACAq6CgIJPJ5H5Obm6uNGEAqEWrVq369esnhCgqKtq2bZvcceAx\ndL5Qh7y8vIEDB5aUlMgdBAAAAAAUqt6tvmVlZdeuXZMmDABVGDp0qMFgEEJs2rSpvLxc7jjwGDpf\nqIDVak1JSTl37pzcQQAAAABAuUJCQgIDA93PycnJkSYMAOWLjIy87777hBDXrl3j5kkaQ+cLFXjp\npZd2794tdwoAAAAAULp6t/oWFxdXVFRIEwaAwg0ePNjf318IsW3bNs771hij3AGAenz00UdvvfWW\n3CkAAAAAQAXCwsL8/PyqqqrczMnNzW3durVkkQAo1ueff75z507BNwC0iM4Xipaamvr000/LnQIA\nAAAA1EGn00VHR2dlZbmZU1hYGBsb6+fnJ1kqAMqUnZ0tdwR4C2c7QLmuXLnyyCOPOJ0gbjKZBg4c\nKFckAAAAAFC4iIgIxx2Zrsdut1ssFsnyAACkxz5fKFRlZeXgwYMzMjKcxj/44INjx45t3rxZllQA\nAAAAoHB6vd5sNl+9etXNnPz8/JiYGPfVsMSOHDlS87iqqop7uqganyAgO/b5QqHGjRt34MABp8HJ\nkycPHTpUljwAAAAAoBZRUVF6vbuf9202W15enmR5AAAS0+Y+34KCgitXruTk5OTm5kZFRXXq1KlV\nq1Y6nU7uXGioJUuWrFixwmlwwIAB8+fPlyUPAAAAAKiIwWCIjIx0f4BDXl6e2Wx2Xw0DAFRKU53v\ngQMHtmzZsm3btqNHjzq9ZDKZOnbsmJSU9MILL/Tq1UuWeGigr7/+euLEiU6DHTp0WLNmjaK+eQQA\nAAAAimU2m913vtXV1QUFBVFRUZJFAgBIRiOd77FjxyZNmrRz587rTSgtLT169OjRo0fXrl07fPjw\n+fPnt23bVsqEaKDz588PGTKkurq69mBwcPBnn33G30UAAAAAoIH8/PwiIiIKCgrczLFYLJGRkQr5\nUmzXrl3j4+Mdj0NCQhYsWCBvHjTWmTNn3nnnHcdjPkFAerV/DwptdL5z5syZO3euzWZryGS73b56\n9eqNGzfOmTNn8uTJ3s6GRikrKxs0aFBubq7T+Pvvv9+9e3dZIgEAAACASpnNZvedb2VlZVFRUXh4\nuGSR3PDz87t06ZLjcUxMzMMPPyxvHjTW119/zScIyKj270Gh9nu42e328ePHz549u4GFb43y8vIp\nU6Z8/PHHXgqGpvnzn//sei7HCy+8MGzYMFnyAAAAAIB6BQYGhoaGup/juucGAKAB6u58N2zYsGTJ\nkia/fezYsampqR7Mg+aYP3/++vXrnQbvueeehQsXypIHAAAAANQuOjra/YTy8vKSkhJpwgAAJKPu\nzreiosLNq4GBge7/eCsvL586daqnQ6EpPv/885kzZzoNtmvXbu3atdy3DQAAAACaJjg4ODg42P0c\ntvoCgPaou/N1FRgYOGLEiJ07d2ZkZJSVleXk5BQVFR0+fHjMmDF6fR3/Y52OuoAsfvrppxEjRjgd\n0BEUFPTpp5/W+4/SAAAAAAA36v2pqrS09Nq1a9KEAQBIQzudr8FgmDx5cmZm5qpVqwYMGBAXF+e4\n92hoaGjPnj2XL1++b98+f39/p3fZbLZVq1bJkRf/q7CwcODAgUVFRU7jy5Yt69mzpyyRAAAAAEAz\nQkJCAgIC3M9hqy8AaIxGOt+kpKT9+/e/9tprkZGR15vTt2/fSZMmuY5/99133owGd2w227Bhw06f\nPu00/vzzz48cOVKWSAAAAACgJTqdrt6tvkVFRZWVldLkAQBIQAud7/3333/o0KHbb7+93pnTpk1z\nPeEhJyfHO7lQv2nTpm3bts1p8K677nrjjTdkyQMAAAAA2hMeHm40Gt3PYasvAGhJPYu+8j3yyCNr\n1qxxPbShTiaTqW3btufPn689WFhY6JVkqM+aNWtee+01p8GoqKg333wzOzvbzRtdD4IQQpSVlWVk\nZDhdKigoqPk5AQAAAEDVHFt9r1y54mZOQUFBbGxsvdUwAEAV1L2a33nnncOGDTMYDA1/S6dOnZw6\n36qqKg/HQgOkpaWNGjXKdTwvL69px/iuX79+/fr1tUfWrl07dOjQJuYDAAAAAA2JjIzMycmxWq3X\nm2C32y0WS4sWLaRMBQDwEnWf7dCuXbtGFb5CCNcDf6urqz2XCA2Sk5MzaNAg7gwLAAAAANLQ6/VR\nUVHu5+Tl5bkphQEAKqLuzrexKisr8/PznQbpfCVWVVX16KOPXrx4Ue4gAAAAAOBDoqKidDqdmwk2\nm831R2YAgBr5ROdbXV29Y8eOUaNGtWjRYteuXU6v2mw2WVL5rLNnz+7du1fuFAAAAADgW4xGo+s3\nX51YLBa73S5NHgCA96j7PF/3bDbbvn371qxZs3HjxpycHLnjAAAAAAAgJ7PZnJeX52ZCdXV1QUFB\nvdUwAEDhtNn5pqenr1y5ct26dZmZmXJnAQAAAABAEfz9/cPDwwsLC93MsVgsERER7k+BcGK1Wisr\nK4OCgpodEADgGVrrfL/66quFCxdu377d9aWAgIBBgwb9/PPPhw8flj4YanTs2PHChQvNucIbb7yx\nePFip8FHH330b3/7W+2R6Ojo5vwqAAAAAKA90dHR7jvfioqK4uLisLCwBl7QbrdnZGSEh4fT+QKA\ncmin8z127Njo0aNTU1NdX+revfuoUaMef/zxqKiolJQUOl95GY3Gtm3bNucK4eHhroMmk6mZlwUA\nAAAAzQsMDAwJCSkpKXEzJzc3t+Gdb25ubnFxMcdBAICiaKTz3bhx4xNPPFFaWlp7UKfTPfTQQ1Om\nTElOTpYrGAAAAAAAihIdHe2+87127VppaanJZKr3UsXFxVevXhVCNOosCACAt+nlDuAB8+fPHzJk\niFPhe8899xw7dmzLli0UvgAAAAAA1DCZTPWew5Cbm1vvdSorKy9fvux4TOcLAIqi+s537969M2bM\nsNvtNSM6nW7BggW7du3q2rWrjMEAAAAAAFCmem9/UlJSUl5e7maCzWa7ePGizWZzPKXzBQBFUXfn\nW15ePmbMmNqFrxBiwoQJU6ZM0evV/T8NAAAAAAAvCQ0N9ff3dz/H/VbfjIyMioqKmqd0vgCgKOou\nRlesWHH69OnaIyaT6a9//atceQAAAAAAUD6dTlfvVt/CwsKqqqo6X8rNzS0qKqo9wr4rAFAUdS/K\nBw8edBrp1q1bvccSAQAAAADg48LDw43Geu7rXudW35KSkuzsbKdB9vkCgKKou/NNS0tzGjGbzbIk\nAQAAAABARfR6fb0/Qefn51dXV9ceqX3fttrofAFAUdTd+br+SXPixAlZkgAAAAAAoC6RkZHuz2Sw\n2+15eXk1T20226VLl6xWq+tMOl8AUBR1d75JSUlOI+fPn9+7d+/15p87d+7IkSNeDgUAAAAAgAoY\nDIaoqCj3c/Ly8mw2m+NxZmZmeXl5ndPofAFAUdTd+Xbr1s1pxG63jxo1KiMjw3Xy8uXLu3fv7nTP\nNyGExWKprKx0PE5NTX3iiSe8ERUAAAAAAKWJiopyX9dardb8/HwhhMViKSwsvN407uEGAIpSz3nt\nCpecnLxs2TKnwbNnz3bt2nX69Ol33HFHmzZtjh079v333+/evXv//v11XqS8vHzWrFk9evTYtGnT\n2rVrb7zxRu8HBwAAAABAfn5+fhEREY5W93osFktAQMCVK1fczGGfLwAoiro73xEjRixfvvybb75x\nGi8sLJw8eXLDr7NgwQKP5gIAAAAAQB3MZrP7zreqqurSpUtuJlD4AoDSqPvLF3q9fuXKlcHBwQ2c\nf9999z388MNejQQAAAAAgIoEBASEhoa6n1NzpG+d6HwBQGnU3fkKITp27Lh58+b4+Hj301q0aPGP\nf/xjx44ds2bNMhgM15t24403Ll682NMZAQAAAABQrpiYmOa8nc4XAJRG9Z2vEOLee+89fvz4mDFj\nXMtcvV7/m9/8ZtmyZefPn3/qqaeEED179ly9enVYWJjTzPj4+EWLFqWnp99zzz0S5QYAAAAAQAGC\ngoJMJlOT384N3ABAadR9nm+NsLCw5cuXv/POOydPnjx69GhWVlZMTExcXFxycnJkZKTT5JSUlAcf\nfHDTpk1nz54tKyvr2rXrLbfc0qVLF6NRI/9vaN68efPmzZsndwrAY8rKyhYuXCh3CgD/5dlnn23m\njicAAORit9tzcnIKCwt1v9Lr9bpa6nwaEBBQWlratF+Rfb4AoDSaajmDgoJuvfXWW2+9td6ZISEh\njz/+uASRAKBepaWlc+bMkTsFgP8ydOhQOl8AgErpdLrY2FiDwXDlyhXJfkVpfiEAQAPx/QsAAAAA\nALTGbDZ36NBBmu+z0vkCgNLQ+QIAAAAAoEHBwcEJCQlBQUHe/oXofAFAaTR1tgMAqFTv3r2FED/+\n+KMQIiAgQO44aIqKioqax/7+/vzko0aODzEpKUnwsysAQCv8/Pzat29/5cqV/Px87/0q3MMNAJSG\nzhcA5Pfdd9/VPO7Xr5+/v7+MYdAEVqv1q6++qnmanJwswYYaeNzu3bvFr78f7Xa73HEAAPAMvV4f\nFxcXFBSUlZXlpT/g+LdSAFAa/i0OAAAAAACNi4yMbN++vZeO96XzBQClofMFAAAAAED7goODExMT\ng4ODPX5lOl8AUBo6XwAAAAAAfILRaGzfvn1UVJRnL0vnCwBKQ+cLAAAAAICv0Ol0rVq1at26Iy5v\nqgAAIABJREFUtQeLWu7hBgBKw7oMAAAAAIBviYiI6NChg5+fn0euxj5fAFAaOl8AAAAAAHxOUFBQ\nQkKCyWRq/qXofAFAaeh8AQAAAADwRUajsV27dmazuZnXofMFAKWh8wUAAAAAwEfpdLqWLVu2adOm\nOb0tnS8AKA2dLwAAAAAAPi08PDwhIaHJx/tyDzcAUBrWZQAAAAAAfF1gYGBiYmJISEgT3ss+XwBQ\nGjpfAAAAAAAgDAZD27Zto6OjG/tGOl8AUBo6XwAAAAAAIIQQOp2uRYsW8fHxjTqugc4XAJSGzhcA\nAAAAAPyfsLCwhIQEf3//Bs6n8wUApaHzBQAAAAAA/yUgICAhISE0NLQhk7mHGwAojVHuAAAAAAAA\nQHEMBkN8fHxOTk5OTo77mezzBdTFbrfv378/PT39ci16vT4qKioyMrJDhw7JycnJyclt27aVOyma\njs4XAAAAAADUQafTxcbGBgUFXb582WazuZkmZSoATXbixInVq1evXr364sWLbqa9++67QogePXpM\nnDjxscce8/PzkyogPIbvXwAAAAAAgOsKDQ1NSEgICAi43gQ6X0AV+vXrd9NNN/31r391X/jWSEtL\n+9Of/pSQkLB7925vZ4PH0fkCAAAAAAB3AgICOnTocL3jfTnPF1CFH3/8sQnvunz58n333TdlyhQ3\nm/2hQKzLAAAAAACgHgaDoW3btrGxsa4vsc8X0Da73b5w4cLx48fLHQSNQOcLAAAAAAAaJCYmpl27\ndgaDofYgnS/gC957772FCxfKnQINRecLAAAAAAAaKiQkxOl4XzpfQNViY2OjoqIaMnPGjBk///yz\nt/PAI+h8AQAAAABAI/j7+yckJISHhzue0vkC6hIVFTVhwoTVq1enpqYWFBRkZ2dbLJbc3Nxvv/12\n8eLFrVu3vt4bq6qqpk+fLmVUNBmdLwDAw/R6vf+vrjfHz8/PMcFoNEqZDQ1X8zle7zOq91MGAAAa\nptfr27Rp06JFC8E93AD1SE5O/uijjzIyMt55553hw4ffdtttNf94Yzab+/Tp89xzz50+fXr27NnB\nwcF1XmH9+vUXLlyQMDKaiJ+0AQAeFhMTs3jx4sjISCHE8uXL169f7zTh9ttvnzt3rl6vt1qtM2bM\nOHTokBwxUY8uXbq89dZbQojc3NyRI0dWV1fXfjUxMXHp0qVCCIvFMnLkyKqqKnlSAgAAWUVHRwcF\nBbHPF1CFAwcOdOzYsd5pwcHBs2bN6t279+9//3u73e70qt1u37Zt2zPPPOOdjPAY/i0OAOBh2dnZ\ns2bNqqysFEKMGTPmzjvvrP1qu3btpk2b5tgM8ve//53CV7GOHz+elpYmhIiOjh4wYIDTq0OGDHE8\n+PTTTyl8AQDwZSaTiX2+gCo0pPCtcf/990+dOrXOl7Zv3+6hRPAi1mUAgOf9+OOPCxcutNvtOp1u\n6tSpSUlJjvGwsLB58+Y5viW0devWzZs3yxoT9Vi1apXjQUpKSu2f5WJjY++66y4hRGlp6eeffy5L\nNgAAAABeNW/evDpr4pMnT0ofBo1F5wsA8Io9e/asXLlSCOHv7z937tyWLVsaDIZZs2a1atVKCPHD\nDz8sWbJE7oyoR3p6enp6uhCidevW/fv3rxkfPHiwwWAQQmzdurWsrEy2fAAAAAC8xmAwJCcnu47n\n5ORIHwaNRecLAPCWTz75ZMeOHUKIiIiI+fPnv/jii926dRNCXL58ed68eTabTe6AqF/NVt9hw4Y5\nHphMpgceeEAIUVlZuXHjRtmSAQAAAPCynj17ug4WFBRwvJvy0fkCALzorbfeOnr0qBAiPj7ecSZs\ncXHxjBkzSkpK5I6GBklLSztx4oQQokOHDn369BFC/OEPfwgKChJC7Nixo6CgQOZ8AAAAALzmhhtu\ncB00Go2Or/1Byeh8AQBeZLVaZ8+enZmZ6Xhqt9vnzZuXkZEhbyo0Su2tvkajcdCgQUIIq9W6bt06\nWXMBAAAA8K6ff/7ZdTAuLo47NyofnxAAwLvMZnNERITjsU6nq/MfiqFkhw4d+umnn4QQSUlJL7zw\ngtlsFkLs3bv3ypUrckcDAAAA4EVpaWmug23atJE+CRqLzhcA4EWhoaHz5s0LDg6uGRk1atTdd98t\nYyQ0Qc1WX8cBHUKItWvXyhcHAABAHQoKCn766ad9+/Z99tlne/bsyczMtNvtcocCGuGHH35wHezc\nubP0SdBYRrkDAAA0y2AwzJo1q1WrVkKIgwcP7tu3b9KkSTqdbtKkSTk5OcePH5c7IBrq4MGDZ86c\n6dSpk+Npamrq2bNn5Y0EAACgWAcOHNiyZcu2bdscd7aozWQydezY0fH1qV69eskSD2igDz74oM59\nviNHjpQ+DBqLfb4AAG8ZP3589+7dhRAXLlyYP3/+jh07PvzwQyGEv7//nDlz+EKQunz88cc1j9es\nWSNjEgAAAMU6duzY/fff37dv3wULFrgWvkKI0tLSo0ePrlmz5vbbb3/88ccvXrwofUigIdLS0p59\n9lnX8U6dOvHFTVWg8wUAeMXAgQMffPBBIURRUdHMmTPLysqEEKtWrdq+fbsQIiwsbP78+eHh4TKn\nROOdPHkyPT1d7hQAAACKM2fOnFtuuWXnzp0NmWy321evXn3DDTcsXLjQ28GARqmqqvrggw8eeuih\n8vJy11dfeuklnU4nfSo0Fp0vAMDzevbs+Ze//EUIYbVa586dm5WVVfPSW2+9dejQISFEq1at5s2b\n5+/vL1tKNMZjjz3meMAmXwAAACd2u338+PGzZ8+22WyNemN5efmUKVNqf6EKkEteXt6RI0cWL17c\nsWPH0aNHZ2Zmus4ZPXr0mDFjpM+GJqDzBQB4WOvWrWfOnGkwGIQQS5YscfpSm81mmzt3ruM02KSk\npJdffpl/JVa+bt26denSRQhx4cKFAwcOyB0HAABAWTZs2LBkyZImv33s2LGpqakezAM03D//+c8u\nXbqEhISYzeYePXpMmDDhekeO3Hnnne+9957E8dBk3MMNAOBhGRkZjzzyiJsJ165de+aZZyTLg+ar\n2eS7du1aeZMAAAAoUEVFhZtXAwMDQ0JCcnNzrzehvLx86tSp//nPf7wQDajH5cuXf/zxx3qnPffc\ncwsXLuRrmirCPl8AAOBOYmKi46bSV69e/fLLL+WOAwAAoAKBgYEjRozYuXNnRkZGWVlZTk5OUVHR\n4cOHx4wZo9fXUcV8/fXXly5dkj4nUK+WLVtu27Zt8eLFQUFBcmdBI9D5AgAAd1JSUhwPNmzYYLVa\n5Q0DAACgcAaDYfLkyZmZmatWrRowYEBcXJzjKLPQ0NCePXsuX7583759rpslbTbbqlWr5MgL1KO6\nuvrIkSMlJSVyB0Hj0PkCAIDratWqVb9+/YQQRUVF27ZtkzsOAACAoiUlJe3fv/+1116LjIy83py+\nfftOmjTJdfy7777zZjSgiXJzc19++eUOHTps3rxZ7ixoBDpfAABwXUOHDnXcjm/Tpk3l5eVyxwEA\nAFCu+++//9ChQ7fffnu9M6dNm+Z6wkNOTo53cgEekJubO3jw4ObcqxASo/MFAAB1i4yMvO+++4QQ\n165d27Rpk9xxAAAAlOuRRx7ZsmVLcHBwQyabTKa2bds6DRYWFnohF1APx9kjDWGz2SZMmHD06FGv\n5oGn0PkCAIC6DR482HHY3LZt24qLi+WOAwAAoFB33nnn+vXrXU/pdaNTp05OI1VVVR4NBTTI9OnT\ns7Oz9+zZs3z58hdeeKFXr1513mbQwW63T58+Xcp4aDJj//79a56sXLnSZDLJmAZN07t375qb6qxZ\ns+aLL76QNw+aoHv37jV/wBuNRnnDAIDD559/vnPnTsE3DQEAANxq165dY9/ieuBvdXW1h+IAjRMb\nGxsbG+u4jYcQIjc3d9KkSR9++GGdk7/44otvv/22b9++EgZEUxj37NlT86T2Y6gUH6IG8Cc9AIXI\nzs6WOwIAAIAGVVZW5ufnOw3ykyAUIjo6+p///Gffvn0nTJhQUVHhOmHatGlff/215LnQOGwnBBQn\nNzdX7giQVEVFRWJiohDCYrEIIbKystx8lQbKZLfbIyIiap5mZ2c77nsGdXF8iGazWQjBWRa+Jj8/\n/5NPPpE7BYD/MmrUqMDAQLlTAJ5UXV39n//8Z+3atZ999llBQYHTqzabTZZUQJ3Gjh1rMBieeuop\n15f27NmTnZ3dokUL6VOh4eh8AcW5fPmy3BEgqeLi4rNnz9Y8df3LH1SHD1HVHB8fe5x9TVZW1rPP\nPit3CgD/ZciQIXS+0AabzbZv3741a9Zs3LiRI7OgIk8++eS7776blpbm+tKpU6fofBWOrWSA4tTe\nLQgAAAAAUKn09PSJEyfGx8ffddddS5cupfCFuuj1+ldeeaXOl06fPi1xGDQW+3wBxWnfvr3cEQAA\nAAAATffVV18tXLhw+/btri8FBAQMGjTo559/Pnz4sPTBgEbp06dPneN0vspn7N69e82T0NBQzh9U\no9pfIg4JCTEaqfLVp7Cw0G63Ox7z29DX+Pn5mUymmqf8Flap2vfc4ENUqdofYnBwsIxJID2dTlf7\nb8V85waQhc1mKyoqkjsF0FzHjh0bPXp0amqq60vdu3cfNWrU448/HhUVlZKSQucL5YuMjGzZsuWV\nK1ecxk+dOiVLHjSc8ejRozVPTpw40aVLFxnToGlMJlNZWZnj8ffff9+rVy9586AJYmNja77mY7Va\n5Q0DiYWHh5eWltY8vXr1akxMjIx50ARlZWW1i/tffvmFDftqpNPpah7HxcXJmATSs9vttf9WXPMP\nsQCklJOTExsbK3cKoFk2btz4xBNP1P7rvRBCp9M99NBDU6ZMSU5OlisY0GRxcXGunW9hYaEsYdBw\nnOcLAAAAAADQXPPnzx8yZIhT4XvPPfccO3Zsy5YtFL5QqTNnzrgO8k90ykfnCwAAAAAA0Cx79+6d\nMWNG7W+K6HS6BQsW7Nq1q2vXrjIGA5rj4sWLxcXFruN0vsrHgYMAAAAAAABNV15ePmbMGKejgSZM\nmDBlyhS5IgEecejQoTrHO3ToIHESNBb7fAEAAAAAAJpuxYoVp0+frj1iMpn++te/ypUHcFJeXm6z\n2ZrwrmnTptX50v3339/sUPAuOl8AAAAAAICmO3jwoNNIt27dgoKCZAkDuDpx4kSPHj127tzZqHfN\nmjXr1KlTruPx8fE33XSTh6LBW+h8AQAAAAAAmi4tLc1pxGw2y5IEuJ709PT7779/wIABn3/+udVq\ndT+5qqpq/vz5f/vb3+p8dcSIEV4ICA/jPF8AAAAAAICmu3z5stPIiRMnZEkCuLd79+7du3fHx8f/\n6U9/+u1vf9u7d2+nDenV1dXffPPN+PHjjx8/XucVIiIiJk+eLElYNAudLwAAAAAAQNMlJSUdOHCg\n9sj58+f37t3br1+/OuefO3fuyJEjkkQD6nDp0qVXX3311Vdf9ff379q1a4sWLWJiYsrLy0+ePHn6\n9Omqqio3750yZUpkZKRkUdFkdL4AAAAAAABN161bN6fO1263jxo1as+ePa1bt3aavHz58hdffLGk\npMRp3GKxVFZW+vv7CyFSU1OXLFny4YcfejU2UFlZ6XoyiRv33nvvpEmTvJcHHkTnCwAAAAAA0HTJ\nycnLli1zGjx79mzXrl2nT59+xx13tGnT5tixY99///3u3bv3799f50XKy8tnzZrVo0ePTZs2rV27\n9sYbb/R+cKARbrjhhvXr1xuNdInqwOcEAAAAAADQdCNGjFi+fPk333zjNF5YWNiok08XLFjg0VyA\nx9x8881btmyJiIiQOwgaSi93AAAAAAAAABXT6/UrV64MDg5u4Pz77rvv4Ycf9mokoLbg4ODAwMAm\nv/3RRx89cOBA+/btPZcIXkfnCwAAAAAA0CwdO3bcvHlzfHy8+2ktWrT4xz/+sWPHjlmzZhkMhutN\nu/HGGxcvXuzpjPBdSUlJmZmZS5Ys6dmzZ6PeeMMNN/zrX/9av369yWTyUjZ4CZ0vAAAAAABAc917\n773Hjx8fM2aMa5mr1+t/85vfLFu27Pz580899ZQQomfPnqtXrw4LC3OaGR8fv2jRovT09HvuuUei\n3PANkZGRzz777OHDh48cOTJhwoQ2bdrodLrrTTaZTA8++OBHH3104sSJYcOGSZkTnsJ5vgAAAAAA\nAB4QFha2fPnyd9555+TJk0ePHs3KyoqJiYmLi0tOTo6MjHSanJKS8uCDD27atOns2bNlZWVdu3a9\n5ZZbunTpwj2y4FXdu3d/55133nnnnfLy8osXL164cOH8+fMXLlyoqKiIiYmJiYlJSEjo06ePv7+/\n3EnRLKwjAAAAAAAAHhMUFHTrrbfeeuut9c4MCQl5/PHHJYgEuAoMDOzcuXPnzp3lDgKv4GwHAAAA\nAAAAANAOOl8AAAAAAAAA0A46XwAAAAAAAADQDjpfAAAAAAAAANAOOl8AAAAAAAAA0A46XwAAAAAA\nAADQDjpfAAAAAAAAANAOOl8AAAAAAAAA0A46XwAAAAAAAADQDjpfAAAAAAAAANAOOl8AAAAAAAAA\n0A46XwAAAAAAAADQDjpfAAAAAAAAANAOOl8AAAAAAAAA0A46XwAAAAAAAADQDjpfAAAAAAAAANAO\nOl8AAAAAAAAA0A46XwAAAAAAAADQDjpfAAAAAAAAANAOOl8AAAAAAAAA0A46XwAAAAAAAADQDjpf\nAAAAAAAAANAOOl8AAAAAAAAA0A46XwAAAAAAAADQDjpfAAAAAAAAANAOOl8AAAAAAAAA0A46XwAA\nAAAAAADQDjpfAAAAAAAAANAOOl8AAAAAAAAA0A46XwAAAAAAAADQDjpfAAAAAAAAANAOo9wBmi47\nOzs/P99psFOnTgaDQZY88LjKysqtW7eePHnyl19++eWXX2w2W2JiYmJiYo8ePX73u9/p9fyLBSA/\nlmLNYykGAAAAANVRcec7f/78RYsWOQ1mZWW1bNlSljzwoKysrKVLly5btiw7O7v2+N69ex0POnXq\nNHHixD//+c9BQUFyBATwv1iKNYylGAAAAABUiu05UJxPPvmkY8eOc+fOdWoZajtz5sy4ceNuuumm\nkydPSpkNAHwESzEAAAAAqBedLxTEarW+9NJLw4cPLysra8j8c+fO9enTZ/v27d4OBgC+g6UYAAAA\nANSOzhdKYbfbhwwZ8sYbbzTqXUVFRQ899NC6deu8lAoAfApLMQAAAABoAJ0vlOLVV1/97LPPmvBG\nq9U6evToU6dOeTwSAPgalmIAAAAA0AA6XyjCjh07Zs2a1eS3l5SUPProow38GjIAoE4sxQAAAACg\nDXS+kF92dvbw4cNtNpvrSwaDYfTo0WvWrDly5EhqauoHH3zQv3//Oi9y/PjxiRMnejkpAGgWSzEA\nAAAAaIZR7gCAmD9/fl5enut4165d169fn5SUVDNy2223Pfnkkx9//PHo0aOrqqqc5r///vv/8z//\nU3s+AKCBWIoBAAAAQDPY5wuZXbp0admyZa7jnTt33r17d52twciRI1esWKHT6ZzGbTbb7NmzvRES\nALSNpRgAAAAAtITOFzKbN29eRUWF06DRaPzss89atmx5vXeNHDly7NixruPr168/duyYhyMCgNax\nFAMAAACAltD5Qk4ZGRkrV650HZ8wYUKXLl3cv3fu3LmhoaFOg3a7/dVXX/VYPgDwASzFAAAAAKAx\ndL6Q08aNG6urq50GQ0JCGnLj+NjY2Oeff951fMuWLaWlpZ7JBwA+gKUYAAAAADSGzhdy2rhxo+vg\n0KFDw8LCGvL2P//5z66D165d27ZtWzODAYDvYCkGAAAAAI2h84VssrOzv/nmG9fxUaNGNfAKiYmJ\nffr0cR2vs78AALhiKQYAAAAA7aHzhWw2bdpks9mcBlu1apWcnNzwi/zxj390Hfziiy9cb0YEAHDF\nUgwAAAAA2kPnC9nUubPsjjvuaNRF+vbt6zpYXFx85MiRJsYCAF/CUgwAAAAA2mOUO4DX2e32ixcv\nnjx5MiMjIzY2tlWrVgkJCWazWe5cEMeOHXMdbGzR0LNnT39//8rKSteL33777U0PB8CjWIoVi6UY\nAAAAALRHs51vRkbGwoULDxw48OOPP5aUlNR+Sa/X33HHHY8++uiIESOioqLkSujjrFbrTz/95Dre\nu3fvRl0nICDglltu+f77753Gjx8/3vRwADyEpVjhWIoBAAAAQJM0eLaDxWJ56aWXOnbsuGjRotTU\nVKeWQQhhs9n27t07YcKEzp07r1ixwm63y5LTx50+fbrOcx4TEhIae6nExETXwTp3rgGQDEuxKrAU\nAwAAAIAmaW2f72uvvfbBBx8UFRU1ZLLFYnnqqadWr169adOmsLAwb2dDbXVu/jKZTNHR0Y29VNu2\nbRt4fQDSYClWC5ZiAACgHEajsX///o7Hfn5+s2fPljUOGq2goIBPEJBR7d+DQnud79tvv93Yt3z1\n1Vf33nvvjh07IiMjvREJdcrMzHQdbN++fRMuVWfRcPXqVavVajAYmnBBAM3EUqwWLMUAAEA5qqur\n9+zZU/N09+7dMoZB8/EJAvLS4NkOTZCamjpgwIA6v98KLykuLnYdbNmyZRMuFRcX1/BfAoBisRRL\nj6UYAAAAADRJ+51vZGRkUlJScHCw+2mHDx+eMWOGNJEghKjzS99BQUFNuNT1PtwGfq8cgARYipWJ\npRgAAAAANElrZzvUSEpKevrpp//4xz+2adNGCGG1Wk+ePJmamrp9+/b169fX+ZY333zzD3/4Q79+\n/aRN6qPq3PlVbx9Up+vVE2wuA2THUqxwLMUAAEA5jEZj7969HY8NBsP1vkUExaqoqLh69arjMZ8g\nIL3avweFJjtfs9m8YMGCJ598svYBggaD4eabb7755ptHjRq1cuXKcePGlZeXO73RZrO9+OKLqamp\n0ub1UXW2AE3bXHa9d7G5DJARS7EqsBQDAADlqK6u/u677xyPY2JivvnmG3nzoLG+/vrru+++2/GY\nTxCQXu3fg0J7Zzv06dMnLS3tqaeecnPHmCeffHL//v113qPm0KFD3377rRfz4VfXrl1zHfT392/C\npQICAuoc51RQQC4sxWrBUgwAAAAAmqS1znfDhg3x8fH1TuvZs+eGDRt0Op3rS4sWLfJCLjir87vD\nrjv+GqKysrLO8ZCQkCZcDUDzsRSrBUsxAAAAAGiS1jpfvb6h/4tuvfXWlJQU1/GtW7dWVVV5NBTq\nEBoa6jpY546zel3vXWFhYU24GoDmYylWC5ZiAAAAANAkrXW+jfLqq6+6foO1rKwsLS1Nljw+pc6d\nX00rGsrKyuocr7PLAKA0LMUyYikGAAAAAE3y6c43ISHhiSeecB3fv3+/9GF8TZ0twPUqA/coGgBV\nYymWEUsxAAAAAGiST3e+QohevXq5Dh49elT6JL6mzhYgMzOzCZe6cuWK66BerzeZTE24GgDpsRTL\nhaUYAAAAADTJ1zvfTp06uQ5aLBbpk/ia1q1buw5evHixCZc6f/6862D79u3rvDEUAAViKZYLSzEA\nAAAAaBKdbx1FQ15envRJfE3Xrl1dB69du5aTk9PYS124cMF18KabbmpKLAByYCmWC0sxAAAAAGiS\nr3e+cXFxwcHBToP5+fmyhPEpnTp18vPzcx0/d+5cYy919uxZ10GKBkBFWIrlwlIMAAAAAJrk652v\nTqdzvV98QECALGF8ip+fX+fOnV3Hv/vuu0Zdp7y8vM5DPykaABVhKZYLSzEAAAAAaJKvd77Z2dkF\nBQVOg9HR0bKE8TV1fqf422+/bdRFvv/++8rKStfxm2++uYmxAEiOpVhGLMUAAAAAoD2+3vn+9NNP\nroMUDdK44447XAf379/fqIvs27fPdbBVq1Z1thgAlImlWEYsxQAAAACgPb7e+Z46dcp1sEWLFtIn\n8UGDBg1yHczIyGjUd4rXr1/vOvjII49wp3hARViKZcRSDAAAAADa4+udb1pamutg7969pU/ig+Lj\n42+77TbX8X/+858NvMIPP/xQ5wmSgwcPbk4wABJjKZYRSzEAAAAAaI9Pd77nz593/ZlWp9P99re/\nlSOOL3rkkUdcB9euXVtSUtKQty9fvtx10Gw29+/fv7nJAEiFpVh2LMUAAAAAoDE+3fm++OKL5eXl\nToPdunWLiYmRJY8PGjJkiF7v/B9hQUHBK6+8Uu97T548uWLFCtfx4cOHG41Gz+QD4H0sxbJjKQYA\nAAAAjfHdzvc///nPp59+6jo+YsQI6cP4rE6dOg0dOtR1/K233jpz5oz7944fP766utppMDAwcOrU\nqR7LB8DLWIqVgKUYAAAAADTGRzvfQ4cOjRo1ynU8JiZm3Lhx0ufxZbNnzzYYDE6DlZWVDz30UHZ2\n9vXe9fzzz3/55Zeu43/5y1/i4uI8HBGAd7AUKwdLMQAAAABoic91vna7/c033+zbt+/FixddX500\naZLJZJI+lS+74YYbhg8f7jp++vTp3/72t0eOHHEaLywsfOaZZxYtWuT6FpPJxM4yQBVYipWGpRgA\nAAAAtERrZ+3NnDnz7rvv7tOnT4cOHZxeunz58g8//LBs2bJ///vfdb73lltuGT9+vPczwtncuXM3\nb95cVFTkNH7ixImePXsOGTKkf//+nTp1unr1anp6+vvvv5+Xl1fndebMmRMbG+v9vADqwVKsRizF\nAAAAAKAZWut833///ffff18IER0d3bJly6ioKLPZXFZW9sMPP+Tk5Lh5Y3R09KZNm4KCgqRKiv/T\nvn37Dz/8cPDgwXa73eklu92+bt26devW1XuRwYMHv/jii94JCKBxWIrViKUYAAAAADRDa51vjdzc\n3Nzc3AZODggI2LBhQ7t27bwaCW4MGjRoypQpCxYsaNrbO3XqtHLlSs9GAtB8LMXqwlIMAAAAANrg\nc+f5umrTps2+ffv69+8vdxBf98orrwwePLgJb2zTps2mTZvCwsI8HgmAZFiKFYKlGABO3y+LAAAg\nAElEQVQAAAA0wNc73379+h06dKhXr15yB4EwGAwbNmyYM2eOTqdr+LuSk5MPHTrUpUsX7wUD4G0s\nxcrBUgwAAAAAGqDiznfChAkvvvhiTExM097es2fPTZs2ff311y1atPBsMDSZTqf7f//v/23ZsiUu\nLq7eyX5+fs8999yXX37JJwjIiKVYe1iKAQAAAEDtVNz5JiYmvvHGGxkZGXv27Jk3b96AAQOio6Mb\n8q4xY8Z88cUXhw8fHjhwYKP2MUEaDz300Pnz59esWXPHHXfUOSEmJmbmzJkXLlxYvHixv7+/xPEA\n1MZSrFUsxQAAAACgXqq/h5ufn1+/fv369evneFpRUZGVlZX5q6ysrKqqquhf3XLLLe3bt5c1LxrE\nz88vJSUlJSXlypUr586dO3/+/MWLF8PCwhISEjp06JCQkODn5yd3RgD/h6VYk1iKAQAAAEClVN/5\nOgkICGjfvj1tgma0bNmyZcuWffv2lTsIgEZgKdYYlmIAAAAAUBcVn+0AAAAAAAAAAHBC5wsAAAAA\nAAAA2kHnCwAAAAAAAADaQecLAAAAAAAAANpB5wsAAAAAAAAA2kHnCwAAAAAAAADaQecLAAAAAAAA\nANpB5wsAAAAAAAAA2kHnCwAAAAAAAADaQecLAAAAAAAAANpB5wsAAAAAAAAA2kHnCwAAAAAAAADa\nQecLAAAAAAAAANpB5wsAAAAAAAAA2kHnCwAAAAAAAADaQecLAAAAAAAAANpB5wsAAAAAAAAA2kHn\nCwAAAAAAAADaQecLAAAAAAAAANpB5wsAAAAAAAAA2kHnCwAAAAAAAADaQecLAAAAAAAAANpB5wsA\nAAAAAAAA2mGUOwAAAAAAAICKZWdn5+fnOw126tTJYDDIkgeadObMmX//+9+nTp3Kysq6cuWKwWBo\n0aJFbGxs165dH3jggYSEBFlS5efnZ2dnN/Mi8fHxJpPJI3lQg84XAAAAAACg6ebPn79o0SKnways\nrJYtW8qSB1pisVjefvvttWvXnjlz5npzxo8ff8MNNzzzzDPjxo3z9/eXMt6//vWv5557rpkX+fe/\n//373//eI3lQg84XAAAAgNexOwkAgEaxWCxvvPHGkiVLSkpK6p186tSpiRMnvv322wsWLHjsscck\niAeFo/MFoG7V1dXV1dWBgYFyBwEAAHVgdxIAAE2wdevW0aNH5+TkNOpdFy5cGDZs2MGDB9944w2O\nFvFx3MMNgLoZjcbMzMyLFy+Wl5fLnQUAAPwfi8Xy8ssvt2/f/pVXXnFT+Do4did17tx5zZo10sQD\nAECZysrKnnnmmYcffrixhW+Nt99+e+DAgRUVFZ4NBnWh8wWgejExMcXFxWfPnqX5BQAZWa1Wq9Uq\ndwooxdatW5OSkhYsWNCQr6PWcOxOmjhxIv8tAY1VVVVls9nkTgHAAz766KNly5Y18yJffPHFs88+\n65E8UCk6XwCqFxoaGhQUJISg+QUAGen1+vPnz1+9epW2zsexOwmQhU6nO3v2bF5eHs0voHZ2u90j\n11mxYsXSpUs9cimoEef5AtCCmJiYixcvOh4XFxcXFxeHhobGxsZyzi8ASEan00VFRWVmZlosFrPZ\nbDabOUXON3lwd9L777/vkUiALzAajaGhoVlZWTk5OTExMREREXo9e7wATTEajTfffHPnzp07d+5s\ns9nS09PT09MvXLjg5i0TJ058+OGH4+LiJAvpMH369KSkpIbP7969u/fC+Cw6XwBa4Njqe+3atZoR\nml8AkF5ERERubm5lZWVOTg7Nr8/y4O6k22677ZlnnvHI1QBfEB0dnZeXV11dTfMLaExYWNjYsWOf\nf/75Nm3aOL2Uk5MzYcKE652GX15evmDBgkWLFnk/43+57777+vXrJ/EvCid0vgA0ovZW3xo0vwAg\nJZ1OFx0dnZmZKYSw2Ww0v6iN3UmAtxmNxqioKIvFIoSg+QU04+mnn164cGFYWFidr8bExHzyySeD\nBg0aN25cXl6e64Tly5e//PLLrVq18nJMKA6dLwCNcN3qW4PmFwAkU7PV1/GU5heC3UmAhBxbfWu2\n29P8AqoWHBy8dOnSkSNH1jszJSUlMTHx9ttvdz3Ru6KiYuvWrWPHjvVORigXKz4A7YiJiXHzKnd4\nAwAJOLb6Og06mt/Tp09zhzcf9PTTT1+6dOn11193LXzFr7uT1qxZExUVVefbly9fnpWV5eWMgHY4\ntvo6DTqa3zNnznCHN0BFoqOjv/vuu4YUvg633Xbb9YrdnTt3ei4XVIPOF4B2OLb6up9D8wsA3hYR\nEeHv7+86TvPra4KDgz/66KOlS5de7+uoNVJSUnbs2FHnDkTH7iTvBAS0KTo6WqfTuY7T/AIqEhgY\nuGXLlptvvrlR75o/f36dG6G+/PJLT522DxWh8wWgKe63+tag+QUA76lzq28Nml8fwe4kQC51bvWt\nQfMLKJ9er//oo4/69OnT2DdGRkYOHz7cdTw/P7+goMAT0aAmdL4ANKUhW31r0PwCgJdcb6tvDZpf\nbWN3EiCv6231rUHzCyjZ8OHDhwwZ8v/Zu/O4qM5D/+NnGGAEZJ0ZEEFRESwkaiJxiXUhcYlpbhv0\n1qixvqwaGxOXKOSqqLkx+qpLNNTaSK6JJq0xbvUqudG0GtOot7YmYjQSxSW4I7IMi8jOzPz+4IYf\nZYZhmOWcmTOf9x99wTPPnPmmyKN85+E5tj23rXuQFhcX25EIbonOF4DcWLnVtxnNLwA4nOWtvs1o\nfmWJ3UmA5Cxv9W1G8wu4psDAQJuf+5Of/MTsOJ2vB/KWOgAAOFjTVt+ampoOPauysrKysjIwMDA8\nPLxTp05OygYAniMkJKSkpKS+vr7dmU3Nr06nU6vVarVaqVSKEA/O8+KLL9r8w6qF3UmhoaF2hAI8\njkajKS0ttWaPfFPzW1xcrNVqQ0JCzJ6sDcBdtNX5wgPR+QKQIa1We/v2bRueSPMLAI7StNX33r17\nVs6n+ZUNJ+1Oio+Pt/mygAdq2uqr0+msnE/zKw6j0Xj79u1Lly7l5+eHh4dHRkb26tVLrVZLnQvy\noVKpzI6Hh4eLnASSo/MFIEO2bfVtRvMLAA5h/VbfZjS/Ho7dSYADWb/VtxnNr5Pk5+e//fbb//zn\nP3Nzcx8+fNjyIS8vr2HDhv3yl7+cOnWqNSdyAJbl5+ebHafz9UB0voDbMxgMRUVFUqdwOd7e9q5v\nNL8AYKeObvVtRvPrsdidBDhQR7f6NqP5dSCdTrdu3bp33323rXuHGAyGkydPnjx58q233lq/fv3M\nmTMt338PsMxs56tWq4ODg8UPA2nR+QJuz2Aw2PAvOViJ5hcA7GHDVt9mNL8eiN1JgGPZsNW3Gc2v\n/davX//hhx8+ePDAmsk6ne6ll1765JNPsrKygoKCnJ0NcnXhwgXTwWHDhokcIzU1VaVS+fv7azQa\njUbTvXv35OTkpKQkVhIx0fkCQPtofgFYw2AwVFRUSJ3C5fj7+9vW+Tah+fUo7E6CPRobGysrK6VO\n4XL8/f2rqqpsfjrNrz02bdrU0ad89dVXo0ePPnLkCDeuhG0+/fRT08Hhw4eLHOPs2bOmg6GhoWPG\njElNTR08eLDIeTwTnS8AWIvmF4BlBoPBhnMMYA2aXw/B7iTYo66ujkXYSWh+xXTmzJkxY8acOnWq\nreNugLaUlJT84x//MB1/6qmnxA9jqqysbN++ffv27Rs7duyqVatofp2NzhcAOobmFwCkQvMre+xO\nAlwZza/9QkNDu3TpcuvWrerqagvTzp49u2LFig0bNogWDPKwa9cug8HQavDRRx8dMGCAJHnacvTo\n0S+//HLNmjWLFy+WOoucsUYDgC0qKyvz8vLy8/NtOx8NAGCzpub36tWrRUVFer1e6jhwGLfYnTRk\nyJBnnnnm66+/ljoOIJmm5vfatWulpaWm7RLMSkhI2LRp0507d0pLSy9duvTgwYMLFy5s37594sSJ\nbT0lIyPj5MmTYoaEu6upqVm3bp3p+G9+8xvxw7RLr9cvWbJk/Pjx9hw+A8u8ExISmj+5evUq/1+7\no/j4+Lq6uqaPr1+/Lm0Y2KZXr14ajabpY3YtuQUvLy+NRhMWFmb/fXUVCkXLpTgnJycwMNDOa0Jk\ndXV1Lb+Iubm5xcXFEuaBbVp+Edm75PrY8ys/7E4C3Ah7fq2kVqvXrVs3Y8aMln9PKZXKvn379u3b\nd+bMmR999NGrr75aW1vb6okGgyEtLe3MmTPi5oUbe/fddwsKCloN+vn5TZs2TZI81sjKypo8eXJW\nVhb/kHMG79zc3OZPxo8fL2EUOMTkyZOljgB7sWXJxTW3vY76a8loNLZcikeNGuWQy0JCP/vZz6SO\nAHuxccldtGx+tVqt/e/DQSruuDvpn//8586dOwMCAqSOA0imufkNDw/nnmOmnnzyyb1793br1s3C\nnBkzZvTv3//f//3fb9682eqh7Ozsf/zjH0OHDnViRMhFZWXl+vXrTcenTZsWEhIiQgCVShUREdG5\nc+fAwECVSnXr1q07d+5Y8y/qQ4cOLViwYMuWLSKE9DS8FwcA1vLy8goPD4+Pj9dqtbwPCQCuo3Pn\nzkFBQRS+bs19dyfxbj08nEKhCAwM7Ny5s9RBXNH+/fstF75NBgwYsH//frN/i23evNkJuSBDa9as\n0el0rQb9/PzefPNNZ7/0yJEjT548WVFRcevWrYsXL54+ffrEiRM3b96srq6+ePHiwYMHX3nlFR8f\nHwtXyMzM3Ldvn7NzeiA6XwBoH20vALimoKCg2NjYbt26cVNNt+YKu5O6d++emJg4ePDgESNGxMTE\nWPmL6k27k5wdD3BNCoUiNDQ0Li6ua9eulgsdj2X9kRdJSUmTJk0yHf/ss88aGhocGgoydP78+Y0b\nN5qOL1y4sGvXrs5+9UcffXT48OEqlarVuEqlSkxMTElJyczMzM3NnTx5soW359PT0+vr652c1ON4\n+/n5tfyc/RHuqNUtpPgiuqOWX8SOfgUVCgX/xjJlNBobGxvtv47DT3IwpVAoWi7FfAu7KZZiGbBn\nKYb4goKCtFotVa88SL47adCgQa1+WK2rq8vLy7t69erRo0e3bdtmoXPJzMwcOXLkCy+84OyogOtQ\nKBQhISFarZYfQxzot7/97YEDB1rVXtXV1efOnRs0aJBUqeD69Hr9rFmzTH/4VavVS5YskSSSqdjY\n2N27dy9evHjKlClXrlwxnXD9+vXMzMyFCxeKn03GvGtqapo/uXjxYmJiooRpYJuAgIDq6uqmj7/5\n5puBAwdKmwc2CA8Pb77jU6vmqF1KpTI+Pt4Jodzb3bt3Kyoq7LmCCG1vE6PR2HIpLioq0mq1Tn1F\nOFx1dXXL8xxv3LjRo0cP6eLARi173o4uxRATba/MSL47yex40+6kpg1KaWlpK1as2Lt3b1srQ3p6\nekpKiq+vrzOTAi6Bttd5evXqNX369A8++KDV+KlTp+h8YUFGRsa3335rOv6f//mfwcHB4uex4PHH\nHz9x4sSoUaMuXrxo+ugHH3xA5+tYnO0AQIbq6ursKXw5yQEAXBMnOciPG+1OOnv2bJ8+fcxOaNqd\nJHIqQGSc5CACs/u3vvvuO/GTwF388MMPZn8nZuDAgXPnzhU/T7siIiIOHjzY6siBJpcuXbpx44b4\nkWTMW+oAAOB4zZumO0q0vb0AZMnb2zshIUHqFC6nsLCwtLTUzouwt1eu2J0EB/L392cRNnX79u2q\nqip7rsDeXtHExcWZDpoefQM0MRqNs2fPbvk7o018fHy2b9/usj/SxsXFLVu27I033jB96NChQ/Pn\nzxc/klzR+QKQG9s2+dL2AnAI6+/W4iEaGxvLysrsuQJtr4y56e6k/v37m/6A3bQ7qWfPnpIEQxOF\nQsFp7K3U1NTYU/jS9orMbOdr//umkKuNGzceP37cdHzlypV9+/YVPU4HzJo1a+XKlXq9vtV4Tk6O\nJHnkih9LAMhNRzf5cpIDADhPSUmJzYcjc5KDvLn17iSzDx06dEjkMEC7ioqKbHsiJzlIomvXrv7+\n/q0G7XzrFHKVnZ29fPly0/Hk5OSlS5eKn6dDIiMjk5KSTMcLCwvFDyNjdL4AZKVDm3xpewHAqRob\nG23bnUTb6wnceneS2X82sDsJrqampubhw4cdfRZtr4QUCoXp3SBVKpUkYeDKKisrp0yZ0tDQ0Go8\nLCxs586dbvFrZzExMaaDdL6OxdkOAGTFyk2+nOQAACKwYZMvJzl4CBnsTvrmm29ajfOTKlxNRzf5\ncpKD5AoLC8vLy1sNajQaScLAlc2dO/eHH35oNahQKD7++OOoqChJInWUt7eZQrK6ulr8JDJG5wtA\nPqzZ5EvbCwDi6OgmX9pezyGP3Ul0vnBxHdrkS9vrIi5fvmw6SOeLVj755JOPP/7YdHzFihU/+9nP\nxM9jm+zsbNNBrVYrfhIZo/MFIB+WN/nS9gKAmKzf5Evb62nYnQSIwMpNvrS9LuXKlSumgxEREeIn\ngcvKy8t75ZVXTMfHjh27cuVK0ePYSKfTXbt2zXQ8PDxc/DAyRucLQCYsbPKl7QUAkVm5yZe21wOx\nOwkQgTWbfGl7XdC5c+dMB4cMGSJ+Erim+vr6F198sbKystV4z549d+3a5Ra/KNPk9OnTZse7dOki\nchJ5o/MFIBNmN/nS9gKAJNrd5Evb65nYnQSIw/ImX9pe13Tz5s0//vGPrQYVCsWoUaOkiANXtHDh\nQtOThTp37vzpp5+q1WpJItmguro6PT3d7EPDhw8XOYy80fkCkAPTTb60vQAgFcubfGl7PRa7kwBx\nWNjkS9vrytLS0mpra1sN9uvXj98hQJM//elP7733XqtBhUKxY8eOvn37ShLJNrNnz87JyTEd9/Hx\nGT16tPh5ZIzOF4ActNzkS9sLANJqa5Mvba+HY3cSIA6zm3xpe13cl19+eeDAAdPxqVOnih8GLuj8\n+fNmf1HmrbfeGj9+vPh5jh8/vmfPntWrV3f0PYlNmzbt2rXL7EPDhg0LCgpyRDr8H7d5Ox0A2tK8\nydfLyys8PDw+Pl6r1VL4AoAkzG7yDQoKio2N7datG4Wvx2J3EiAO002+CoUiNDQ0Li6ua9euFL6u\nKTs7e+bMmabjWq321VdfFT8PXE1ZWdmECRNqampajU+aNGnFihWOfa2HDx8WFBS0O02v12/dujUu\nLm7t2rU6nc6aK1+/fn38+PGLFi1qa8LixYs7EBRWoPMF4PaKi4tpewHARbTa5EvbC8EldyfNmTPH\n7J0ALGN3Elxfy02+tL2uz2g0ZmRkDB069Pbt26aPvv766wEBAeKngksxGAwvvvjijRs3Wo337ds3\nIyOjvLy8rIPKy8vNvtDp06cHDBgQFBTUtWvX8PDwjIwMg8FgOVtFRcWyZcuio6OnT5/+xRdfVFdX\nm51WXFy8dOnSxMTErKysti6VnJw8btw4yy+HjuJsBwDurbGxUaVSRUZGUvUCgORabvLlJAc0EXl3\nUmVlZWRkpOVpTbuT9uzZs2TJkt/85jfWnCxx/fr1tLQ0Cz+ssjsJrqB5ky8nObiIN95446mnnnry\nySd79uzZ6qG7d+9+++23W7du/fzzz80+97HHHps/f77zM8LVvfXWW3/9619Nx3NycqKiomy4YEhI\nSFlZWavBEydOjBo1Sq/XN31aXFyclpZ28eLF7du3t3vB2traHTt27Nixw9fXd+DAgfHx8eHh4cHB\nwbdu3crNzc3NzW33TVYfH58NGzbY8N8Cy+h8Abg3b29vbmsAAC6iaZMvbS+atbs7qaMXbGqyTMdP\nnz796quvnj9/3mg0arXapUuXLly40PJ94Zp2J61ateqFF1741a9+9dOf/tTf3990WnFx8TvvvLNp\n06a6urq2LsXuJLiIoqIi2l6Xsm3btm3btgmCoNFounTpEhYWplarq6urv/32W8stmEajycrK8vPz\nEyspXNShQ4dWr14twgvNmjWrufBt9uGHH06dOvXpp5+28iL19fWnTp06depUR19969atTzzxREef\nhXbR+QIAAMABGhsb9Xp9bGwsbS+asTsJEE1tba2vry/HOLimkpKSkpISKyerVKr9+/fHxMQ4NRJc\nX15e3rRp08zeF9exbt26lZeXZ/ahY8eOWd/52iY9PX3GjBlOfQmPRecLAAAAB1Aqlba1eJArdicB\nYmo67kzqFLBXdHT0gQMHBg4cKHUQSKy8vPznP/+5Db8QYwML7262PCLc4ZRK5Zo1azgcyXm4hxsA\nAAAcQKFQSB0BLsRFdic5+9XZnQTXwSIsAyNGjMjOzqbwRWNj48SJE3Nzc8V5ucTExLbujtOvXz+z\n4927d09KSrLnRSMiIo4dO0bh61R0vgAAAAAcyUN2J61fv37NmjXOewkAbmTBggVpaWk232hkwIAB\nWVlZx48fj4iIcGwwuKO5c+eK8LZlM39//3nz5pmOR0VFTZs2zexT4uLisrOzL1y4sGjRoo7+sVer\n1atXr75y5UpycrINaWE9Ol8AAAAADsPuJAAeKDY2duPGjfn5+SdOnFi9evWYMWM0Go01z5o9e/bh\nw4fPnj37/PPPs1kbgiD8+c9/fv/990V+0XXr1k2aNKnlSGxs7IEDB0JDQy08q+mOrPn5+QcPHpww\nYUJsbKyvr29bk0NCQlJSUjIzM2/evLlixYrg4GCHpUcbOM8XAAAAgMNIsjvp97//favxdncn5eTk\nfPTRRzt37mz3Lm0tqdXqhQsXzp8/nx9WAZjy8fEZMWLEiBEjmj6tq6srKCi496OCgoKGhgbNjx57\n7LEePXpImheuaOLEiSKcjNRKp06d9uzZM2/evFOnTj148KBv377PP/+8n5+fNc/18fFJSUlJSUkR\nBMFgMBQUFNz6kVKpbPrTHh0d3a9fv7beo4WT0PkCAAAAcAypdifdv39/7969zSOxsbG7du2yZnfS\n+vXrDx8+/PHHH3/33Xd37typr683OzkkJCQ5OXns2LHTpk3r3Lmzg/8DAMiUSqXq0aMHxS7cxbBh\nw4YNG2bPFby8vKKioqKiooYOHeqoVLAZnS8AAAAAx2B3EgAAgCug8wUAAADg9tidBAAA0Ix7uAEA\nAAAAAACAfND5AgAAAAAAAIB80PkCAAAAAAAAgHzQ+QIAAAAAAACAfND5AgAAAAAAAIB80PkCAAAA\nAAAAgHzQ+QIAAAAAAACAfND5AgAAAAAAAIB80PkCAAAAAAAAgHzQ+QIAAAAAAACAfND5AgAAAAAA\nAIB80PkCAAAAAAAAgHzQ+QIAAAAAAACAfND5AgAAAAAAAIB80PkCAAAAAAAAgHzQ+QIAAAAAAACA\nfND5AgAAAAAAAIB80PkCAAAAAAAAgHzQ+QIAAAAAAACAfND5AgAAAAAAAIB80PkCAAAAAAAAgHzQ\n+QIAAAAAAACAfHhLHcB2hYWFZWVlrQbj4uKUSqUkeWCPsrKywsJCOy/SrVu3gIAAh+QBYCWWYjlh\nKQYAAAAAeXDjznfNmjWbN29uNVhQUNClSxdJ8sAeu3btmjdvnp0X+fzzz5999lmH5AFgJZZiOWEp\nBgAAAAB54GwHAAAAAAAAAJAPOl8AAAAAAAAAkA86XwAAAAAAAACQDzpfAAAAAAAAAJAPOl8AAAAA\nAAAAkA9vqQMAbVq+fHlCQoL18/v37++8MADgmViKAQAAAMDt0PnCdY0dO3bEiBFSpwAAj8ZSDAAA\nAABuh7MdAAAAAAAAAEA+6HwBAAAAAAAAQD7ofAEAAAAAAABAPuh8AQAAAAAAAEA+6HwBAAAAAAAA\nQD7ofAEAAAAAAABAPuh8AQAAAAAAAEA+6HwBAAAAAAAAQD68pQ7gdEaj8fbt25cuXcrPzw8PD4+M\njOzVq5darZY6FwB4EJZiAAAAAABEI9vONz8//+233/7nP/+Zm5v78OHDlg95eXkNGzbsl7/85dSp\nU8PCwqRKCACyx1IMAAAAAID4ZHi2g06n+4//+I/evXtv3rz5zJkzrVoGQRAMBsPJkycXLFgQHx+/\nfft2o9EoSU4AkDGWYgAAAAAApCK3fb7r16//8MMPHzx4YM1knU730ksvffLJJ1lZWUFBQc7Oho5K\nTU1VqVT+/v4ajUaj0XTv3j05OTkpKcnLS4bvVQBywlIsJyzFAAAAAOB25Nb5btq0qaNP+eqrr0aP\nHn3kyJHQ0FBnRILNzp49azoYGho6ZsyY1NTUwYMHix8JgDVYiuWEpRgAAAAA3A6bdARBEM6cOTNm\nzJi6ujqpg6B9ZWVl+/btGzJkyDPPPPP1119LHQeAw7AUuxGWYgAAAABwZfLvfENDQxMSEvz9/S1P\nO3v27IoVK8SJBIc4evToT3/607ffflvqIADax1IsVyzFAAAAAOCCZNv5JiQkbNq06c6dO6WlpZcu\nXXrw4MGFCxe2b98+ceLEtp6SkZFx8uRJMUPCTnq9fsmSJePHj6+qqpI6CwAzWIo9AUsxAAAAALga\nGXa+arX6gw8+yMnJee2116Kjo5sGlUpl3759Z86cuW/fvg8//LBTp06mTzQYDGlpaeKGhQNkZWVN\nnjxZr9dLHQTA/8dS7GlYigEAAADAdcit833yySfPnTv30ksvKZXKtubMmDHj1KlTPXr0MH0oOzv7\nH//4hxPzwSKVStW9e/fExMTBgwePGDEiJibGyvvCHzp0aMGCBc6OB8BKLMVujaUYAAAAANyd3Drf\n/fv3d+vWrd1pAwYM2L9/v0KhMH1o8+bNTsiFdowcOfLkyZMVFRW3bt26ePHi6dOnT5w4cfPmzerq\n6osXLx48ePCVV17x8fGxcIXMzMx9+/aJFhiABSzFboqlGAAAAADkwVvqAA5m5V4kQRCSkpImTZq0\nZ8+eVuOfffZZQ0OD5Z9p4XCPPvqo2XGVSpWYmJiYmJiSkpKWlrZixYq9e/cajUazk9PT01NSUnx9\nfZ2ZFED7WIrdFEsxAABwEcXFxWZ3BsBd8BUEJCe3fb4d8tvf/tb0h9Lq6upz5xcubKYAACAASURB\nVM5JkgeWxcbG7t69++zZs3369DE74fr165mZmSKnAmAnlmL3wlIMAAAAAK7PozvfXr16TZ8+3XT8\n1KlT4oeBlR5//PETJ0488sgjZh/94IMPRM4DwE4sxe6IpRgAAAAAXJlHd76CIAwcONB08LvvvhM/\nCawXERFx8OBBPz8/04cuXbp048YN8SMBsAdLsTtiKQYAAAAAlyW383w7Ki4uznRQp9OJnwQdEhcX\nt2zZsjfeeMP0oUOHDs2fP1/8SABsxlLspliKAQCAAymVytjY2KaPg4ODP/74Y2nzoKNycnKWL1/e\n9DFfQUB8Lb8HBTpfs0VDaWmp+EnQUbNmzVq5cqVer281npOTI0keADZjKXZfLMUAAMBR9Hp9Xl5e\n08darTYxMVHaPOiooqIivoKAhFp+Dwqc7dC1a1d/f/9Wg2VlZZKEQYdERkYmJSWZjhcWFoofBoA9\nWIrdF0sxAAAAALggT+98FQqF6f3iVSqVJGHQUTExMaaDFA2A22EpdmssxQAAAADgajy98y0sLCwv\nL281qNFoJAmDjvL2NnM4SXV1tfhJANiDpditsRQDAAAAgKvx9M738uXLpoMUDe4iOzvbdFCr1Yqf\nBIA9WIrdGksxAAAAALgaT+98r1y5YjoYEREhfhJ0lE6nu3btmul4eHi4+GEA2IOl2H2xFAMAAACA\nC/L0zvfcuXOmg0OGDBE/CTrq9OnTZse7dOkichIAdmIpdl8sxQAAAADggjy687158+Yf//jHVoMK\nhWLUqFFSxEEHVFdXp6enm31o+PDhIocBYA+WYvfFUgwAAAAArsmjO9+0tLTa2tpWg/369eMUQtc3\ne/bsnJwc03EfH5/Ro0eLnweAzViK3RdLMQAAAAC4Js/tfL/88ssDBw6Yjk+dOlX8MJ7p+PHjc+bM\nKS4u7ugTN23atGvXLrMPDRs2LCgoyO5oAETCUiw5lmIAAAAAkB8P7Xyzs7NnzpxpOq7Val999VXx\n83gmvV6/devWuLi4tWvX6nQ6a55y/fr18ePHL1q0qK0JixcvdlxAAM7FUuwKWIoBAAAAQH48rvM1\nGo0ZGRlDhw69ffu26aOvv/56QECA+Kk8WUVFxbJly6Kjo6dPn/7FF19UV1ebnVZcXLx06dLExMSs\nrKy2LpWcnDxu3DinJQXgMCzFroalGAAAAADkxFvqAA72xhtvPPXUU08++WTPnj1bPXT37t1vv/12\n69atn3/+udnnPvbYY/Pnz3d+RphRW1u7Y8eOHTt2+Pr6Dhw4MD4+Pjw8PDg4+NatW7m5ubm5ue3+\n3rGPj8+GDRvESQvAMpZiN8VSDAAAAADyILfOd9u2bdu2bRMEQaPRdOnSJSwsTK1WV1dXf/vtt5Z/\nUtVoNFlZWX5+fmIlhXn19fWnTp06depUR5+4devWJ554whmRAHQUS7G7YykGAAAAALcmt863WUlJ\nSUlJiZWTVSrV/v37Y2JinBoJzpOenj5jxgypUwBojaXYo7AUAwAAAICL8LjzfE1FR0f/7//+78iR\nI6UOAlsolcr169evWbNG6iAA7MJS7NZYigEAAADApXh65ztixIjs7OyBAwdKHcQTde/ePSkpyZ4r\nREREHDt2jBvEA+6OpVhCLMUAAAAAID9u3PkuWLAgLS1Nq9Xa9vQBAwZkZWUdP348IiLCscFgpbi4\nuOzs7AsXLixatKijX0e1Wr169eorV64kJyc7Jx0Aq7AUuzuWYgAAAACQHzfufGNjYzdu3Jifn3/i\nxInVq1ePGTNGo9FY86zZs2cfPnz47Nmzzz//vEKhECEqLOjbt29GRkZ+fv7BgwcnTJgQGxvr6+vb\n1uSQkJCUlJTMzMybN2+uWLEiODhYzKgATLEUywNLMQAAAADIidvfw83Hx2fEiBEjRoxo+rSurq6g\noODejwoKChoaGjQ/euyxx3r06CFpXpjn4+OTkpKSkpIiCILBYCgoKLj1I6VS2fTli46O7tevn1Kp\nlDosgNZYiuWBpRgAAAAA5MHtO99WVCpVjx49aBPcmpeXV1RUVFRU1NChQ6XOAsAWLMUywFIMAAAA\nAO7Ljc92AAAAAAAAAAC0QucLAAAAAAAAAPJB5wsAAAAAAAAA8kHnCwAAAAAAAADyQecLAAAAAAAA\nAPJB5wsAAAAAAAAA8kHnCwAAAAAAAADyQecLAAAAAAAAAPJB5wsAAAAAAAAA8kHnCwAAAAAAAADy\nQecLAAAAAAAAAPJB5wsAAAAAAAAA8kHnCwAAAAAAAADyQecLAAAAAAAAAPJB5wsAAAAAAAAA8kHn\nCwAAAAAAAADyQecLAAAAAAAAAPJB5wsAAAAAAAAA8kHnCwAAAAAAAADyQecLAAAAAAAAAPJB5wsA\nAAAAAAAA8kHnCwAAAAAAAADyQecLAAAAAAAAAPJB5wsAAAAAAAAA8kHnCwAAAAAAAADyQecLAAAA\nAAAAAPJB5wsAAAAAAAAA8kHnCwAAAAAAAADyQecLAAAAAAAAAPJB5wsAAAAAAAAA8kHnCwAAAAAA\nAADy4S11AAAAAAAAAACCIAiVlZX5+flOfYmAgIBu3bo55FJlZWWFhYV2XqRbt24BAQEOyYNmdL4A\nAAAAAACAS/jLX/4yadIkp77EunXrlixZ4pBL7dq1a968eXZe5PPPP3/22WcdkgfNONsBAAAAAAAA\n8AidO3d++eWXpU4Bp6PzBQAAAAAAADzCjBkzQkJCpE4Bp6PzBQAAAAAAAORPqVQuXLhQ6hQQA50v\nAAAAAAAAIH8pKSm9evWSOgXEQOcLAAAAAAAAyF9qaqrUESASb6kDAAAAAAAAABAEQQgKCkpMTLTn\nCtXV1Tdv3jQdf/LJJ4cOHWrPla20fPnyhIQE6+f379/feWE8Fp0vAAAAAAAA4BLGjRs3btw4e67w\n29/+dsWKFabjom3yHTt27IgRI8R5LbSFsx0AAAAAAAAAOaivr9+yZYvpeK9evcaPHy9+HkiFzhcA\nAAAAAACQg927dxcUFJiOL1iwQKlUip8HUqHzBQAAAAAAAOQgIyPDdDAkJGTWrFnih4GE6HwBAAAA\nAAAAt3fs2LELFy6Yjs+ePbtz587i54GE6HwBAAAAAAAAt2d2k6+Pj8+CBQvEDwNp0fkCAAAAAAAA\n7u3SpUt//etfTccnTpwYHR0tfh5Iy7vlJ6WlpcXFxVJFgc2MRmPzx2VlZXwR3ZHBYGj+uLGxUcIk\nAAAAAADA7WzatKllQdQsLS1N/DCQ3L90vsOHD5cqBxzlmWeekToC7PX999+PHj1a6hQAAAAAAMA9\nFBcXf/zxx6bjycnJAwYMED8PJOfd/hQAAAAAAADYx2g0FhYWFhUVFRUVVVRUaLXaqKioqKioTp06\nSR0Nbi8zM7O2ttZ0PDU1VfwwcAV0vgDgWsLDw6WOAHv17NlT6ggA7KJQKKSOAACQj4qKisOHD//l\nL385cuSI2cMY1Wp13759f/GLX4wfP75Hjx6iB4Tbq62tzczMNB3/yU9+8m//9m/i54Er4B5uAAAA\nAAAAjldTU7Nu3boePXpMnTp1586dbd19R6fTHT9+PDU1tVevXs8888zBgwf1er3IUeHWPvnkk6Ki\nItPx1157jXeyPRb7fAGXw4oMAAAAAO7uyJEjs2bNys/Pt/4pRqPx6NGjR48e/fLLL59++mnnZYOc\nGI3GjIwM03GNRjN9+nTx8wiCkJqaqlKp/P39NRqNRqPp3r17cnJyUlKSlxd7T8VD5wu4HLP32QQA\nAAAAuIv3339/7ty5jY2NUgeB/B05cuTSpUum46+88oqfn5/4eQRBOHv2rOlgaGjomDFjUlNTBw8e\nLH4kD/Qvne+nn37au3dvqaLAZklJSc0Hde/Zs6dv377S5oENhg0bVlZW1vTxT37yE2nDQGRhYWEX\nL16UOgWAfxEbGyt1BIgqNjaWpRhwNWFhYVJHAGz01ltvrVy5UuoU8BRmN/mqVKq5c+eKH8aCsrKy\nffv27du3b+zYsatWraL5dbZ/6Xx79+6dmJgoVRTYrOXe+F69evFFdEfe3v//m5F7tnoapVLJty0A\nSEulUrEUAwAcIisry5rCNzAw0Nvbu3nrD2CbnJycL774wnR86tSpERER4uexRtPpJWvWrFm8eLHU\nWeSMczQAAAAAAAAc4Pr167/+9a/berRPnz5Lly7du3fvtWvXKioqSktL6+rqzp8//8477zz99NPc\n2QU2MLvJV6FQpKamih/Genq9fsmSJePHj6+qqpI6i2xxni8AAAAAAIADvPzyyxUVFWYfmjNnTkZG\nRqvzVX19ffv379+/f//U1NQrV65s2bLl/fffr6urEyUs3N79+/d37dplOj527NhHHnlE/DwdlZWV\nNXny5KysLKVSKXUWGWKfLwAAAAAAgL2++eabY8eOmY6HhYUdPHjwvffes3xDrT59+mzevPny5csT\nJ050WkbIypYtW+rr603H09LSRE6iUqm6d++emJg4ePDgESNGxMTEtDyG1IJDhw4tWLDA2fE8E/t8\nAQAAAAAA7LV27VrTQYVCcfjw4SFDhlh5kR49euzbt89gMDg0GmSopqbmvffeMx3v16/fmDFjRIsx\ncuTIkydPDho0SKVStRyvq6vLy8u7evXq0aNHt23b1tDQ0NYVMjMzR44c+cILLzg/rGdhny8AAAAA\nAIBdioqKPv30U9PxmTNnWl/4NrNyjyQ82Z/+9CedTmc6vmjRIjFjPProo8OHD29V+Ao/3iA3JSUl\nMzMzNzd38uTJFk6sTk9PN7thGfZgEQEAAAAAALDL8ePHjUZjq8GwsLB169ZJkgfyZjQaN23aZDoe\nGRn54osvip/HstjY2N27d589e7ZPnz5mJ1y/fj0zM1PkVLJH5wsAAAAAAGCXr776ynTwzTff1Gg0\n4oeB7B0+fPjKlSum43PnzvX19RU/jzUef/zxEydOtHVzuQ8++EDkPLJH5wsAAAAAAGCXv//976aD\nTz31lPhJ4AkyMjJMBwMCAubMmSN+GOtFREQcPHjQ7M0ML126dOPGDfEjyRidLwAAAAAAgF3u3bvX\nakSpVMbHx0sSBvJ27tw5s/vKp0+frlarxc/TIXFxccuWLTP70KFDh0QOI290vgAAAAAAALbT6/Vl\nZWWtBnv27Gl6YyvAfmY3+Xp5eS1cuFD8MDaYNWuWUqk0Hc/JyRE/jIzR+QIAAAAAANiurKzM9AZu\niYmJkoSBvOXn5+/du9d0/Oc//3lcXJz4eWwQGRmZlJRkOl5YWCh+GBmj8wUAAAAAALBdVVWV6WCn\nTp3ETwLZe/fddxsaGkzHU1NTxQ9js5iYGNNBOl/HovMFAAAAAACwXVhYmOngxYsXxU8Ceauqqtq6\ndavp+KBBg0aMGCF+Hpt5e3ubDlZXV4ufRMbofAEAAAAAAGwXGBjo6+vbavDq1atm92MCNvvoo49M\nT44WBGHRokXih7FHdna26aBWqxU/iYzR+QIAAAAAANhFo9G0GmloaLh27ZokYSBLBoNh06ZNpuMx\nMTG//OUvxc9jM51OZ/ZbIzw8XPwwMkbnCwAAAAAAYJeEhATTwe+++078JJCr//mf/8nLyzMdnz9/\nvtmjElzW6dOnzY536dJF5CTyRucLAAAAAABgl1GjRpkOrlq1qq6uTvwwkKV33nnHdDAoKGj27Nni\nh7FZdXV1enq62YeGDx8uchh5o/MFAAAAAACwy+jRo00HL1++vHLlStGzQIbOnDnz97//3XR81qxZ\nQUFB4uex2ezZs3NyckzHfXx8zH4TwWZ0vgAAAAAAAHZJSkqKiooyHd+4cePZs2fFzwOZycjIMB30\n9vZ+7bXXxA9z/PjxOXPmFBcXd/SJmzZt2rVrl9mHhg0b5l7lteuj8wUAAAAAALCLl5fX0qVLTccb\nGxunTJly5swZ8SNBNm7fvr1//37T8QkTJsTExDjwhR4+fFhQUNDuNL1ev3Xr1ri4uLVr1+p0Omuu\nfP369fHjxy9atKitCYsXL+5AUFiBzhcAAAAAAMBes2fPNrvV99q1a0OGDJk3b96DBw/avUhNTc3e\nvXtTUlKcEBDuavPmzY2NjabjaWlpjnqJ06dPDxgwICgoqGvXruHh4RkZGQaDwfJTKioqli1bFh0d\nPX369C+++KK6utrstOLi4qVLlyYmJmZlZbV1qeTk5HHjxtn1HwAT7nRfPwAAAAAAANekUqnWrVs3\nbdo004cMBsOWLVsOHDiwfPnyAQMGJCQkhISEtJxQWFh4/vz53bt3HzhwoLKyUqFQiJUarq6ysnLb\ntm2m48OGDRs0aJBDXuLEiROjRo3S6/VNnxYXF6elpV28eHH79u3tPre2tnbHjh07duzw9fUdOHBg\nfHx8eHh4cHDwrVu3cnNzc3Nz2z0CwsfHZ8OGDQ74z8C/ovMFAAAAAABwgF/96ldnzpzZvHmz2UcL\nCgrmzZvX9HGXLl0SEhKCgoJu3LiRl5dXVVUlYky4k+3bt1dUVJiOp6amOuolZs2a1Vz4Nvvwww+n\nTp369NNPW3mR+vr6U6dOnTp1qqOvvnXr1ieeeKKjz0K76HwBAAAAAICNSktLQ0JCvLw4OvL/vPPO\nO99///3f/vY3y9Pu379///59cSLBfen1+t///vem43Fxcc8//7xDXuLWrVt5eXlmHzp27Jj1na9t\n0tPTZ8yY4dSX8FgsygAAAAAAoMMMBkN+fn5BQUG75356FG9v70OHDk2ZMkXqIJCDAwcO3Lx503T8\ntddec9QbLRbOXigqKnLIS5ilVCrXr1+/Zs0a572Eh6PzBQAAAAAAHdPQ0HDz5s3y8nJBEIxGo9Rx\nXIufn9+uXbs2bNigVCqlzgL39t5775kOhoWF/frXv3bUSyQmJrb1B7Vfv35mx7t3756UlGTPi0ZE\nRBw7dmzx4sX2XASW0fkCAAAAAIAOqKqqysvLq6mpafqUztes119//dKlS9OmTbOh+e3du7czIsHt\nHDhwICMjo9Wfh5dffjkgIMBRL+Hv7998zHRLUVFRZm9IKAhCXFxcdnb2hQsXFi1apNVqO/RyarV6\n9erVV65cSU5OtiEtrEfnCwAAAAAArKXT6W7evNnyjk+c7dCW+Pj4HTt25ObmpqenDxo0yHL56+/v\n/9xzz/3hD3/44Ycfrl69KlpIuLKQkJBFixZdvXr1888/f+6557y8vHx9fc1WtPZYt27dpEmTWo7E\nxsYeOHAgNDTUwrP69u2bkZGRn59/8ODBCRMmxMbG+vr6tjU5JCQkJSUlMzPz5s2bK1asCA4Odlh6\ntIF7uAEAAAAAgPYZDIZ79+5VVFS0Gmefr2VxcXFNh5aWl5efPn36/v37JSUlJSUlDQ0NXbp0iYyM\nbPrf3r17q1QqqcPCFSkUimefffbZZ5+9fv36119/3bVrV8dev1OnTnv27Jk3b96pU6cePHjQt2/f\n559/3s/Pz5rn+vj4pKSkpKSkCIJgMBgKCgpu/UipVGo0Go1GEx0d3a9fP446ERmdLwAAAAAAaEd9\nff2dO3dqa2tNH6LztVJISMi4ceOkTgE31qtXr169ejnp4sOGDRs2bJg9V/Dy8oqKioqKiho6dKij\nUsFmdL4AAAAAAMCShw8f3r17t+V5Di3R+QKAq6HzBQAAAAAAbSopKSksLLQwgc4XAFwNnS8AAAAA\nADDDYDDk5+c/ePCg3Wni5AEAWInOFwAAAAAAtFZfX3/79u26urp2Z7LPFwBcDZ0vAAAAAAD4F5WV\nlXfv3rVyAy+dLwC4GjpfAAAAAADwf4xGY0lJSVFRUYee4rw8AAAb0PkCAAAAAABBEAS9Xp+fn19Z\nWdmhZ9H5AoCrofMFAAAAAABCXV3d7du36+vrO/pE7uEGAK6GzhcAAAAAAE/34MGD/Px829pb9vkC\ngKuh8wUAAAAAwHMZjcbi4uLi4mJ7ruDAPAAA+9H5AgAAAADgofR6/d27dx8+fGjPReh8AcDV0PkC\nAAAAAOCJamtr79y5Y8MBvq3Q+QKAq6HzBQAAAADA41RUVNy7d88ht1/jHm4A4GrofAEAAAAA8CBG\no7GoqKikpMSBF3TUpQAADkHnCwAAAACAp2hsbLx7925VVZUDr0nnCwCuhs4XLqGsrKywsNDOi3Tr\n1i0gIMAheQAAAABAfmpra2/fvt3Q0ODYy9L5AoCrofOFS9i1a9e8efPsvMjnn3/+7LPPOiQPAAAA\nAMhMeXn5vXv3nNHPcp4vALgaOl8AAAAAAOTMaDQWFhbqdDrnXd9JVwYA2IbOFwAAAAAA2WpsbLxz\n5051dbXzXoLOFwBcDZ0vAAAAAADyVFNTc+fOHYcf4NsKnS8AuBo6XwAAAAAAZKisrKygoECEQpbO\nFwBcDZ0vAAAAAACyYjQa79+/X1paKs7LcQ83AHA1dL5wXcuXL09ISLB+fv/+/Z0XBgAAAADcgtFo\nLCkpaWhoCAoKUigUCoXCy8tL0ULLT5s/fvjwoc03eWOfLwC4GjpfuK6xY8eOGDFC6hQAAAAA4E4U\nCoVWq+3QU5r2Bdv8inS+AOBqvKQOAAAAAAAApFRZWVlXV2fz0+l8AcDV0PkCAAAAAODRbD7VoQmd\nLwC4GjpfAAAAAAA8V1VVVXV1teU5Pj4+Fh7lHm4A4GrofAEAAAAA8FwlJSWWJ3Tq1CkmJsbLy1KB\nwFZfAHApdL4AAAAAAHiourq6hw8fWp6j1WpVKlV0dLSFOXS+AOBS6HwBAAAAAPBQxcXFlif4+voG\nBgYKghAYGKjVatuaRucLAC6FzhcAAAAAAE/U0NBQUVFheY5Go1EoFE0fa7Xazp07m51G5wsALoXO\nFwAAAAAAT9TuSb7e3t7BwcHNnyoUiujoaF9fX9OZ3MYNAFyKt9QBxGA0GgsLC4uKioqKiioqKrRa\nbVRUVFRUVKdOnaSOBgAAAACABPR6fXl5ueU5arW61a3blEplt27dbty40arkZZ8vALgUOXe+FRUV\nhw8f/stf/nLkyBGzRxSp1eq+ffv+4he/GD9+fI8ePUQPCAAAAACANHQ6neXNuV5eXqGhoabjnTp1\nioqKunPnTstBOl8AcCnyPNuhpqZm3bp1PXr0mDp16s6dO9s6k16n0x0/fjw1NbVXr17PPPPMwYMH\n9Xq9yFEBAAAAABCZwWAoLS21PCcsLEypVJp9KCgoSKPRtByh8wUAlyLDfb5HjhyZNWtWfn6+9U8x\nGo1Hjx49evTol19++fTTTzsvGzokNTVVpVL5+/trNBqNRtO9e/fk5OSkpKRWv1sEAAAAAOiQsrIy\ny3ueFApFWFiYhQnh4eG1tbUPHz5s+pTOFwBcitw63/fff3/u3LmNjY1SB4EDnD171nQwNDR0zJgx\nqampgwcPFj8SAAAAALg7o9Go0+kszwkJCfHx8bEwoel+bnl5eQ0NDQL3cAMAFyOr/ZJvvfXWyy+/\nTOErb2VlZfv27RsyZMgzzzzz9ddfSx0HAAAAANxMRUVFU1FrgVqtbvc6SqWye/fuCoVCYJ8vALgY\n+XS+WVlZK1eubHdaYGCg2UPo4XaOHj3605/+9O2335Y6CAAAAAC4k3Y3+QYFBalUKmsu1XQ/N4HO\nFwBcjEw63+vXr//6179u69E+ffosXbp07969165dq6ioKC0traurO3/+/DvvvPP00083vScJd6TX\n65csWTJ+/PiqqiqpswAAAACAG6isrKytrbU8x5pNvs2Cg4PVajWdLwC4FJmc5/vyyy9XVFSYfWjO\nnDkZGRl+fn4tB319ffv379+/f//U1NQrV65s2bLl/fffr6urEyUsHCwrK2vy5MlZWVlt3VIWAAAA\nANCkpKTE8oSAgAB/f/8OXTMiIqK+vt6OUAAAB5PDPt9vvvnm2LFjpuNhYWEHDx587733WhW+rfTp\n02fz5s2XL1+eOHGi0zLCKiqVqnv37omJiYMHDx4xYkRMTIyXl1V/RA8dOrRgwQJnxwMAAAAAt1ZT\nU1NdXW15jkaj6ehlFQqFlWdBAADEIYd9vmvXrjUdVCgUhw8fHjJkiJUX6dGjx759+7jTqFRGjhx5\n8uTJQYMGtfqHQl1dXV5e3tWrV48ePbpt2zYL9xnIzMwcOXLkCy+84PywAAAAAOCWiouLLU9QqVSd\nO3cWJwwAwHncfp9vUVHRp59+ajo+c+ZM6wvfZlbuKoXDPfroo8OHDzd9Z1ilUiUmJqakpGRmZubm\n5k6ePNnC+cvp6en8PhEAAAAAmFVXV1dZWWl5jlarFScMAMCp3L7iPH78uOlR8WFhYevWrZMkD5wn\nNjZ29+7dZ8+e7dOnj9kJ169fz8zMFDkVAAAAALiFdk/y9fHxCQoKEicMAMCp3L7z/eqrr0wH33zz\nTRtOIIJbePzxx0+cOPHII4+YffSDDz4QOQ8AAAAAuL6Ghoa27nzeTKPRWPjFSgCAG3H7zvfvf/+7\n6eBTTz0lfhKIJiIi4uDBg2ZvzXfp0qUbN26IHwkAAAAAXJlOpzP9HdmWlEplSEiIaHkAAE7l9vdw\nu3fvXqsRpVIZHx8vSRiIJi4ubtmyZW+88YbpQ4cOHZo/f774kQCbPXjw4KWXXpI6BYB/kZGRER0d\nLXUKAAAcQ6/Xl5WVWZ6jVqu5ww0AyIZ7d75m/97q2bOn6a3AID+zZs1auXKlXq9vNZ6TkyNJHsBm\ndXV1f/7zn6VOAeBfrFy5UuoIAAA4TGlpqcFgsDBBoVCEhoaKlgcA4Gzu/SZeWVmZ6S+nJCYmShIG\nIouMjExKSjIdLywsFD8MAAAAALgmg8FQWlpqeU5YWJi3t3vvCQMAtOTenW9VVZXpYKdOncRPAknE\nxMSYDtL5AgAAAECz8vLyxsZGy3PUarU4YQAA4nDv9/HCwsJMBy9evCh+EkjC7BvR1dXV4icB7KFQ\nKEaOHCkIwnfffScIQkhICLdLdjtGo7G8vLz50+DgYI7Dc0dNB0b169dPoVDwbQgAkAej0ajT6SzP\nCQkJ8fHxESePBd7e3k3/KhYEwcfHh3OW3E55eTlfQUBCLb8HBXfvfAMDnxkkNgAAIABJREFUA319\nfevr61sOXr16taGhwRX+xoKzZWdnmw5qtVrxkwD2MBqNJ06caP60X79+vr6+EuaBDfR6/VdffdX8\n6SOPPOLn5ydhHtjm2LFjgiCcPHlSEATLdzYHAMBdPHjwoNWPzKZcZJNvY2Njy38VN/29DPfFVxCQ\nltvvQtJoNK1GGhoarl27JkkYiEmn05n9QoeHh4sfBgAAAABcULubfAMDAzkgEQDkx+0734SEBNPB\npt+PhrydPn3a7HiXLl1ETgIAAAAALujhw4c1NTWW57jIJl8AgGO599kOgiCMGjXqyy+/bDW4atWq\nCRMmqFQqSSJBBNXV1enp6WYfGj58uMhhAAAAAMAFlZSUWJ7g7+8fEBAgTph2hYeHT5w4UeoUACAT\nbt/5jh49etmyZa0GL1++vHLlyrVr10oSCSKYPXt2Tk6O6biPj8/o0aPFzwMAAAAALqW2traqqsry\nHNPDEiWUmJi4b98+qVMAgEy4/dkOSUlJUVFRpuMbN248e/as+HlgvePHj8+ZM6e4uLijT9y0adOu\nXbvMPjRs2LCgoCC7owEAAACAe2v3Ry2VStW5c2dxwgAAROb2na+Xl9fSpUtNxxsbG6dMmXLmzBnx\nI8FKer1+69atcXFxa9eubffGAk2uX78+fvz4RYsWtTVh8eLFjgsIAAAAAG6pvr7+wYMHludoNBqF\nQiFOHgCAyNy+8xUEYfbs2Wa3+l67dm3IkCHz5s1r9686QRBqamr27t2bkpLihICwpKKiYtmyZdHR\n0dOnT//iiy+qq6vNTisuLl66dGliYmJWVlZbl0pOTh43bpzTkgIAAACAe2j3JF9vb+/g4GBxwgAA\nxOf25/kKgqBSqdatWzdt2jTThwwGw5YtWw4cOLB8+fIBAwYkJCSEhIS0nFBYWHj+/Pndu3cfOHCg\nsrKSNzmlUltbu2PHjh07dvj6+g4cODA+Pj48PDw4OPjWrVu5ubm5ubnt/l6Sj4/Phg0bxEkLAAAA\nAC6rsbGxvLzc8hw2+QKAvMmh8xUE4Ve/+tWZM2c2b95s9tGCgoJ58+Y1fdylS5eEhISgoKAbN27k\n5eW1e6Q9RFZfX3/q1KlTp0519Ilbt2594oknnBEJAAAAANyITqczGo0WJnh5ebXaDgUAkBmZdL6C\nILzzzjvff//93/72N8vT7t+/f//+fXEiQTTp6ekzZsyQOgUAAAAASMxgMJSVlVmeo1arlUqlOHkA\nAJKQw3m+Tby9vQ8dOjRlyhSpg0BUSqVy/fr1a9askToIAAAAAEivtLRUr9dbmKBQKMLCwkTLAwCQ\nhHw6X0EQ/Pz8du3atWHDBt6xdAvdu3dPSkqy5woRERHHjh1bvHixoyIBAAAAgPsyGo06nc7ynNDQ\nUG9v+fzKLwDALFl1vk1ef/31S5cuTZs2zYbmt3fv3s6IBLPi4uKys7MvXLiwaNEirVbboeeq1erV\nq1dfuXIlOTnZOekAAAAAwM2Ul5c3NjZanqNWq8UJAwCQkAw7X0EQ4uPjd+zYkZubm56ePmjQIMvl\nr7+//3PPPfeHP/zhhx9+uHr1qmgh0aRv374ZGRn5+fkHDx6cMGFCbGysr69vW5NDQkJSUlIyMzNv\n3ry5YsWK4OBgMaMCAAAAgMuyZpNvcHCwhR+4AACyIedf6IiLi2s65rW8vPz06dP3798vKSkpKSlp\naGjo0qVLZGRk0//27t1bpVJJHdbT+fj4pKSkpKSkCIJgMBgKCgpu/UipVGo0Go1GEx0d3a9fPw7u\nAAAAAABTlZWVdXV1luewyRcAPIScO99mISEh48aNkzoFrOXl5RUVFRUVFTV06FCpswAAAACAe2h3\nk2/nzp39/PzECQMAkJY8z3YAAAAAAMBzVFVVVVdXW56j0WjECQMAkBydLwAAAAAA7q2kpMTyhE6d\nOgUEBIgTBgAgOTpfAAAAAADcWG1t7cOHDy3P0Wq14oQBALgCOl8AAAAAANxYu5t8fX19AwMDxQkD\nAHAFdL4AAAAAALirhoaGiooKy3M0Go1CoRAnDwDAFXhLHQAAIDdeXl7e3v/390t9fb3ZOT4+Pk0/\neBgMhsbGRvHCwWrNX8e2vka+vr5NH7T1VQYAACJod5Ovt7d3cHCwOGEAAC6CzhcA4GBarfYPf/hD\naGioIAjvv//+n//851YTBg8evGrVKi8vL71ev2LFiuzsbClioh2JiYm/+93vBEEoKSmZNm1aq9o3\nNjb2v/7rvwRB0Ol006ZNa2hokCYlAACeTa/Xl5eXW56jVqu9vPgdXwDwLKz7AAAHKywsfPPNN5v2\nfs6ePXv48OEtH42JiVm2bFnTDx7vvfceha/L+v7778+dOycIgkajGTNmTKtHJ06c2PTBgQMHKHwB\nAJCKTqczGAwWJnh5eTW9Ew8A8Ch0vgAAx8vNzX377beNRqNCoVi6dGlCQkLTeFBQ0OrVq/39/QVB\n+Oyzzz799FNJY6IdO3fubPpg0qRJLfcHhYeHJycnC4JQVVV16NAhSbIBAACDwVBaWmp5TlhYmFKp\nFCcPAMB10PkCAJzixIkTH330kSAIvr6+q1at6tKli1KpfPPNNyMjIwVB+Pbbb999912pM6IdFy5c\nuHDhgiAIUVFRI0eObB6fMGFC00+Pn332WXV1tWT5AADwbGVlZXq93sIEhUIRFhYmWh4AgOug8wUA\nOMvu3buPHDkiCEJISMiaNWvS0tL69esnCMLdu3dXr15t+fcQ4SKat/pOmTKl6YOAgICf/exngiDU\n19f/93//t2TJAADwbEajUafTWZ4TEhLi4+MjTh4AgEuh8wUAONHvfve77777ThCEbt26NZ0JW1lZ\nuWLFiocPH0odDVY5d+7cxYsXBUHo2bPnk08+KQjCz3/+cz8/P0EQjhw50u5NYwAAgJNUVFS0e6S+\nWq0WJwwAwNXQ+QIAnEiv169cufLevXtNnxqNxtWrV+fn50ubCh3Scquvt7d3SkqKIAh6vX7fvn2S\n5gIAwKO1u8k3KChIpVKJEwYA4GrofAEAzqVWq0NCQpo+VigUffr0kTYPOio7O/vy5cuCICQkJKSm\npjbtGDp58uT9+/eljgYAgIeqrKysra21PIdNvgDgyeh8AQBOFBgYuHr1an9//+aRmTNnPvXUUxJG\ngg2at/o2HdAhCMLevXuliwMAgKcrKSmxPCEgIKDlP8AAAJ6GzhcA4CxKpfLNN9+MjIwUBOHrr7/e\nuHGjIAgKheL1119/9NFHpU6HDvj666+vXbvW/OmZM2fy8vIkzAMAgCerqamprq62PEej0YgTBgDg\nmuh8AQDOMn/+/P79+wuCcOvWrTVr1hw5cuRPf/qTIAi+vr5vvfVWdHS01AHRAR9//HHzx3v27JEw\nCQAAHq64uNjyBJVK1blzZ3HCAABcE50vAMApnn/++eeee04QhAcPHrzxxhtNu1F27tz517/+VRCE\noKCgNWvWBAcHS5wSHXfp0qULFy5InQIAAA9VV1dXWVlpeY5WqxUnDADAZdH5AgAcb8CAAa+88oog\nCHq9ftWqVQUFBc0P/e53v8vOzhYEITIycvXq1b6+vpKlREdMnjy56QM2+QIAIKF2T/L18fEJCgoS\nJwwAwGX9P/buPD7K8t7//+yTZDLJbNlIIJGQcIiiFVxQUawrPsqxQAWrlocox0IrasEeBbVfEKrS\nqtTaisVqbWkPCi7gQikUFa20VLTFjSCUkBBC1slklmSS2e7fH/mdHJp7MnNnMnNPZub1/MNH8sk1\n97xblEzeuea66XwBAHFWWlr6ox/9SK1WKxSKX/7yl59++unpXw2FQmvWrOk/DXbSpEkrV65UKpXJ\nCQrJzj777JqaGoVC0dDQ8Le//S3ZcQAAyFB+v9/pdEZeY7PZeHEFANAkOwAAIN00NTXNmTMnwgKv\n17tkyRLZ8mDkBjb5btmyJblJAADIZHa7XRCECAvUarXJZJItDwBg1GKfLwAAiKSysvL8889XKBRt\nbW3vvvtusuMAAJChgsGgw+GIvMZqtapU/JgPAKDzBQAAEd144439H7z66qvBYDC5YQAAyFidnZ2h\nUCjCAqVSaTabZcsDABjN6HwBAMCQSkpKLrvsMoVC4XK5du7cmew4AABkqFAo1NnZGXmNxWLRaDi/\nEQCgUND5AgCACObPn99/O77t27f39vYmOw4AABmqq6srEAhEXmO1WuUJAwAY/eh8AQBAeGaz+Zpr\nrlEoFF6vd/v27cmOAwBAhhIEwW63R15jMpm0Wq08eQAAox+dLwAACG/u3Lk6nU6hUOzcudPtdic7\nDgAAGcrlcvl8vshr2OQLADgdZ/0AAIDw3n777d27dysUivb29mRnAQAgc0Xd5Gs0GrOysuQJAwBI\nCXS+AAAgvNbW1mRHAAAg03k8Hq/XG3kNm3wBAINwtgMAAAAAAKNUR0dH5AU5OTkGg0GeMACAVME+\nXwBIsu7u7pKSEoVC0b+D49ixY0qlMtmhMDyCIJhMpoFPjx8/rlLxW9XU0/+HmJ2drZDwLlqkmZaW\nlrVr1yY7BYB/85Of/CQ3NzfZKZKst7e3u7s78hqbzSZPGABACqHzBYAk83q9zc3NA592dXUlMQzi\ngj/ElNb/x+dwOJIdBLLq7OzcsGFDslMA+DerV6+m8416pL5er+f/JQCAGLuQAAAAAAAYdXw+n8vl\nirzGZrPxFjEAgBidLwAAAAAAo07Uk3w1Gk1+fr48YQAAqYWzHQAgybKzs/vP8+1nNps5CjblCILQ\n2dk58KnJZFKr1UnMg9icfoav2WxOYhLIT6VSXXrppQOfTp48OYlhgIwVCARqa2sHPs3w7auBQCDq\naVFs8gUADIXOFwCSzGAwnH6e76efflpQUJDEPIhBT0/P6ffL/utf/1pRUZG8OIjR6T82W63WJCaB\n/EKh0F/+8peBTz/44IMkhgEyVnt7e2Fh4cCngiAkMUzS2e32yP8PqFSq028hCwDA6dhKBgAAAADA\nKBIKhaLeTdRqtfK+IgDAUOh8AQAAAAAYRTo7O4PBYIQFSqXSYrHIlgcAkHLofAEAAAAAGC0EQTj9\niPmwzGazRsNRjQCAIdH5AgAAAAAwWnR1dQUCgchrOHceABAZnS8AAAAAAKOClE2++fn5Op1OnjwA\ngBRF5wukla6urlAolOwUAAAAAGLhdrv7+voir2GTLwAgKjpfIH20trY2NTWdOHGC2hcAAABIRR0d\nHZEX5ObmZmdnyxMGAJC66HyBNNHS0tL/ArG7u7uxsZHaFwAAAEgt3d3dXq838hqbzSZPGABASqPz\nBdJBc3Pz6cd+eTyekydPCoKQxEgAAAAAhiXqJt+srCyDwSBPGABASqPzBVKbIAinTp3q7OwcNHe7\n3dS+AAAAQKro7e31eDyR1xQUFMgTBgCQ6uh8gRTWX/g6HI6wX3W5XE1NTdS+AAAAwOgXdZOvTqcz\nGo3yhAEApDo6XyBVCYLQ1NTU1dUVYY3T6Tx16hS1LwAAADCa+f1+p9MZeY3NZlMqlfLkAQCkOk1p\naenAJ9dddx3fQlKR2Ww2m839H99www38IaYinU438B+jxD/B1tbWqK8LFQpFV1eXUqkcM2bMiPIB\nAAAASJiom3w1Gk1+fr48YQAAaUDT1NSU7AwA/o3EbblWq9Xtdvt8vqgrHQ6HUqksKSkZcTQAAAAA\ncRYMBiO/e0+hUFitVpWK9+kCAKTiewaQqrRabUVFhVarlbK4s7OzpaUl0ZEAAAAADJfdbg+FQhEW\nqFSqgXd2AgAgBZ0vkML6a1+NRiNlsd1ub21tTXQkAAAAANKFQqHOzs7IaywWi1qtlicPACA9aM47\n77yBT+68887CwsIkpkFsHnnkkYE3+H/3u989/YxmpIqf/vSn3d3d/R9L7HD76XS6ioqK+vr6QCAQ\ndXFHR4dSqeQ/cwAAAGCUcDgcwWAwwgKlUmmxWGTLAwBID5qPP/544JMLLrigpqYmiWkQm3nz5vX0\n9PR/vGHDhvPPPz+5eRCDhQsXtre3938spb09nV6vr6ioOH78eOQXi/3a29uVSmVBQUEsKQEAAADE\njyAIdrs98hqTySTxPDcAAAZwtgOQDvprX4lv+Gpra4t6X2AAAAAAieZ0Ov1+f+Q1VqtVnjAAgHRC\n5wukiaysrPLycok3821tbY16ahgAAACAhIq6yTcvL0+v18sTBgCQTuh8gfSRnZ1dUVEhsfZtbm52\nOByJjgQAAAAgLLfb3dvbG3mNzWaTJwwAIM3Q+QJpJTs7W/pu31OnTnV1dSU6EgAAAACxqOetGQyG\n7OxsecIAANIMnS+QbnJycsaNG6dUKqUsbmpqcjqdiY4EAAAA4HRer3fgRtxDYZMvACBmdL5AGjIY\nDNJr35MnT7pcrkRHAgAAADCgvb098oKsrKzc3Fx5wgAA0g+dL5CecnNzx44dK7H2bWxsdLvdiY4E\nAAAAQKFQ9PX1RX35zSZfAMBI0PkCactoNI4dO1biYmpfAAAAQB5RT/LVarV5eXnyhAEApCU6XyCd\nSa99BUFobGz0eDyJjgQAAABkMr/fH/WOGjabTeI79gAACIvOF0hzeXl5ZWVlUlYKgnDixInu7u5E\nRwIAAAAylt1uFwQhwgK1Wm0ymWTLAwBIS3S+QPrLz88vLS2VsrK/9o16B2EAAAAAMQgGgw6HI/Ia\nq9WqUvGjOgBgRPhGAmQEk8k0ZswYKStDoVBDQ4PX6010JAAAACDTdHZ2hkKhCAuUSqXZbJYtDwAg\nXdH5ApnCbDYXFxdLWRkKherr66l9AQAAgDgKhUKdnZ2R11gsFo1GI08eAEAao/MFMojVai0qKpKy\nsn+3b29vb6IjAQAAABmiq6srEAhEXmO1WuUJAwBIb3S+QGax2WyFhYVSVgaDwfr6+r6+vkRHAgAA\nANKeIAh2uz3yGpPJpNVq5ckDAEhvdL5AxikoKCgoKJCyktoXAAAAiAuXy+Xz+SKvYZMvACBe6HyB\nTFRYWGiz2aSsDAQC9fX1UV+eAgAAAIigo6Mj8gKj0ZiVlSVPGABA2qPzBTJUUVGRxH0E/bWv3+9P\ndCQAAAAgLXk8nqi3ypC4JwMAACnofIHMVVxcbLFYpKz0+/3UvgAAAEBsom7yzcnJycnJkScMACAT\n0PkCGa24uNhsNktZ6fP56uvro95oGAAAAMDpvF5vd3d35DVs8gUAxBedL5DRlEplSUmJyWSSspja\nFwAAABiuqJt89Xp9bm6uPGEAABmCzhfIdEqlcsyYMfn5+VIW9/X1NTQ0BIPBRKcCAAAA0oDP53O5\nXJHX2Gw2pVIpTx4AQIag8wWgUCqVpaWleXl5Uhb39vbW19dT+wIAAABRRd3kq9FoJG6/AABAOjpf\nAAqFQqFUKsvKyoxGo5TFvb297PYFAAAAIgsEAl1dXZHXsMkXAJAIdL4A/n/9ta/Eo8S8Xu+JEydC\noVCiUwEAAAApym63C4IQYYFarZZ4aw0AAIaFzhfA/1GpVGPHjjUYDFIW9/T0UPsCAAAAYQWDwc7O\nzshrLBaLWq2WJw8AIKPQ+QL4NyqVaty4cTk5OVIWd3d3NzY2UvsCAAAAgzgcjsivk5VKpcVikS0P\nACCj0PkCGKy/9s3Ozpay2OPxNDY2Rn7PGgAAAJBRBEGw2+2R15jNZo1GI08eAECmofMFEIZarS4v\nL6f2BQAAAGLQ1dUVCAQir7FarfKEAQBkIH6pCCC8/tq3vr6+t7c36mK3233y5MmysjJuOgykLofD\n0draOsKLSD8THACAdCVlk29+fr5Op5MnDwAgA9H5AhjSQO3b19cXdbHL5WpqaiotLaX2BVLU5s2b\nly5dOsKL/PGPf7zuuuvikgcAgBTldrujvn5mky8AIKE42wFAJBqNpqKiQuIeBKfTeerUKQ55AAAA\nQCbr6OiIvCA3N1fiKWoAAMSGzhdAFMOqfbu6upqbmxMdCQAAABiduru7vV5v5DU2m02eMACAjEXn\nCyA6rVZbUVGh1WqlLHY4HC0tLYmOBAAAAIxCUTf5ZmVlcfY9ACDR6HwBSDKs2tdut4/8TlAAAABA\naunt7fV4PJHXFBQUyBMGAJDJ6HwBSKXT6SoqKjQaSfd+7OjooPYFAABARom6yVen0xmNRnnCAAAy\nmaTuBgD69de+9fX1gUAg6uKOjg6VSsVGBiClPfjgg5MmTZK+/pxzzklcGAAARjO/3+90OiOvsdls\nSqVSnjwAgExG5wtgePR6fXl5eX19fTAYjLq4ra1NqVRykwogdV1zzTWXXXZZslMAAJACom7y1Wg0\n+fn58oQBAGQ4znYAMGxZWVkVFRVqtVrK4tbWVrvdnuhIAAAAQBIFAgGHwxF5jdVqVan4GRwAIAe+\n3wCIRVZWVnl5ucTXrC0tLZ2dnYmOBAAAACRLZ2enIAgRFqhUKrPZLFseAECGo/MFEKPs7GzptW9z\nc3PUjQ8AAABAKgqFQlG3OFgsFonvkwMAYOTofAHELicnZ9y4cRJvQ3Hq1Kmurq5ERwIAAABk5nA4\nIt/rQqlUWiwW2fIAAEDnC2BEDAZDeXm5xNq3qakp6r2MAQAAgBQiCELU21eYTCatVitPHgAAFHS+\nAEbOYDBI3+178uRJl8uV6EgAAACAPJxOp9/vj7zGarXKEwYAgH50vgDiIDc3d+zYsdJrX7fbnehI\nAAAAgAw6OjoiL8jLy9Pr9fKEAQCgH50vgPgwGo1lZWVSVgqC0NjY6PF4Eh0JAAAASCi3293X1xd5\njc1mkycMAAADNMkOACB95OXllZWVnTx5MupKQRBOnDhRXl5uMBhkCIbRQBCE1tbWtra2trY2p9NZ\nUFBQWlpaWlqalZWV7GgAAAAxirrJ12AwZGdnyxMGAIABdL6QSV1dnc/nGzQsKChIxMlWPp/vrbfe\nOnTo0PHjx48fPx4KhSorKysrK88999yZM2eqVGxvT6D8/HxBEJqamqKuHKh9c3JyZAiGZHE6nTt2\n7Ni5c+euXbva29vFC6xW6+TJk6+//vo5c+ZUVFTIHhAAACBGPT09PT09kdewyRcAkBR0vpDJrFmz\namtrBw3Xrl370EMPxfFZmpubf/WrX23cuLG1tfX0+QcffND/QVVV1bJlyxYuXMgv2xPHZDIJgnDq\n1KmoK0OhUENDA7VvuvJ6vT//+c9/8pOfdHV1RVhmt9v37t27d+/ee++99+qrr16yZMn111+vVqtl\nywkAABCbqJt8s7KycnNz5QkDAMDp6HyRPl566aX/+q//ivyb9qNHj37/+99/4okn3nrrrZqaGtmy\nZRqz2SwIQnNzc9SV/bVvRUUFLXya2bVr16JFi6Ts+B4gCMLu3bt37979zjvvXHHFFYnLhmFZvny5\nXq/Pycmx2Ww2m23cuHGXX3751KlTec8EACDD9fX1Rb0vMZt8AQDJQueLdBAMBlesWPHEE09IXF9X\nV3fRRRdt2bJl5syZCQ2WySwWiyAILS0tUVcO1L6c65o2nnvuuTvvvDMQCCQ7COLgk08+EQ/NZvPV\nV1+9fPnyCy+8UP5IAACMBlE3+Wq12ry8PHnCAAAwCJt0kPIEQZg3b570wrefy+WaNWvW1q1bE5QK\nCoXCarUWFRVJWRkMBuvr66Pe8hgp4eGHH168eDGFb3pzOBxbt26dNm3atdde+/e//z3ZcQAAkJvf\n73c6nZHX2Gw2pVIpTx4AAAah80XKe+SRR7Zt2xbDA4PB4KJFi7766qu4R8IAm81WWFgoZSW1b3rY\nvn376tWroy4zGo1msznxcZBwu3fvvuSSS376058mOwgAALKy2+2CIERYoFarTSaTbHkAABiEzhep\nbdeuXatWrYr54R6P54Ybboh6s12MREFBQUFBgZSVgUCgvr7e5/MlOhISpK6ubuHChUN9deLEiStW\nrNiyZcvRo0edTmdnZ2dfX9/BgweffPLJK664gl0wqSsYDN5///1z5szp7u5OdhYAAOQQDAYdDkfk\nNVarlbPvAQBJxDchpLDW1tabb745FAqJv6RWqxctWvTyyy8fPHjwwIEDv/nNb2bMmBH2Il988cWy\nZcsSnDTTFRYWWq1WKSupfVPa4sWLh3qT45IlS/75z38+9thj8+fPnzBhQn/Dq9PpzjnnnOXLl7/z\nzju1tbV33XWXXq+XNzLiZvv27d/+9reDwWCygwAAkHCdnZ1hfwYZoFKpLBaLbHkAABCj80UKe/TR\nRzs7O8XzM8888/PPP3/++edvvPHGc84557zzzrvtttv27t27adMmrVYrXv/888/X1tYmPm9GKy4u\nlvjC1+/319fX+/3+REdCfH300Ud79uwRzy0Wy7Zt25599tns7OwID584ceLTTz99+PDhefPmJSwj\nJNHr9ePGjaupqbnwwgsvu+yy8vJyiduU3n777bvvvjvR8QAASK5QKBT2Z5DTmc1mtVotTx4AAMLS\nJDsAEKPGxsaNGzeK59XV1Xv27CkuLhZ/acGCBQqF4tZbbx109lYoFFq9evWWLVsSFBX9SkpKBEGI\n+j44xf/WvhUVFWE7eoxOjz32mHioVCp37Ngxbdo0iRepqKjYunVr5I0zSJwZM2Z88MEHF1xwwaAN\n1319fceOHTty5Mju3buff/75CL+S2bBhw4wZM+bPn5/4sAAAJEdXV1fUe9VKfIsbAACJwz5fpKq1\na9eK7/el0Wi2bdsWtvDtt2DBgu9+97vi+SuvvPL555/HOSJESkpKJN7LwufzNTQ0RH09jVGira3t\njTfeEM9vv/126YXvAA6/S5azzjrr0ksvFZ+wodfra2pqZs+evWHDhtra2m9/+9sRzl9euXIlx7MA\nANKVIAh2uz3yGpPJxMYFAEDS8XM1UlJTU9OLL74ont999901NTWRH7tmzRqj0ThoKAjCI488Erd8\nGIJSqRwzZkx+fr6UxX19ffX19dS+KWHv3r3iW1dbLJZ169YlJQ8Sp7Ky8qWXXvrkk08mTpwYdkFd\nXd2GDRtkTgUAgDxcLlfUX22yyRcAMBrQ+SIlvfbaa+IqMDc3d9WSJZIxAAAgAElEQVSqVVEfW1hY\neM8994jnb775Jjedl4FSqSwtLc3Ly5OyuK+vr6GhgbtCjX7vvfeeeLhq1SqbzSZ/GMjg3HPPff/9\n988888ywX/31r38tcx4AAOTR0dEReYHRaMzKypInDAAAEdD5IiW99tpr4uH8+fMlNokLFy4UD71e\n786dO0cYDFIolcqysjLxbuuwent7qX1Hvw8//FA8/PrXvy5/EsimqKho27ZtYW/Nd+jQoePHj8sf\nCQCAhPJ4PL29vZHX8AtvAMAoQeeL1NPa2hq2YLr99tslXqGysvKiiy4Sz8NWyUgEpVI5duzY3Nxc\nKYu9Xu+JEye4r9dodurUqUETtVpdXV2dlDCQTVVV1QMPPBD2S2+//bbMYQAASLSom3xzcnJycnLk\nCQMAQGR0vkg927dvF9d/JSUll1xyifSLfOtb3xIPd+zYIb4vHBKkv/Y1GAxSFvf09DQ0NFD7jk7B\nYNDhcAwannHGGeJbgSH9LFq0SK1Wi+fcFRMAkGa8Xm/Ug+DY5AsAGD3ofJF6wm7ynT59+rAucvHF\nF4uHbrf74MGDMcbC8KlUqnHjxkncDdHT08Nu39HJ4XCIb+AW9W6KSA8lJSVTp04Vz1tbW+UPAwBA\n4kTd5KvX6yW+iQ0AABlkROcrCEJLS8tnn322Z8+e11577YMPPjh27FjUk5gwaoXdPjbcznfKlCk6\nnU7ixZE4KpWqvLxcYu3b3d3d2NhI7TvahN3zwt1LMkd5ebl4SOcLAEgnPp/P5XJFXmOz2ZRKpTx5\nAACISpPsAAnkdDp37Nixc+fOXbt2tbe3ixdYrdbJkydff/31c+bMqaiokD0gYhEMBg8fPiyeT5s2\nbVjX0ev1X/va1z766KNB8y+++CL2cIhJ/27fhoYGr9cbdbHH4zl58uTYsWN5ST16WCwW8fDLL7+U\nPwmSQqMJ81qip6dH/iQAACRI1E2+Go0mPz9fnjAAAEiRnvt8vV7vunXrKioqbrnllj/84Q9hC1+F\nQmG32/fu3bt8+fLx48dfe+2127ZtCwaDMkfFcB05ciTskbvjx48f7qUqKyvFQ/b5JoVarS4vL5e4\nM9Ttdp88eVJ8mACSxWg0infNHzlyxO/3JyUPZPbxxx+LhwUFBfInAQAgEQKBQFdXV+Q1bPIFAIw2\nadj57tq1q6qqauXKlVG/MQ8QBGH37t1z5859//33E5oNIxd2H67BYIjhhgnjxo2TeH3IoL/2lXjX\nL5fL1dTURO07eoj/A/T7/UePHk1KGMjJbreH/YMuLCyUPwwAAIlgt9sjv+xUq9Vms1m2PAAASJFu\nne9zzz03a9aspqamZAdBopw6dUo8jO1ojrCdb1tbG9u9k0Wj0VRUVEisfZ1O56lTp6h9R4lJkyaJ\nh59++qn8SSCz/fv3h50XFxfLnAQAgEQIBoOdnZ2R11gsFpUq3X6yBgCkurT6zvTwww8vXrw4EAgk\nOwgSyO12i4exlQtjxoyR/hSQR3/tG/b2emJdXV3Nzc2JjgQprrzySvFwzZo1YU9iQdro6elZuXJl\n2C9deumlMocBACARHA5H5BsIK5XKsPc2AAAgudKn892+ffvq1aujLjMajbzvJqWFvWFudnZ2DJfK\nycmR/hSQTX/tq9VqpSx2OBzUvqPBVVddJR4ePnxYyl/LSF133HFH2DPQtVpt2H8lAABILYIg2O32\nyGvMZnPY25kCAJBcadL51tXVLVy4cKivTpw4ccWKFVu2bDl69KjT6ezs7Ozr6zt48OCTTz55xRVX\ncNZ+agm7CXeo9jayoZpi9vkmnVarlV77dnZ2trS0JDoSIps6dWppaal4/sQTT3zyySfy54F0e/fu\nXbJkyVA3O43gqaee2rx5c9gvTZ8+PS8vb8TRAABIsq6urqjvIrVarfKEAQBgWNKk8128eLHT6Qz7\npSVLlvzzn/987LHH5s+fP2HChP6GV6fTnXPOOcuXL3/nnXdqa2vvuusuiUeIIunCFrKx7fMd6lHs\n8x0NdDpdRUWFxE0Tdru9tbU10ZEQgUqlWrFihXgeCARuuummAwcOyB8JEgWDwY0bN1ZVVT322GNR\ntzL1q6urmzNnzrJly4ZacN9998UvIAAAySFlk29+fr7EQ8kAAJBZOnS+H3300Z49e8Rzi8Wybdu2\nZ599NnIhOHHixKeffvrw4cPz5s1LWEbEjdfrFQ9je6U1VNHPCaSjxLBq346Ojra2tkRHQgR33HFH\n2K2+R48enTZt2tKlS6X8NsXr9W7ZsmX27NkJCIhInE7nAw88UFZWduutt/75z3/u6ekJu6y9vX3F\nihU1NTXbt28f6lKXX375zJkzE5YUAACZuN3uqD8X2Gw2ecIAADBc6XDw0GOPPSYeKpXKHTt2TJs2\nTeJFKioqtm7dGvl4fowGYY9x6O3tjeFSPp8v7Dw3NzeGqyER9Hp9RUXF8ePHg8Fg1MXt7e0qlYpX\n3smi1+vXrVu3YMEC8ZdCodAzzzzz+uuvP/jgg1OmTJk0aZLJZDp9QWtr68GDB1966aXXX3/d7XZz\n5E6y9Pb2btq0adOmTTqd7vzzz6+uri4sLMzPz29oaKitra2trY16BIRWq3388cflSQsAQEJ1dHRE\nXpCbm5uVlSVPGAAAhivlO9+2trY33nhDPL/99tulF74DVKp02Pic3oxGo3gYdvNvVEM9imMoR5X+\n2re+vl5K7dva2qpUKjlVLVm+853vHDhw4Omnnw771ebm5qVLl/Z/XFxcPGnSpLy8vOPHjx87dqy7\nu1vGmIjO5/Pt27dv3759w33gxo0bzzvvvEREAgBATt3d3VF/xGCrAQBgNEv5znfv3r2CIAwaWiyW\ndevWJSUPEi3sJtzYOt+h3rwctlZGEmVlZZWXl9fX10vZid/S0qJUKi0WywifVBAEdpvG4Mknn/zi\niy/efffdyMtaWlq48176Wbly5W233ZbsFAAAxEHUTb7Z2dkGg0GeMAAAxCDlt7W+99574uGqVav4\npWu6ClvIDtXeRkbnm0Kys7MrKiok7sRvbm52OBwjebpAIMCt/GKj0Wjefvvtm266KdlBICu1Wv2T\nn/zk0UcfTXYQAADioLe31+PxRF7Dz5sAgFEu5TvfDz/8UDz8+te/Ln8SyCNsIXvq1KkYLhV2m6FK\npeI39qNTdnZ2eXm5xNr31KlTXV1dMT+Xy+VyOp0xPzzDZWdnb968+fHHH1er1cnOgujGjRs3derU\nkVyhqKhoz5499913X7wiAQCQXFE3+ep0OraJAABGuZTvfMVln1qtrq6uTkoYyKC0tFQ8PHHiRAyX\nqq+vFw8rKip4R/+olZOTM27cOIl/QE1NTTH3tk6n0+PxcFPHkfjhD3946NChBQsWxND8TpgwIRGR\nEFZVVdXHH3/82WefLVu2rKCgYFiPtVqta9eu/eqrry6//PLEpAMAQG5+vz/qa0ibzcaPDACAUS61\nO99gMCh+B/cZZ5yh1+uTkgcyOPPMM8VDr9cb9W7yYg0NDeLhWWedFUssyMVgMEivfU+ePBnDEQ1+\nv7+np0cQhKjv6UNk1dXVmzZtqq2tXbly5QUXXBC5/M3JyfnGN77xi1/84l//+teRI0dkC4l+kydP\nXr9+fVNT07Zt2+bOnVtZWanT6YZabDKZZs+evWHDhvr6+oceeig/P1/OqAAAJFTUTb4ajYbvfQCA\n0S+17+HmcDjEN3CrqalJShjIo6qqSqvV+v3+QfO6urrh7lA7duyYeEjnO/rl5uaOHTu2sbFR/J+/\nWGNj47hx44b15ruBnR0ulysvLy/GlPhfVVVV/ce8dnV17d+/v6WlpaOjo6Ojw+/3FxcXl5SU9P9z\nwoQJ/Lou6bRa7ezZs2fPnq1QKEKhUHNzc8P/UqvVNpvNZrOVlZWdffbZHNwBAEhLgUAg6m0hrFar\nxNPGAABIotTufLu7u8XDrKws+ZNANlqttrq6+ssvvxw0379//4UXXij9Or29vZ9++ql4TuebEoxG\nY1lZWWNjo5TF/bVvbm6uxIsPdL5ut1sQBN64Fy8mk2nmzJnJTgGpVCpVaWlpaWnpxRdfnOwsAADI\npLOzM/KuApVKZTabZcsDAEDMUvv3kxaLRTwUt4FIM2GPd/jrX/86rIt89NFHPp9PPJ88eXKMsSCv\nvLy8srIyKSsFQThx4kTYXxGJ9fX19fb29n8cCoUkPgoAAACpLhQKdXZ2Rl5jsVh4swsAICWkdudr\nNBrFBw4eOXJE/MZ/pJPp06eLh/v27RvWRf7yl7+IhyUlJWELZYxO+fn5Ye/pJyYIQkNDg5QCd9At\nO2I4DhgAAACpyOFwBIPBCAuUSmXYXUcAAIxCqd35KhQKm802aOL3+48ePZqUMJBH/1mTgzQ1Ne3f\nv1/6RV555RXxcM6cObyRP7WYTKYxY8ZIWdm/27enpyfyskGdb//xDrHnAwAAQCoQBMFut0deYzKZ\ntFqtPHkAABihlO98J02aJB6GPacVaWPs2LHnnXeeeP7b3/5W4hX+8Y9/hP2XZO7cuSMJhqQwm80l\nJSVSVoZCoYaGBq/XO9QCr9c76MSPQCAQYT0AAADSg9PpjPpuUavVKk8YAABGLuU73yuvvFI8XLNm\nTV9fn/xhIJs5c+aIh1u2bPF4PFIe/txzz4mHVqt1xowZI02GZLBYLMXFxVJW9te+Ayf2DjJok28/\njncAAABIex0dHZEX5OXl6fV6ecIAADByKd/5XnXVVeLh4cOHV69eLXsWyGfevHkq1eB/e7u6un78\n4x9HfeyhQ4deeOEF8fzmm2/WaDTxyQfZWa3WoqIiKSuDwWB9fb249hUEgc4XAAAgA7nd7qh7hsSH\nCgIAMJqlfOc7derUsDdxeuKJJz755BP580AeVVVV8+fPF89/9rOfRT3N+a677goEAoOGWVlZK1as\niFs+JIPNZissLJSysr/2HfTKvqenR/wvhkKh8Pv9Q+0LBgAAQBqIusnXYDBkZ2fLEwYAgLhI+c5X\npVKFreoCgcBNN9104MAB+SNBHqtXr1ar1YOGPp9v1qxZra2tQz3qnnvueffdd8Xz733vexJvBYbR\nrKCgoKCgQMrK/tr39NN7w27y7cdWXwAAgHTV09MT9Ta/bPIFAKSclO98FQrFHXfcEXar79GjR6dN\nm7Z06VIpfY3X692yZcvs2bMTEBAJMXHixJtvvlk8P3LkyJVXXnnw4MFBc6fTuWTJkqefflr8EIPB\nwCbftFFYWCjxRXkgEBiofQVBiPAXBZ0vAABAuoq6yTcrKys3N1eeMAAAxEs6nF6q1+vXrVu3YMEC\n8ZdCodAzzzzz+uuvP/jgg1OmTJk0aZLJZDp9QWtr68GDB1966aXXX3/d7XYrlUq5UiMO1qxZ88Yb\nb4j7uC+//HLKlCnz5s2bMWNGVVVVW1vbZ5999vzzz3d2doa9zsMPPyzxTACkhKKiIkEQ7HZ71JV+\nv7++vv6MM87o7e0NBoNDLevr6/P5fDqdLq4xAQAAkGR9fX1utzvyGjb5AgBSUTp0vgqF4jvf+c6B\nAwfCbuFUKBTNzc1Lly7t/7i4uHjSpEl5eXnHjx8/duxYd3e3jDERZxUVFb/73e/mzp0rCMKgLwmC\nsHXr1q1bt0a9yNy5c++9997EBETSFBcXC4IwVMt/uv7aNysrK/Iyl8vFy30AAIA0E3WTr1arzcvL\nkycMAABxlA5nO/R78sknr7jiiqjLWlpa3nvvvTfeeOOzzz6j8E0Ds2fPvv/++2N+eFVV1YsvvhjH\nPBg9iouLzWazlJU+ny/q6Q0c7wAAAJBm/H5/hDs69LPZbLwZFACQitKn89VoNG+//fZNN92U7CCQ\n249//OO5c+fG8MCysrLt27fze/t0pVQqS0pKBh3nEjOv1+v3++NyKQAAAIwGdrtd/H7B06nV6ni9\nmAQAQGbp0/kqFIrs7OzNmzc//vjjarU62VkgH7Va/eqrrz788MPD+g38JZdc8vHHH9fU1CQuGJJO\nqVSOGTMmPz8/LleLetYbAAAAUkUwGHQ4HJHXWK1WlSqtfmQGAGSONPwG9sMf/vDQoUMLFiyIofmd\nMGFCIiIh0ZRK5f/7f//vzTffHDNmTNTFWq126dKl7777blFRkQzZkFxKpbK0tNRoNI78UhzvAAAA\nkDY6OztDoVCEBSqVymKxyJYHAID4SsPOV6FQVFdXb9q0qba2duXKlRdccEHk8jcnJ+cb3/jGL37x\ni3/9619HjhyRLSTibtasWfX19S+//PL06dPDLigoKPjRj37U0NDwi1/8QqfTyRwPyaJUKseOHTvy\n2re7uzsYDMYlEgAAAJIoFApFvdmv2Wzm/aMAgNSlSXaABKqqqnr00UcVCkVXV9f+/ftbWlo6Ojo6\nOjr8fn9xcXFJSUn/PydMmKDX65MdNv0dOnRIhmfRarU33njjjTfe2NLSUldXV19ff+LEiby8vPHj\nx59xxhnjx4/XarUyxMBoo1Qqy8rKGhsbPR7PSK7jdrs50w0AACDVdXV1BQKByGusVqs8YQAASIR0\n7nwHmEymmTNnJjsFZFVcXFxcXHzxxRcnOwhGC5VKNXbs2BMnTnR3d8d8EZfLRecLAACQ0gRBsNvt\nkdeYTCY2iwAAUlpGdL4A4PV63W531A0dkXk8nlAoxK08AAAAUpfL5fL5fJHXsMkXAJDq6HwBpC1B\nEHp6etxut8vl8vv9cbmgx+PJy8sb+aUAAACQFB0dHZEXGI3GrKwsecIAAJAgdL4A0o0gCN3d3S6X\ny+Vyxf2uay6Xi84XAAAgRXk8nt7e3shrbDabPGEAAEgcOl8AaSIUCnk8HpfL5Xa7Q6FQgp7F7XYL\ngqBUKhN0fQAAACRO1E2+OTk5OTk58oQBACBx6HwBpLZgMNh/eoPH4xEEIdFPFwqFuru7c3NzE/1E\nAAAAiC+v1xv1dr5s8gUApAc6XwCpKhQKtbe3R92sEXcul4vOFwAAIOVEfd2o1+t5mQcASA90vgBS\nlUqlKioqMplMTqfT6XRGvf9yvHC8AwAAQMrx+XwulyvyGpvNxms8AEB6oPMFkNr0en1hYWFhYaHX\n63U6nS6Xy+/3J/QZA4GA1+vloDcAAMJyu91NTU0JfQqDwTB27Ni4XMrhcLS2to7wImPHjjUYDHHJ\ng8SJuslXo9Hk5+fLEwYAgESj8wWQJrKzs7Ozs4uKinp6evrL32AwmKDncrlcdL4AAIS1c+fOG2+8\nMaFPsW7duvvvvz8ul9q8efPSpUtHeJE//vGP1113XVzyIEECgUBXV1fkNWzyBQCkEzpfAGlFqVQa\nDAaDwVBSUuLxeJxOp9vtDoVC8X0Wl8tVXFwc32sCAAApcnNzFy9enOwUSDF2uz3yzX7VarXZbJYt\nDwAAiUbnCyA9KZVKo9FoNBpDoZDH4+nq6vJ4PJFf60vn9/t7e3uzsrLicjUASA+BQCAQCPB3IxLt\ntttuM5lMyU6BVBIMBjs7OyOvsVgsKpVKnjwAAMiAzhdAmlOpVHl5eXl5ecFg0OVyOZ3O7u7ukV/W\n5XLRawDA6TQazYkTJ7RabUFBAX9DIkHUavUPfvCDZKdAinE4HJHf9aVUKi0Wi2x5AACQAZ0vgEzR\n/5Y9s9kcCARcLldXV5fX6435ai6Xq7CwMI7xACANFBQUnDhxwuVy5eXl0fwiEWbPnj1+/Phkp0Aq\nEQTBbrdHXmM2mzUafjQGAKQVvrEByDgajcZisVgsFp/P17/zt7e3d7gX6evr8/l8Op0uEQkBIEUZ\njcasrKze3l6Xy0Xzi0RYvnx5siMgxXR1dQUCgchrrFarPGEAAJANnS+AzKXT6Ww2m81m6+vrczqd\nTqfT5/NJf7jL5bLZbImLBwCpqLCw8MSJE/0f0/xmpry8vJqampFcoaenp76+Xjy/6KKLLr744pFc\nWaIHH3xw0qRJ0tefc845iQuDkRAEoaOjI/Ka/Px8fosPAEg/dL4AoNDr9YWFhYWFhV6vt7/8jbof\nREHnCwDhDGz1HZjQ/GaamTNnzpw5cyRXeOSRRx566CHxXLZNvtdcc81ll10mz3Mhodxud9Tf6PNy\nDgCQluh8AeD/ZGdnZ2dnFxUV9fT0OJ1Ol8sVDAaHWuz1ev1+v1arlTMhAIx+p2/1HUDzC4l8Pt8z\nzzwjno8fP37OnDny50FKi7rJNzc3l7+RAABpic4XAAZTKpUGg8FgMJSUlHg8HqfT6Xa7w97u2e12\nc5dnABhEvNV3AM0vonrppZeam5vF87vvvlutVsufB6mru7s76g172eQLAEhXdL4AMCSlUmk0Go1G\nYygUcrvdTqfT4/EIgjCwwOVy0fkCgFjYrb4DaH4Rwfr168VDk8m0aNEi+cMgpUXd5JudnW0wGOQJ\nAwCAzOh8ASA6lUqVn5+fn58fDAZdLpfT6ezu7lYoFN3d3cFgkG1HADBIhK2+A2h+IbZnz57PPvtM\nPL/jjjtyc3Plz4PU1dvb6/F4Iq9hky8AII3R+QLAMKjVarPZbDab/X5/f/nrdrtNJlOycwHAqBN5\nq+8Aml+cLuwmX61We/fdd8sfBikt6iZfnU5nNBrlCQMAgPzofAEgFlqt1mq1Wq3WsOf8AgCkbPUd\nQPMLhUJx6NChP/3pT+L5vHnzysrK5M+D1OXz+ZxOZ+Q1NptNqVTKkwcAAPmpkh0AAFKbSsVfpAAQ\nXmFh4bDWu1yuY8eONTY2SmyKkWaeeuqp0w/NH3DvvffKHwYpzW63R16g0Wjy8/PlCQMAQFKwzxcA\nAAAJMaytvgPY85uZ2tvbf//734vnl19++ZQpU+TPg9QVCAQcDkfkNVarlV/bAwDSG9/nAAAAkCjD\n3eo7gD2/mWbDhg1h/6yXL18ufxiktM7OzrAbxgeoVCqz2SxbHgAAkoJ9vgAAAEiU2Lb6DmDPb4bo\n7e3dsGGDeP4f//Efs2bNkj8PUlcoFOrs7Iy8xmKxqNVqefIAAJAsdL4AAADxEQqF2trakp1i1NFq\ntSPcq0vzm/b+53/+J+x/O/fccw932cKwOByOYDAYYYFSqbRYLLLlAQAgWeh8AQAA4iMUCkW9cRBi\nRvObrgRBWL9+vXhus9luvfVW+fMoFIrly5fr9fqcnBybzWaz2caNG3f55ZdPnTqVE2BHOUEQov4l\nbDKZtFqtPHkAAEgiOl8AAACkDJrf9LNr165Dhw6J59/73veys7Plz6NQKD755BPx0Gw2X3311cuX\nL7/wwgvljwQpnE6n3++PvMZqtcoTBgCA5OI31QAAAEgx3OEtnYTd5KvX6++88075w0TgcDi2bt06\nbdq0a6+99u9//3uy4yAMv98f+TCQvLw8vV4vWx4AAJKIfb4AkHyXXHLJwMevvvpqsrY1IWaBQOD0\nP8S33nrLaDQmMQ9ic/ofIkeIpgT2/KaBzz///M9//rN4fssttxQVFcmfR4rdu3e/8847jz766H33\n3ZfsLPg3BQUFJpPJbrc7HI5QKCReYLPZ5E8FAEBS0PkCQPLt27cv7MdIUfwhpgFBEJIdAVL1N79m\ns7mkpISyPuWE3eSrVCqXL18ufxjpgsHg/fff/7e//e0Pf/iDwWBIdhz8H61WW1xcXFBQ0NnZabfb\nT7+fm8Fg4NfqAIDMwdkOAAAASGEqlaqgoKCoqIjCN+W0tLRs3rxZPL/mmmvOPPNM+fMM1/bt27/9\n7W+f3ipilFCr1QUFBdXV1SUlJTqdrn/IJl8AQEZhny8AAABSkkqlslqtVqtVrVYnOwti8cwzz/h8\nPvH83nvvlTmJXq8vKirKzc01Go16vb6hoaGxsTHs4QCDvP3223ffffczzzwjQ0gMl0qlslgsZrPZ\n5XJ5PJ7c3NxkJwIAQD50vgCQZEqlctKkSQOfGgwGtqqlHEEQuru7Bz7NyclRqXgnTerxeDwDH/Mn\nOMrR9qYBr9f77LPPiudnn3321VdfLVuMGTNmfPDBBxdccMGgW3v19fUdO3bsyJEju3fvfv755/1+\n/1BX2LBhw4wZM+bPn5/4sIiFUqnMz8/Pz89PdhAAAGRF5wsASSYIQm1t7cCnbW1tBQUFScyDGPT0\n9Jx+nuPx48crKiqSFwcxOv3XLVL29yEpaHvTxu9+9zu73S6eL1u2TM4YZ511Vti5Xq+vqampqamZ\nPXv2vffe+9BDD23ZsmWok75Xrlw5e/bsgTMEAAAAko7OFwAAID6USqVWq012ilFHEIRAIDDy69D2\nphNBEJ566inxvKSk5Oabb5Y/T2SVlZUvvfTSfffdd9NNN3311VfiBXV1dRs2bPjBD34gfzYAAICw\n6HwBAADiQ61WV1dXJzvFqNPU1NTV1TWSK9D2pp8dO3aELU/vvPPOUbtb9txzz33//fevvPLKL7/8\nUvzVX//613S+AABg9OCsOgAAACSKz+cbSeGrUqkKCgqqq6sLCwspfNPJ+vXrxUODwbBkyRL5w0hX\nVFS0bdu27Oxs8ZcOHTp0/Phx+SMBAACERecLAACARGlvb4/tgbS9aeyf//zne++9J57feuutVqtV\n/jzDUlVV9cADD4T90ttvvy1zGAAAgKHQ+QIAACAhYtvkS9ub9sJu8lWpVKlyNsKiRYvC/pv5+eef\nyx8GAAAgLDpfAAAAJMRwN/nS9maCpqamLVu2iOf/+Z//WVVVJX+eGJSUlEydOlU8b21tlT8MAABA\nWHS+AAAAiL9hbfKl7c0cv/zlL/1+v3i+fPly+cPErLy8XDyk8wUAAKOHJtkBAAAAkIYkbvJVqVRW\nq9VqtVL1ZoLu7u6NGzeK5xdccMFll10mf56YaTRhfozq6emRPwkAAEBYdL4AAACIMymbfGl7M9CL\nL77ocDjE82XLlskfZiQ+/vhj8bCgoED+JAAAAGHR+QIAACDOIm/ype3NTKFQ6KmnnhLPy8vLb7jh\nBvnzxMxutx89elQ8LywslD8MAABAWHS+AAAAiKcIm3xpezPZm2++eezYMfH8rrvuCntUwqi1f//+\nsPPi4mKZkwAAAAwllV5dAQAAYPQLu8mXthdPPvmkeJiXl0L6ZAAAABOZSURBVHfHHXfIHyZmPT09\nK1euDPulSy+9VOYwAAAAQ9FMmzZt4JMHH3xQq9UmMQ1i87WvfS0UCvV//Mgjj+h0uuTmQQyqq6sr\nKyv7P06trS4AAJxOvMmXthcKheLAgQMffviheL5o0aK8vDz588Tsjjvu+Pzzz8VzrVZ71VVXyZ8H\nAAAgLM1Qb00CkCyBQCDZEQAAiNHpm3xpezFg/fr14qFGo7nnnnvkD7N3796XX3557dq1w73r2lNP\nPbV58+awX5o+fXpqldcAACC9qZIdAAAAAGliYJOvSqUqKCiorq4uLCyk8MWJEydeffVV8Xzu3Lnl\n5eVxfCKPx9Pc3Bx1WTAY3LhxY1VV1WOPPWa326Vcua6ubs6cOcuWLRtqwX333TeMoAAAAAlG5wsA\nAID4aG9vp+2F2NNPPx32bUz33ntvvJ5i//79U6ZMycvLGzNmTGFh4fr16weOPhuK0+l84IEHysrK\nbr311j//+c89PT1hl7W3t69YsaKmpmb79u1DXeryyy+fOXPmiP4HAAAAxJVm1apVyc4A4N9UVFQk\nOwIAAMMWCAR0Ol11dTVVL07ndruff/558Xz69OkXXHBBXJ7i/fffv/LKK4PBYP+n7e3t995775df\nfvnCCy9EfWxvb++mTZs2bdqk0+nOP//8/l9X5OfnNzQ01NbW1tbWhr0n4em0Wu3jjz8eh/8ZAAAA\n8aNZvXp1sjMAAAAg5Wk0muGejopM8MILLzidTvF8+fLl8XqKRYsWDRS+A37zm9/ccsstV1xxhcSL\n+Hy+ffv27du3b7jPvnHjxvPOO2+4jwIAAEgoznYAAAAAkBDBYPDnP/+5eF5VVfXNb34zLk/R0NBw\n7NixsF/as2dPXJ4igpUrV952222JfhYAAIDh0iQ7AAAAAID09Prrr9fX14vn99xzj0oVn90nEc5e\naGtri8tThKVWqx999FFu3QYAAEYn9vkCAAAASIhnn31WPLRYLAsXLozXU9TU1Ax1hPTZZ58ddj5u\n3LipU6eO5EmLior27NlD4QsAAEYtOl8AAAAACfH666+vX79+woQJpw8XL15sMBji9RQ5OTlLly4V\nz0tLSxcsWBD2IVVVVR9//PFnn322bNmy4R5CbbVa165d+9VXX11++eUxpAUAAJAHnS8AAACAhDCZ\nTMuWLTty5Mgf//jHb3zjGyqVSqfTha1oR2LdunU33njj6ZPKysrXX3/dbDZHeNTkyZPXr1/f1NS0\nbdu2uXPnVlZW6nS6oRabTKbZs2dv2LChvr7+oYceys/Pj1t6AACABOA8XwAAAAAJpFQqr7vuuuuu\nu66uru7vf//7mDFj4nv9rKysl19+eenSpfv27XO5XJMnT/7mN7+ZnZ0t5bFarXb27NmzZ89WKBSh\nUKi5ubnhf6nVapvNZrPZysrKzj777KFOkAAAABiF6HwBAAAAyGH8+PHjx49P0MWnT58+ffr0kVxB\npVKVlpaWlpZefPHF8UoFAACQFJztAAAAAAAAAADpg84XAAAAAAAAANIHnS8AAAAAAAAApA86XwAA\nAAAAAABIH3S+AAAAAAAAAJA+6HwBAAAAAAAAIH3Q+QIAAAAAAABA+qDzBQAAAAAAAID0QecLAAAA\nAAAAAOmDzhcAAAAAAAAA0gedLwAAAAAAAACkDzpfAAAAAAAAAEgfdL4AAAAAAAAAkD7ofAEAAAAA\nAAAgfdD5AgAAAAAAAED6oPMFAAAAAAAAgPRB5wsAAAAAAAAA6YPOFwAAAAAAAADSB50vAAAAAAAA\nAKQPOl8AAAAAAAAASB90vgAAAAAAAACQPuh8AQAAAAAAACB9aJIdAAAAyKSurs7n8w0aFhQUWK3W\nuD+Xz+d76623Dh06dPz48ePHj4dCocrKysrKynPPPXfmzJkqFb91BgAAAIBEofMFACBTzJo1q7a2\ndtBw7dq1Dz30UByfpbm5+Ve/+tXGjRtbW1tPn3/wwQf9H1RVVS1btmzhwoXZ2dlxfF4AAAAAQD92\n2QAAgLh56aWXJkyYsGbNmkGF7+mOHj36/e9//6yzzjp06JCc2QAAAAAgQ9D5AgCAOAgGg//93/99\n88039/T0SFlfV1d30UUX/elPf0p0MAAAAADINHS+AABgpARBmDdv3hNPPDGsR7lcrlmzZm3dujVB\nqQAAAAAgM9H5AgCAkXrkkUe2bdsWwwODweCiRYu++uqruEcCAAAAgIxF5wsAAEZk165dq1ativnh\nHo/nhhtukHgiBAAAAAAgKjpfAAAQu9bW1ptvvjkUCom/pFarFy1a9PLLLx88ePDAgQO/+c1vZsyY\nEfYiX3zxxbJlyxKcFAAAAAAyhSbZAQAAQAp79NFHOzs7xfMzzzzzlVdemTRp0sDkvPPOu+22237/\n+98vWrTI7/cPWv/888//4Ac/OH09AAAAACA27PMFAAAxamxs3Lhxo3heXV29Z8+esAXuggULXnjh\nBaVSOWgeCoVWr16diJAAAAAAkGnofAEAQIzWrl3b19c3aKjRaLZt21ZcXDzUoxYsWPDd735XPH/l\nlVc+//zzOEcEAAAAgMxD5wsAAGLR1NT04osviud33313TU1N5MeuWbPGaDQOGgqC8Mgjj8QtHwAA\nAABkKjpfAAAQi9deey0QCAwa5ubmrlq1KupjCwsL77nnHvH8zTff7O7ujk8+AAAAAMhUdL4AACAW\nr732mng4f/78vLw8KQ9fuHCheOj1enfu3DnCYAAAAACQ4eh8AQDAsLW2tn744Yfi+e233y7xCpWV\nlRdddJF4HrZKBgAAAABIR+cLAACGbfv27aFQaNCwpKTkkksukX6Rb33rW+Lhjh07xPeFAwAAAABI\nR+cLAACGLewm3+nTpw/rIhdffLF46Ha7Dx48GGMsAAAAAIBCoUl2AABARhAEobW1ta2tra2tzel0\nFhQUlJaWlpaWZmVlJTsaYvH555+Lh8PtfKdMmaLT6Xw+n/jiF154YezhAAAAACCz0fkCABLI6XTu\n2LFj586du3btam9vFy+wWq2TJ0++/vrr58yZU1FRIXtAxCIYDB4+fFg8nzZt2rCuo9frv/a1r330\n0UeD5l988UXs4QAAAAAg43G2AwAgIbxe77p16yoqKm655ZY//OEPYQtfhUJht9v37t27fPny8ePH\nX3vttdu2bQsGgzJHxXAdOXIk7JG748ePH+6lKisrxcOwm4gBAAAAABLR+QIA4m/Xrl1VVVUrV67s\n6uqS+BBBEHbv3j137tz3338/odkwcmH34RoMBpvNNtxLjRs3TuL1AQAAAAAS0fkCAOLsueeemzVr\nVlNTU7KDIFFOnTolHsZ2NEfYzretrY3t3gAAAAAQMzpfAEA8Pfzww4sXLw4EAskOggRyu93iYXFx\ncQyXGjNmjPSnAAAAAABIQecLAIib7du3r169Ouoyo9FoNpsTHweJ4nK5xMPs7OwYLpWTkyP9KQAA\nAAAAUmiSHQAAkCbq6uoWLlw41FcnTpw4Z86cc889d8qUKZWVlUql0ufz1dbWvvPOOzt27HjvvfcE\nQZAxLEYk7CbcodrbyIZqitnnCwAAAAAxo/MFAMTH4sWLnU5n2C8tWbJk/fr1g9o9nU53zjnnnHPO\nOcuXL//qq6+eeeaZ5557rq+vT5awGJGwhWxs+3yHehT7fAEAAAAgZpztAACIg48++mjPnj3iucVi\n2bZt27PPPhu5EJw4ceLTTz99+PDhefPmJSwj4sbr9YqHOp0uhkvp9fqwc9p/AAAAAIgZ+3wBAHHw\n2GOPiYdKpXLHjh3Tpk2TeJGKioqtW7eGQqG4RkP8hT3Gobe3N4ZL+Xy+sPPc3NwYrgYAAAAAULDP\nFwAwcm1tbW+88YZ4fvvtt0svfAeoVHxvGu2MRqN4GHbzb1RDPSovLy+GqwEAAAAAFHS+AICR27t3\nr/gObBaLZd26dUnJg0QLuwk3ts63p6cn7DxsrQwAAAAAkILOFwAwUu+99554uGrVKpvNJn8YyCBs\nITtUexsZnS8AAAAAxB2dLwBgpD788EPx8Otf/7r8SSCPsIXsqVOnYrhUS0uLeKhSqQwGQwxXAwAA\nAAAo6HwBACMnLvvUanV1dXVSwkAGpaWl4uGJEydiuFR9fb14WFFRoVQqY7gaAAAAAEBB5wsAGKFg\nMOhwOAYNzzjjDL1en5Q8kMGZZ54pHnq93vb29uFeqqGhQTw866yzYokFAAAAAFAoFHS+AIARcjgc\n4hu41dTUJCUM5FFVVaXVasXzurq64V7q2LFj4iGdLwAAAACMBJ0vAGBEuru7xcOsrCz5k0A2Wq02\n7Nkd+/fvH9Z1ent7P/30U/GczhcAAAAARoLOFwAwIhaLRTz88ssv5U8COYU93uGvf/3rsC7y0Ucf\n+Xw+8Xzy5MkxxgIAAAAA0PkCAEbIaDTqdLpBwyNHjvj9/qTkgTymT58uHu7bt29YF/nLX/4iHpaU\nlIQtlAEAAAAAEtH5AgBGymazDZr4/f6jR48mJQzkMXv2bPGwqalpWMc7vPLKK+LhnDlzlEpl7MkA\nAAAAIOPR+QIARmrSpEniYdhzWpE2xo4de95554nnv/3tbyVe4R//+EfYf0nmzp07kmAAAAAAADpf\nAMBIXXnlleLhmjVr+vr65A8D2cyZM0c83LJli8fjkfLw5557Tjy0Wq0zZswYaTIAAAAAyGx0vgCA\nkbrqqqvEw8OHD69evVr2LJDPvHnzVKrBLyS6urp+/OMfR33soUOHXnjhBfH85ptv1mg08ckHAAAA\nAJmKzhcAMFJTp04tLS0Vz5944olPPvlE/jyQR1VV1fz588Xzn/3sZ1FPc77rrrsCgcCgYVZW1ooV\nK+KWDwAAAAAyFZ0vAGCkVCpV2KouEAjcdNNNBw4ckD8S5LF69Wq1Wj1o6PP5Zs2a1draOtSj7rnn\nnnfffVc8/973vjdmzJg4R8T/1979h8b8wHEc37Wdhbr2D478wexo/Lc/pFGSfxR/rCstsj+VP+4/\nShI1SSv5x/KfEn/4sbSQv/2t+GOJU7Nx/OOwZISk3PcPpcvWV9bn7pP3PR5/rN3d5z571W3749n1\nOQAAoPVovgAk4ODBg/O+1ffZs2dbtmwplUofP37840m+fv1648aNgYGBBgykITZs2LB///65909O\nTu7cuXNiYuK3+2dnZw8dOnT+/Pm5T1m6dKk3+QIAACTCJfMASEBnZ+fIyMjQ0NDch378+HHhwoXx\n8fHjx4/39fX19vZ2dXXVH/DmzZuJiYlr166Nj49/+vQpk8k0azUJOHXq1O3bt+c2/SdPnvT19e3d\nu3f79u2FQuHt27ePHj26ePHi+/fv5z3P8PDw8uXLG78XAAAgPs0XgGQcOHDgwYMH876Fs62t7fXr\n16VS6ef3+Xy+t7c3l8u9ePFienr68+fPTZxJwtasWXP58uVisVir1X57qFarjY2NjY2N/fEkxWLx\n8OHDjRkIAADQcjRfABJz7ty5x48fz3up1nrVarVarTZnEk0wMDBw9OjRkZGRhT29UChcunQp2UkA\nAACtzPV8AUhMR0fH3bt39+3bl/YQmu306dPFYnEBT1y9evWtW7dyuVzikwAAAFqW5gtAkhYvXnz1\n6tWzZ8+2t7envYXmaW9vv3nz5vDw8F9djnnr1q0PHz7cuHFj44YBAAC0IM0XgOQdOXKkXC4PDQ0t\noPz29PQ0YhKNlslkTp48eefOnVWrVv3x4Gw2WyqV7t27t2LFiiZsAwAAaCmaLwANsX79+itXrjx9\n+vTYsWObN2/+//i7ZMmS3bt3j46OTk1NTU5ONm0kiduzZ0+lUrl+/fq2bdvmPWDZsmUnTpx4+fLl\n6OjookWLmjwPAACgFfgMNwAaqFAonDlzpq2t7cOHD/fv369WqzMzMzMzM9+/f8/n8ytXrvz5taen\np7OzM+2x8ZXL5Sb8lGw2Ozg4ODg4WK1Wnz9/XqlUXr16lcvluru7165d293dnc1mmzADAACgZWm+\nADRDV1fXrl270l5BU+Xz+Xw+39/fn/YQAACA1uLaDgAAAAAAcWi+AAAAAABxaL4AAAAAAHFovgAA\nAAAAcWi+AAAAAABxaL4AAAAAAHFovgAAAAAAcWi+AAAAAABxaL4AAAAAAHFovgAAAAAAcWi+AAAA\nAABxaL4AAAAAAHFovgAAAAAAcWi+AAAAAABxaL4AAAAAAHFovgAAAAAAcWi+AAAAAABxaL4AAAAA\nAHFovgAAAAAAcWi+AAAAAABxaL4AAAAAAHFovgAAAAAAcWi+AAAAAABxaL4AAAAAAHFovgAAAAAA\ncWi+AAAAAABxaL4AAAAAAHFovgAAAAAAcWi+AAAAAABxaL4AAAAAAHFovgAAAAAAcWi+AAAAAABx\naL4AAAAAAHFovgAAAAAAcWi+AAAAAABxaL4AAAAAAHFovgAAAAAAcWi+AAAAAABxaL4AAAAAAHFo\nvgAAAAAAcWi+AAAAAABxaL4AAAAAAHFovgAAAAAAcWi+AAAAAABxaL4AAAAAAHFovgAAAAAAcWi+\nAAAAAABxaL4AAAAAAHF0pD0AoNVlMpl169b9ujk1NfXu3bsU97AA3759q38RK5XKly9fUtzDwtS/\niLSg+l+Acrmc4hJoWbOzs/V/iZlMJsUxAPBP03wBUlar1aanp3/d7O/vT3EMidixY0faE4C/Vv+v\neNOmTSkuAX6q1WppTwCAf5VrOwAAAAAAxKH5AgAAAADEofkCAAAAAMTxH8RI2FQE6wnLAAAAAElF\nTkSuQmCC\n",
      "text/plain": [
       "<IPython.core.display.Image object>"
      ]
     },
     "execution_count": 157,
     "metadata": {
      "image/png": {
       "width": 800
      }
     },
     "output_type": "execute_result"
    }
   ],
   "source": [
    "Image(filename='images/split-apply-combine.png', width=800)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 158,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "url = \"ftp://ftp.cpc.ncep.noaa.gov/wd52dg/data/indices/ersst3b.nino.mth.81-10.ascii\""
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 159,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "#!wget -P ./data ftp://ftp.cpc.ncep.noaa.gov/wd52dg/data/indices/ersst3b.nino.mth.81-10.ascii"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 160,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "data = pd.read_table('../data/ersst3b.nino.mth.81-10.ascii', sep='\\s+') #the '\\s+' is a regular expression meaning any number of spaces"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 161,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "# if the network confirguration allows it, you can read directly off the URL (ftp):\n",
    "\n",
    "#data = pd.read_table(url, sep='\\s+')"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 162,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>YR</th>\n",
       "      <th>MON</th>\n",
       "      <th>NINO1+2</th>\n",
       "      <th>ANOM</th>\n",
       "      <th>NINO3</th>\n",
       "      <th>ANOM.1</th>\n",
       "      <th>NINO4</th>\n",
       "      <th>ANOM.2</th>\n",
       "      <th>NINO3.4</th>\n",
       "      <th>ANOM.3</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>785</th>\n",
       "      <td>2015</td>\n",
       "      <td>6</td>\n",
       "      <td>25.31</td>\n",
       "      <td>2.23</td>\n",
       "      <td>27.89</td>\n",
       "      <td>1.28</td>\n",
       "      <td>29.76</td>\n",
       "      <td>0.92</td>\n",
       "      <td>28.76</td>\n",
       "      <td>1.07</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>786</th>\n",
       "      <td>2015</td>\n",
       "      <td>7</td>\n",
       "      <td>24.39</td>\n",
       "      <td>2.40</td>\n",
       "      <td>27.44</td>\n",
       "      <td>1.65</td>\n",
       "      <td>29.65</td>\n",
       "      <td>0.85</td>\n",
       "      <td>28.64</td>\n",
       "      <td>1.36</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>787</th>\n",
       "      <td>2015</td>\n",
       "      <td>8</td>\n",
       "      <td>22.88</td>\n",
       "      <td>1.78</td>\n",
       "      <td>27.05</td>\n",
       "      <td>1.85</td>\n",
       "      <td>29.62</td>\n",
       "      <td>0.90</td>\n",
       "      <td>28.52</td>\n",
       "      <td>1.59</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>788</th>\n",
       "      <td>2015</td>\n",
       "      <td>9</td>\n",
       "      <td>23.05</td>\n",
       "      <td>2.17</td>\n",
       "      <td>27.21</td>\n",
       "      <td>2.19</td>\n",
       "      <td>29.65</td>\n",
       "      <td>0.93</td>\n",
       "      <td>28.68</td>\n",
       "      <td>1.85</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>789</th>\n",
       "      <td>2015</td>\n",
       "      <td>10</td>\n",
       "      <td>23.38</td>\n",
       "      <td>2.18</td>\n",
       "      <td>27.29</td>\n",
       "      <td>2.23</td>\n",
       "      <td>29.72</td>\n",
       "      <td>1.00</td>\n",
       "      <td>28.79</td>\n",
       "      <td>2.00</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "       YR  MON  NINO1+2  ANOM  NINO3  ANOM.1  NINO4  ANOM.2  NINO3.4  ANOM.3\n",
       "785  2015    6    25.31  2.23  27.89    1.28  29.76    0.92    28.76    1.07\n",
       "786  2015    7    24.39  2.40  27.44    1.65  29.65    0.85    28.64    1.36\n",
       "787  2015    8    22.88  1.78  27.05    1.85  29.62    0.90    28.52    1.59\n",
       "788  2015    9    23.05  2.17  27.21    2.19  29.65    0.93    28.68    1.85\n",
       "789  2015   10    23.38  2.18  27.29    2.23  29.72    1.00    28.79    2.00"
      ]
     },
     "execution_count": 162,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "data.tail()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "I only keep the raw - monthly - values of NINO 3.4 "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 163,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "nino = data[['YR','MON','NINO3.4']]"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 164,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>YR</th>\n",
       "      <th>MON</th>\n",
       "      <th>NINO3.4</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>785</th>\n",
       "      <td>2015</td>\n",
       "      <td>6</td>\n",
       "      <td>28.76</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>786</th>\n",
       "      <td>2015</td>\n",
       "      <td>7</td>\n",
       "      <td>28.64</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>787</th>\n",
       "      <td>2015</td>\n",
       "      <td>8</td>\n",
       "      <td>28.52</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>788</th>\n",
       "      <td>2015</td>\n",
       "      <td>9</td>\n",
       "      <td>28.68</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>789</th>\n",
       "      <td>2015</td>\n",
       "      <td>10</td>\n",
       "      <td>28.79</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "       YR  MON  NINO3.4\n",
       "785  2015    6    28.76\n",
       "786  2015    7    28.64\n",
       "787  2015    8    28.52\n",
       "788  2015    9    28.68\n",
       "789  2015   10    28.79"
      ]
     },
     "execution_count": 164,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "nino.tail()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Now I want to calculate a climatology (over the whole period available)\n",
    "\n",
    "I first group by UNIQUE values of the variable months, I should get 12 groups"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 165,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "groups = nino.groupby('MON')"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 168,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "1\n",
      "      YR  MON  NINO3.4\n",
      "0   1950    1    24.83\n",
      "12  1951    1    25.46\n",
      "24  1952    1    26.85\n",
      "36  1953    1    26.85\n",
      "48  1954    1    27.03\n",
      "2\n",
      "      YR  MON  NINO3.4\n",
      "1   1950    2    25.20\n",
      "13  1951    2    25.78\n",
      "25  1952    2    26.79\n",
      "37  1953    2    27.19\n",
      "49  1954    2    27.22\n",
      "3\n",
      "      YR  MON  NINO3.4\n",
      "2   1950    3    26.03\n",
      "14  1951    3    26.72\n",
      "26  1952    3    27.32\n",
      "38  1953    3    27.68\n",
      "50  1954    3    27.21\n",
      "4\n",
      "      YR  MON  NINO3.4\n",
      "3   1950    4    26.36\n",
      "15  1951    4    27.24\n",
      "27  1952    4    27.88\n",
      "39  1953    4    28.19\n",
      "51  1954    4    26.87\n",
      "5\n",
      "      YR  MON  NINO3.4\n",
      "4   1950    5    26.19\n",
      "16  1951    5    27.68\n",
      "28  1952    5    27.99\n",
      "40  1953    5    28.29\n",
      "52  1954    5    27.07\n",
      "6\n",
      "      YR  MON  NINO3.4\n",
      "5   1950    6    26.52\n",
      "17  1951    6    27.46\n",
      "29  1952    6    27.33\n",
      "41  1953    6    28.02\n",
      "53  1954    6    26.93\n",
      "7\n",
      "      YR  MON  NINO3.4\n",
      "6   1950    7    26.42\n",
      "18  1951    7    27.72\n",
      "30  1952    7    26.72\n",
      "42  1953    7    27.52\n",
      "54  1954    7    26.37\n",
      "8\n",
      "      YR  MON  NINO3.4\n",
      "7   1950    8    25.98\n",
      "19  1951    8    27.36\n",
      "31  1952    8    26.46\n",
      "43  1953    8    27.16\n",
      "55  1954    8    25.73\n",
      "9\n",
      "      YR  MON  NINO3.4\n",
      "8   1950    9    25.78\n",
      "20  1951    9    27.51\n",
      "32  1952    9    26.54\n",
      "44  1953    9    27.13\n",
      "56  1954    9    25.38\n",
      "10\n",
      "      YR  MON  NINO3.4\n",
      "9   1950   10    25.96\n",
      "21  1951   10    27.43\n",
      "33  1952   10    26.54\n",
      "45  1953   10    27.02\n",
      "57  1954   10    25.51\n",
      "11\n",
      "      YR  MON  NINO3.4\n",
      "10  1950   11    25.64\n",
      "22  1951   11    27.48\n",
      "34  1952   11    26.36\n",
      "46  1953   11    26.96\n",
      "58  1954   11    25.67\n",
      "12\n",
      "      YR  MON  NINO3.4\n",
      "11  1950   12    25.50\n",
      "23  1951   12    27.12\n",
      "35  1952   12    26.53\n",
      "47  1953   12    26.99\n",
      "59  1954   12    25.37\n"
     ]
    }
   ],
   "source": [
    "for month, group in groups:\n",
    "    print(month)\n",
    "    print(group.head())"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 169,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "climatology = groups.mean()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Same as \n",
    "\n",
    "    climatology = groups.aggregate(np.mean)\n",
    "    \n",
    "    "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 170,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "MON\n",
       "1     26.495455\n",
       "2     26.686515\n",
       "3     27.194091\n",
       "4     27.638485\n",
       "5     27.756212\n",
       "6     27.562879\n",
       "7     27.174545\n",
       "8     26.791970\n",
       "9     26.702879\n",
       "10    26.674545\n",
       "11    26.608615\n",
       "12    26.541692\n",
       "Name: NINO3.4, dtype: float64"
      ]
     },
     "execution_count": 170,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "climatology['NINO3.4'].head(12)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 171,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAAXcAAAEPCAYAAAC5sYRSAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x11ec844e0>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "f, ax = plt.subplots()\n",
    "\n",
    "climatology['NINO3.4'].plot(ax=ax, kind='bar',ylim=[26,28], rot=0, width=0.9)\n",
    "\n",
    "ax.set_xticklabels(list('JFMAMJJASOND'));\n",
    "\n",
    "f.savefig('./climatology.pdf')"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Now suppose we want to apply a function that doesnt **aggregate** the values in the groups (such as *sum*, or *mean*) but rather want to **apply a function** to those values ... \n",
    "\n",
    "An example would be calculating the standardized anomalies per month (to each value subtract the mean of the corresponding month, then divide by the standard-deviation)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 172,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "def zscore(x): \n",
    "    z = (x - x.mean()) / x.std()\n",
    "    return z"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 173,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>YR</th>\n",
       "      <th>MON</th>\n",
       "      <th>NINO3.4</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>0</th>\n",
       "      <td>1950</td>\n",
       "      <td>1</td>\n",
       "      <td>24.83</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>1950</td>\n",
       "      <td>2</td>\n",
       "      <td>25.20</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>1950</td>\n",
       "      <td>3</td>\n",
       "      <td>26.03</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>1950</td>\n",
       "      <td>4</td>\n",
       "      <td>26.36</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>1950</td>\n",
       "      <td>5</td>\n",
       "      <td>26.19</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "     YR  MON  NINO3.4\n",
       "0  1950    1    24.83\n",
       "1  1950    2    25.20\n",
       "2  1950    3    26.03\n",
       "3  1950    4    26.36\n",
       "4  1950    5    26.19"
      ]
     },
     "execution_count": 173,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "nino.head()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 174,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "transformed = nino.groupby('MON').apply(zscore)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 175,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "<matplotlib.axes._subplots.AxesSubplot at 0x11eb831d0>"
      ]
     },
     "execution_count": 175,
     "metadata": {},
     "output_type": "execute_result"
    },
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAAW8AAAEACAYAAAB8nvebAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\nLAoIS94WFhYWBYQlbwsLC4sC4v8DPvhTU3qpwMMAAAAASUVORK5CYII=\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x11e3f2748>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "transformed['NINO3.4'].plot()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Now we want calculate (just) the anomalies WRT to the climatology, but with a ** *normal* established over 1981 - 2010**"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 176,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>YR</th>\n",
       "      <th>MON</th>\n",
       "      <th>NINO3.4</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>0</th>\n",
       "      <td>1950</td>\n",
       "      <td>1</td>\n",
       "      <td>24.83</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>1950</td>\n",
       "      <td>2</td>\n",
       "      <td>25.20</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>1950</td>\n",
       "      <td>3</td>\n",
       "      <td>26.03</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>1950</td>\n",
       "      <td>4</td>\n",
       "      <td>26.36</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>1950</td>\n",
       "      <td>5</td>\n",
       "      <td>26.19</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "     YR  MON  NINO3.4\n",
       "0  1950    1    24.83\n",
       "1  1950    2    25.20\n",
       "2  1950    3    26.03\n",
       "3  1950    4    26.36\n",
       "4  1950    5    26.19"
      ]
     },
     "execution_count": 176,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "nino.head()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "we can make use of the *query* method of Pandas DataFrames to select the climatological period"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 177,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>YR</th>\n",
       "      <th>MON</th>\n",
       "      <th>NINO3.4</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>372</th>\n",
       "      <td>1981</td>\n",
       "      <td>1</td>\n",
       "      <td>26.17</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>373</th>\n",
       "      <td>1981</td>\n",
       "      <td>2</td>\n",
       "      <td>26.13</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>374</th>\n",
       "      <td>1981</td>\n",
       "      <td>3</td>\n",
       "      <td>26.75</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>375</th>\n",
       "      <td>1981</td>\n",
       "      <td>4</td>\n",
       "      <td>27.32</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>376</th>\n",
       "      <td>1981</td>\n",
       "      <td>5</td>\n",
       "      <td>27.41</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "       YR  MON  NINO3.4\n",
       "372  1981    1    26.17\n",
       "373  1981    2    26.13\n",
       "374  1981    3    26.75\n",
       "375  1981    4    27.32\n",
       "376  1981    5    27.41"
      ]
     },
     "execution_count": 177,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "nino.query('YR >= 1981 & YR <= 2010').head()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 178,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "def demean(x): \n",
    "    z = x - x.query('YR >= 1981 & YR <= 2010').mean()\n",
    "    return z"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 179,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "anoms = nino.groupby('MON').apply(demean)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 180,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "<matplotlib.axes._subplots.AxesSubplot at 0x11d4e1940>"
      ]
     },
     "execution_count": 180,
     "metadata": {},
     "output_type": "execute_result"
    },
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAAk8AAAFwCAYAAAChA5+LAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\nRHJQeBIRERHJ4f8BEvXtq+Q7DEsAAAAASUVORK5CYII=\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x11cd811d0>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "f, ax = plt.subplots(figsize=(10,6))\n",
    "anoms['NINO3.4'].plot()\n",
    "data['ANOM.3'].plot() # Should be the same"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "### Exercise"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "The file [Daily_clim_data_Auckland.csv](../data/Daily_clim_data_Auckland.csv) in the `data` directory contains \n",
    "daily values for rainfall, minimum and maximum temperatures for Auckland from 1972 to now.  \n",
    "\n",
    "1. Read the data in a Pandas DataFrame, correctly setting up the index as a datetime object \n",
    "2. calculate monthly means for the temperature data, monthly totals for rainfall \n",
    "3. calculate and plot a climatology over the period 1981 - 2000 for all parameters \n",
    "4. calculate the anomalies WRT this climatology for all parameters \n",
    "5. plots the time-series of minimum and maximum temperature \n",
    "6. dig into the Scipy documentation to find how to calculate the linear trend over the period for the temperature data \n",
    "7. calculate and plot the trend \n",
    "8. Contact the [New Zealand Climate Science Coalition](http://www.nzclimatescience.org/)"
   ]
  }
 ],
 "metadata": {
  "gist_id": "7ff2df68a2861dede6fc",
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.5.1"
  },
  "latex_envs": {
   "bibliofile": "biblio.bib",
   "cite_by": "apalike",
   "current_citInitial": 1,
   "eqLabelWithNumbers": true,
   "eqNumInitial": 0
  }
 },
 "nbformat": 4,
 "nbformat_minor": 0
}
